var $js = $js || {}; //全局对象，所有提供给native调用的js方法都放在改对象里

(function($) {
    'use strict';
    var a = function() {},
        b = a.prototype;
  //此分享只针对任务中的 分享，因此都是有奖励的。
    b.shareInvite = function(taskid,usercode,source) {
    	var prefix = '';
    	var imgurl = ''
    	var env = getItemValue('actenv');
    	if (env=='product'){
    		prefix = 'https://weixin.guosen.com.cn/act/actcenter/';
    		imgurl = 'https://www3.guosen.com.cn/gs/app/actcenter/images/regist.png'
    	}else if (env=='test'){
    		prefix = 'http://wxtest.guosen.com.cn/act/actcenter/';
    		imgurl = 'http://www3.guosen.com.cn/gs/app/actcenter/images/regist.png'
    	}else if (env=='dev'){
    		prefix = 'https://lizhilicai.guosen.com.cn/act/actcenter/';
    		imgurl = 'https://www3.guosen.com.cn/gs/app/actcenter/images/regist.png'
    	}
        var _params = {
                shareTitle:'下载注册国信金太阳APP，赢level2。',
                shareMessage:'金太阳新手注册成功，即可获得level2一个月！',
                shareUrl: prefix + "h5regist/h5regist.html?CLIENT=NGS&hasgold=1&actid=" + taskid + "&userCode=" + usercode + "&source=jty",
                shareImageUrl:imgurl
            }; 
        onCallNative("WebContainer","shareOutApp", _params);
    };
    /**
     * 重写toFixed方法，数字使用该方法时，四舍五入,并能根据指定的len保留小数位
     * @len 保留小数的位数
     * 返回结果
     */
    b.toFixed = function() {
        Number.prototype.toFixed2 = function(len) {
            if (typeof(len) === 'undefined') {
                var len = 0;
            }
            var f = this.toFixed(len);
            var s = f.toString();
            var rs = s.indexOf('.');
            if (rs < 0) {
                rs = s.length;
                s += '.';
            }
            while (s.length <= rs + len) {
                s += '0';
            }
            return s;
        };
    };
    /**
     * 基本过滤
     * @param str
     * @param reg
     * @returns {*}
     */
    b.filterXSS = function(str, reg) {
        if (str !== 'string') {
            str = str.toString();
        }
        return str ? str.replace(reg || /[‘/&<">'](?:(#x27|#x2f|amp|lt|quot|gt|#39|nbsp|#\d+);)?/g, function(a, b) {
            if (b) {
                return a;
            } else {
                return {
                    '‘': '&#x27;',
                    '/': '&#x2f;',
                    '<': '&lt;',
                    '&': '&amp;',
                    '"': '&quot;',
                    '>': '&gt;',
                    "'": '&#39;'
                }[a]
            }
        }) : '';
    };

    /**
     * 修正加法精度
     * @param num1
     * @param num2
     * @returns {number}
     */
    b.numAdd = function(num1, num2) {
        var baseNum, baseNum1, baseNum2;
        try {
            baseNum1 = num1.toString().split(".")[1].length;
        } catch (e) {
            baseNum1 = 0;
        }
        try {
            baseNum2 = num2.toString().split(".")[1].length;
        } catch (e) {
            baseNum2 = 0;
        }
        baseNum = Math.pow(10, Math.max(baseNum1, baseNum2));
        return (num1 * baseNum + num2 * baseNum) / baseNum;
    };

    /**
     * 修正减法精度
     * @param num1 减数
     * @param num2 被减数
     * @returns {string|String}
     */
    b.numSub = function(num1, num2) {
        var baseNum, baseNum1, baseNum2;
        var precision; // 精度
        try {
            baseNum1 = num1.toString().split(".")[1].length;
        } catch (e) {
            baseNum1 = 0;
        }
        try {
            baseNum2 = num2.toString().split(".")[1].length;
        } catch (e) {
            baseNum2 = 0;
        }
        baseNum = Math.pow(10, Math.max(baseNum1, baseNum2));
        precision = (baseNum1 >= baseNum2) ? baseNum1 : baseNum2;
        return ((num1 * baseNum - num2 * baseNum) / baseNum).toFixed(precision);
    };

    /**
     * 修正乘法精度
     * @param num1
     * @param num2
     * @returns {number}
     */
    b.numMulti = function(num1, num2) {
        var baseNum = 0;
        try {
            baseNum += num1.toString().split(".")[1].length;
        } catch (e) {}
        try {
            baseNum += num2.toString().split(".")[1].length;
        } catch (e) {}
        return Number(num1.toString().replace(".", "")) * Number(num2.toString().replace(".", "")) / Math.pow(10, baseNum);
    };

    /**
     * 修正除法精度问题
     * @param num1 被除数
     * @param num2 除数
     * @returns {number}
     */
    b.numDiv = function(num1, num2) {
        var baseNum1 = 0,
            baseNum2 = 0;
        var baseNum3, baseNum4;
        try {
            baseNum1 = num1.toString().split(".")[1].length;
        } catch (e) {
            baseNum1 = 0;
        }
        try {
            baseNum2 = num2.toString().split(".")[1].length;
        } catch (e) {
            baseNum2 = 0;
        }
        baseNum3 = Number(num1.toString().replace(".", ""));
        baseNum4 = Number(num2.toString().replace(".", ""));
        return (baseNum3 / baseNum4) * Math.pow(10, baseNum2 - baseNum1);
    };


    /**
     * 获取url参数、解析客户端公共参数
     * @param name   //获取name的值
     * @param appStr //已有指定字符串
     * @returns {string}
     */
    b.getQueryStringByName = function(name, appStr) {
        var result;
        if (appStr && appStr != '') {
            result = appStr.match(new RegExp("[\?\&]" + name + "=([^\&]+)", "i"));
        } else {
            result = decodeURI(location.search).match(new RegExp("[\?\&]" + name + "=([^\&]+)", "i"));
        }
        if (result == null || result.length < 1) {
            return "";
        }
        return result[1];
    };

    /**
     * 获取客户端是ios还是Android
     */
    b.clientType = function() {
        var u = navigator.userAgent;
        var app_type;

        if (u.indexOf('Android') > -1) {
            app_type = 'android'; //android
        } else if (!!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/)) {
            app_type = 'ios'; //ios
        }
        return app_type;
    };

    /**
     * 从native获取pkg(取)
     * H_X
     * 本地取pkg
     */

    /**
     * 数字验证
     * @param n
     * @returns {*|boolean}
     */
    b.isNumber = function(n) {
        var reg = /^\d+(\.\d+)?$/;
        return reg.test(n);
    };

    b.postiveFloorNumber = function(n) {
        var reg = /^(([0-9]+.[0-9]*[1-9][0-9]*)|([0-9]*[1-9][0-9]*.[0-9]+)|([0-9]*[1-9][0-9]*))$/;
        return reg.test(n);
    };

    /**
     * 判断是否支持本地存储
     * @returns {boolean}
     */
    b.localStorageSupported = function() {
        try {
            localStorage.setItem("testlocal", "testlocal");
            localStorage.removeItem("testlocal");
            return true;
        } catch (e) {
            return false;
        }
    };

    /**
     * sessionStorage会话级存储
     * @param keys
     * @param values
     * @param expireDay
     */
    b.setSessionValue = function(keys, values, expireDay) {
        var self = this;
        var isLocalSupported = Com.localStorageSupported();
        if (isLocalSupported) {

            if (!values) {
                window.sessionStorage.setItem(keys, '');
            } else {
                window.sessionStorage.setItem(keys, encodeURIComponent(values)); //ios的Safari上,无痕模式会报错
            }
        } else {
            self.setCookie(keys, values, expireDay);
        }
    };
    /**
     * 获取sessionStorage
     * @key
     *
     */
    b.getSessionValue = function(keys) {
        var valueres, self = this;
        var isLocalSupported = Com.localStorageSupported();
        if (isLocalSupported) {
            valueres = decodeURIComponent(window.sessionStorage.getItem(keys));
        } else {
            valueres = self.getCookie(keys);
        }
        return valueres;
    };
    /**
     * 本地存储值(如果不支持本地存储,会自动存cookie)
     * @key
     * @value
     * @expireDay(当不支持本地存储时,该参数当做cookie的过期时间)
     *
     */
    b.setLocalValue = function(keys, values, expireDay) {
        var self = this;
        var isLocalSupported = Com.localStorageSupported();
        if (isLocalSupported) {
            if (!values) {
                window.localStorage.setItem(keys, '');
            } else {
                window.localStorage.setItem(keys, encodeURIComponent(values)); //ios的Safari上,无痕模式会报错
            }

        } else {
            self.setCookie(keys, values, expireDay);
        }
    };

    /**
     * 获取本地存储值(如果不支持本地存储,会自动获取cookie值)
     * @key
     *
     */
    b.getLocalValue = function(keys) {
        var valueres, self = this;
        var isLocalSupported = Com.localStorageSupported();
        if (isLocalSupported) {
            valueres = decodeURIComponent(window.localStorage.getItem(keys));
        } else {
            valueres = self.getCookie(keys);
        }
        return valueres;
    };

    /**
     * 删除本地存储的某个值(如果不支持本地存储,会自动删除cookie值)
     *
     */
    b.removeLocalValue = function(keys) {
        var self = this;
        var isLocalSupported = Com.localStorageSupported();
        if (isLocalSupported) {
            window.localStorage.removeItem(keys);
        } else {
            self.setCookie(keys, '', -1);
        }
    };

    /**
     * 设置cookie(仅当不支持本地存储时会触发该方法
     * @key
     * @value
     * expireTime(过期时间以天为单位)
     */
    b.setCookie = function(sName, sValue, oExpires, sPath, sDomain, bSecure) {
        var sCookie = sName + "=" + encodeURIComponent(sValue);
        var d = new Date();
        if (oExpires) {
            d.setTime(d.getTime() + (oExpires * 24 * 60 * 60 * 1000));
            sCookie += "; expires=" + oExpires.toUTCString();
        }
        if (sPath) {
            sCookie += "; path=" + sPath;
        }
        if (sDomain) {
            sCookie += "; domain=" + sDomain;
        }
        if (bSecure) {
            sCookie += "; secure";
        }
        document.cookie = sCookie;
    };

    /**
     * 获取cookie(仅当不支持本地存储时会触发该方法)
     *
     */
    b.getCookie = function(key) {
        var c_start, c_end;
        if (document.cookie.length > 0) {
            c_start = document.cookie.indexOf(key + "=");
            if (c_start != -1) {
                c_start = c_start + key.length + 1;
                c_end = document.cookie.indexOf(";", c_start);
                if (c_end == -1) {
                    c_end = document.cookie.length;
                }
                return decodeURIComponent(document.cookie.substring(c_start, c_end));
            }
        }
        return ""
    };

    /**
     * 获取根域名
     */
    b.getOrigin = function() {
        var host;
        if (typeof(window.location.origin) === 'undefined') {
            host = window.location.protocol + '//' + window.location.hostname;
        } else {
            host = window.location.origin;
        }
        return host;
    };

    
    /**
     * 获取当前域名+端口+目录(目前不用设置目录)，用于接口调用
     * @returns {*}
     */
    b.getInterfaceOrigin = function() {
        var host;
        var path = '';
        if (typeof(window.location.origin) === 'undefined') {
            host = window.location.protocol + '//' + window.location.hostname;
        } else {
            host = window.location.origin;
        }
        return host + '' + path;
    };

    /**
     * 整数补足两位小数，eg:5--->5.00
     */
    b.intToDecimal = function(snum) {
        var s_x = snum.toString();
        var pos_decimal = s_x.indexOf('.');
        if (pos_decimal < 0) {
            pos_decimal = s_x.length;
            s_x += '.';
        }
        while (s_x.length <= pos_decimal + 2) {
            s_x += '0';
        }
        return s_x;
    };

    /**
     * 数字处理
     * 123123123---->123,123,123
     */
    b.formatNumber = function(nStr) {
        nStr += '';
        var x = nStr.split('.');
        var x1 = x[0];
        var x2 = x.length > 1 ? '.' + x[1] : '';
        var rgx = /(\d+)(\d{3})/;
        while (rgx.test(x1)) {
            x1 = x1.replace(rgx, '$1' + ',' + '$2');
        }
        return x1 + x2;
    };

    /**
     * 关闭ajaxloading
     */
    b.ajaxLoaded = function() {
        /*var obj = $('.loadingbox');
         if(obj.length){
         obj.remove();
         }*/
        Com.nativeLoading(false);
    };

    /**
     * ajaxloading用于ajax提交时的loading效果(css在common.css中)
     *
     */
    b.ajaxLoading = function() {
        /*var imgurl = __uri('../../common/images/loading.gif');
         var loadingObj = $('<div class="loadingbox"><div class="loadingmain"><div class="loadingmask"></div><div class="loadingpic"><img src='+imgurl+' width="18" height="18"></div></div></div>');
         $('body').append(loadingObj);*/
        Com.nativeLoading(true);
    };

    /**
     * 验证手机号
     * @param phone
     * @returns {*}
     */
    b.checkMobilePhone = function(phone) {
        var isEmpty = $.trim(phone).length;
        if (isEmpty == 0) {
            return false;
        } else {
            var reg = /^[1-9]+[0-9]*]*$/;
            return reg.test(phone);
        }

    };

    /**
     * 校验邮政编码
     * @param num
     * @returns {boolean}
     */
    b.checkYb = function(num) {
        return !(num.search(/^[0-9]{6}$/));
    };

    /**
     * 校验身份证号
     * @param idno 身份证号
     * @returns {string}
     */
    b.checkIdCard = function(idno) {
        var msg = "";
        var year, month, day, p, birthday;
        if (15 != idno.length && 18 != idno.length) {
            msg = '身份证号输入位数不正确！'
            return msg;
        }
        if (15 == idno.length) {
            year = idno.substring(6, 8);
            month = idno.substring(8, 10);
            day = idno.substring(10, 12);
            p = idno.substring(14, 15); //性别位
            birthday = new Date(year, parseFloat(month) - 1,
                parseFloat(day));
            // 对于老身份证中的年龄则不需考虑千年虫问题而使用getYear()方法
            if (birthday.getYear() != parseFloat(year) ||
                birthday.getMonth() != parseFloat(month) - 1 ||
                birthday.getDate() != parseFloat(day)) {
                msg = '身份证号输入的出生日期不正确！';
            }
            return msg;
        }
        if (18 == idno.length) {
            year = idno.substring(6, 10);
            month = idno.substring(10, 12);
            day = idno.substring(12, 14);
            p = idno.substring(14, 17);
            birthday = new Date(year, parseFloat(month) - 1,
                parseFloat(day));
            // 这里用getFullYear()获取年份，避免千年虫问题
            if (birthday.getFullYear() != parseFloat(year) ||
                birthday.getMonth() != parseFloat(month) - 1 ||
                birthday.getDate() != parseFloat(day)) {
                msg = '身份证号输入的出生日期不正确！';
                return msg;
            }
            var Wi = [7, 9, 10, 5, 8, 4, 2, 1, 6, 3, 7, 9, 10, 5, 8, 4, 2, 1]; // 加权因子
            var Y = [1, 0, 10, 9, 8, 7, 6, 5, 4, 3, 2]; // 身份证验证位值.10代表X
            // 验证校验位
            var sum = 0; // 声明加权求和变量
            var _cardNo = idno.split("");
            if (_cardNo[17].toLowerCase() == 'x') {
                _cardNo[17] = 10; // 将最后位为x的验证码替换为10方便后续操作
            }
            for (var i = 0; i < 17; i++) {
                sum += Wi[i] * _cardNo[i]; // 加权求和
            }
            var i = sum % 11; // 得到验证码所位置
            if (_cardNo[17] != Y[i]) {
                msg = '身份证号校验不正确！';
                return msg;
            }
        }
        return msg;
    };

    /**
     * 截取内容字符串
     * @param obj html容器
     */
    b.name_substr = function(obj) {
        var fontSize = parseInt(obj.css('font-size'));
        var objWidth = obj.width();
        var ohtml = $.trim(obj.html());
        var len = 0;
        var strWidth = 0;
        var strindex = 0;
        for (var i = 0; i < ohtml.length; i++) {
            var length = ohtml.charCodeAt(i);
            if (length >= 0 && length <= 128) {
                if (length <= 64) {
                    len += 0.6;
                    strWidth += 0.6 * fontSize;
                } else {
                    //字母、数字
                    len += 0.7;
                    strWidth += 0.7 * fontSize;
                }
            } else {
                //中文字符
                len += 1;
                strWidth += fontSize;
            }
            if (strWidth >= objWidth) {
                strindex = i;
                break;
            }
        }
        if (fontSize * len >= objWidth) {
            obj.html(ohtml.substring(0, (strindex - 2)) + '...');
        }
    };


    /**
     * 日期格式化
     */
    b.dateFormat = function(date, fmt) {
        var o = {
            "M+": date.getMonth() + 1, //月份
            "d+": date.getDate(), //日
            "h+": date.getHours(), //小时
            "m+": date.getMinutes(), //分
            "s+": date.getSeconds(), //秒
            "q+": Math.floor((date.getMonth() + 3) / 3), //季度
            "S": date.getMilliseconds() //毫秒
        };
        if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (date.getFullYear() + "").substr(4 - RegExp.$1.length));
        for (var k in o)
            if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
        return fmt;
    };


    /**
     * 计算天数
     */
    b.diffDays = function(start) {
        var dateFrom = new Date(start),
            dateTo = new Date();
        if (typeof arguments[1] != "undefined") {
            dateTo = new Date(arguments[1]);
        }
        var diff = dateTo.valueOf() - dateFrom.valueOf();
        var diff_day = parseInt(diff / (1000 * 60 * 60 * 24));
        return diff_day;
    };

    /*加减日期*/
    b.calDays = function(date, days) {
        var diff = Number(days) * 1000 * 60 * 60 * 24;
        return new Date(date).getTime() + diff;
    };

    b.getTodayDate = function() {
        var odate = new Date();
        var year = odate.getFullYear();
        var month = odate.getMonth() + 1;
        var date = odate.getDate();
        var strfmt = function(num) {
            if (num < 10) {
                return '0' + num;
            }
            return num;
        };
        return year + '' + strfmt(month) + '' + strfmt(date);
    };
    /*获取星期*/
    b.getWeekday = function(date) {
        if (typeof date == "string") {
            if (date.indexOf('-') > -1) {
                date = new Date(date.split('-')[0], date.split('-')[1] * 1 - 1, date.split('-')[2]);
            } else {
                date = new Date(date.substring(0, 4), date.substring(4, 6) * 1 - 1, date.substring(6, 8));
            }

        }
        date = new Date(date);
        var weekday = String(date.getDay()).replace("0", "日").replace("1", "一").replace("2", "二").replace("3", "三").replace("4", "四").replace("5", "五").replace("6", "六");
        return '星期' + weekday;
    };

    /*扩展对象*/
    b.extend = function(to, from) {
        var keys = Object.keys(from);
        var i = keys.length;
        while (i--) {
            to[keys[i]] = from[keys[i]];
        }
        return to;
    };

    /**
     * 判断登录状态
     * @param callback
     * @param param
     */
    b.isTradelogin = function(callback, param) {
        var datajson = param || {};
        onCallNative('DataService', 'isTradeLogin', datajson, callback, '{"isTradeLogined":0}');

        //isTradeLogined:1登录；isTradeLogined:0未登录
        //onCallJs('{"action":"'+callback+'","param":{"isTradeLogined":1}}');
    };

    /**
     * 弹出native登录界面
     * @param callback
     * @param param
     */
    b.callNativeLogin = function(callback, param) {
        var datajson = param || {};
        onCallNative('DataService', 'doTradeLoginData', datajson, callback, '{"result":"1","fundId":"xxxxx","orgId":"xxxx","randomKey":"xxxxx"}');
        //result:1登录成功；result!=1未登录||登录失败
        //onCallJs('{"action":"'+callback+'","param":{"result":"1","fundId":"xxxxx","orgId":"xxxx","randomKey":"xxxxx"}}');
    };

    /**
     * 获取系统参数
     */
    b.getAppSystemData = function(callback) {
        onCallNative('DataService', 'getAppSystemData', {}, callback);
    };

    /**
     * 获取账户信息（资金账户、姓名）
     * @param callback
     * @param param
     */
    b.getAccountInfo = function(callback, param) {
        var datajson = param || {};
        onCallNative('DataService', 'getCurrentAccountInfo', datajson, callback, '{"accountName":"黄徽","accountNO":"110002345509","accountId":"110002345509"}');

        //accountNO:资金账户；accountId:客户代码；accountName:姓名
        //onCallJs('{"action":"'+callback+'","param":{"accountName":"黄徽","accountNO":"110002345509","accountId":"110002345509"}}');
    };

    /**
     * 新开webview打开页面(param里面多传一个weburl，用于本机浏览器调试)
     * @param callback
     * @param param
     * {pageUrl:"页面地址","weburl":"浏览器调试时传入的地址"}
     */
    b.newWebViewOpenPage = function(callback, param) {
        var datajson = param || {};
        var isMobile = Com.clientType();
        var env = getItemValue('actenv');
      //TODO 根据登录状态和页面是否白名单，判断是否要调用native的登录页面
        var whiteflag = false;
        for (var i=0;i<whiteList.length;i++){
        	if (param.weburl.indexOf(whiteList[i])>-1){
        		whiteflag = true;
        		break;
        	}
        }
        //如果是游客可以访问
        if (whiteflag){
        	//根据登录状态和页面是否白名单，判断是否要调用native的登录页面 touristAvl : 0 =游客不可用 touristAvl : 1 =游客可用
        	datajson['touristAvl'] = 1;
        }else{
        	//如果是游客不能访问
        	datajson['touristAvl'] = 0;
        }
        var usertype = Com.getLocalValue('actcenter_userType');
        var url = param.pageUrl;
        var origin = Com.getOrigin();
        if (!whiteflag && usertype =='0'){
        	//如果URL给的是绝对路径，则需要登录后跳转到该绝对路劲
        	if (url.indexOf('http:')==0||url.indexOf('https:')==0){
        	}else{
        	//如果URL给的是相对路径，则需要登录后跳转的链接需要处理
        		url = origin + '/act/actcenter/act_guest_pre.html?callback=' + origin + url;
        	}
        	datajson.weburl = url;
        	datajson.pageUrl = url;
        }else{
        	//相对路径的处理方法
            if (param.weburl.indexOf('http')<0 && param.weburl.indexOf('actcenter')>0){
            	datajson.weburl = Com.getOrigin() + param.weburl;
            	datajson.pageUrl = Com.getOrigin() + param.pageUrl;
            }
        }
        if (env == 'local'){
        	if (param.weburl && param.weburl != '') {
                window.location.href = param.weburl;
            }
        }else if (isMobile == 'ios' || isMobile == 'android') {
            onCallNative('WebContainer', 'transitionWeb', datajson, callback);
        }else {
            if (param.weburl && param.weburl != '') {
                window.location.href = param.weburl;
            }
        }

    };


    /**
     * 设置webview页面title（单行title）
     * @param callback
     * @param param
     * {"title":"长安汽车-新闻","bgColor ":"#272736"}
     * 背景颜色，黑色：#272736，蓝色：#589dfc
     */
    b.setWebviewTitle = function(callback, param) {
        var datajson = param || {};
        onCallNative('WebContainer', 'titleItem', datajson, callback);

    };

    /**
     * 设置webview页面title（两行title）
     * @param callback
     * @param param
     * {"title":"长安汽车-新闻","bgColor ":"#272736"}
     * 背景颜色，黑色：#272736，蓝色：#589dfc
     */
    b.setWebviewStockTitle = function(callback, param) {
        var datajson = param || {};
        onCallNative('WebContainer', 'setStockTitle', datajson, callback);

    };

    /**
     * H5调native弹框
     * @param msgtitle 弹框标题，非必须
     * @param msg      弹框内容
     * @param alertbtn 弹框的按钮，例如["确定"]、["确定","取消"]
     * @param callback 弹框按钮的回调函数(会塞进来一个参数：{"alertViewId":"123456","clickedIndex":"1"})，clickedIndex表示按钮的索引
     * {"alertTitle":"弹框标题","alertMessage":"弹框内容","alertButtonsArray":["取消","确定"],"alertViewId":"数值累加，不用存到localstorage","webaLertMsg":"便于在浏览器调试"}
     */
    b.showNativeAlert = function(msgtitle, msg, alertbtn, callback) {
        var datajson = {};
        var aletBoxId = Com.getSessionValue('alertboxid');
        if (!Com.isNumber(aletBoxId)) {
            aletBoxId = 0;
        } else {
            aletBoxId++;
        }
        Com.setSessionValue('alertboxid', aletBoxId);
        var random = '_' + (Math.random() + '').split('.')[1];
        var callbackName = 'alertHandle' + random;
        $js['alertHandle' + random] = function(p) {
            if (callback && typeof callback === 'function') {
                callback(p);
            }
        };
        datajson['alertTitle'] = msgtitle;
        datajson['alertMessage'] = msg;
        datajson['alertViewId'] = aletBoxId;
        datajson['alertButtonsArray'] = alertbtn;
        datajson['webaLertMsg'] = msg;
        var isMobile = Com.clientType();
        if (isMobile == 'ios' || isMobile == 'android') {
        	var env = getItemValue('actenv');
        	if (env=='local'){
        		alert(msg);
        	}else{
        		onCallNative('WebContainer', 'callNativeAlertView', datajson, callbackName);
        	}
        } else {
            alert(msg);
        }
    };

    /**
     * 判断是否登录，如果已登录则执行callback，如果未登录则先弹出native的登录，native登录成功之后执行callback，否则什么都不执行
     * @param callback 已登录或登录成功之后回调
     * @param param callback参数
     * @param cancelLogin 登录失败执行
     */
    b.actionLogin = function(callback, param, cancelLogin) {
        $js.checkTradeLogin = function(data) {
            if (typeof data === 'string') {
                data = JSON.parse(data);
            }
            if (data.isTradeLogined == '1') {
                //已登录
                if (typeof callback === 'function') {
                    callback(param);
                }
            } else {
                //未登录，让native起登录
                $js.loginCallback = function(data) {
                    if (data.result == '1') {
                        //登录成功
                        if (typeof callback === 'function') {
                            callback(param);
                        }
                    } else {
                        //登陆失败
                        if (cancelLogin && typeof cancelLogin === 'function') {
                            cancelLogin(data);
                        }
                        return false;
                    }
                };
                //未登录
                Com.callNativeLogin('loginCallback', {});
            }
        };


        //第一步判断是否登录
        Com.isTradelogin('checkTradeLogin', {});
    };

    /**
     * 弹出native半透明遮罩显示标题和内容
     * @param masktitle
     * @param maskcontent
     */
    b.showScreenMask = function(masktitle, maskcontent) {
        var datajson = {};
        datajson['tipTitle'] = masktitle;
        datajson['tipContent'] = maskcontent;
        onCallNative('WebContainer', 'setFullTipView', datajson);
    };

    /**
     * 获取交易登录参数(使用之前需要交易登录Com.actionLogin)
     * @param callback
     */
    b.getLoginData = function(callback) {
        var srandom = new Date().getTime();
        var callback_name = 'setLoginData' + srandom;
        $js['setLoginData' + srandom] = function(tradeLoginData) {
            if (typeof callback === 'function') {
                callback(tradeLoginData);
            }
        };
        //从native获取交易参数
        onCallNative('DataService', 'getTradeLoginData', {}, callback_name, '');
    };

    /**
     * 将资金帐号或其他账号12位、10位的保留前4位和后两位，9位的保留前三位和后两位；其他原样显示（与金太阳保持一致）
     * @param str
     * @returns {*}
     */
    b.repalceStr = function(str) {
        //return str.slice(0, 4) + Array(str.slice(5, -2).length + 1).join('*') + str.slice(-2);
        if (typeof str !== 'string' || str == '') {
            return '';
        } else if (str.length > 9) {
            return str.slice(0, 4) + Array(str.slice(5, -2).length + 2).join('*') + str.slice(-2);
        } else if (str.length == 9) {
            return str.slice(0, 3) + Array(str.slice(4, -2).length + 2).join('*') + str.slice(-2);
        } else {
            return str;
        }


    };

    /**
     * 将名字的倒数第二位用*代替(与金太阳保持一致)
     * @param str
     * @returns {*}
     */
    b.replaceName = function(str) {
        //return  Array(str.slice(0, -1).length + 1).join('*')+str.slice(-1);
        if (typeof str !== 'string' || str == '') {
            return '';
        } else if (str.length >= 2) {
            return str.slice(0, -2) + '*' + str.slice(-1);
        } else {
            return '*';
        }

    };

    /**
     * 电话隐藏规则(与金太阳号码隐藏规则一致)
     * @param str
     */
    b.replacePhone = function(str) {
        if (typeof str !== 'string' || str == '') {
            return '';
        } else if (str.length >= 8) {
            return str.slice(0, 3) + Array(str.slice(4, -4).length + 2).join('*') + str.slice(-4);
        } else {
            return str;
        }

    };

    /**
     * 是否需要native在当前页面上监听返回事件(每个页面都需要调用此方法,不监听的情况下，webview采用默认返回上一个webview的方式)
     * @param isListener 1:需要监听 0:不需要监听
     * @param callback 非必须参数
     */
    b.nativeGobackListener = function(isListener, callback) {
        var argumentsLength = arguments.length;
        if (argumentsLength == 0) {
            return;
        }
        var datajson = {};
        var random = '_' + (Math.random() + '').split('.')[1];
        var callbackName = 'listenerCallback' + random;
        $js['listenerCallback' + random] = function(p) {
            if (argumentsLength > 1 && typeof callback === 'function') {
                callback(p);
            }
        };
        (isListener == 1) ? (datajson['flag'] = '1') : datajson['flag'] = '0';

        onCallNative('WebContainer', 'setReturnListener', datajson, callbackName);
    };

    /**
     * 调用native的方法，返回上一个web页面
     */
    b.browserGoback = function() {
        onCallNative('WebContainer', 'doGoBack', {}, '');
    };

    /**
     * 调用native的方法关闭当前的webview(实际上相当于返回上一个webview)
     */
    b.nativeGoback = function() {
        onCallNative('WebContainer', 'doFinish', {}, '');
    };

    

    /**
     * 调用native的loading
     * @param isShow true显示/false隐藏
     */
    b.nativeLoading = function(isShow) {
        var datajson = {};
        datajson['isShow'] = isShow;
        onCallNative('WebContainer', 'showProcess', datajson, '');
    };

    /**
     * 跳转到股票行情
     * @param stockCode 股票代码
     * @param stockName 股票名称
     * @param stockMarket 股票市场
     */
    b.gotoStockInfo = function(stockCode, stockName, stockMarket) {
        var datajson = {};
        datajson['stockCode'] = stockCode;
        datajson['stockName'] = stockName;
        datajson['stockMarket'] = stockMarket;
        onCallNative('WebContainer', 'transitionStockInfo', datajson, '');
    };

    /**
     * 调用native的toast
     * @param type 显示类型  type:1添加自选股toast类型,其他为默认样式
     * @param msg 显示信息
     */
    b.nativeToast = function(msg, type) {
        var datajson = {};
        datajson['toastMessage'] = msg;
        if (type) {
            datajson['toastType'] = type;
        }
        onCallNative('WebContainer', 'showToastMsg', datajson, '');
    };

    /**
     * 显示native导航栏上的tabs，两个
     * @param tapsname1
     * @param tapsname2
     */
    b.showNativeTitleTaps = function(tapsname1, tapsname2) {
        var datajson = {};
        datajson['firstTabName'] = tapsname1;
        datajson['secondTabName'] = tapsname2;
        onCallNative('WebContainer', 'showTitleTableView', datajson, '');
    };

    /**
     * 隐藏native导航栏上的tabs
     */
    b.hideNativeTitleTaps = function() {
        var datajson = {};
        onCallNative('WebContainer', 'hiddenTitleTabView', datajson, '');
    };

    /**
     * 调用native搜索界面(搜索基金)
     * @param isSearch  true(基金选择，类似于开放式基金的转换选择基金)||false(基金搜索，类似于开放式基金放大镜打开搜索界面)
     * @param searchPageTitle（默认基金搜索）
     * @param callback
     * 返回采纳数：isSelect、fundIssuerCode(基金公司代码)、fundCode(基金代码)
     */
    b.fundSearch = function(isSearch, searchPageTitle, callback) {
        var datajson = {};
        datajson['isSelect'] = isSearch;
        datajson['titleItem'] = searchPageTitle;
        var random = '_' + (Math.random() + '').split('.')[1];
        var callbackName = 'searchFundHandle' + random;
        $js['searchFundHandle' + random] = function(p) {
            if (callback && typeof callback === 'function') {
                callback(p);
            }
        };
        onCallNative('WebContainer', 'transitionQueryFund', datajson, callbackName);
    };


    /**
     * 银证转账
     * @param transfer true银行转证券||false 证券转银行
     * @param callback:银证转账回调H5方法 isFinished: true 完成  false 用户取消
     *
     */
    b.transferBankCard = function(transfer, callback) {
        var datajson = {};
        datajson["isToStock"] = transfer;
        var random = '_' + (Math.random() + '').split('.')[1];
        var callbackName = 'transferHandle' + random;
        $js['transferHandle' + random] = function(p) {
            if (callback && typeof callback === 'function') {
                callback(p);
            }
        };
        onCallNative('WebContainer', 'transitionBankStock', datajson, callbackName);
    };

    /**
     * 右上角自定义按钮
     * @param btntype  0隐藏按钮 1分享 2设置字体 3:自定义按钮名称（必传btnname） 4:搜索按钮（放大镜图标）
     * @param btnname 当btntype == 3时，该参数必传
     * @param callback 点击回调
     */
    b.rightTopBtn = function(btntype, btnname, callback) {
        var datajson = {};
        datajson['showType'] = btntype;
        if (btnname && btnname != '') {
            datajson['rightButtonName'] = btnname;
        }
        var random = '_' + (Math.random() + '').split('.')[1];
        var callbackName = 'rightTopBtnHandle' + random;
        $js['rightTopBtnHandle' + random] = function(p) {
            if (callback && typeof callback === 'function') {
                callback(p);
            }
        };
        onCallNative('WebContainer', 'rightButtonItem', datajson, callbackName);
    };

    /**
     * 检查当前手机有没有安装某个app
     * @param appname app名称 1掌厅  2荔枝理财 3金融矿工 4appstore
     * @param callback 回调（native入参installed  true安装 false未安装）
     */
    b.isAppInstalled = function(appname, callback) {
        var datajson = {};
        var random = '_' + (Math.random() + '').split('.')[1];
        var callbackName = 'isInstalled' + random;
        $js['isInstalled' + random] = function(p) {
            if (callback && typeof callback === 'function') {
                callback(p);
            }
        };
        if (!appname) {
            Com.showNativeAlert("", "缺少app名称!", ["确定"], '');
            return false;
        }
        datajson['AppType'] = appname;
        onCallNative('DataService', 'isAppInstalled', datajson, callbackName);
    };

    /**
     * 通知native打开其他app
     * @param appname 要打开的native 1掌厅  2荔枝理财 3金融矿工 4appstore
     */
    b.goOtherApp = function(appname) {
        var datajson = {};
        if (!appname) {
            Com.showNativeAlert("", "缺少app名称!", ["确定"], '');
            return false;
        }
        datajson['outAppType'] = appname;
        onCallNative('WebContainer', 'transitionOutApp', datajson, '');
    };


    /**
     * 页面跳转
     * @param that 点击对象
     */
    b.openNewWebViewPage = function(that) {
        var ohref = that.attr('_href');
        var ofname = that.attr('ofname');
        var ofcode = that.attr('ofcode');
        var tan = that.attr('tan');
        var prdtype = that.attr('prdtype');
        var host = window.location.host;
        if (ofname && ofname != '') {
            Com.setLocalValue('zh_ofname', ofname);
        }
        if (ofcode && ofcode != '') {
            Com.setLocalValue('zh_ofcode', ofcode);
        }
        if (tan && tan != '') {
            Com.setLocalValue('tan', tan);
        }
        if (prdtype && prdtype != '') {
            Com.setLocalValue('zh_prdtype', prdtype);
        }
        if (ohref && ohref != '') {

            if (ohref.indexOf('http') != -1) {
                Com.newWebViewOpenPage('', {
                    "pageUrl": ohref,
                    "weburl": ohref
                });
            } else {
                if (ohref.indexOf('/asset/') != -1) {
                    Com.newWebViewOpenPage('', {
                        "pageUrl": Com.getOrigin() + ohref,
                        "weburl": Com.getOrigin() + ohref
                    });
                } else {
                    Com.newWebViewOpenPage('', {
                        "pageUrl": Com.getOrigin() + '/asset/' + ohref,
                        "weburl": Com.getOrigin() + '/asset/' + ohref
                    });
                }

            }
        }
        return false;
    };



    /**
     * 返回刷新，当该页面的webview再次呈现的时候native会调用callback(解决返回刷新的问题)
     * @param isrefresh true:再次呈现的时候需要调callback false:不需要
     * @param callback 非必须参数
     */
    b.gobackRefreshPage = function(isrefresh, callback) {
        var argumentsLength = arguments.length;
        if (argumentsLength == 0) {
            return;
        }
        var datajson = {};
        var random = '_' + (Math.random() + '').split('.')[1];
        var callbackName = 'refreshMethod' + random;
        $js['refreshMethod' + random] = function(p) {
            if (argumentsLength > 1 && typeof callback === 'function') {
                callback(p);
            }
        };
        (isrefresh == true) ? (datajson['need'] = true) : datajson['need'] = false;

        onCallNative('WebContainer', 'needRefreshPage', datajson, callbackName);
    };

    /**
     * 账号被踢调用native的方法回到手机号登录界面
     * @param showMsg 账号被踢，后台给过来的错误提示信息
     * @param callback
     */
    b.accountKicked = function(showMsg, callback) {
        var argumentsLength = arguments.length;
        var datajson = {};
        var random = '_' + (Math.random() + '').split('.')[1];
        var callbackName = 'goLoginPage' + random;
        if (showMsg && showMsg != '') {
            datajson['showMsg'] = showMsg;
        }
        $js['goLoginPage' + random] = function(p) {
            if (argumentsLength > 1 && typeof callback === 'function') {
                callback(p);
            }
        };
        onCallNative('DataService', 'sessionTimeOut', datajson, callbackName);
    };

    /**
     * 动态加载script
     * @param scriptUrl  url
     * @param callback   回调
     */
    b.getScript = function(scriptUrl, callback) {
        var scriptTag = document.createElement('script');
        scriptTag.type = 'text/javascript';
        scriptTag.src = scriptUrl;
        document.getElementsByTagName('body')[0].appendChild(scriptTag);
        scriptTag.onload = function() {
            if (typeof callback === 'function') {
                callback();
            }
        }
    };

    /**
     * 购买场内基金
     * @param fundCode 股票代码
     * @param fundName 股票名称
     * @param fundMarket 股票市场
     * @param tradeType 交易类别 //1 买基 2 卖基 3 基 申购 4 基 赎回 5 基 拆分 6 基 合并 7 撤单
     */
    b.callNativebuyOnSiteFund = function(fundCode, fundName, fundMarket, tradeType) {
        var datajson = {};
        datajson['fundCode'] = fundCode;
        datajson['fundName'] = fundName;
        datajson['fundMarket'] = fundMarket;
        datajson['tradeType'] = tradeType;
        onCallNative('WebContainer', 'transitionFundTrade', datajson, '');
    };

    /**
     * native的滑动，在Android下需要调该方法实现某个区域只执行H5的滑动
     * @param oarry[{"y","top值","h":"高度"},...]
     */
    b.setMultixBannerHeight = function(oarry) {
        var datajson = {};
        datajson['mh'] = oarry;
        onCallNative('WebContainer', 'setMultixBannerHeight', datajson, '');
    };

    /**
     * 跳转到native界面
     * @param type fun:native界面|web:web页面
     * @param nativeUrl xgsjh(跳转到native修改手机号)
     */
    b.openNativePage = function (nativeUrl, type, param, alias,callback) {
        var datajson = {};
        if (type && type != '') {
            datajson['handleType'] = type;
        } else {
            datajson['handleType'] = 'fun';
        }
        if (typeof param !== 'undefined') {
            datajson['handleParam'] = param;
        }
        datajson['handleUrl'] = nativeUrl;
        datajson['alias'] = alias;
        var random = '_' + (Math.random() + '').split('.')[1];
        var callbackName = 'openNativeMethod' + random;
        $js['openNativeMethod' + random] = function (p) {
            if (typeof callback === 'function') {
                callback(p);
            }
        };
        onCallNative('WebContainer', 'transitionComNative', datajson, callbackName);
    };
    /**
     * 获取公共参数
     * @param callback
     */
    b.getCommonLoginData = function(callback) {
        var datajson = {};
        var random = '_' + (Math.random() + '').split('.')[1];
        var callbackName = 'setData' + random;
        $js['setData' + random] = function(p) {
            if (typeof callback === 'function') {
                callback(p);
            }
        };
        onCallNative('DataService', 'getCommonLoginData', datajson, callbackName, '{"session":"1481c3f1f7bdbee6856bb6bcc41e1399d0d5490f279db2d629aeaca2","packgeId":"H_132319","userCode":"1903955966170112","authCode":"482399","softName":"goldsun_android","sysVer":"1","hwID":"5F7439B5-E518-4133-9B54-A0DA7E41C8B2"}');
    };
    
    b.getNewSession = function(callback){
        var datajson = {};
        var random = '_'+(Math.random()+'').split('.')[1];
        onCallNative('DataService','getNewSession',{},'setNewSession'+random,'{"result":"1","session":"4aaf04fba6db4148b294098c684df558","packgeId":"xxxx","userCode":"xxxxx","authCode":"xxxxx"}');
    };
    
    b.getWebTradeToken = function(callback){
    	var datajson = {};
        var random = '_'+(Math.random()+'').split('.')[1];
        var callbackName = 'setWebTradeToken'+random;
        $js['setWebTradeToken'+random] = function(p){
        	var c = typeof (callback)
            if(typeof callback === 'function'){
                callback(p);
            }
        };
        onCallNative('DataService','getWebTradeToken',{},callbackName,'{"tradeToken":"xxxxxx","result":"xxxxxx","serverid":"xxxxxx","extprop":"xxxxxx","orgid":"xxxxxx","custid":"******"}');
    };
    
    b.getToken = function(callback){
        var datajson = {};
        var random = '_'+(Math.random()+'').split('.')[1];
        var callbackName = 'setUserToken'+random;
        $js['setUserToken'+random] = function(p){
        	var c = typeof (callback)
            if(typeof callback === 'function'){
                callback(p);
            }
        };
        onCallNative('DataService','getUserToken',{},callbackName,'{"token":"*****","result":"******","message":""}');
    };
    
    b.transLogin = function(callback) {
        $js.transTradeLogin = function(data) {
            if (typeof data === 'string') {
                data = JSON.parse(data);
            }
            Com.ajaxLoaded();
            if (data.isTradeLogined == '1') {
            	transContinue();
            } else {
            	transActionLogin();
            }
        };
        //第一步判断是否登录
        Com.isTradelogin('transTradeLogin', {});
    };
    
    b.suixinyingLogin = function(callback) {
        $js.suixinyingTradeLogin = function(data) {
            if (typeof data === 'string') {
                data = JSON.parse(data);
            }
            Com.ajaxLoaded();
            if (data.isTradeLogined == '1') {
            	setTimeout(function() {
            		suixinyingContinue();
                }, 100);
            } else {
            	suixinyingActionLogin();
            }
        };
        //第一步判断是否登录
        Com.isTradelogin('suixinyingTradeLogin', {});
    };
    b.xsqLogin = function(callback) {
        $js.xsqTradeLogin = function(data) {
            if (typeof data === 'string') {
                data = JSON.parse(data);
            }
            if (data.isTradeLogined == '1') {
            	setTimeout(function() {
            		xsqContinue();
                }, 100);
            } else {
            	xsqActionLogin();
            }
        };
        //第一步判断是否登录
        Com.isTradelogin('xsqTradeLogin', {});
    };
    b.base64Decode = function (d) {
        var base64DecodeChars = [-1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 62, -1, -1, -1, 63, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, -1, -1, -1, -1, -1, -1, -1, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, -1, -1, -1, -1, -1, -1, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, -1, -1, -1, -1, -1];
        var a, b, e, c, f;
        c = d.length;
        e = 0;
        for (f = ""; e < c;) {
            do a = base64DecodeChars[d.charCodeAt(e++) & 255]; while (e < c && -1 == a);
            if (-1 == a)break;
            do b = base64DecodeChars[d.charCodeAt(e++) & 255]; while (e < c && -1 == b);
            if (-1 == b)break;
            f += String.fromCharCode(a << 2 | (b & 48) >> 4);
            do {
                a = d.charCodeAt(e++) & 255;
                if (61 == a)return f;
                a = base64DecodeChars[a]
            } while (e < c && -1 == a);
            if (-1 == a)break;
            f += String.fromCharCode((b & 15) << 4 | (a & 60) >> 2);
            do {
                b = d.charCodeAt(e++) & 255;
                if (61 == b)return f;
                b = base64DecodeChars[b]
            } while (e < c && -1 == b);
            if (-1 ==
                b)break;
            f += String.fromCharCode((a & 3) << 6 | b)
        }
        return f
    };
    b.bse64Encode  = function (d) {
        var base64EncodeChars = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";
        var a, b, e, c, f, g;
        e = d.length;
        b = 0;
        for (a = ""; b < e;) {
            c = d.charCodeAt(b++) & 255;
            if (b == e) {
                a += base64EncodeChars.charAt(c >> 2);
                a += base64EncodeChars.charAt((c & 3) << 4);
                a += "==";
                break
            }
            f = d.charCodeAt(b++);
            if (b == e) {
                a += base64EncodeChars.charAt(c >> 2);
                a += base64EncodeChars.charAt((c & 3) << 4 | (f & 240) >> 4);
                a += base64EncodeChars.charAt((f & 15) << 2);
                a += "=";
                break
            }
            g = d.charCodeAt(b++);
            a += base64EncodeChars.charAt(c >> 2);
            a += base64EncodeChars.charAt((c & 3) << 4 | (f & 240) >> 4);
            a += base64EncodeChars.charAt((f & 15) << 2 | (g & 192) >>
            6);
            a += base64EncodeChars.charAt(g & 63)
        }
        return a
    };
    b.isLocalhost = function () {
        return (window.location.host.indexOf('localhost') != -1);
    }
    /**
     * 进行通过app缓存加公共参数
     * @param param
     * @returns {*}
     */
    b.publicAppStorageArg = function (param) {
        var gs_proxy_params = {};
        param = param ? $.extend({}, param) : {};//深拷贝防止多次调用出问题
        if (Com.isLocalhost()) {
            if(param.gs_proxy_params){
                gs_proxy_params = $.extend(param.gs_proxy_params, {
                    "gs_req_type": "data",
                    "gs_req_host": "hdzx"
                });
            }else{
                gs_proxy_params = {
                    "gs_req_type": "data",
                    "gs_req_host": "hdzx"
                };
            }

            param.gs_proxy_params =  Com.bse64Encode(JSON.stringify(gs_proxy_params));


            //console.log(Com.base64Decode(param.gs_proxy_params));
            return param;

        } else {
            return param;
        }

    };
    b.ajax = function(obj) {
        var obj = obj || {},
            that = this;
        if (typeof obj.success !== 'function') {
            obj.success = function() {};
        }
        if (typeof obj.error !== 'function') {
            obj.error = function() {};
        }
        if (!obj.dataType) {
            obj.dataType = 'json';
        }
        if (!obj.type) {
            obj.type = 'post';
        }
        if (typeof obj.async === 'undefined') {
            obj.async = true
        }
        if (obj.data == null || obj.data == undefined) {
            obj.data = {};
        }
        obj.random = '_' + (Math.random() + '').split('.')[1];
        //定义js方法，供native调用，返回公共参数
        obj.data = Com.publicAppStorageArg(obj.data);//补齐缓存公共参数
        $.ajax({
            url: obj.url,
            data: obj.data,
            dataType: obj.dataType,
            type: obj.type,
            contentType: "application/x-www-form-urlencoded;charset=UTF-8",
            async: obj.async,
            success: function(respone) {
            	if (respone.code == 600){
        			Com.showNativeAlert("","登录超时，请稍后再来哦！",["确定"]);
        			return;
        		}else{
        			obj.success(respone);
        		}
            },
            error: function(a, b, c) {
            	obj.error(a, b, c);
            }
        });
    };
    window.Com = new a;
})(Zepto);

//native导航栏上的taps点击回调（废弃，最好加到具体页面的js里面）
/**
 * clickIndex:0点击了第一个taps/1:点击了第二个taps
 * @param nativeParam
 */
/*$js['titleTableviewClicked'] = function(nativeParam){
 if(nativeParam === 'string'){
 nativeParam = JSON.parse(nativeParam);
 }
 if(nativeParam.clickIndex == 0){
 //点击了第一个taps
 leftTabsHandle();
 }else{
 //点击了第二个taps
 rightTabsHandle();
 }
 };*/

/*native的放大镜搜索基金跳转到基金详情*/
$js["transitionQueryFundFinish"] = function(nativeparam) {
    if (typeof nativeparam === 'string') {
        nativeparam = $.parseJSON(nativeparam);
    }
    if (nativeparam.fundCode == '' || nativeparam.fundIssuerCode == '') {
        Com.showNativeAlert('', '基金代码或基金公司代码为空', ["确定"], '');
        return false;
    }
    Com.newWebViewOpenPage('', {
        "pageUrl": Com.getOrigin() + '/asset/mfund/pages/fund_details.html?ofcode=' + (nativeparam.fundCode),
        "weburl": ''
    });
};



//回退1个web页面
function goHistoryPage() {
    //Com.gobackNpage('1','');
    window.history.go(-1);
}

//fis3工具修正js文件中的图片、css路径问题
function __uri(url) {
    return url;
}

/**
 * native调H5方法的统一入口
 * @param nativeParam  json字符串，eg:'{"action":"XXXXX","param":{key:value......}}'
 * @param arguments[1]  参数nativeParam是否encode处理
 */
function onCallJs(nativeParam) {

  var encode_flag = arguments[1];
  if (!nativeParam || nativeParam == null || nativeParam == "undefined" || nativeParam == "") {
    return;
  }
  console.log(nativeParam);
  //校验参数数据
  if (encode_flag && encode_flag == "1") {
    nativeParam = decodeURIComponent(nativeParam);
  }
  nativeParam = nativeParam.replace(new RegExp('\r\n', "gm"), "");
  nativeParam = nativeParam.replace(/\s/gm, "");
  //安卓版本错误处理
  nativeParam = nativeParam.replace("token+", "token");
  nativeParam = nativeParam.replace("result+", "result");
  nativeParam = nativeParam.replace("message+", "message");
  try {
    // alert(nativeParam.param);
    //nativeParam.action : 业务名称, nativeParam.param : 业务参数
	  console.log(nativeParam.param)
    nativeParam = typeof nativeParam == "object" ? nativeParam : JSON.parse(nativeParam);
    if (window.$js) {
      if (typeof $js[nativeParam.action] == "function") {
        $js[nativeParam.action](nativeParam.param);
      }
    } else {
      window[nativeParam.action](nativeParam.param);
    }
  } catch (err) {
    //console.log("oncalljs error: " + err + ";data:" + JSON.stringify(nativeParam));
    Com.showNativeAlert('',err,["确定"],'');
  }
}

/**
 * 调用native的方法
 * @param module    native的模块名(事先约定好)
 * @param method    native的方法名
 * @param params    传给native的参数
 * @param arguments[3]    callback  非必须参数
 * @param arguments[4]    callback params  非必须参数，用于在非webview环境测试
 * 注意：请先在$js对象下定义好callback(arguments[3])，然后再调用onCallNative方法
 */
function onCallNative(module, method, params) {

    //非金太阳客户端统一不发伪协议请求
    var CLIENT = Com.getQueryStringByName("CLIENT");
    if (CLIENT == "NGS") return false;
    var PROCOTOL = 'guosen';
    //console.log(param);
    //console.log(callback);
    var l = "";
    var isMobile = Com.clientType();
    var delIframe = function(id) {
        var tmp = document.getElementById(id);
        if (tmp && tmp.remove) {
            tmp.remove();
        } else if (tmp) {
            document.body.removeChild(tmp);
        }
    };
    if (arguments.length == 3) {
        l = PROCOTOL + '://' + module + '/' + method + '/?params=' + JSON.stringify(params);
    } else if (arguments.length > 3) {
        /*var callback = arguments[3];

         if (callback && typeof callback === 'function') {
         var random = '_'+(Math.random()+'').split('.')[1];
         var callbackName = 'callback'+random;
         $js[callbackName] = callback;
         }else{
         var callbackName = callback;
         }*/
        l = PROCOTOL + '://' + module + '/' + method + '/?params=' + JSON.stringify(params);
        l = arguments[3] == "" ? l : l + '&callback=' + arguments[3];
    }
    //var l = PROCOTOL + '://' + module + '/' + method + '/?params={sequenceId:"20161021"}';
    //alert("打开伪协议：" + l);

    if (isMobile == 'android') {
        window.prompt(l);
    } else {
        var iframeid = module + method;
        var iframe = document.createElement("iframe");
        iframe.id = iframeid;
        iframe.src = l;
        iframe.style.display = "none";
        document.body.appendChild(iframe);
        setTimeout(function() {
            delIframe(iframeid);
        }, 100);
    }
    //window.location.href = l;

    if (!(isMobile == 'ios' || isMobile == 'android')) {
        arguments[4] = arguments[4] || "{}";
        onCallJs('{"action":"' + arguments[3] + '","param":' + arguments[4] + '}');
    }
}

Com.toFixed(); //对number新增一个toFixed2方法，用于四舍五入和保留特定的小数位



String.prototype.replaceAll = function(reallyDo, replaceWith, ignoreCase) {
    if (!RegExp.prototype.isPrototypeOf(reallyDo)) {
        return this.replace(new RegExp(reallyDo, (ignoreCase ? "gi" : "g")), replaceWith);
    } else {
        return this.replace(reallyDo, replaceWith);
    }
};

//文案集
window.MSGS = {
    zgNeedTrade: "查看此产品需要交易登录，请先完成交易登录！"
}