
/**
 * 如果没有特殊调用直接在最先模块引入此js
 * ERROR_REPORT.init({
 *      id:"1",//这个是项目区分id
        uid:"",//上报用户uid
        ver:"",//上报的版本号
        system:"",//区分系统
        delay :'2000',//延时上报
        repeat:'false'//是否允许重复上报，默认是不允许
 * });
 * 进行参数配置
 */


Date.prototype.format = function (pattern, isFill) {
    var Y = this.getFullYear();
    var M = this.getMonth() + 1;
    var d = this.getDate();
    var h = this.getHours();
    var m = this.getMinutes();
    var s = this.getSeconds();
    var w = this.getDay();
    var week = ['日', '一', '二', '三', '四', '五', '六'];
    w = week[w];
    if (isFill) {
        M = (M < 10) ? ('0' + M) : M;
        d = (d < 10) ? ('0' + d) : d;
        h = (h < 10) ? ('0' + h) : h;
        m = (m < 10) ? ('0' + m) : m;
        s = (s < 10) ? ('0' + s) : s;
        w = w;
    }
    pattern = pattern || '%Y-%M-%d %h:%m:%s';
    pattern = pattern.replace('%Y', Y);
    pattern = pattern.replace('%M', M);
    pattern = pattern.replace('%d', d);
    pattern = pattern.replace('%h', h);
    pattern = pattern.replace('%m', m);
    pattern = pattern.replace('%s', s);
    pattern = pattern.replace('%w', w);
    return pattern;
};
var ERROR_REPORT = (function(global){
    var t=new Date();

    var _config = {
        netAddr:"",
        pkg:"",
        path:"",
        id:"1",//这个是项目区分id
        uid:"",//上报用户uid
        ver:"",//上报的版本号
        softName:"",//区分系统
        delay :'2000',//延时上报
        repeat:'false',//是否允许重复上报，默认是不允许
        t :t.format('%Y/%M/%d %h:%m:%s',true) //记录请求时间

    }
    var reqHost = '';
    switch (window.location.host.split(':')[0]){
        case '172.24.140.61':
        case '58.61.28.213:1443':
            reqHost ='https://gstest.guosen.com.cn:9443';
            break;
        case '127.0.0.1':
        case 'localhost':
            reqHost ='https://gstest.guosen.com.cn:9443'
            break;
        default :
            reqHost = 'https://ecsvc.guosen.com.cn:1443';
            break;

    }
    var reportUrl = reqHost+'/gsreport/errorreport/uploadh5err/1.0';

    var exports =  {
        /**
         *进行参数配置初始化
         * @param config
         */
        init:function(config){
            var type = typeof config;
             if(type === "object" && !!config){
                 for (var key in config) {
                     _config[key] = config[key];
                 }
             }

        },
        extentObj :function(obj){
            for(var key in obj){
                _config[key]= obj[key]
            }
            return _config;
        },
        getOs:function(ua) {
            var oss = [/android[^;]*/gi, /\w* OS [^ ]*/gi,/Windows/gi];
            var i, o;
            ua = ua || navigator.userAgent;
            for (i = 0; i < oss.length; i++) {
                o = ua.match(oss[i]);
                if (o) {
                    return o[0];
                }
            }
            return 'unknown';
        },
        /**
         * 进行错误数据上报
         * @param errMsgArr
         */
        reportError:function(errMsgArr){
            var _errMsg = '',
                _errMsgId = errMsgArr[1].split('?')[0]+errMsgArr[2]+errMsgArr[3];//错误信息id 防止重复上报同一个错误
            if(!errMsgArr && errMsgArr.length<1){return};

            var errMsg = {
                "errDesc": errMsgArr[0],
                "errSource": encodeURIComponent(errMsgArr[1]),
                "errPos":errMsgArr[2]+','+errMsgArr[3]

            }

            var data = exports.extentObj(errMsg);

            setTimeout(function(){
                //var _img = new Image();
                //_img.src = _reqUrl;
                if(exports.getLocalStorage(errMsg.errPos)){
                    return;
                }else{
                    exports.setLocalStorage(errMsg.errPos);
                    exports.send('post',reportUrl,JSON.stringify(data));
                }
            },_config.delay);
        },
        getXMLHttpRequest: function(){
            var xhr;
            if(window.ActiveXObject) {
                xhr= new ActiveXObject("Microsoft.XMLHTTP");
            }else if (window.XMLHttpRequest) {
                xhr= new XMLHttpRequest();
            }else {
                xhr= null;
            }
            return xhr;
        },

        send: function(type,url,data){
            var xhr = exports.getXMLHttpRequest();

            xhr.open(type,url);
            xhr.setRequestHeader("Content-type","application/x-www-form-urlencoded; charset=utf-8");
            xhr.send(data);
            xhr.onreadystatechange= function() {
                if(xhr.readyState == 4 && xhr.status == 200) {

                }
            };
        },
        setLocalStorage:function(key){
            if(window.localStorage){
                localStorage.setItem(key,'1')
            }

        },
        getLocalStorage:function(key){
            return '';
            if(window.localStorage){
               return localStorage.getItem(key)
            }else{
                return '';
            }
        }


}
    var t=new Date();
    _config.softName =  exports.getOs();//获取系统类型
    _config.t = t.format('%Y-%M-%d %h:%m:%s');
    //进行监听全局的错误，如果出错则进行上报错误
    global.onerror = function(){
        exports.reportError(arguments);
    }

        return exports;
})(window);
