/* 级联字段
 * options:
 * options.link 级联关系 {name_next[级联关系名称]:{field_value[当前field值]:next_values[级联后置字段的可选值]}}
 * options.data 级联数据 {name[级联数据名称]:list[数据列表]}
 * options.f_Class 级联字段class
 * options.doLink 级联回调
 * options.eventName 事件
*/
(function(){
  var a = function(options) {

    var self = this
    
    // 判断f_class:级联字段class
    if(!options.f_Class){
    	console.log('options.f_class:级联字段class未配置！');
    	return;
    }
    if(!options.link){
    	console.log('options.link:级联关系未配置！');
    	return;
    }

    // 默认绑定onchange事件
    options.eventName = options.eventName? options.eventName:'onchange'

    var onChange = function(e){

    	var name = e.target.name,        // 字段名
    	next = e.target.dataset.next;    // 级联后置字段

		// next为空
		if(!next){return;}

		var value = e.target.value;
		var nextList = {}; // 级联字段数据集
		var nexts = next.split(',');

		for(var n = 0; n < nexts.length; n++){
			var linkName = name + '_' + nexts[n]
			var linkList = []
			if(!!options.link[linkName]){
			
				var linkDict = options.link[linkName][value]
				var linkDict = !!linkDict? linkDict.split(','):[]
				if(linkDict.length){
					// 级联关系不为空
					var nextValues = linkDict;
					var nlist = options.data[nexts[n]] ? options.data[nexts[n]] : []
					if(nlist.length){
						for(var i = 0; i < nlist.length; i++){
							if(nextValues.indexOf(nlist[i].value+'')>=0){
								linkList.push(nlist[i])
							}
						}
					}else{
						console.log('options.data配置' + nexts[n] + '不存在或者为空')
					}
				}else{
					// 级联关系为空，级联数据默认为全部
					linkList = options.data[next] || []
				}

				nextList[linkName] = linkList

			}else{
				console.log('options.link未配置对应的关联关系')
			}
		}	

		var data = {
			name:name,  // 当前选择的字段名
			next:next,  // 级联后置字段
			linkName:linkName,  // 级联关系名称
			nextList:nextList,  // 后置字段级联数据集
			value:value,  // 当前字段选择的值
		}

		// 执行doLink
		options.doLink(data)

    }

    var link_fields = document.querySelectorAll(options.f_Class)

    // 绑定每一个关联输入域
    for(var j = 0; j < link_fields.length; j++){
    	link_fields[j][options.eventName] = onChange
    }

  }

  window.LinkFileds = a;

})();