;(function(){
  var a = function(){}, RiskMatch = a.prototype;

  RiskMatch.defaulttimes = 5;
  RiskMatch.seconds = RiskMatch.defaulttimes;
  RiskMatch._t = null;

  RiskMatch.tpl = '<div class="riskMatch"><div class="padding15">'
                + '{{if title}}<h1 class="font16">{{title}}</h1>{{/if}}'
                + '<div class="content font14" style="padding-bottom:40px;">{{#content}}</div>'
                + '</div>'
                + '{{if btns.length==1}}'
                + '<!-- 单个购买按钮 -->'
                + '<div class="bottom_btn btn-wrapper">'
                + '<button class="font18 buy_now riskMatchBtn" data-prdtype="{{prdtype}}"  data-type="{{btns[0].type}}">{{btns[0]["name"]}}'
                + '{{if countdown}}'
                + '<!-- 是否需要倒数 -->'
                + '<span id="_t"></span>'
                + '{{/if}}'
                +'</button>'
                + '</div>'
                + '{{else if btns.length=2}}'
                + '<!-- 两个按钮 -->'
                + '<div class="bottom_btn btn-wrapper twobtn">'
                + '<button class="font18 riskMatchBtn" data-prdtype="{{prdtype}}" data-type="{{btns[0].type}}">{{btns[0]["name"]}}</button>'
                + '<button class="font18 riskMatchBtn" data-prdtype="{{prdtype}}" data-type="{{btns[1].type}}">'
                + '{{btns[1]["name"]}}'
                + '{{if countdown}}'
                + '<!-- 是否需要倒数 -->'
                + '<span id="_t"></span>'
                + '{{/if}}'
                + '</button>'
                + '</div></div>'
                + '{{/if}}';

  //RiskMatch = {};
  RiskMatch.inited = false;
  RiskMatch.apis = {
    "420846":"/gsfinancing/suitable/chkRiskMatchInfo/1.0",  //适当性匹配查询420846 (适用于基金、资管、现金增利、信鑫宝)
    "425006":"/gsfinancing/suitable/chkCustRiskMatch/1.0",  //客户适当性匹配 425006（适用于金天利、服务产品、小微通等)
    "420847":"/gsfinancing/suitable/fundRiskMatchConfirm/1.0",  //适当性匹配结果记录420847(适用于基金、资管、现金增利、信鑫宝)
    "425006_1":"/gsfinancing/suitable/custRiskMatchConfirm/1.0",  //客户适当性匹配结果确认425006（适用于金天利、服务产品、小微通等)
    "425005":"/gsfinancing/suitable/qryCustRiskMatch/1.0",  //客户适当性业务匹配情况查询425005(适用于金天利、服务产品、小微通等)
    "56010":"/gsfinancing/otc/checkCustRiskMatch/1.0",  //OTC产品客户适当性匹配
    "ggt":"/gstrade/ggt/chkCustRiskMatch/1.0"  //港股通客户适当性匹配
  }

  //低风险保护拒绝提示信息
  RiskMatch.lowriskmsg = "尊敬的客户，根据您最近一次风险承受能力测评结果，您属于风险承受能力最低类别客户，为保护您的合法权益，按照有关规定，您不适合购买此产品或接受此服务，如有咨询，请电95536。";
  //高风险产品第一次提示信息
  RiskMatch.highriskmsg = "尊敬的客户，您拟购买的产品是高风险产品，请确认您已全面了解该产品信息及特别风险点，建议您进行足够时间的独立思考，审慎选择是否投资。";
  //初始化
  RiskMatch.init = function(options){
    console.log(options)
    RiskMatch.options = options;
    RiskMatch.inited = true;
  }

  RiskMatch.getMatch = function(){
    var api = "";
    var isNeedSign = false;
    if(RiskMatch.inited && "GMJJ,ZG,FJ,JLC8,XJZL,XXB".indexOf(RiskMatch.options.prdtype)>=0){
      api = RiskMatch.apis["420846"];
    }else if(RiskMatch.inited && "JTL".indexOf(RiskMatch.options.prdtype)>=0){
      api = RiskMatch.apis["425006"];
    }else if("OTC".indexOf(RiskMatch.options.prdtype)>=0){
      api = RiskMatch.apis["56010"];
    }else if("GGT".indexOf(RiskMatch.options.prdtype)>=0){
      api = RiskMatch.apis["ggt"];
      isNeedSign = true;
    }

    Com.ajax({
      url:api,
      type:"post",
      isTradeLogin:true,
      isNeedSign:isNeedSign,
      isNeedLoading:true,
      data:RiskMatch.options.data,
      success:function(res){
        RiskMatch.apiData = res;  //缓存匹配结果
        if(res.result[0]["code"]!=0){
          Com.showNativeAlert('',res.result[0]["msg"],['确定']);
          if(RiskMatch.options.btn){
            $("#" + RiskMatch.options.btn).removeClass("disabled").removeClass("forbid").removeClass("gray");
            $("#" + RiskMatch.options.btn).removeAttr("disabled");
          }
          return false;
        }
        RiskMatch.afterMatch(res);
      }
    });
  }

  //适当性匹配结果处理
  RiskMatch.afterMatch = function(res){
    if("GMJJ,XXB,ZG,JLC8,FJ,XJZL".indexOf(RiskMatch.options.prdtype)>=0){
      RiskMatch["Matching1"](res, RiskMatch.options.raction);
    }else if("GGT".indexOf(RiskMatch.options.prdtype)>=0){
      RiskMatch["GGTMatching"](res, RiskMatch.options.raction);
    }else{
      RiskMatch[RiskMatch.options.prdtype+"Matching"](res, RiskMatch.options.raction);
    }
  }

  //换行符处理
  RiskMatch.handleContent = function(content){
      content = content.replace(/\\r\\n/ig,"<br/><br/>");
      //content = content.replace(/[\n]+/gmi,"<p>");
      //content = content.replace(/[\s]/gmi,"");
      //content = content.replace(/[\r]/gmi,"<br/>");
      return content;
  }

  //按钮处理
  RiskMatch.bindBtns = function(){
    $(".riskMatchBtn").bind("click",function(e){
      var type = e.target.dataset.type;
      var prdtype = e.target.dataset.prdtype;

      if(e.target.disabled){
        return false;
      }
      e.target.disabled = true;
      console.log(type+":" + prdtype)

      if(prdtype=="JTL" && type=="SIGN"){
        //金天利签约
        F.gotoSign();
      }else if(prdtype=="JTL" && type=="BUY"){
        //金天利购买
        F.toBuy();
      }else if("GMJJ,XXB,ZG,JLC8,FJ,XJZL".indexOf(prdtype) >=0 && "BUY,CHANGE,DT,SIGN".indexOf(type)>=0){
        //公募基金，信鑫宝、资管产品购买
        var res = RiskMatch.apiData;
        //定义确定操作处理
        var Ensure = function(){
          if(RiskMatch.apiData.match_result[0].ofrisk == 5){
            var _pageType = RiskMatch.apiData.match_result[0]["chkresult"] == 0? 2 : 1;
            var _btns = RiskMatch.apiData.match_result[0]["chkresult"] == 0? [{name:"取消购买/使用",type:"CANCLE"},{name:"同意上述文件",type:"CONFIRMBUY"}] : [{name:"取消购买/使用",type:"CANCLE"},{name:"同意上述文件",type:"CONFIRMBUY"}];
            //最高风险产品
            var data = {
              title:"高风险产品或服务的再次风险警示",
              content:RiskMatch.apiData.match_result[0].highriskmsg,
              pageType:_pageType,
              btns:_btns,
              prdtype:RiskMatch.options.prdtype,
              countdown:30
            }

            if(RiskMatch.options.raction=="CHANGE"){  //基金转换
              //data.btns = [{name:"取消购买/使用",type:"CANCLE"},{name:"同意上述文件",type:"CONFIRMBUY"}];
              data.btns[1]["type"] = "CONFIRMBUY";
            }else if(RiskMatch.options.raction=="DT"){  //基金定投设定
              //data.btns = [{name:"取消购买/使用",type:"CANCLE"},{name:"同意上述文件",type:"CONFIRMDT"}];
              data.btns[1]["type"] = "CONFIRMDT";
              // if(data.pageType==2){
              //   data.btns[1]["type"] = "CONFIRMDT"
              // }else if(data.pageType==1){
              //   data.btns[0]["type"] = "CONFIRMDT"
              // }
            }else if(RiskMatch.options.raction=="SIGN"){  //签约
              //data.btns = [{name:"取消购买/使用",type:"CANCLE"},{name:"同意上述文件",type:"CONFIRMSIGN"}];
              data.btns[1]["type"] = "CONFIRMSIGN";
              // if(data.pageType==2){
              //   data.btns[1]["type"] = "CONFIRMSIGN"
              // }else if(data.pageType==1){
              //   data.btns[0]["type"] = "CONFIRMSIGN"
              // }
            }

            RiskMatch.renderConfirm(data);
          }else{
            if(type=="DT"){
              RiskMatch[RiskMatch.options.prdtype + "ToEnsureDT"]();
            }else{
              RiskMatch[RiskMatch.options.prdtype + "ToEnsureBUY"]();
            }
          }
        }
        //判断是否需要留痕
        if(RiskMatch.apiData.match_result[0]["recflag"]==1){
          var confirmflag = RiskMatch.apiData.match_result[0]["chkresult"] == 0? 0:1;
          RiskMatch.confirRecord(confirmflag, Ensure);
        }else{
          Ensure();
        }
      }else if("OTC".indexOf(prdtype) >=0 && type=="BUY"){
        //OTC购买
        var res = RiskMatch.apiData;
        //定义确定操作处理
        var Ensure = function(){
          if(RiskMatch.apiData.data[0].highriskprdflag == 1){
            //最高风险产品
            var _pageType = RiskMatch.apiData.data[0]["matchflag"] == 1? 2:1;
            var _btns = RiskMatch.apiData.data[0]["matchflag"] == 1? [{name:"取消购买/使用",type:"CANCLE"},{name:"同意上述文件",type:"CONFIRMBUY"}]:[{name:"取消购买/使用",type:"CANCLE"},{name:"同意上述文件",type:"CONFIRMBUY"}];
            var data = {
              title:"高风险产品或服务的再次风险警示",
              content:RiskMatch.apiData.data[0].calmmsg,
              pageType:_pageType,
              btns: _btns,
              prdtype:RiskMatch.options.prdtype,
              countdown:30
            }
            RiskMatch.renderConfirm(data);
          }else{
            RiskMatch[RiskMatch.options.prdtype + "ToEnsureBUY"]();
          }
        }
        Ensure();
      }else if("GMJJ,XXB,ZG,JLC8,FJ,XJZL".indexOf(prdtype)>=0 && "CONFIRMBUY,CONFIRMDT,CONFIRMSIGN".indexOf(type)>=0){
        //公募基金，信鑫宝、资管产品二次确认购买
        var Ensure = function(){
          console.log("~~~" + RiskMatch.options.prdtype + "ToEnsure" + RiskMatch.options.raction)
          if(RiskMatch.options.prdtype=="GMJJ" && type=="CHANGE"){
            RiskMatch[RiskMatch.options.prdtype + "ToEnsureBUY"]();
          }else if(RiskMatch.options.prdtype=="XJZL" && type=="CONFIRMSIGN"){
            RiskMatch[RiskMatch.options.prdtype + "ToEnsureBUY"]();
          }else{
            RiskMatch[RiskMatch.options.prdtype + "ToEnsure" + RiskMatch.options.raction]();
          }
        }
        //判断是否留痕
        if(RiskMatch.apiData.match_result[0]["recflag"]==1){
          RiskMatch.confirRecord(3, Ensure);
        }else{
          Ensure();
        }
      }else if("OTC".indexOf(prdtype)>=0 && type=="CONFIRMBUY"){
          RiskMatch[RiskMatch.options.prdtype + "ToEnsureBUY"]();
      }else if("GMJJ,XXB,ZG,JLC8,FJ".indexOf(prdtype)>=0 && type=="CANCLE"){
        //公募基金，信鑫宝、资管产品暂不购买
        document.querySelector(RiskMatch.options.viewid).style.display = "none";
        document.querySelector(RiskMatch.options.pageid).style.display = "block";
        document.querySelector(RiskMatch.options.viewid).innerHTML = "";
        if("JLC8,FJ,ZG".indexOf(prdtype)>=0){
          $('#fbuy_buy_btn').removeClass("forbid");
        }
        if(RiskMatch.options.btn){
          $("#" + RiskMatch.options.btn).removeClass("disabled").removeClass("forbid").removeClass("gray");
          $("#" + RiskMatch.options.btn).removeAttr("disabled");
        }

      }else if(type=="SURE"){
        RiskMatch[RiskMatch.options.prdtype + "ToEnsure" + RiskMatch.options.raction]();
      }else if(type=="CANCLE" && "GGT".indexOf(prdtype)>=0){ //取消开通港股通
        Cancle();
      }else if(type=="CANCLE"){
        document.querySelector(RiskMatch.options.viewid).style.display="none";
        document.querySelector(RiskMatch.options.pageid).style.display = "block";
        document.querySelector(RiskMatch.options.viewid).innerHTML = "";
        if(RiskMatch.options.btn){
          $("#" + RiskMatch.options.btn).removeClass("disabled").removeClass("forbid").removeClass("gray");
          $("#" + RiskMatch.options.btn).removeAttr("disabled");
        }
      }
    })
  }

  //金天利适当性匹配
  RiskMatch.JTLMatching = function(res,type){
      var match_result = res.match_result[0];
      if(match_result.EXEMPT_FLAG==1){
        //专业投资者
        if(type=="BUY"){
          F.toBuy();
        }else if(type=="SIGN"){
          F.gotoSign();
        }
      }else if(match_result.RISK_FLAG==0){
        //风险测评过期或者未风测
        var msg = "您未进行风险测评或风险测评已过期，请进行风险测评！";
        Com.showNativeAlert('',msg,['确定'],function(){
          var ohref = location.href.substring(location.href.indexOf("://")+3);
          var _protocol = location.protocol == "https:"? "1":"0";
          //重新激活按钮
          if(RiskMatch.options.btn){
            $("#" + RiskMatch.options.btn).removeClass("disabled").removeClass("forbid").removeClass("gray");
            $("#" + RiskMatch.options.btn).removeAttr("disabled");
          }
          RiskMatch.common_goRisk(ohref ,_protocol);
        });

        return false;
      }else if(match_result.LOW_RISK_FLAG==1){
        //最低风险保护
        Com.showNativeAlert("低风险用户保护提示",RiskMatch.lowriskmsg,['我知道了'],function(){
          if(RiskMatch.options.btn){
            $("#" + RiskMatch.options.btn).removeClass("disabled").removeClass("forbid").removeClass("gray");
            $("#" + RiskMatch.options.btn).removeAttr("disabled");
          }
        });
      }else if(match_result.MATCH_RESULT==0 || match_result.MATCH_RESULT==1){
        //不管匹配不匹配都显示文案
        var btns = [];
        var pageType = 1;
        if(type=="SIGN"){
          btns = match_result.MATCH_RESULT==0? [{name:"取消购买/使用",type:"CANCLE"},{name:"同意上述文件",type:type}]:[{name:"我已阅读并同意上述文件",type:type}];
          pageType = 1;
        }else if(type=="BUY"){
          btns = match_result.MATCH_RESULT==0? [{name:"取消购买/使用",type:"CANCLE"},{name:"同意上述文件",type:"BUY"}]:[{name:"我已阅读并同意上述文件",type:"BUY"}];
          pageType = match_result.MATCH_RESULT==0? 2:1;
        }
        var match_info = res.match_info[0]
        var data = {
          title:match_info.title,
          content:match_info.content,
          pageType:pageType,
          btns:btns,
          prdtype:"JTL"
        }
        RiskMatch.renderConfirm(data);
      }
  }

  //港股通适当性匹配
  RiskMatch.GGTMatching = function(res,type){
      var match_result = res.match_result[0];
      if(match_result.MATCH_RESULT==0 || match_result.MATCH_RESULT==1){
        //不管匹配不匹配都显示文案
        var btns = match_result.MATCH_RESULT==0? [{name:"取消开通",type:"CANCLE"},{name:"同意上述文件",type:type}]:[{name:"我已阅读并同意上述文件",type:type}];
        var match_info = res.match_info[0]
        var data = {
          title:match_info.title,
          content:match_info.content,
          btns:btns,
          prdtype:"GGT"
        }
        RiskMatch.renderConfirm(data);
      }
  }

  //OTC适当性匹配
  RiskMatch.OTCMatching = function(res, type){
    //todo
    var match_result = res.data[0];
    if(match_result.exemptflag==0){
      //专业投资者
      if(type=="BUY"){  //OTC购买
        RiskMatch[RiskMatch.options.prdtype + "ToEnsureBUY"]();
        //toEnsureBuy(RiskMatch.options.data.stkcode,RiskMatch.options.data.tacode,"0");
      }else if(type=="OPEN"){  //OTC开户定投
        toEnsureBuy(RiskMatch.options.data.stkcode,RiskMatch.options.data.tacode,"1");
      }
    }else if(match_result.lowriskflag==1){
      //最低风险保护
      Com.showNativeAlert("低风险用户保护提示",RiskMatch.lowriskmsg,['我知道了'],function(){
        if(RiskMatch.options.btn){
          $("#" + RiskMatch.options.btn).removeClass("disabled").removeClass("forbid").removeClass("gray");
          $("#" + RiskMatch.options.btn).removeAttr("disabled");
        }
      });

      return false;
    }else if(match_result.matchflag==2){

      //风测过期或者未进行风测
      var msg = "您未进行风险测评或风险测评已过期，请进行风险测评！";
      Com.showNativeAlert('',msg,['确定'],function(){
        var ohref = location.href.substring(location.href.indexOf("://")+3);
        var _protocol = location.protocol == "https:"? "1":"0";
        //重新激活按钮
        if(RiskMatch.options.btn){
          $("#" + RiskMatch.options.btn).removeClass("disabled").removeClass("forbid").removeClass("gray");
          $("#" + RiskMatch.options.btn).removeAttr("disabled");
        }
        RiskMatch.common_goRisk(ohref ,_protocol);
      });
      return false;
    }
    else if(match_result.highriskprdflag==1){
      //最高风险产品
      Com.showNativeAlert("",RiskMatch.highriskmsg,['取消','确定'],function(params){
        if(params.clickedIndex==1){
          RiskMatch.afterOTCHighRisk();
        }else if(params.clickedIndex==0){
          console.log("取消：" + RiskMatch.options.btn);
          if(RiskMatch.options.btn){
            $("#" + RiskMatch.options.btn).removeClass("disabled").removeClass("forbid").removeClass("gray");
            $("#" + RiskMatch.options.btn).removeAttr("disabled");
          }
        }
      })
    }else{
      //非最高风险产品
      RiskMatch.afterOTCHighRisk();
    }
  }

  //购买GMJJ,XXB,ZG,JLC8,FJ,XJZL适当性匹配
  RiskMatch.Matching1 = function(res, type){
    //todo
    var match_result = res.match_result[0];
    if(match_result.chkresult==6){
      //专业投资者
      if(RiskMatch.options.prdtype=="GMJJ" && type=="CHANGE"){
        RiskMatch[RiskMatch.options.prdtype + "ToEnsureBUY"]();
      }else if(type=="DT" && RiskMatch.options.prdtype=="GMJJ"){  //基金定投
        DTToEnsureBuy();
      }else{
        RiskMatch[RiskMatch.options.prdtype + "ToEnsure" + type]();
      }
    }else if(match_result.chkresult==4){
      //最低风险保护
      Com.showNativeAlert("低风险用户保护提示",RiskMatch.lowriskmsg,['我知道了'],function(){
        //location.href = 'index.html';
        if(RiskMatch.options.btn){
          $("#" + RiskMatch.options.btn).removeClass("disabled").removeClass("forbid").removeClass("gray");
          $("#" + RiskMatch.options.btn).removeAttr("disabled");
        }
      });

      return false;
    }else if(match_result.chkresult==2 || match_result.chkresult==3){
      //风测过期或者未进行风测
      var msg = "风险承受能力不匹配，请进行风险测评！";
      if(match_result.chkresult==2){
        msg =  '您未进行风险测评，请进行风险测评！';
      }else if(match_result.chkresult==3){
        msg = '您的风险测评已过期，请重新进行风险测评！';
      }
      Com.showNativeAlert('',msg,['确定'],function(){
        var ohref = location.href.substring(location.href.indexOf("://")+3);
        var _protocol = location.protocol == "https:"? "1":"0";
        RiskMatch.common_goRisk(ohref ,_protocol);
      });

      //重新激活按钮
      if(RiskMatch.options.btn){
        $("#" + RiskMatch.options.btn).removeClass("disabled").removeClass("forbid").removeClass("gray");
        $("#" + RiskMatch.options.btn).removeAttr("disabled");
      }

      return false;
    }
    // else if(match_result.chkresult==5){
    //   var match_info = res.match_info[0];
    //   var data = {
    //     title:match_info.title,
    //     content:match_info.content,
    //     pageType:1,
    //     btns:[{name:"同意上述文件",type:"CANCLE"}],
    //     prdtype:RiskMatch.options.prdtype
    //   }
    //   RiskMatch.renderConfirm(data);
    // }
    else if(match_result.ofrisk==5){
      //最高风险产品
      Com.showNativeAlert("",RiskMatch.highriskmsg,['取消','确定'],function(params){
        if(params.clickedIndex==1 && RiskMatch.apiData.match_result[0]["recflag"]==1){
          RiskMatch.confirRecord(2,RiskMatch.afterHighRisk);
        }else if(params.clickedIndex==1){
          RiskMatch.afterHighRisk();
        }else if(params.clickedIndex==0){
          console.log("取消：" + RiskMatch.options.btn);
          if(RiskMatch.options.btn){
            $("#" + RiskMatch.options.btn).removeClass("disabled").removeClass("forbid").removeClass("gray");
            $("#" + RiskMatch.options.btn).removeAttr("disabled");
          }
        }
      })
    }else{
      //非最高风险产品
      RiskMatch.afterHighRisk();
    }
  }

  RiskMatch.afterHighRisk = function(){
    var res = RiskMatch.apiData;
    var type = RiskMatch.options.raction;
    var match_result = res.match_result[0];
      //渲染数据
      var match_info = res.match_info[0]

      var _pageType = match_result.chkresult==0? 2:1;
      var _btns = match_result.chkresult==0? [{name:"取消购买/使用",type:"CANCLE"},{name:"同意上述文件",type:"BUY"}]:[{name:"我已阅读并同意上述文件",type:"BUY"}];

      var data = {
        title:match_info.title,
        content:match_info.content,
        pageType:_pageType,
        btns:_btns,
        prdtype:RiskMatch.options.prdtype
      }

      //风险不匹配拒绝。提示适当性不匹配
      if(match_result.chkresult==5){
        data.pageType = 1;
        data.btns = [{name:"同意上述文件",type:"CANCLE"}];
      }else if(RiskMatch.options.prdtype=="GMJJ" && RiskMatch.options.raction=="CHANGE"){
        //data.btns = [{name:"取消购买/使用",type:"CANCLE"},{name:"同意上述文件",type:"CHANGE"}];
        if(data.pageType==1){
          data.btns[0]["type"] = "CHANGE";
        }else if(data.pageType==2){
          data.btns[1]["type"] = "CHANGE";
        }
      }else if(RiskMatch.options.prdtype=="GMJJ" && RiskMatch.options.raction=="DT"){
        //data.btns = [{name:"取消购买/使用",type:"CANCLE"},{name:"同意上述文件",type:"DT"}];
        if(data.pageType==1){
          data.btns[0]["type"] = "DT";
        }else if(data.pageType==2){
          data.btns[1]["type"] = "DT";
        }
      }else if(RiskMatch.options.prdtype=="XJZL" && RiskMatch.options.raction=="SIGN"){
        //data.btns = [{name:"取消购买/使用",type:"CANCLE"},{name:"同意上述文件",type:"SIGN"}];
        if(data.pageType==1){
          data.btns[0]["type"] = "SIGN";
        }else if(data.pageType==2){
          data.btns[1]["type"] = "SIGN";
        }
      }
      RiskMatch.renderConfirm(data);
  }

  //OTC最高风险提示后
  RiskMatch.afterOTCHighRisk = function(){
    var res = RiskMatch.apiData;
    var type = RiskMatch.options.raction;
    var match_result = res.data[0];
      //渲染数据
      var _pageType = match_result.chkresult==0? 2:1;
      var _btns = match_result.chkresult==0? [{name:"取消购买/使用",type:"CANCLE"},{name:"同意上述文件",type:"BUY"}]:[{name:"我已阅读并同意上述文件",type:"BUY"}];
      var data = {
        title:match_result.detailtitle,
        content:match_result.detailmsg,
        pageType:_pageType,
        btns:_btns,
        prdtype:RiskMatch.options.prdtype
      }

      //资管产品小集合且匹配不成功
      if(match_result.matchflag==1){
        data.pageType = 1;
        data.btns = [{name:"同意上述文件",type:"CANCLE"}];
      }

      RiskMatch.renderConfirm(data);

  }

  //公募基金购买
  RiskMatch.GMJJToEnsureBUY = function(){
    toEnsureBuy(RiskMatch.options.data.stkcode,RiskMatch.options.data.tacode,"0");
  }
  //信鑫宝购买
  RiskMatch.XXBToEnsureBUY = function(){
    toEnsureBuy();
  }
  //金理财8购买
  RiskMatch.JLC8ToEnsureBUY = function(){
    toEnsureBuy();
  }
  //债分购买
  RiskMatch.FJToEnsureBUY = function(){
    toEnsureBuy();
  }
  //资管购买
  RiskMatch.ZGToEnsureBUY = function(){
    toEnsureBuy();
  }
  //OTC购买
  RiskMatch.OTCToEnsureBUY = function(){
    toEnsureBuy();
  }
  //现金增利确定签约
  RiskMatch.XJZLToEnsureBUY = function(){
    toEnsureBuy();
  }

  //基金定投
  RiskMatch.GMJJToEnsureDT = function(){
    DTToEnsureBuy();
  }

  //基金定投
  RiskMatch.GMJJToEnsureCHANGE = function(){
    toEnsureBuy();
  }

  //开通港股通
  RiskMatch.GGTToEnsureSURE = function(){
    GGTToEnsureSURE();
  }

  //基金、资管、现金增利、信鑫宝留痕
  RiskMatch.confirRecord = function(confirmflag, callback){
    var data = {};

    data.market = RiskMatch.options.data.market || "";
    data.tacode = RiskMatch.options.data.tacode || "";
    data.stkcode = RiskMatch.options.data.stkcode || "";
    data.bsflag = RiskMatch.options.data.bsflag || "";
    data.confirmflag = confirmflag;
    data.suitchkdate = RiskMatch.apiData.match_result[0]["suitchkdate"] || "";
    data.suitsno = RiskMatch.apiData.match_result[0]["suitsno"] || "";

    if(RiskMatch.options.prdtype=='XJZL'){
      //针对现金增利逻辑调整
      data.nonApi = RiskMatch.options.nonApi;
    }
    Com.ajax({
      url:RiskMatch.apis["420847"],
      type:"post",
      data:data,
      isTradeLogin:true,
      isNeedLoading:true,
      success:function(res){
        if(res.result[0]["code"]==0){
          if(typeof callback=="function"){
            callback();
          }
        }else{
          $(".riskMatchBtn").removeAttr("disabled");
          if(RiskMatch.options.prdtype!='XJZL'){
            Com.showNativeAlert('',res.result[0]["msg"] + "1",['确定']);
          }
        }
      }
    })
  }

  //金天利、服务产品、小微通留痕
  RiskMatch.confirRecord2 = function(MATCH_BIZ_TYPE, callback){
    var data = {MATCH_BIZ_TYPE:MATCH_BIZ_TYPE};

    Com.ajax({
      url:RiskMatch.apis["425006_1"],
      type:"post",
      data:data,
      isTradeLogin:true,
      isNeedLoading:true,
      success:function(res){
        if(res.result[0]["code"]==0){
          if(typeof callback=="function"){
            callback();
          }
        }else{
          $(".riskMatchBtn").removeAttr("disabled");
          Com.showNativeAlert('',res.result[0]["msg"],['确定']);
        }
      }
    })
  }

  //渲染确认内容
  RiskMatch.renderConfirm = function(data){
    //转换换行符
    data.content =  RiskMatch.handleContent(data.content);

    var render = template.compile(RiskMatch.tpl);
    document.querySelector(RiskMatch.options.viewid).innerHTML = render(data);
    document.querySelector(RiskMatch.options.pageid).style.display = "none";
    document.querySelector(RiskMatch.options.viewid).style.display="block";
    RiskMatch.bindBtns();
    if(data.countdown){
      var counttime = RiskMatch.seconds;
      if(RiskMatch.options.prdtype=="OTC"){
        counttime = RiskMatch.apiData.data[0]["calmtime"] || RiskMatch.seconds;
      }else{
        counttime = RiskMatch.apiData.match_result[0]["countdown"] || RiskMatch.seconds;
      }
      RiskMatch.times("_t", counttime);
    }
  }

  //倒数
  RiskMatch.times = function (){
        RiskMatch.countBtn = arguments[0] || RiskMatch.countBtn;
        RiskMatch.seconds = arguments[1] || RiskMatch.seconds;
        if(!RiskMatch.countBtn) {
          return false;
        }
        RiskMatch.seconds = RiskMatch.seconds-1;
        var $text = $("#" + RiskMatch.countBtn)
        $text.text("(" + RiskMatch.seconds + "')");
        $text.parents("button").attr("disabled",true);
        RiskMatch._t = setTimeout(RiskMatch.times, 1000);
        if ( RiskMatch.seconds <= 0 ){
            RiskMatch.seconds = RiskMatch.defaulttimes;
            $text.text("");
            $text.parents("button").removeAttr("disabled");
            clearTimeout(RiskMatch._t);
        }
  }

  /**
   * 去做风险测评
   * @param nextUrl 完成风险测评需要跳转的下一个页面
   * @param httporhttps 协议类型:http||https
   */
  RiskMatch.common_goRisk = function(nextUrl,httporhttps){
      Com.ajax({
          "url":Com.getOrigin()+"/goldsun/risktest/getToken/1.0",
          "data":{},
          "type":"post",
          "dataType":"json",
          "success":function(d){
              $js.getFundId = function(pm){
                  var fundid = pm.fundId;
                  var custid = pm.customId;
                  var token = d.data[0].token;
                  var tradeToken = d.data[0].tradeToken;
                  var ourl = encodeURIComponent(nextUrl);
                  var host_name = location.hostname;
                  //Com.setWebviewTitle('',{"title":"风险测评","bgColor":"272736"});
                  var pageUrl = "";
                  if(host_name == '172.24.140.61' || host_name == '58.61.28.213'){
                      //测试环境
                      var pageUrl = Com.getOrigin()+'/asset/risk/index.html?tradeToken=' + tradeToken
                                + '&custid=' + custid + '&fundid=' + fundid
                                //+ '&protocol=' + httporhttps + '&p_next=' + ourl;
                  	Com.newWebViewOpenPage('',{"pageUrl":pageUrl,"weburl":pageUrl});
                  }else{
                    //生产环境
                    var pageUrl = 'https://ecsvc.guosen.com.cn:1443/asset/risk/index.html?token=tradeToken=' + tradeToken
                              + '&custid=' + custid + '&fundid=' + fundid
                              //+ '&protocol=' + httporhttps + '&p_next=' + ourl;
                    Com.newWebViewOpenPage('',{"pageUrl":pageUrl,"weburl":pageUrl});
                  }
              };
              if(d.result[0].code == '0'){
                  onCallNative('DataService','getTradeLoginData','','getFundId','{"fundId":"110002345509","randomKey":"Fundid:1097256205:110002345509","orgId":"xxxx"}');
              }
              else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                  return false;
              }
              else{
                  Com.showNativeAlert("",d.result[0].msg,["确定"],'');
              }
          },
          "isTradeLogin":true,
          "error":function(){
              Com.showNativeAlert("",'网络不给力',["确定"],'');
          }
      });
  }

  window.RiskMatch =  new a();
})()
