;(function(){
  var a = function(){}, RiskMatch = a.prototype;

  RiskMatch.defaulttimes = 30;
  RiskMatch.seconds = RiskMatch.defaulttimes;
  RiskMatch._t = null;

  RiskMatch.tpl = '<div class="riskMatch"><div class="padding15">'
      + '{{if title}}<h1 class="font16">{{title}}</h1>{{/if}}'
      + '<div class="content font14" style="padding-bottom:40px;">{{#content}}</div>'
      + '</div>'
      + '{{if btns.length==1}}'
      + '<!-- 单个购买按钮 -->'
      + '<div class="bottom_btn btn-wrapper">'
      + '<a href="javascript:void(0)" class="riskMatchrobot">'
      + '<i class="riskMatcroboticon"></i>'
      + '<span class="font12">咨询</span>'
      + '</a>'
      + '<button class="font18 buy_now riskMatchBtn newwidth" data-prdtype="{{prdtype}}"  data-type="{{btns[0].type}}">{{btns[0]["name"]}}'
      + '{{if countdown}}'
      + '<!-- 是否需要倒数 -->'
      + '<span id="_t"></span>'
      + '{{/if}}'
      +'</button>'
      + '</div>'
      + '{{else if btns.length=2}}'
      + '<!-- 两个按钮 -->'
      + '<div class="bottom_btn btn-wrapper twobtn">'
      + '<a href="javascript:void(0)" class="riskMatchrobot">'
      + '<i class="riskMatcroboticon"></i>'
      + '<span class="font12">咨询</span>'
      + '</a>'
      + '<button class="font18 riskMatchBtn newwidth" data-prdtype="{{prdtype}}" data-type="{{btns[0].type}}">{{btns[0]["name"]}}</button>'
      + '<button class="font18 riskMatchBtn newwidth" data-prdtype="{{prdtype}}" data-type="{{btns[1].type}}">'
      + '{{btns[1]["name"]}}'
      + '{{if countdown}}'
      + '<!-- 是否需要倒数 -->'
      + '<span id="_t"></span>'
      + '{{/if}}'
      + '</button>'
      + '</div></div>'
      + '{{/if}}';

  //RiskMatch = {};
  RiskMatch.inited = false;
  RiskMatch.apis = {
    "420846":"/gsfinancing/suitable/chkRiskMatchInfo/1.0",  //适当性匹配查询420846 (适用于基金、资管、现金增利、信鑫宝、信鑫宝2)
    "425006":"/gsfinancing/suitable/chkCustRiskMatch/1.0",  //客户适当性匹配 425006（适用于金天利、服务产品、小微通等)
    "420847":"/gsfinancing/suitable/fundRiskMatchConfirm/1.0",  //适当性匹配结果记录420847(适用于基金、资管、现金增利、信鑫宝)
    "425006_1":"/gsfinancing/suitable/custRiskMatchConfirm/1.0",  //客户适当性匹配结果确认425006（适用于金天利、服务产品、小微通等)
    "425005":"/gsfinancing/suitable/qryCustRiskMatch/1.0",  //客户适当性业务匹配情况查询425005(适用于金天利、服务产品、小微通等)
    "56010":"/gsfinancing/otc/checkCustRiskMatch/1.0",  //OTC产品客户适当性匹配
    "ggt":"/gstrade/ggt/chkCustRiskMatch/1.0",  //港股通客户适当性匹配
    "jdtz_sign":"/gsfinancing/custAndProductRiskMatch/checkRiskMatch/1.0",  //基动投资适当性匹配
    "jdtz_record":"/gsfinancing/custAndProductRiskMatch/confirmMatchAgreement/1.0",  //基动投资确认接口
    "jdtz_funds":"/gsfinancing/jdtzTrade/checkCustRiskMatch/1.0",  //基动投资多只基金适当性匹配
    "jdtz_funds_record":"/gsfinancing/jdtzTrade/fundRiskMatchConfirm/1.0"  //多只基金适当性匹配确认
  };

  //低风险保护拒绝提示信息
  RiskMatch.lowriskmsg = "尊敬的客户，根据您最近一次风险承受能力测评结果，您属于风险承受能力最低类别客户，为保护您的合法权益，按照有关规定，您不适合购买此产品或接受此服务，如有咨询，请电95536。";
  //高风险产品第一次提示信息
  RiskMatch.highriskmsg = "尊敬的客户，您拟订阅的产品或服务是高风险类型，请确认您已全面了解该产品或服务信息及特别风险点，建议您进行足够时间的独立思考，审慎选择是否投资。";
  //初始化
  RiskMatch.init = function(options){
    RiskMatch.options = options;
    RiskMatch.inited = true;
  };

  RiskMatch.getMatch = function(){
    var api = "";
    var isNeedSign = false;
    if(RiskMatch.inited && "GMJJ,ZG,FJ,JLC8,XJZL,XXB,XXB2".indexOf(RiskMatch.options.prdtype)>=0){
      api = RiskMatch.apis["420846"];
    }else if(RiskMatch.inited && "JTL".indexOf(RiskMatch.options.prdtype)>=0){
      api = RiskMatch.apis["425006"];
    }else if("OTC".indexOf(RiskMatch.options.prdtype)>=0){
      api = RiskMatch.apis["56010"];
    }else if("GGT".indexOf(RiskMatch.options.prdtype)>=0){
      api = RiskMatch.apis.ggt;
      isNeedSign = true;
    }else if("JDTZ".indexOf(RiskMatch.options.prdtype)>=0 && "SIGN".indexOf(RiskMatch.options.raction)>=0){
      api = RiskMatch.apis.jdtz_sign;
    }else if("JDTZ".indexOf(RiskMatch.options.prdtype)>=0 && "BUY".indexOf(RiskMatch.options.raction)>=0){
      api = RiskMatch.apis.jdtz_funds;
    }

    //console.log('RiskMatch.options.data',RiskMatch.options.data)

    Com.ajax({
      url:api,
      type:"post",
      isTradeLogin:true,
      "supportBioLogin":'2',
      isNeedSign:isNeedSign,
      isNeedLoading:true,
      data:RiskMatch.options.data,
      success:function(res){
        RiskMatch.apiData = res;  //缓存匹配结果
        if(res.result[0]["code"]!=0){
          if(RiskMatch.options.btn){
            $("#" + RiskMatch.options.btn).removeClass("disabled").removeClass("forbid").removeClass("gray");
            $("#" + RiskMatch.options.btn).removeAttr("disabled");
          }
          //基动投资签约
          if(document.querySelector("#signXY")){
            document.querySelector("#signXY").disabled = false;
          }
          Com.showNativeAlert('',res.result[0]["msg"],['确定']);
          return false;
        }

        // 20190325:添加同时申购与定投的适当性逻辑
        if("JDTZ".indexOf(RiskMatch.options.prdtype)>=0 && "BUY".indexOf(RiskMatch.options.raction)>=0){
          // 如果prdtype=JDTZ&raction=BUY，且RiskMatch.options.linkOp=true[同时定投]，需要做关联的适当性匹配
          // RiskMatch.options.linkOpData 为关联适当性匹配的参数
          if(!!RiskMatch.options.linkOp){
            Com.ajax({
              url:api,
              type:"post",
              isTradeLogin:true,
              isNeedSign:isNeedSign,
              isNeedLoading:true,
              data:RiskMatch.options.linkOpData,
              success:function(res2){
                RiskMatch.linkOpApiData = res2;  //缓存linkOp适当性匹配的数据
                if(res2.result[0]["code"]!=0){
                  if(RiskMatch.options.btn){
                    $("#" + RiskMatch.options.btn).removeClass("disabled").removeClass("forbid").removeClass("gray");
                    $("#" + RiskMatch.options.btn).removeAttr("disabled");
                  }
                  //基动投资签约
                  if(document.querySelector("#signXY")){
                    document.querySelector("#signXY").disabled = false;
                  }
                  Com.showNativeAlert('',res2.result[0]["msg"],['确定']);
                  return false;
                }

                if(res2.data && res2.data.length){
                  for(var k = 0 ; k < res2.data.length; k++){
                    res2.data[k].link = true
                    RiskMatch.apiData.data.push(res2.data[k])
                  }
                }

                // todo:需要把适当性数据合并，并使用RiskMatch.apiData继续后面的流程
                RiskMatch.afterMatch(RiskMatch.apiData);

              }
            });
          }else{
            // 没有关联适当性的时候按原有流程继续-20190522：lyz
            RiskMatch.afterMatch(res);
          }
        }else{
          RiskMatch.afterMatch(res);
        }

      }
    });
  }

  //适当性匹配结果处理
  RiskMatch.afterMatch = function(res){
    if("GMJJ,XXB,XXB2,ZG,JLC8,FJ,XJZL".indexOf(RiskMatch.options.prdtype)>=0){
      RiskMatch["Matching1"](res, RiskMatch.options.raction);
    }else if("GGT".indexOf(RiskMatch.options.prdtype)>=0){
      RiskMatch["GGTMatching"](res, RiskMatch.options.raction);
    }else{
      RiskMatch[RiskMatch.options.prdtype+"Matching"](res, RiskMatch.options.raction);
    }
  }

  //换行符处理
  RiskMatch.handleContent = function(content){
    content = content.replace(/\\r\\n/ig,"<br/><br/>");
    return content;
  }

  //按钮处理
  RiskMatch.bindBtns = function(){
    $(".riskMatchBtn").bind("click",function(e){
      var type = e.target.dataset.type;
      var prdtype = e.target.dataset.prdtype;
      if(e.target.disabled){
        return false;
      }
      e.target.disabled = true;

      if(prdtype=="JTL" && type=="SIGN"){
        //金天利签约
        if(RiskMatch.apiData.match_result[0]["CONFIRM_STATUS"]==0){
          var Ensure = function(){
            F.gotoSign();
          }
          // 确认数据
          var jtlSignConfirmData = {MATCH_BIZ_TYPE:'jtl'}
          RiskMatch.confirRecord2(jtlSignConfirmData,Ensure);

        }else{
          F.gotoSign();
        }
      }else if(prdtype=="JTL" && type=="BUY"){
        //金天利购买，先判断是否需要高风险倒数
        if(!!RiskMatch.options.HighRiskPrdFlag){
          var Ensure = function(){

            //最高风险产品
            var data = {
              title:"高风险产品或服务的再次风险警示",
              content:'尊敬的客户，我公司再次向您进行特别风险警示，请您确认已完全了解该产品或服务的所有风险，您是否已清楚明了并自愿做出投资行为？',
              pageType:1,
              btns:[{name:"取消购买/使用",type:"CANCLE"},{name:"同意上述文件",type:"CONFIRMBUY"}] ,
              prdtype:RiskMatch.options.prdtype,
              countdown:30
            };
            RiskMatch.seconds = 30;
            RiskMatch.renderConfirm(data);
          };
          // 20190527-lyz:添加适当性确认
          var jtlBuyConfirmData = RiskMatch.options.data
          RiskMatch.confirRecord2(jtlBuyConfirmData,Ensure);
          //Ensure()
        }else{
          // 20190527-lyz:添加适当性确认
          var jtlBuyConfirmData = RiskMatch.options.data
          RiskMatch.confirRecord2(jtlBuyConfirmData,F.toBuy);
          //F.toBuy();
        }
      }else if(prdtype=="JTL" && type=="CONFIRMBUY"){
        // JTL高风险二次提示后确认购买
        // 20190527-lyz:添加适当性确认
        var jtlcBuyConfirmData = RiskMatch.options.data
        jtlcBuyConfirmData.confirmflag = '2'
        RiskMatch.confirRecord2(jtlcBuyConfirmData,F.toBuy);
        //F.toBuy();
      }else if(type=="JDTZ_NOMATCH"){
        var Ensure = function(){
          var texts = RiskMatch.apiData.texts[0];
          //基动投资购买不匹配确认书
          var _btns = [{name:"取消购买/使用",type:"CANCLE"},{name:"同意上述文件",type:"BUY"}];
          var data = {
            title:texts.noMathchTitle,
            content:texts.noMathchContent,
            btns:_btns,
            prdtype:RiskMatch.options.prdtype
          }
          RiskMatch.renderConfirm(data);
        };
        if(RiskMatch.temp.hrConfirmData.stkcodes.length>0){
          RiskMatch.jdtzBuyConfirm(1, RiskMatch.temp.hrConfirmData ,Ensure);
        }else{
          Ensure();
        }
      }else if(prdtype=="JDTZ" && type=="SIGN"){
        var res = RiskMatch.apiData;
        var Ensure = function(){
          if(RiskMatch.apiData.data[0].specialWarningFlag == 1){
            RiskMatch.JDTZHighRisk2();
          }else{
            RiskMatch[RiskMatch.options.prdtype + "ToEnsureSIGN"]();
          }
        }
        //确认留痕
        RiskMatch.confirRecordJDTZ(RiskMatch.options.data.flowId, 1, Ensure);
      }else if(prdtype=="JDTZ" && type=="BUY"){
        //基动投资购买匹配确认
        var res = RiskMatch.apiData;
        if(RiskMatch.temp.highrisks.length){
          //基动投资第二次高风险警示
          var Ensure = function(){
            var _btns = [{name:"取消购买/使用",type:"CANCLE"},{name:"同意上述文件",type:"CONFIRMBUY"}];

            var data = {
              title:"高风险产品或服务的再次风险警示(共" + RiskMatch.temp.highrisks.length + "只产品)",
              btns:_btns,
              highrisks:RiskMatch.temp.highrisks,
              prdtype:RiskMatch.options.prdtype,
              countdown:RiskMatch.temp.highrisks[0].countdown,
            };
            var render = template.compile(document.querySelector("#highrisk").innerHTML);
            document.querySelector("#view").innerHTML = render(data);
            if(RiskMatch.temp.highrisks.length>1){
              var swiper = new Swiper('.swiper-container', {
                pagination: '.swiper-pagination',
                paginationClickable: false,
                autoHeight: false,
                onSlideChangeEnd:function(s){
                  Com.setWebviewTitle('',{'title':RiskMatch.temp.highrisks[s.activeIndex].ofname,'bgColor':F.jdtz.bgcolorBlack});
                }
              });
            }
            Com.setWebviewTitle('',{'title':RiskMatch.temp.highrisks[0].ofname,'bgColor':F.jdtz.bgcolorBlack});
            if(RiskMatch.temp.highrisks[0].countdown){
              RiskMatch.times("_t", RiskMatch.temp.highrisks[0].countdown);
            }
            RiskMatch.bindBtns();
          };
          var texts = res.texts[0];
          if(RiskMatch.temp.hrConfirmData.stkcodes.length>0){
            if(texts.matchFlag==1 && texts.noMatchFlag==1){
              RiskMatch.jdtzBuyConfirm(0, RiskMatch.temp.hrConfirmData ,Ensure);
            }else if(texts.matchFlag==1&& texts.noMatchFlag!=1){
              RiskMatch.jdtzBuyConfirm(1, RiskMatch.temp.hrConfirmData ,Ensure);
            }else if(texts.matchFlag!=1&& texts.noMatchFlag==1){
              RiskMatch.jdtzBuyConfirm(0, RiskMatch.temp.hrConfirmData ,Ensure);
            }
          }else{
            Ensure();
          }
        }else{
          if(RiskMatch.temp.hrConfirmData.stkcodes.length>0){
            var res = RiskMatch.apiData;
            var texts = res.texts[0];
            var Ensure = function(){
              RiskMatch[RiskMatch.options.prdtype + "ToEnsureBUY"]();
            };
            if(texts.matchFlag==1 && texts.noMatchFlag==1){
              RiskMatch.jdtzBuyConfirm(0, RiskMatch.temp.hrConfirmData ,Ensure);
            }else if(texts.matchFlag==1&& texts.noMatchFlag!=1){
              RiskMatch.jdtzBuyConfirm(1, RiskMatch.temp.hrConfirmData ,Ensure);
            }else if(texts.matchFlag!=1&& texts.noMatchFlag==1){
              RiskMatch.jdtzBuyConfirm(0, RiskMatch.temp.hrConfirmData ,Ensure);
            }
          }else{
            RiskMatch[RiskMatch.options.prdtype + "ToEnsureBUY"]();
          }
        }
      }else if(prdtype=="JDTZ" && type=="CONFIRMSIGN"){
        //确认留痕
        RiskMatch.JDTZHighRisk2End(1);

      }else if(prdtype=="JDTZ" && type=="CONFIRMBUY"){

        //确认留痕
        if(RiskMatch.temp.hrConfirmData.stkcodes.length>0){
          var Ensure = function(){
            RiskMatch[RiskMatch.options.prdtype + "ToEnsureBUY"]();
          }
          RiskMatch.jdtzBuyConfirm(3, RiskMatch.temp.hrConfirmData ,Ensure);
        }else{
          //RiskMatch.jdtzBuyConfirm(1, RiskMatch.temp.hrConfirmData ,Ensure);
          RiskMatch[RiskMatch.options.prdtype + "ToEnsureBUY"]();
        }
      }else if("GMJJ,XXB,ZG,JLC8,FJ,XJZL,XXB2".indexOf(prdtype) >=0 && "BUY,CHANGE,DT,SIGN".indexOf(type)>=0){
        //公募基金，信鑫宝、资管产品购买
        var res = RiskMatch.apiData;
        //定义确定操作处理
        var Ensure = function(){
          if(RiskMatch.apiData.match_result[0].ofrisk == 5){
            var _pageType = RiskMatch.apiData.match_result[0]["chkresult"] == 0? 2 : 1;
            var _btns = RiskMatch.apiData.match_result[0]["chkresult"] == 0? [{name:"取消购买/使用",type:"CANCLE"},{name:"同意上述文件",type:"CONFIRMBUY"}] : [{name:"取消购买/使用",type:"CANCLE"},{name:"同意上述文件",type:"CONFIRMBUY"}];
            //最高风险产品
            var data = {
              title:"高风险产品或服务的再次风险警示",
              content:RiskMatch.apiData.match_result[0].highriskmsg,
              pageType:_pageType,
              btns:_btns,
              prdtype:RiskMatch.options.prdtype,
              countdown:30
            };

            if(RiskMatch.options.raction=="CHANGE"){  //基金转换
              //data.btns = [{name:"取消购买/使用",type:"CANCLE"},{name:"同意上述文件",type:"CONFIRMBUY"}];
              data.btns[1]["type"] = "CONFIRMBUY";
            }else if(RiskMatch.options.raction=="DT"){  //基金定投设定
              //data.btns = [{name:"取消购买/使用",type:"CANCLE"},{name:"同意上述文件",type:"CONFIRMDT"}];
              data.btns[1]["type"] = "CONFIRMDT";
            }else if(RiskMatch.options.raction=="SIGN"){  //签约
              //data.btns = [{name:"取消购买/使用",type:"CANCLE"},{name:"同意上述文件",type:"CONFIRMSIGN"}];
              data.btns[1]["type"] = "CONFIRMSIGN";
            }

            RiskMatch.renderConfirm(data);
          }else{
            if(type=="DT"){
              RiskMatch[RiskMatch.options.prdtype + "ToEnsureDT"]();
            }else{
              RiskMatch[RiskMatch.options.prdtype + "ToEnsureBUY"]();
            }
          }
        }
        //判断是否需要留痕
        if(RiskMatch.apiData.match_result[0]["recflag"]==1){
          var confirmflag = RiskMatch.apiData.match_result[0]["chkresult"] == 0? 0:1;
          RiskMatch.confirRecord(confirmflag, Ensure);
        }else{
          Ensure();
        }
      }else if("OTC".indexOf(prdtype) >=0 && type=="BUY"){
        //OTC购买
        var res = RiskMatch.apiData;
        //定义确定操作处理
        var Ensure = function(){
          if(RiskMatch.apiData.data[0].highriskprdflag == 1){
            //最高风险产品
            var _pageType = RiskMatch.apiData.data[0]["matchflag"] == 1? 2:1;
            var _btns = RiskMatch.apiData.data[0]["matchflag"] == 1? [{name:"取消购买/使用",type:"CANCLE"},{name:"同意上述文件",type:"CONFIRMBUY"}]:[{name:"取消购买/使用",type:"CANCLE"},{name:"同意上述文件",type:"CONFIRMBUY"}];
            var data = {
              title:"高风险产品或服务的再次风险警示",
              content:RiskMatch.apiData.data[0].calmmsg,
              pageType:_pageType,
              btns: _btns,
              prdtype:RiskMatch.options.prdtype,
              countdown:30
            }
            RiskMatch.renderConfirm(data);
          }else{
            RiskMatch[RiskMatch.options.prdtype + "ToEnsureBUY"]();
          }
        }
        Ensure();
      }else if("GMJJ,XXB,ZG,JLC8,FJ,XJZL,XXB2".indexOf(prdtype)>=0 && "CONFIRMBUY,CONFIRMDT,CONFIRMSIGN".indexOf(type)>=0){
        //公募基金，信鑫宝、资管产品二次确认购买
        var Ensure = function(){
          if(RiskMatch.options.prdtype=="GMJJ" && type=="CHANGE"){
            RiskMatch[RiskMatch.options.prdtype + "ToEnsureBUY"]();
          }else if(RiskMatch.options.prdtype=="XJZL" && type=="CONFIRMSIGN"){
            RiskMatch[RiskMatch.options.prdtype + "ToEnsureBUY"]();
          }else{
            RiskMatch[RiskMatch.options.prdtype + "ToEnsure" + RiskMatch.options.raction]();
          }
        }
        //判断是否留痕
        if(RiskMatch.apiData.match_result[0]["recflag"]==1){
          RiskMatch.confirRecord(3, Ensure);
        }else{
          Ensure();
        }
      }else if("OTC".indexOf(prdtype)>=0 && type=="CONFIRMBUY"){
        RiskMatch[RiskMatch.options.prdtype + "ToEnsureBUY"]();
      }else if("GMJJ,XXB,ZG,JLC8,FJ,XXB2".indexOf(prdtype)>=0 && type=="CANCLE"){
        if(!!RiskMatch._t){
          clearTimeout(RiskMatch._t);
        }
        //公募基金，信鑫宝、资管产品暂不购买
        if("JLC8,FJ,ZG".indexOf(prdtype)>=0){
          $('#fbuy_buy_btn').removeClass("forbid");
        }
      }else if("JDTZ".indexOf(prdtype)>=0 && type=="CANCLE"){
        if(!!RiskMatch._t){
          clearTimeout(RiskMatch._t);
        }
        if(F.jdtz.stepCtrl){
          F.jdtz.stepCtrl();
        }
        if(document.querySelector("#signXY")){
          document.querySelector("#signXY").disabled = false;
        }
      }else if(type=="SURE"){
        RiskMatch[RiskMatch.options.prdtype + "ToEnsure" + RiskMatch.options.raction]();
      }else if(type=="CANCLE" && "GGT".indexOf(prdtype)>=0){ //取消开通港股通
        if(!!RiskMatch._t){
          clearTimeout(RiskMatch._t);
        }
        Cancle();
      }
      //取消
      if(type=="CANCLE"){
        if(!!RiskMatch._t){
          clearTimeout(RiskMatch._t);
        }
        if(RiskMatch.options.cancle && typeof RiskMatch.options.cancle=="function"){
          RiskMatch.options.cancle();
        }
        document.querySelector(RiskMatch.options.viewid).style.display="none";
        document.querySelector(RiskMatch.options.pageid).style.display = "block";
        document.querySelector(RiskMatch.options.viewid).innerHTML = "";
        if(RiskMatch.options.btn){
          $("#" + RiskMatch.options.btn).removeClass("disabled").removeClass("forbid").removeClass("gray");
          $("#" + RiskMatch.options.btn).removeAttr("disabled");
        }
      }
    });

    /*在线客服按钮处理20190801*/
    $(".riskMatchrobot").on('click',function(){
      var isTradeLogin=false;
      var yybqd='';
      var userid='';
      var fundid='';
      var devicetype='';
      var client='';
      var hostType='1';
      var openRobotHandle = function(cb){
        Com.getCommonLoginData(function(p){
          client = (p.softName == 'goldsun_ios' ? 'ios' : 'Android');
          userid = p.userCode;
          hostType = Com.localhostType();
          p.deviceVers = p.deviceVers.replace(/\|/g, '[');
          Com.isTradelogin2(function(){
            isTradeLogin=true;
            yybqd=Com.xssFilter('9905,ztl035,App'+p.sysVer+client+p.deviceVers+',,1');
            Com.getLoginData(function(pm){
              fundid = pm.fundId;
              cb && cb();
            },'2');
          },function(){
            isTradeLogin=false;
            yybqd=Com.xssFilter('9905,ztl035,App'+p.sysVer+client+p.deviceVers+',,0');
            cb && cb();
          },{},'2');
        });
      };
      var getRobotToken = function(str,islogin,cb){
        var param = {};
        param['plaintext']=str;
        param['timestamp']=parseInt(((new Date()).getTime())/1000);
        param['randomcode']=Math.random().toFixed(6).slice(-6);
        param['sysid']='CUSTOMER_SERVICE';

        var ajaxTkData = function(datajson){
          Com.ajax({
            "url":Com.getOrigin()+'/gsfinancing/security/getReqToken/1.0',
            "data":datajson,
            "type":"post",
            "dataType":"json",
            "success":function(d){
              if(d.result[0].code == '0'){
                cb && cb(d);
              }
              else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                return false;
              }
              else{
                Com.showNativeAlert('',d.result[0].msg,['确定'],'');
              }
            },
            "isTradeLogin":islogin,
            "isNeedSign":true,
            "supportBioLogin":'2',
            "error":function(){
              Com.showNativeAlert('','网络不给力|getReqToken',['确定'],'')
            }
          });
        };
        ajaxTkData(param);
      };
      openRobotHandle(function(){
        var singstr='';
        var stkcode='';
        var prdtype='';
        if(typeof RiskMatch.options.stkcode!='undefined'){
          stkcode = RiskMatch.options.stkcode;
        }
        if(typeof RiskMatch.options.prdtype!='undefined'){
          prdtype = RiskMatch.options.prdtype;
        }
        singstr='&fundid='+fundid+'&productcode='+stkcode+'&producttype='+prdtype;

        getRobotToken(singstr,isTradeLogin,function(d){
          var tk = d.data[0].token;
          var kfhost = 'https://webchat.guosen.com.cn/kwdf_robot/cg/';
          if(hostType!='1'){
            kfhost = 'http://newzxkf.guosen.com.cn/kwdf_robot1/cg1/';
          }
          Com.newWebViewOpenPage('',{'pageUrl':kfhost+'?yybqd='+yybqd+'&userid='+userid+'&ywlx=8&devicetype='+client+'&token='+tk,"weburl":'https://webchat.guosen.com.cn/kwdf_robot/cg/?yybqd='+yybqd+'&userid='+userid+'&ywlx=8&devicetype='+client+'&token='+tk});
        });
      });
    });
    /*在线客服按钮处理结束20190801*/


  }

  //金天利适当性匹配
  RiskMatch.JTLMatching = function(res,type){
    var match_result = res.match_result[0];
    if(match_result.EXEMPT_FLAG==1){
      //专业投资者
      if(type=="BUY"){
        F.toBuy();
      }else if(type=="SIGN"){
        F.gotoSign();
      }
    }else if(match_result.RISK_FLAG==0){
      //风险测评过期或者未风测
      var msg = "您未进行风险测评或风险测评已过期，请进行风险测评！";
      Com.showNativeAlert('',msg,['确定'],function(){
        var ohref = location.href.substring(location.href.indexOf("://")+3);
        var _protocol = location.protocol == "https:"? "1":"0";
        //重新激活按钮
        if(RiskMatch.options.btn){
          $("#" + RiskMatch.options.btn).removeClass("disabled").removeClass("forbid").removeClass("gray");
          $("#" + RiskMatch.options.btn).removeAttr("disabled");
        }
        RiskMatch.common_goRisk(ohref ,_protocol);
      });

      return false;
    }else if(match_result.LOW_RISK_FLAG==1){
      //最低风险保护
      Com.showNativeAlert("低风险用户保护提示",RiskMatch.lowriskmsg,['我知道了'],function(){
        if(RiskMatch.options.btn){
          $("#" + RiskMatch.options.btn).removeClass("disabled").removeClass("forbid").removeClass("gray");
          $("#" + RiskMatch.options.btn).removeAttr("disabled");
        }
      });
    }else if(match_result.MATCH_RESULT==0 || match_result.MATCH_RESULT==1){
      // 继续后面的适当性
      var fn = function(){
        //不管匹配不匹配都显示文案
        var btns = [];
        var pageType = 1;
        if(type=="SIGN"){
          btns = match_result.MATCH_RESULT==0? [{name:"取消购买/使用",type:"CANCLE"},{name:"同意上述文件",type:type}]:[{name:"我已阅读并同意上述文件",type:type}];
          pageType = 1;
        }else if(type=="BUY"){
          btns = match_result.MATCH_RESULT==0? [{name:"取消购买/使用",type:"CANCLE"},{name:"同意上述文件",type:"BUY"}]:[{name:"我已阅读并同意上述文件",type:"BUY"}];
          pageType = match_result.MATCH_RESULT==0? 2:1;
          // 私募基金与金天利共用适当性逻辑分支，私募基金不匹配不可购买
          if(RiskMatch.options.data.MATCH_BIZ_TYPE=='smjj' && match_result.MATCH_RESULT==0){
            btns = [{name:"同意上述文件",type:"CANCLE"}]
          }
        }
        var match_info = res.match_info[0]
        var data = {
          title:match_info.title,
          content:match_info.content,
          pageType:pageType,
          btns:btns,
          prdtype:"JTL"
        }
        RiskMatch.renderConfirm(data);
      }

      // 先判断是否是高风险
      if(!!RiskMatch.options.HighRiskPrdFlag){
        // JTL高风险匹配，JTL高风险标识由接入点传参导入
        Com.showNativeAlert("",RiskMatch.highriskmsg,['取消','确定'],function(params){
          if(params.clickedIndex==1){
            fn()
          }else if(params.clickedIndex==0){
            if(RiskMatch.options.btn){
              $("#" + RiskMatch.options.btn).removeClass("disabled").removeClass("forbid").removeClass("gray");
              $("#" + RiskMatch.options.btn).removeAttr("disabled");
            }
          }
        })
      }else{
        fn()
      }

      try{TalkingData.onEventWithLabel('理财购买断点分析-金天利', "4签署产品协议适当性匹配结果页面-" + F.stkcode+ "-*");}catch(err) {}
    }
  }

  //港股通适当性匹配
  RiskMatch.GGTMatching = function(res,type){
    var match_result = res.match_result[0];
    if(match_result.MATCH_RESULT==0 || match_result.MATCH_RESULT==1){
      //不管匹配不匹配都显示文案
      var btns = match_result.MATCH_RESULT==0? [{name:"取消开通",type:"CANCLE"},{name:"同意上述文件",type:type}]:[{name:"我已阅读并同意上述文件",type:type}];
      var match_info = res.match_info[0]
      var data = {
        title:match_info.title,
        content:match_info.content,
        btns:btns,
        prdtype:"GGT"
      }
      RiskMatch.renderConfirm(data);
    }
  }

  //OTC适当性匹配
  RiskMatch.OTCMatching = function(res, type){
    //todo
    var match_result = res.data[0];
    if(match_result.exemptflag==0){
      //专业投资者
      if(type=="BUY"){  //OTC购买
        RiskMatch[RiskMatch.options.prdtype + "ToEnsureBUY"]();
        //toEnsureBuy(RiskMatch.options.data.stkcode,RiskMatch.options.data.tacode,"0");
      }else if(type=="OPEN"){  //OTC开户定投
        toEnsureBuy(RiskMatch.options.data.stkcode,RiskMatch.options.data.tacode,"1");
      }
    }else if(match_result.lowriskflag==1){
      //最低风险保护
      Com.showNativeAlert("低风险用户保护提示",RiskMatch.lowriskmsg,['我知道了'],function(){
        if(RiskMatch.options.btn){
          $("#" + RiskMatch.options.btn).removeClass("disabled").removeClass("forbid").removeClass("gray");
          $("#" + RiskMatch.options.btn).removeAttr("disabled");
        }
      });

      return false;
    }else if(match_result.matchflag==2){

      //风测过期或者未进行风测
      var msg = "您未进行风险测评或风险测评已过期，请进行风险测评！";
      Com.showNativeAlert('',msg,['确定'],function(){
        var ohref = location.href.substring(location.href.indexOf("://")+3);
        var _protocol = location.protocol == "https:"? "1":"0";
        //重新激活按钮
        if(RiskMatch.options.btn){
          $("#" + RiskMatch.options.btn).removeClass("disabled").removeClass("forbid").removeClass("gray");
          $("#" + RiskMatch.options.btn).removeAttr("disabled");
        }
        RiskMatch.common_goRisk(ohref ,_protocol);
      });
      return false;
    }
    else if(match_result.highriskprdflag==1){
      //最高风险产品
      Com.showNativeAlert("",RiskMatch.highriskmsg,['取消','确定'],function(params){
        if(params.clickedIndex==1){
          RiskMatch.afterOTCHighRisk();
        }else if(params.clickedIndex==0){
          if(RiskMatch.options.btn){
            $("#" + RiskMatch.options.btn).removeClass("disabled").removeClass("forbid").removeClass("gray");
            $("#" + RiskMatch.options.btn).removeAttr("disabled");
          }
        }
      })
    }else{
      //非最高风险产品
      RiskMatch.afterOTCHighRisk();
    }
  }

  //购买GMJJ,XXB,ZG,JLC8,FJ,XJZL,XXB2适当性匹配
  RiskMatch.Matching1 = function(res, type){
    //todo
    var match_result = res.match_result[0];
    if(match_result.chkresult==6){
      //专业投资者
      if(RiskMatch.options.prdtype=="GMJJ" && type=="CHANGE"){
        RiskMatch[RiskMatch.options.prdtype + "ToEnsureBUY"]();
      }else if(type=="DT" && RiskMatch.options.prdtype=="GMJJ"){  //基金定投
        DTToEnsureBuy();
      }else{
        RiskMatch[RiskMatch.options.prdtype + "ToEnsure" + type]();
      }
    }else if(match_result.chkresult==4){
      //最低风险保护
      Com.showNativeAlert("低风险用户保护提示",RiskMatch.lowriskmsg,['我知道了'],function(){
        //location.href = 'index.html';
        if(RiskMatch.options.btn){
          $("#" + RiskMatch.options.btn).removeClass("disabled").removeClass("forbid").removeClass("gray");
          $("#" + RiskMatch.options.btn).removeAttr("disabled");
        }
      });

      return false;
    }else if(match_result.chkresult==2 || match_result.chkresult==3){
      //风测过期或者未进行风测
      var msg = "风险承受能力不匹配，请进行风险测评！";
      if(match_result.chkresult==2){
        msg =  '您未进行风险测评，请进行风险测评！';
      }else if(match_result.chkresult==3){
        msg = '您的风险测评已过期，请重新进行风险测评！';
      }
      Com.showNativeAlert('',msg,['确定'],function(){
        var ohref = location.href.substring(location.href.indexOf("://")+3);
        var _protocol = location.protocol == "https:"? "1":"0";
        RiskMatch.common_goRisk(ohref ,_protocol);
      });

      //重新激活按钮
      if(RiskMatch.options.btn){
        $("#" + RiskMatch.options.btn).removeClass("disabled").removeClass("forbid").removeClass("gray");
        $("#" + RiskMatch.options.btn).removeAttr("disabled");
      }

      return false;
    }
    else if(match_result.ofrisk==5){
      //最高风险产品
      Com.showNativeAlert("",RiskMatch.highriskmsg,['取消','确定'],function(params){
        if(params.clickedIndex==1 && RiskMatch.apiData.match_result[0]["recflag"]==1){
          RiskMatch.confirRecord(2,RiskMatch.afterHighRisk);
        }else if(params.clickedIndex==1){
          RiskMatch.afterHighRisk();
        }else if(params.clickedIndex==0){
          if(RiskMatch.options.btn){
            $("#" + RiskMatch.options.btn).removeClass("disabled").removeClass("forbid").removeClass("gray");
            $("#" + RiskMatch.options.btn).removeAttr("disabled");
          }
        }
      })
    }else{
      //非最高风险产品
      RiskMatch.afterHighRisk();
    }
  }

  //基动投资
  RiskMatch.JDTZMatching = function(res,type){
    if(type=="SIGN"){
      RiskMatch.JDTZSIGNMatching(res,type);
    }else if(type=="BUY"){
      RiskMatch.JDTZBUYMatching(res,type);
    }
  }

  RiskMatch.JDTZBUYMatching = function(res,type){
    var data = res.data;
    //风险测评不符合
    if(data[0].chkresult==2 || data[0].chkresult==3){
      //风测过期或者未进行风测
      var msg = "风险承受能力不匹配，请进行风险测评！";
      if(data[0].chkresult==2){
        msg =  '您未进行风险测评，请进行风险测评！';
      }else if(data[0].chkresult==3){
        msg = '您的风险测评已过期，请重新进行风险测评！';
      }
      Com.showNativeAlert('',msg,['确定'],function(){
        var ohref = location.href.substring(location.href.indexOf("://")+3);
        var _protocol = location.protocol == "https:"? "1":"0";
        RiskMatch.common_goRisk(ohref ,_protocol);
      });
      //重新激活按钮
      if(RiskMatch.options.btn){
        $("#" + RiskMatch.options.btn).removeClass("disabled").removeClass("forbid").removeClass("gray");
        $("#" + RiskMatch.options.btn).removeAttr("disabled");
      }
      return false;
    }

    var highrisks = [];  //高风险产品集
    var lowrisks = [];  //最低风险保护产品集
    var prds_0 = [];  //风险不匹配产品集
    var prds_1 = [];   //风险匹配产品集
    //高风险确认提交数据对象
    var _data = {
      tacodes: [],
      stkcodes:[],
      markets: [],
      chkresults:[],
      suitchkdates:[],
      ofrisks:[],
      suitsnos:[],
      bsflags: []
    };
    //处理数据，高风险字段归一
    for(var i = 0; i < data.length ; i++){
      if(data[i].ofrisk == 5){
        highrisk = true;
        data[i].highriskmsg = RiskMatch.handleContent(data[i].highriskmsg);
        highrisks.push(data[i]);
      }
      if(data[i].recflag==1){
        _data.tacodes.push(data[i].tacode);
        _data.stkcodes.push(data[i].ofcode);
        _data.markets.push(data[i].market);
        _data.chkresults.push(data[i].chkresult);
        _data.ofrisks.push(data[i].ofrisk);
        _data.suitchkdates.push(data[i].suitchkdate);
        _data.suitsnos.push(data[i].suitsno);
        _data.bsflags.push(RiskMatch.options.bsflags[data[i].ofcode]);
      }

      if(data[i].chkresult == 4){
        lowrisks.push(data[i]);  //低风险保护
      }else if(data[i].chkresult == 0){
        prds_0.push(data[i]);  //风险不匹配
      }else if(data[i].chkresult==1){
        prds_1.push(data[i]);  //风险匹配
      }
    }
    RiskMatch.temp = {};
    RiskMatch.temp.highrisks = highrisks;
    RiskMatch.temp.prds_1 = prds_1;
    RiskMatch.temp.prds_0 = prds_0;
    RiskMatch.temp.hrConfirmData = _data;
    if(lowrisks.length>0){
      //最低风险保护
      Com.showNativeAlert("低风险用户保护提示",RiskMatch.lowriskmsg,['我知道了'],function(){
        //location.href = 'index.html';
        if(RiskMatch.options.btn){
          $("#" + RiskMatch.options.btn).removeClass("disabled").removeClass("forbid").removeClass("gray");
          $("#" + RiskMatch.options.btn).removeAttr("disabled");
        }
      });
      return false;
    }else if(highrisks.length>0){
      //最高风险产品
      Com.showNativeAlert("",RiskMatch.highriskmsg,['取消','确定'],function(params){
        // if(params.clickedIndex==1 && RiskMatch.temp.hrConfirmData.stkcodes.length > 0){
        //   RiskMatch.jdtzBuyConfirm(2,RiskMatch.temp.hrConfirmData,RiskMatch.afterJDTZBuyHighRisk);
        // }else
        if(params.clickedIndex==1){
          RiskMatch.afterJDTZBuyHighRisk();
        }else if(params.clickedIndex==0){
          F.jdtz.stepCtrl();
          if(RiskMatch.options.btn){
            $("#" + RiskMatch.options.btn).removeClass("disabled").removeClass("forbid").removeClass("gray");
            $("#" + RiskMatch.options.btn).removeAttr("disabled");
          }
        }
      })
    }else{
      RiskMatch.afterJDTZBuyHighRisk();
    }
  }

  //基动投资签约
  RiskMatch.JDTZSIGNMatching = function(res,type){
    var data = res.data[0];
    if(data.passFlag==0){
      if(data.riskLevelMatchFlag==-1 || data.riskLevelMatchFlag == -2){
        //风测过期或者未进行风测
        var msg = "您未进行风险测评或风险测评已过期，请进行风险测评！";
        Com.showNativeAlert('',msg,['确定'],function(){
          var ohref = location.href.substring(location.href.indexOf("://")+3);
          var _protocol = location.protocol == "https:"? "1":"0";
          //重新激活按钮
          if(RiskMatch.options.btn){
            $("#" + RiskMatch.options.btn).removeClass("disabled").removeClass("forbid").removeClass("gray");
            $("#" + RiskMatch.options.btn).removeAttr("disabled");
          }
          if(document.querySelector("#signXY")){
            document.querySelector("#signXY").removeAttribute("disabled");
          }
          RiskMatch.common_goRisk(ohref ,_protocol);
        });
        return false;
      }else if(data.riskLevelMatchFlag==-3){
        //低风险保护拒绝
        Com.showNativeAlert("低风险用户保护提示",RiskMatch.lowriskmsg,['我知道了'],function(){
          if(RiskMatch.options.cancle && typeof RiskMatch.options.cancle=="function"){
            RiskMatch.options.cancle();
          }
        });
      }
    }else if(data.passFlag==1){
      if(data.specialWarningFlag == 1){
        //最高风险产品
        Com.showNativeAlert("",RiskMatch.highriskmsg,['取消','确定'],function(params){
          if(params.clickedIndex==1){
            var confirmFun = function(){
              RiskMatch.afterJDTZHighRisk();
            }
            //确认
            //RiskMatch.confirRecordJDTZ(RiskMatch.options.data.flowId, 1,confirmFun);
            confirmFun()
          }else if(params.clickedIndex==0){
            if(RiskMatch.options.cancle && typeof RiskMatch.options.cancle=="function"){
              RiskMatch.options.cancle();
            }
            //取消确认
            //RiskMatch.confirRecordJDTZ(RiskMatch.options.data.flowId, 0);
          }
        })
      }else{
        RiskMatch.afterJDTZHighRisk();
      }
    }
  }

  //基动投资签约再次高风险警示
  RiskMatch.JDTZHighRisk2 = function(){
    Com.ajax({
      url:'/gsfinancing/custAndProductRiskMatch/specialWarningStart/1.0',
      type:"post",
      data:{flowId:RiskMatch.options.data.flowId, prdProductName:RiskMatch.apiData.data[0].prdProductName},
      isTradeLogin:true,
      "supportBioLogin":'2',
      isNeedLoading:true,
      success:function(res){
        if(res.result[0]["code"]==0){
          RiskMatch.seconds = res.data[0].warningTime;
          var _btns = RiskMatch.apiData.data[0].matchFlag == 0? [{name:"取消购买/使用",type:"CANCLE"},{name:"同意上述文件",type:"CONFIRMSIGN"}] : [{name:"取消购买/使用",type:"CANCLE"},{name:"同意上述文件",type:"CONFIRMSIGN"}];
          //最高风险产品
          var data = {
            title:"高风险产品或服务的再次风险警示",
            content:res.data[0].warningContent,
            btns:_btns,
            prdtype:RiskMatch.options.prdtype,
            countdown:res.data[0].warningTime
          }
          RiskMatch.renderConfirm(data);
        }else{
          $(".riskMatchBtn").removeAttr("disabled");
          Com.showNativeAlert('',res.result[0]["msg"] + "1",['确定']);
        }
      }
    })
  }

  //基动投资签约适当性匹配确认2
  RiskMatch.JDTZHighRisk2End = function(custOpFlag){
    Com.ajax({
      url:'/gsfinancing/custAndProductRiskMatch/specialWarningFinish/1.0',
      type:"post",
      data:{flowId:RiskMatch.options.data.flowId, custOpFlag:custOpFlag},
      isTradeLogin:true,
      "supportBioLogin":'2',
      isNeedLoading:true,
      success:function(res){
        if(res.result[0]["code"]==0 && res.data[0].passFlag == 1){
          RiskMatch.JDTZToEnsureSIGN();
        }else if(res.result[0]["code"]==0 && res.data[0].passFlag != 1){
          $(".riskMatchBtn").removeAttr("disabled");
          Com.showNativeAlert('',res.data[0].checkMsg,['确定']);
        }else{
          $(".riskMatchBtn").removeAttr("disabled");
          Com.showNativeAlert('',res.result[0].msg,['确定']);
        }
      }
    })
  }

  //通用高风险提示之后
  RiskMatch.afterHighRisk = function(){
    var res = RiskMatch.apiData;
    var type = RiskMatch.options.raction;
    var match_result = res.match_result[0];
    //渲染数据
    var match_info = res.match_info[0]

    var _pageType = match_result.chkresult==0? 2:1;
    var _btns = match_result.chkresult==0? [{name:"取消购买/使用",type:"CANCLE"},{name:"同意上述文件",type:"BUY"}]:[{name:"我已阅读并同意上述文件",type:"BUY"}];

    var data = {
      title:match_info.title,
      content:match_info.content,
      pageType:_pageType,
      btns:_btns,
      prdtype:RiskMatch.options.prdtype
    }

    //风险不匹配拒绝。提示适当性不匹配
    if(match_result.chkresult==5){
      data.pageType = 1;
      data.btns = [{name:"同意上述文件",type:"CANCLE"}];
    }else if(RiskMatch.options.prdtype=="GMJJ" && RiskMatch.options.raction=="CHANGE"){
      //data.btns = [{name:"取消购买/使用",type:"CANCLE"},{name:"同意上述文件",type:"CHANGE"}];
      if(data.pageType==1){
        data.btns[0]["type"] = "CHANGE";
      }else if(data.pageType==2){
        data.btns[1]["type"] = "CHANGE";
      }
    }else if(RiskMatch.options.prdtype=="GMJJ" && RiskMatch.options.raction=="DT"){
      //data.btns = [{name:"取消购买/使用",type:"CANCLE"},{name:"同意上述文件",type:"DT"}];
      if(data.pageType==1){
        data.btns[0]["type"] = "DT";
      }else if(data.pageType==2){
        data.btns[1]["type"] = "DT";
      }
    }else if(RiskMatch.options.prdtype=="XJZL" && RiskMatch.options.raction=="SIGN"){
      //data.btns = [{name:"取消购买/使用",type:"CANCLE"},{name:"同意上述文件",type:"SIGN"}];
      if(data.pageType==1){
        data.btns[0]["type"] = "SIGN";
      }else if(data.pageType==2){
        data.btns[1]["type"] = "SIGN";
      }
    }
    RiskMatch.renderConfirm(data);
  }

  //OTC最高风险提示后
  RiskMatch.afterOTCHighRisk = function(){
    var res = RiskMatch.apiData;
    var type = RiskMatch.options.raction;
    var match_result = res.data[0];
    //渲染数据
    var _pageType = match_result.chkresult==0? 2:1;
    var _btns = match_result.chkresult==0? [{name:"取消购买/使用",type:"CANCLE"},{name:"同意上述文件",type:"BUY"}]:[{name:"我已阅读并同意上述文件",type:"BUY"}];
    var data = {
      title:match_result.detailtitle,
      content:match_result.detailmsg,
      pageType:_pageType,
      btns:_btns,
      prdtype:RiskMatch.options.prdtype
    }

    //资管产品小集合且匹配不成功
    if(match_result.matchflag==1){
      data.pageType = 1;
      data.btns = [{name:"同意上述文件",type:"CANCLE"}];
    }
    RiskMatch.renderConfirm(data);
  }

  //基动投资签约最高风险提示后
  RiskMatch.afterJDTZHighRisk = function(){
    var res = RiskMatch.apiData;
    var type = RiskMatch.options.raction;
    var data = res.data[0];
    var text = res.text[0];
    //渲染数据
    var _btns = data.matchFlag==0? [{name:"取消购买/使用",type:"CANCLE"},{name:"同意上述文件",type:type}]:[{name:"我已阅读并同意上述文件",type:type}];
    var data = {
      title:text.title,
      content:text.content,
      btns:_btns,
      prdtype:RiskMatch.options.prdtype
    }
    RiskMatch.renderConfirm(data);
  }

  //基动投资购买高风险之后
  RiskMatch.afterJDTZBuyHighRisk = function(){
    var res = RiskMatch.apiData;
    var type = RiskMatch.options.raction;
    var texts = res.texts[0];

    if(texts.matchFlag==1 && texts.noMatchFlag ==1){
      //匹配确认书跟不匹配确认书都需要展示
      var _btns = [{name:"我已阅读并同意上述文件",type:"JDTZ_NOMATCH"}];
      var data = {
        title:texts.matchTitle,
        content:texts.matchContent,
        btns:_btns,
        prdtype:RiskMatch.options.prdtype
      }
      RiskMatch.renderConfirm(data);
    }else if(texts.matchFlag==1 && texts.noMatchFlag !=1){
      //匹配确认书需要展示
      var _btns = [{name:"我已阅读并同意上述文件",type:type}];
      var data = {
        title:texts.matchTitle,
        content:texts.matchContent,
        btns:_btns,
        prdtype:RiskMatch.options.prdtype
      }
      RiskMatch.renderConfirm(data);
    }else if(texts.matchFlag!=1 && texts.noMatchFlag ==1){
      //不匹配确认书需要展示
      var _btns = [{name:"取消购买/使用",type:"CANCLE"},{name:"同意上述文件",type:type}];
      var data = {
        title:texts.noMathchTitle,
        content:texts.noMathchContent,
        btns:_btns,
        prdtype:RiskMatch.options.prdtype
      }
      RiskMatch.renderConfirm(data);
    }
    Com.setWebviewTitle('',{'title':'匹配结果确认','bgColor':F.jdtz.bgcolorBlack});
  }

  //公募基金购买
  RiskMatch.GMJJToEnsureBUY = function(){
    toEnsureBuy(RiskMatch.options.data.stkcode,RiskMatch.options.data.tacode,"0");
  }
  //信鑫宝购买
  RiskMatch.XXBToEnsureBUY = function(){
    toEnsureBuy();
  }

  //信鑫宝2购买
  RiskMatch.XXB2ToEnsureBUY = function(){
    toEnsureBuy();
  }
  //金理财8购买
  RiskMatch.JLC8ToEnsureBUY = function(){
    toEnsureBuy();
  }
  //债分购买
  RiskMatch.FJToEnsureBUY = function(){
    toEnsureBuy();
  }
  //资管购买
  RiskMatch.ZGToEnsureBUY = function(){
    toEnsureBuy();
  }
  //OTC购买
  RiskMatch.OTCToEnsureBUY = function(){
    toEnsureBuy();
  }
  //现金增利确定签约
  RiskMatch.XJZLToEnsureBUY = function(){
    toEnsureBuy();
  }
  //现金增利确定签约
  RiskMatch.XJZLToEnsureSIGN = function(){
    toEnsureBuy();
  }

  //基金定投
  RiskMatch.GMJJToEnsureDT = function(){
    DTToEnsureBuy();
  }

  //基金定投
  RiskMatch.GMJJToEnsureCHANGE = function(){
    toEnsureBuy();
  }

  //开通港股通
  RiskMatch.GGTToEnsureSURE = function(){
    GGTToEnsureSURE();
  }

  //基动投资签约
  RiskMatch.JDTZToEnsureSIGN = function(){
    F.jdtz.doSign();
  }

  //基动投资购买
  RiskMatch.JDTZToEnsureBUY = function(){
    F.jdtz.gotoConfirm();
  }

  //基金、资管、现金增利、信鑫宝留痕
  RiskMatch.confirRecord = function(confirmflag, callback){
    var data = {};

    data.market = RiskMatch.options.data.market || "";
    data.tacode = RiskMatch.options.data.tacode || "";
    data.stkcode = RiskMatch.options.data.stkcode || "";
    data.bsflag = RiskMatch.options.data.bsflag || "";
    data.confirmflag = confirmflag;
    data.suitchkdate = RiskMatch.apiData.match_result[0]["suitchkdate"] || "";
    data.suitsno = RiskMatch.apiData.match_result[0]["suitsno"] || "";

    if(RiskMatch.options.prdtype=='XJZL'){
      //针对现金增利逻辑调整
      data.nonApi = RiskMatch.options.nonApi;
    }
    Com.ajax({
      url:RiskMatch.apis["420847"],
      type:"post",
      data:data,
      isTradeLogin:true,
      "supportBioLogin":'2',
      isNeedLoading:true,
      success:function(res){
        if(res.result[0]["code"]==0){
          if(typeof callback=="function"){
            callback();
          }
        }else{
          $(".riskMatchBtn").removeAttr("disabled");
          if(RiskMatch.options.prdtype!='XJZL'){
            Com.showNativeAlert('',res.result[0]["msg"],['确定']);
          }
        }
      }
    })
  }

  //金天利、服务产品、小微通留痕
  RiskMatch.confirRecord2 = function(confirmData, callback){

    Com.ajax({
      url:RiskMatch.apis["425006_1"],
      type:"post",
      data:confirmData,
      isTradeLogin:true,
      "supportBioLogin":'2',
      isNeedLoading:true,
      success:function(res){
        if(res.result[0]["code"]==0){
          if(typeof callback=="function"){
            callback();
          }
        }else{
          $(".riskMatchBtn").removeAttr("disabled");
          Com.showNativeAlert('',res.result[0]["msg"],['确定']);
        }
      }
    })
  }

  //基动投资留痕
  RiskMatch.confirRecordJDTZ = function(flowId, custOpFlag, callback){
    var data = {flowId:flowId, custOpFlag:custOpFlag};

    Com.ajax({
      url:RiskMatch.apis["jdtz_record"],
      type:"post",
      data:data,
      isTradeLogin:true,
      "supportBioLogin":'2',
      isNeedLoading:true,
      success:function(res){
        if(res.result[0]["code"]==0 && res.data[0].passFlag == 1){
          if(typeof callback=="function"){
            callback();
          }
        }else if(res.result[0]["code"]==0 && res.data[0].passFlag != 1){
          $(".riskMatchBtn").removeAttr("disabled");
          Com.showNativeAlert('',res.data[0]["checkMsg"],['确定']);
        }else{
          $(".riskMatchBtn").removeAttr("disabled");
          Com.showNativeAlert('',res.result[0]["msg"],['确定']);
        }
      }
    })
  }

  //基动投资购买确认
  RiskMatch.jdtzBuyConfirm = function(confirmflags, data, callback){
    var postdata = {
      markets:[],
      tacodes:[],
      stkcodes:[],
      bsflags:[],
      suitchkdates:[],
      suitsnos:[],
      confirmflags:[]
    };

    if(confirmflags==2 || confirmflags==3){
      for(var i = 0; i < RiskMatch.temp.hrConfirmData.ofrisks.length; i++){
        if(RiskMatch.temp.hrConfirmData.ofrisks[i]==5){
          postdata.markets.push(RiskMatch.temp.hrConfirmData.markets[i]);
          postdata.tacodes.push(RiskMatch.temp.hrConfirmData.tacodes[i]);
          postdata.stkcodes.push(RiskMatch.temp.hrConfirmData.stkcodes[i]);
          postdata.bsflags.push(RiskMatch.temp.hrConfirmData.bsflags[i]);
          postdata.suitchkdates.push(RiskMatch.temp.hrConfirmData.suitchkdates[i]);
          postdata.suitsnos.push(RiskMatch.temp.hrConfirmData.suitsnos[i]);
          postdata.confirmflags.push(confirmflags);
        }
      }
      postdata.markets = postdata.markets.join(",");
      postdata.tacodes = postdata.tacodes.join(",");
      postdata.stkcodes = postdata.stkcodes.join(",");
      postdata.bsflags = postdata.bsflags.join(",");
      postdata.suitchkdates = postdata.suitchkdates.join(",");
      postdata.suitsnos = postdata.suitsnos.join(",");
      postdata.confirmflags = postdata.confirmflags.join(",");
    }else{
      for(var i =0; i < data.stkcodes.length; i++){
        if(data.chkresults[i] == confirmflags){
          postdata.markets.push(data.markets[i]);
          postdata.tacodes.push(data.tacodes[i]);
          postdata.stkcodes.push(data.stkcodes[i]);
          postdata.bsflags.push(data.bsflags[i]);
          postdata.suitchkdates.push(data.suitchkdates[i]);
          postdata.suitsnos.push(data.suitsnos[i]);
          postdata.confirmflags.push(confirmflags);
        }
      }
      var _postdata = {
        markets:postdata.markets.join(","),
        tacodes:postdata.tacodes.join(","),
        stkcodes:postdata.stkcodes.join(","),
        bsflags:postdata.bsflags.join(","),
        suitchkdates:postdata.suitchkdates.join(","),
        suitsnos:postdata.suitsnos.join(","),
        confirmflags:postdata.confirmflags.join(",")
      };
      postdata = _postdata;
    }
    Com.ajax({
      url:RiskMatch.apis.jdtz_funds_record,
      type:"post",
      data:postdata,
      isTradeLogin:true,
      "supportBioLogin":'2',
      isNeedLoading:true,
      success:function(res){
        if(res.result[0]["code"]==0){
          if(typeof callback=="function"){
            callback();
          }
        }else{
          $(".riskMatchBtn").removeAttr("disabled");
          Com.showNativeAlert('',res.result[0]["msg"],['确定']);
        }
      }
    });
  }

  //渲染确认内容
  RiskMatch.renderConfirm = function(data){
    //转换换行符
    data.content =  RiskMatch.handleContent(data.content);

    var render = template.compile(RiskMatch.tpl);
    document.querySelector(RiskMatch.options.viewid).innerHTML = render(data);
    document.querySelector(RiskMatch.options.pageid).style.display = "none";
    document.querySelector(RiskMatch.options.viewid).style.display="block";
    RiskMatch.bindBtns();
    if(data.countdown){
      var counttime = RiskMatch.seconds;
      if(RiskMatch.options.prdtype=="OTC"){
        counttime = RiskMatch.apiData.data[0]["calmtime"] || RiskMatch.seconds;
      }else if(RiskMatch.options.prdtype=="JDTZ" && RiskMatch.options.raction=="SIGN"){
        counttime = RiskMatch.seconds;
      }else{
        counttime = RiskMatch.apiData.match_result[0]["countdown"] || RiskMatch.seconds;
      }
      clearTimeout(RiskMatch._t);
      RiskMatch.times("_t", counttime);
    }
  }

  //倒数
  RiskMatch.times = function (){
    RiskMatch.countBtn = arguments[0] || RiskMatch.countBtn;
    RiskMatch.seconds = arguments[1] || RiskMatch.seconds;
    if(!RiskMatch.countBtn) {
      return false;
    }
    RiskMatch.seconds = RiskMatch.seconds-1;
    var $text = $("#" + RiskMatch.countBtn)
    $text.text("(" + RiskMatch.seconds + "')");
    $text.parents("button").attr("disabled",true);
    if ( RiskMatch.seconds <= 0 ){
      clearTimeout(RiskMatch._t);
      RiskMatch.seconds = RiskMatch.defaulttimes;
      $text.text("");
      $text.parents("button").removeAttr("disabled");
    }else{
      clearTimeout(RiskMatch._t);
      RiskMatch._t = setTimeout(RiskMatch.times, 1000);
    }
  }

  /**
   * 去做风险测评
   * @param nextUrl 完成风险测评需要跳转的下一个页面
   * @param httporhttps 协议类型:http||https
   */
  RiskMatch.common_goRisk = function(nextUrl,httporhttps){
    Com.ajax({
      "url":Com.getOrigin()+"/goldsun/risktest/getToken/1.0",
      "data":{},
      "type":"post",
      "dataType":"json",
      "success":function(d){
        $js.getFundId = function(pm){
          var fundid = pm.fundId;
          var custid = pm.customId;
          var token = d.data[0].token || "";
          var tradeToken = d.data[0].tradeToken || "";
          var ourl = encodeURIComponent(nextUrl);
          var host_name = location.hostname;
          //Com.setWebviewTitle('',{"title":"风险测评","bgColor":"272736"});
          var _host = ""
          var pageUrl = "";
          var istestIpAddr = Com.isTestIp(host_name);//true测试环境或开发环境 false生产环境
          _host = Com.getRiskPagehost();
          pageUrl = _host + '/asset/risk/index.html?token='+token+'&tradeToken=' + tradeToken
              + '&custid=' + custid + '&fundid=' + fundid;
          Com.newWebViewOpenPage('',{"pageUrl":pageUrl,"weburl":pageUrl});
        };
        if(d.result[0].code == '0'){
          onCallNative('DataService','getTradeLoginData','','getFundId','{"fundId":"110002345509","randomKey":"Fundid:1097256205:110002345509","orgId":"xxxx"}');
        }
        else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
          return false;
        }
        else{
          Com.showNativeAlert("",d.result[0].msg,["确定"],'');
        }
      },
      "isTradeLogin":true,
      "supportBioLogin":'2',
      "error":function(){
        Com.showNativeAlert("",'网络不给力',["确定"],'');
      }
    });
  }

  window.RiskMatch =  new a();
})()