var F = {};
F.itc = {};
F.itc.echartsOption = {
    title: {
        show:false,
        padding:0,
        text: '历史收益率'
    },
    legend: {
        data:['历史收益率']
    },
    animation:false,
    toolbox: {
        feature: {
            saveAsImage: {}
        }
    },
    grid: {
        left: '10px',
        right: '5px',
        bottom: '10px',
        top:'8px',
        containLabel: true
    },
    xAxis : [
        {
            type : 'category',
            boundaryGap : false,
            data : [{
                value:'2017-07-24',
                textStyle:{
                    color:'#8e8e93',
                    fontSize:11,
                    align:'left'
                }
            },'','','','','','2017-07-25'],
            axisLabel:{
                textStyle:{
                    color:'#8e8e93',
                    fontSize:11,
                    align:'right'
                },
                interval:0,
                margin:15,
                formatter: function (value, index) {
                    return value;
                }
            },
            axisLine: {            // 坐标轴线
                lineStyle: {       // 属性lineStyle控制线条样式
                    color: '#f6f6f7'
                },
                show:true
            },
            axisTick: {            // 坐标刻度
                show:false
            },
            splitLine: {           // 分隔线
                interval:30,
                show:true,
                lineStyle: {       // 属性lineStyle（详见lineStyle）控制线条样式
                    color: ['#f6f6f7']
                }
            }
        }
    ],
    yAxis : [
        {
            type : 'value',
            splitLine: {           // 分隔线
                lineStyle: {       // 属性lineStyle（详见lineStyle）控制线条样式
                    color: ['#f6f6f7'],
                    type:'dashed'  //'solid'  'dashed'  'dotted'
                }
            },
            axisLine: {            // 坐标轴线
                show:false,
                lineStyle: {       // 属性lineStyle控制线条样式
                    color: '#f6f6f7'
                }
            },
            axisLabel:{
                // inside:true,
                textStyle:{
                    color:'#8e8e93',
                    baseline:'middle',
                    fontSize:11
                },
                formatter: function (value, index) {
                    return value+'%';
                }
            },
            axisTick:{
                show:false
            },
            splitNumber:4
        }
    ],
    series : [
        {
            name:'基智魔方收益率',
            type:'line',
            // stack: '总量',
            data:[],
            areaStyle: {
                normal: {
                    color:'transparent'
                },
                smooth:true
            },
            lineStyle:{
                normal:{
                    width:1,
                    color:'#FD5656'
                }
            },
            animation:false,
            itemStyle:{
                normal : {
                    color:'#FD5656',
                    lineStyle:{
                        color:'#FD5656'
                    }
                }
            },
            showSymbol :false
        },
        {
            name:'全账户收益率',
            type:'line',
            // stack: '总量',
            data:[],
            animation:false,
            areaStyle: {
                normal: {
                    color:'transparent'
                },
                smooth:true
            },
            lineStyle:{
                normal:{
                    width:1,
                    color:'#589DFC'
                }
            },
            itemStyle:{
                normal : {
                    color:'#589DFC',
                    lineStyle:{
                        color:'#589DFC'
                    }
                }
            },
            showSymbol :false
        }
    ]
};

//智能定投和普通定投的区别，以中证500为例
F.itc.drawChart = function(){

    //没登录的情况下只展示组合收益
    var diffRate = function(){
        var param = {};
        Com.ajax({
            "url":Com.getOrigin()+'/gsfinancing/ofschedule/compAipAndFipProfit/1.0',
            "data":param,
            "type":"post",
            "dataType":"json",
            "success":function(d){
                if (d != null && d.result[0].code == 0) {
                    if(d.data.length>0){
                        d.data.reverse();
                    }
                    //清空echarts的值
                    F.itc.echartsOption.xAxis[0].data = [];
                    F.itc.echartsOption.series[0].data = [];//智能定投收益
                    F.itc.echartsOption.series[1].data = [];//普通定投收益
                    for (var i=0,len=d.data.length;i<len;i++) {
                        F.itc.echartsOption.series[0].data[i] = d.data[i].aipProfit*1;//智能定投收益
                        F.itc.echartsOption.series[1].data[i] = d.data[i].fixProfit*1;//普通定投收益
                        //x轴日期的第一个值需要居左，需要特殊处理
                        if (i==0) {
                            F.itc.echartsOption.xAxis[0].data[i] = {
                                value:template.helpers.dateFormat(d.data[i].statDate,'yyyy-MM-dd'),
                                textStyle:{
                                    color:'#8e8e93',
                                    fontSize:11,
                                    align:'left'
                                }
                            };
                            //x轴日期的最后一个值需要居右
                        }else if(i==len-1) {
                            F.itc.echartsOption.xAxis[0].data[i] = template.helpers.dateFormat(d.data[i].statDate,'yyyy-MM-dd');

                            //x轴日期只显示首末两个值，其他都置空
                        }else{
                            F.itc.echartsOption.xAxis[0].data[i] =  '';
                        }

                    }
                    //坐标轴在 grid 区域中的分隔线
                    F.itc.echartsOption.xAxis[0].splitLine.interval = Math.floor(d.data.length-1);

                    var jdtzChart = echarts.init(document.getElementById('chart_main'));
                    jdtzChart.clear();
                    jdtzChart.setOption(F.itc.echartsOption,true);
                }else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                    return false;
                }else{
                    Com.nativeToast(d.result[0].code+':'+d.result[0].msg);
                }
            },
            "isTradeLogin":false,
            "error":function(){
                Com.ajaxLoaded();
                Com.showNativeAlert('','网络不给力|compAipAndFipProfit',['确定'],'')
            }
        });
    };

    diffRate();
};


/*智能定投首页*/
function zndtIndexInit(){
    //返回刷新
    Com.gobackRefreshPage(true,getAudioSubject);
    //设置标题
    Com.setWebviewTitle('',{"title":'定投专区',"bgColor":""});

    //获取人气定投
    getPopularDtList();

    //智能定投和普通定投的区别，以中证500为例
    F.itc.drawChart();

    //获取音频专题
    getAudioSubject();

    //跳转到月薪理财
    $(document).on('click','#yxlcgo',function(){
        window.location.href = Com.getOrigin()+'/asset/mfdt/pages/yxlc_adver.html';
    });

    //中证500智能定投弹出说明
    $(document).on('click','#showjstips',function(){
        Com.showScreenMask('复合年均收益率计算说明','按每月投资一次来计算，不包含交易手续费。智能定投收益率计算公式\nC1*(1+r/12) ^n +C2*(1+r/12)^(n-1)+...\n+Cn(1+r/12) ^1=NAVn\n（n为投资期数，NAVn为第n月期末市值，r为年化收益率。Ci为第i期投入金额）\n普通定投与智能定投计算公式相同。其中普通定投C1=C2=Cn\n参考指数的模拟历史业绩不代表基金投资收益，且模拟数据未考虑手续费、通货膨胀等因素。投资者应认真阅读拟投资基金的法律文件，了解基金的风险收益特征，并充分了解基金定投和银行零存整取等储蓄方式的区别。基金定投是引导投资者进行长期投资、平均投资成本的一种简单易行的投资方式，但是基金定投并不能规避基金投资固有风险，不能保证投资者获得收益。国信证券为基金销售机构，对基金管理人的投资运作不承担任何责任。敬请注意投资风险。');
    });

    //智能定投收益说明
    $(document).on('click','.zndttipsico',function(){
        Com.showScreenMask('收益率说明','智能定投年化：近5年（若基金成立未满5年，则取3年）模拟智能定投复合年均收益率的缩写。\n普通定投年化：近5年（若基金成立未满5年，则取3年）模拟普通定投复合年均收益率的缩写。\n计算公式：\n按每月投资一次来计算，不包含交易手续费。\n智能定投收益率计算公式\n C1*(1+r/12) ^n +C2*(1+r/12)^(n-1)+... +Cn(1+r/12) ^1=NAVn\n（n为投资期数，NAVn为第n月期末市值，r为年化收益率。Ci为第i期投入金额）\n普通定投与智能定投计算公式相同。其中普通定投C1=C2=Cn\n\n模拟历史业绩不代表基金投资收益，且模拟数据未考虑手续费、通货膨胀等因素。投资者应认真阅读拟投资基金的法律文件，了解基金的风险收益特征，并充分了解基金定投和银行零存整取等储蓄方式的区别。基金定投是引导投资者进行长期投资、平均投资成本的一种简单易行的投资方式，但是基金定投并不能规避基金投资固有风险，不能保证投资者获得收益。国信证券为基金销售机构，对基金管理人的投资运作不承担任何责任。敬请注意投资风险。');
    });

    //跳转到智能定投排行
    $(document).on('click','#itc_fund_more',function(){
        try
        {
            TalkingData.onEventWithLabel("理财",'理财产品-定投专区-智能定投-更多基金');
        }
        catch(err) {}
        Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/mfund/pages/itc_fund_rank.html?ranktype=1',"weburl":Com.getOrigin()+'/asset/mfund/pages/itc_fund_rank.html?ranktype=1'});
    });

    //跳转到基金详情
    $(document).on('click','.openfunddetail',function(){
        var ofcode = $(this).attr('ofcode');
        var ofname = $(this).attr('ofname');
        try
        {
            TalkingData.onEventWithLabel("理财",'理财产品-定投专区-智能定投-基金详情-'+ofcode+'-'+ofname);
        }
        catch(err) {}

        Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/mfund/pages/fund_details.html?ofcode='+ofcode,"weburl":Com.getOrigin()+'/asset/mfund/pages/fund_details.html?ofcode='+ofcode},'1');
    });

    //跳转到了解更多
    $(document).on('click','#know_more',function(){
        var ofcode = $(this).attr('ofcode');
        Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/goldsun_mlc/itc_dt/pages/know_more.html',"weburl":Com.getOrigin()+'/asset/goldsun_mlc/itc_dt/pages/know_more.html'});
    });

    //跳转到音频专题
    $(document).on('click','#audio_more',function(){
        Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/goldsun_mlc/fcaudio/pages/audio_list.html',"weburl":Com.getOrigin()+'/asset/goldsun_mlc/fcaudio/pages/audio_list.html'});
    });

    //跳转到设置定投页面
    $(document).on('click','.setdt',function(){
        var that = $(this);
        var ofcode = $(this).attr('ofcode');
        var tacode = $(this).attr('tacode');
        var ofname = $(this).attr('ofname');
        try
        {
            TalkingData.onEventWithLabel("理财",'理财产品-定投专区-智能定投-定投按钮-'+ofcode+'-'+ofname);
        }
        catch(err) {}

        var  clickHandle =function(){
            intellect_checkUserCanBuy(ofcode,tacode,that,'1');//定投
        };
        Com.actionLogin(clickHandle);
    });

    //跳转到音频播放
    $(document).on('click','.ad_zt_ec',function(){
        var playid=$(this).attr('playid');
        Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/goldsun_mlc/fcaudio/pages/audio_play.html?playid='+playid,"weburl":Com.getOrigin()+'/asset/goldsun_mlc/fcaudio/pages/audio_play.html?playid='+playid});
    });

    //导航新增定投
    Com.rightTopBtn('3','我的定投',gomyDT);

    //客服入口
    new Drag('fixedrobot');
    //接入客服模块
    robotAction('','','','','','9905','ztl019','8','fixedrobot');
}

function gomyDT(){
    Com.actionLogin(function(){
        Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/mfdt/pages/plan_ongoing.html'});
    },'','','2');
    /*Com.actionLogin(function(){
        Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/mfdt/pages/plan_ongoing.html'});
    });*/
}

//获取人气定投列表
function getPopularDtList(){
    var param = {};
    var ajaxData = function(datajson){
        Com.ajax({
            "url":Com.getOrigin()+'/gsfinancing/ofschedule/getAipZoneList/1.0',
            "data":datajson,
            "type":"post",
            "dataType":"json",
            "success":function(d){
                Com.ajaxLoaded();
                if(d.result[0].code == '0'){
                    var ohtml = template('popularDemo',d);
                    $('#popularList').html(ohtml);
                }
                else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                    return false;
                }
                else{
                    Com.showNativeAlert('',d.result[0].msg,['确定'],'');
                }
            },
            "isTradeLogin":false,
            "error":function(){
                Com.ajaxLoaded();
                Com.showNativeAlert('','网络不给力|getAipZoneList',['确定'],'')
            }
        });
    };
    ajaxData(param);
}

//获取音频专题
function getAudioSubject(){
    var param = {};
    param['pageno'] = 0;
    param['pagesize'] = 200;
    var ajaxData = function(datajson){
        Com.ajax({
            "url":Com.getOrigin()+'/gsfinancing/media/getAipMediaList/1.0',
            "data":datajson,
            "type":"post",
            "dataType":"json",
            "success":function(d){
                Com.ajaxLoaded();
                if(d.result[0].code == '0' && typeof d.data!='undefined'){

                    if(typeof d.data !=='undefined' && d.data.length!=0){
                        for(var i = 0;i<d.data.length;i++){
                            //比对一下本地存储的音频id，如果没有则显示new标记
                            d.data[i].hasLocalAudio=hasAudioId(d.data[i].id);
                        }
                        var ohtml = template('audioListDemo',d);
                        $('#audio_list').html(ohtml);
                    }
                }
                else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                    return false;
                }
                else{
                    Com.showNativeAlert('',d.result[0].msg,['确定'],'');
                }
            },
            "isTradeLogin":false,
            "error":function(){
                Com.ajaxLoaded();
                Com.showNativeAlert('','网络不给力|getAipMediaList',['确定'],'')
            }
        });
    };
    ajaxData(param);
}