template.helper('fundTypeTrans', function (n) {
    if(!n){
        return '';
    }
    else if(n === '1'){
        return '股票型';
    }
    else if(n === '2'){
        return '债券型';
    }
    else if(n === '3'){
        return '混合型';
    }
    else if(n === '4'){
        return '货币型';
    }else{
        return '其他';
    }
});
template.helper('statusTrans', function (n) {
    if(!n){
        return '';
    }
    else if(n === '4'){
        return '认购期';
    }
    else if(n === '6'){
        return '申购期';
    }
    else if(n === '7'){
        return '封闭期';
    }
    else{
        return '';
    }
});
template.helper('invPreTrans', function (n) {
    if(!n){
        return '';
    }
    else if(n === '1'){
        return '0-1年';
    }
    else if(n === '2'){
        return '1-3年';
    }
    else if(n === '3'){
        return '3-5年';
    }
    else if(n === '4'){
        return '5年及以上';
    }else{
        return '其他';
    }
});

template.helper('riskInfo', function (n) {
    if(!n){
        return '';
    }
    else if(n === '1'){
        return 'R1(低风险)';
    }
    else if(n === '2'){
        return 'R2(中低风险)';
    }
    else if(n === '3'){
        return 'R3(中风险)';
    }
    else if(n === '4'){
        return 'R4(中高风险)';
    }
    else if(n === '5'){
        return 'R5(高风险)';
    }else{
        return '未知风险';
    }
});
//5.3.1
template.helper('investType',function(n){
    if(!n){
        return '';
    }
    else if(n === '1'){
        return '固定收益类或同等风险级别的投资品种，如债券、货币市场基金、债券基金等';
    }
    else if(n === '2'){
        return '权益类或同等风险级别的投资品种，如股票、混合型基金、偏股型基金、股票型基金等';
    }
    else if(n === '3'){
        return '另类或同等风险级别的投资品种，如信托、基金专项计划等';
    }
    else if(n === '4'){
        return '杠杆类或同等风险级别的投资品种，如融资融券、期货、期权等';
    }
    else if(n === '5'){
        return '复杂或高风险金融产品';
    }else{
        return '其他';
    }
});
template.helper('toInteger',function (strnumber){
    return parseInt(strnumber);
});

var F = F||{}; //定义一个全局对象作为命名空间
F.chicang=F.chicang||{};
//持仓收益曲线
var chicangChart;
F.chicang.drawChart = function(queryTime){
    var drawData = function(list) {
        if (list.length > 0 && !$.isEmptyObject(list[0])) {
            var fund_sy_arr = [];
            var hs300_arr = [];
            var zz500_arr = [];
            var xAxis_arr = [];
            var legend_arr = [];
            var legend_name1='',legend_name2='',legend_name3='',v1=0,v2=0,v3=0;
            for (var i = 0; i < list.length; i++) {
                xAxis_arr.push(list[i].tradingdate + '');
                fund_sy_arr.push(list[i].profit * 100);
                hs300_arr.push(list[i].profit_hs300 * 100);
                zz500_arr.push(list[i].profit_zz500 * 100);
                if (i===0) {
                    if(list.length===1){
                        yjzs_option.xAxis[0].data[i] = {
                            textStyle:{
                                align:'center'
                            }
                        };
                    }else{
                        yjzs_option.xAxis[0].data[i] = {
                            textStyle:{
                                align:'left'
                            }
                        };
                    }
                }
                else if(list.length>2&&i===parseInt(list.length/2)){
                    yjzs_option.xAxis[0].data[i] = {
                        textStyle:{
                            padding:[0,-30,0,0],
                            align:'right'
                        }
                    };
                }
                //取最后一日数据显示在legend上
                if(i===list.length-1){
                    v1 = parseFloat(list[i].profit * 100).toFixed(2);
                    v2 = parseFloat(list[i].profit_hs300 * 100).toFixed(2);
                    v3 = parseFloat(list[i].profit_zz500 * 100).toFixed(2);
                }
            }
            chicangChart = echarts.init(document.getElementById('cc_charts_box'));
            chicangChart.setOption(yjzs_option);
            chicangChart.setOption({
                legend: {
                    data:[{name:'本基金',icon:'rect'},{name:'沪深300',icon:'rect'},{name:'中证500',icon:'rect'}],
                    selected: {'本基金':true,'沪深300':true,'中证500':false},
                    formatter:  function(name){
                        var str = '';
                        if (name=='本基金'){
                            if(v1<0){
                                str = '{a|'+name+'}  {c|'+v1+'%}';
                            }else{
                                str = '{a|'+name+'}  {b|'+v1+'%}';
                            }
                        } else if (name=='沪深300'){
                            if(v2<0){
                                str = '{a|'+name+'}  {c|'+v2+'%}';
                            }else{
                                str = '{a|'+name+'}  {b|'+v2+'%}';
                            }
                        } else if (name=='中证500'){
                            if(v3<0){
                                str = '{a|'+name+'}  {c|'+v3+'%}';
                            }else{
                                str = '{a|'+name+'}  {b|'+v3+'%}';
                            }
                        }
                        // return name + ' ' + ((target/total)*100).toFixed(2) + '%';
                        return str
                    },
                    textStyle:{
                        rich:{
                            a:{

                            },
                            b:{
                                color:'red'
                            },
                            c:{
                                color:'green'
                            }
                        }
                    }
                },
                xAxis: [
                    {
                        data: xAxis_arr,
                        axisLabel: {
                            interval: parseInt(list.length / 3)
                        }
                    }
                ],
                yAxis: [
                    {
                        axisLabel: {
                            formatter: '{value}%'
                        }
                    }
                ],
                series: [
                    {
                        name: '本基金',
                        type: 'line',
                        showSymbol: false,
                        data: fund_sy_arr,
                        lineStyle: {
                            normal: {
                                width: 1
                            }
                        }
                    },
                    {
                        name: '沪深300',
                        type: 'line',
                        showSymbol: false,
                        data: hs300_arr,
                        lineStyle: {
                            normal: {
                                width: 1
                            }
                        }
                    },
                    {
                        name: '中证500',
                        type: 'line',
                        showSymbol: false,
                        data: zz500_arr,
                        lineStyle: {
                            normal: {
                                width: 1
                            }
                        }
                    }
                ]
            });
        } else {
            $('#cc_charts_box').css('display','none').siblings('.notradeRecords').css('display','block');
        }
    };

    var param={};
    param['ofcode']=ofcode;
    param['period']=queryTime?queryTime:'1y';
    Com.ajax({
        "url":'/gsfinancing/privatefundinfo/getprivatefundperformplot/1.0',
        "data":param,
        "type":"post",
        "dataType":"json",
        "success":function(d){
            if (d != null && d.result[0].code === 0) {
                drawData(d.data);
            }else if(d.result[0].code === 11 || d.result[0].code === 18 || d.result[0].code === 19){
                return false;
            }else{
                Com.nativeToast(d.result[0].code+':'+d.result[0].msg);
            }
        },
        "supportBioLogin":'2',
        "isTradeLogin":true,
        "error":function(){
            Com.ajaxLoaded();
            Com.showNativeAlert('','网络不给力',['确定'],'')
        }
    });
};


var ofcode;
$(function(){
    ofcode = Com.getQueryStringByName('ofcode');
    Com.nativeGobackListener('1',function(){Com.nativeGoback();});
    var loadFundDetail = function(datajson){
        Com.nativeLoading(true);
        Com.ajax({
            url: Com.getOrigin()+"/gsfinancing/privatefundinfo/getprivatefunddetail/1.0",
            data:datajson,
            type:"POST",
            dataType:"json",
            isTradeLogin: true,
            success:function(d){
                Com.nativeLoading(false);
                if(d.result[0].code === 0){
                    //设置title
                    Com.setWebviewStockTitle('',{"stockName":d.data[0].fundname,"stockCode":d.data[0].fundcode,"bgColor":"589dfc"},true);
                    var fundInfo = d.data[0];
                    if(fundInfo){
                        $('#fundStatusTag').html(statusTrans(fundInfo.fundstatus));
                        $('#fundTypeTag').html(fundTypeTrans(fundInfo.fundtype));
                        $('#fundRiskTag').html(riskInfo(fundInfo.risklevel));

                        $('#fundVal').html(fundInfo.fundvalue!=''?fundInfo.fundvalue:'--');
                        $('.fundDate').html(fundInfo.fundreturndate);
                        $('#fundTotalVal').html(fundInfo.fundtotalvalue!=''?fundInfo.fundtotalvalue:'--');
                    }
                    // var oHtml1 = template('topInfoTpl', d.data[0]);//头部数据
                    // $('#topnav').html(oHtml1);
                    var oHtml2 = template('baseInfoTpl',d.data[0]);
                    $('#base_info').html(oHtml2);
                    var oHtml3 = template('tradeInfoTpl',d.data[0]);
                    $('#trade_info').html(oHtml3);
                    //5.3.1
                    var oHtml4 = template('cpfxjjsTpl',d.data[0]);
                    $('#cpfxjss').html(oHtml4);

                    Com.setLocalValue('smjj_risk_version',d.data[0].riskversion);
                    Com.setLocalValue('smjj_cool_period',d.data[0].coolperiod);

                    //单位净值历史走势图表,处于认购期状态下的基金，将净值图隐藏
                    if(d.data[0].fundstatus==='4'){
                        $('#trade_charts').css('display','none');
                    }else{
                        $('#trade_charts').css('display','block');
                        F.chicang.drawChart();
                    }

                    var fundidflag = d.data[0].fundidflag;
                    var containFundidFlag = d.data[0].containFundidFlag;
                    if (fundidflag == '1' && containFundidFlag != '1') {
                        $('.buy_now').addClass('gray').prop('disabled', true);
                    } else {
                        if (d.data[0].fundstatus !== '4' && d.data[0].fundstatus !== '6') {
                            $('.buy_now').addClass('gray').prop('disabled', true);
                        } else {
                            if (d.data[0].sellFlag == '1') {
                                $('.buy_now').html('已售罄').addClass('gray').prop('disabled', true);
                            }
                        }
                    }
                }
                else{
                    Com.showNativeAlert("",d.result[0].msg,["确定"],function(){
                        Com.nativeGoback();
                    });
                }
            },
            error:function(){
                Com.showNativeAlert("","网络不给力",['确定'],'');
            }
        });
    };

    var loadReports = function(datajson){
        datajson['infoType']=371;
        datajson['pageNum']=0;
        datajson['pageSize']=4;  //5.3.1
        Com.ajax({
            //url:'../json/fileList.json',
            url: Com.getOrigin()+"/gsfinancing/privatefundinfo/getprivatefundreportlist/1.0",
            data:datajson,
            type:"POST",
            dataType:"json",
            success:function(d){
                if(d.result[0].code === 0){
                    d['totalSize']=d.data.length;
                    var oHtmlYB = template('ybListTpl',d);
                    $('#yblist').html(oHtmlYB);
                    if(d.data.length>3){
                        $('#yblist').find('.more_link').css('display','block');
                        $('#yblist').find('.more_link').click(function(){
                            Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/goldsun_mlc/smjj/pages/report_n_notice.html?ofcode='+ofcode+'&tab=0',"weburl":"report_n_notice.html?ofcode="+ofcode+'&tab=0'});
                        });
                    }

                }
                else{
                    Com.showNativeAlert("",d.result[0].msg,['确定'],'');
                }
            }
        });
    }

    var loadAnnoucements = function(datajson){
        datajson['infoType']=372;
        datajson['pageNum']=0;
        datajson['pageSize']=4;  //5.3.1
        Com.ajax({
            //url:'../json/fileList2.json',
            url: Com.getOrigin()+"/gsfinancing/privatefundinfo/getprivatefundreportlist/1.0",
            data:datajson,
            type:"POST",
            dataType:"json",
            success:function(d){
                if(d.result[0].code === 0){
                    //公告
                    d['totalSize']=d.data.length;
                    var oHtmlGG = template('ggListTpl',d);
                    $('#gglist').html(oHtmlGG);
                    if(d.data.length>3){
                        $('#gglist').find('.more_link').css('display','block');
                        $('#gglist').find('.more_link').click(function(){
                            Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/goldsun_mlc/smjj/pages/report_n_notice.html?ofcode='+ofcode+'&tab=1',"weburl":"report_n_notice.html?ofcode="+ofcode+'&tab=1'});
                        });
                    }
                }
                else{
                    Com.showNativeAlert("",d.result[0].msg,['确定'],'');
                }
            }
        });
    };
    var param={};
    var param1={};
    var param2={};
    param['fundcode'] = ofcode;
    param1['fundcode'] = ofcode;
    param2['fundcode'] = ofcode;
    //基金概况
    loadFundDetail(param);

    //研报列表
    loadReports(param1);
    //公告列表
    loadAnnoucements(param2);

    // F.chicang.drawChart();

    //点击购买
    $(document).on('click','.buy_now',function(){
        var parent = $('.bottom_btn');
        if(parent.hasClass('buy')){
            Com.actionLogin(checkUserCanBuy);
        }
    });

    //净值走势(七日年化)切换时间
    $(document).on('click','.det_d_a',function(){
        $(this).addClass('on').siblings('.det_d_a').removeClass('on');
        var queryType = $('.mf_c_menu .mf_t_a').eq(1).attr('queryType');
        var queryTime = $(this).attr('queryTime');
        F.chicang.drawChart(queryTime);
    });

    //跳转至历史净值列表
    $(document).on('click', '#hisFundVal', function(){
        Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/goldsun_mlc/smjj/pages/smjj_his_fundval.html?ofcode='+ofcode,"weburl":"smjj_his_fundval.html?ofcode="+ofcode});
    });

    $(document).on('click','a.mfund_opennewpage',function(){
        var target = $(this).attr('_href');
        if(target!=''){
            onCallNative('WebContainer', 'downloadPdf', {'pageUrl':target}, '');
        }
    });
});

//step1 弹出《合格投资者确认》
function checkUserCanBuy(){

    Com.getLoginData(chkActType);
    function chkActType(nativeParam){
        if(typeof nativeParam === 'string'){
            nativeParam = JSON.parse(nativeParam);
        }
        var creditAccount = nativeParam.accountClass;
        if(typeof creditAccount!=='undefined'&&creditAccount==1){  //当前为信用账户
            Com.showNativeAlert('','您的资金账号为融资融券账号，无法申购私募基金。',['确定']);
        }else{
            checkNextStep();
            //Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/goldsun_mlc/smjj/pages/smjj_investor_confirm.html?ofcode='+ofcode,"weburl":"smjj_investor_confirm.html?ofcode="+ofcode});
        }
    }
}

function checkNextStep(){
    // var zytzzFlag = '';
    var jgkhFlag = '';
    var adCertFlag = '';
    var adCertStatus = '';
    var certStatus = '';
    var getCustSf = function (resolve, reject){
        // zytzzFlag = Com.getLocalValue('zytzzFlag');
        jgkhFlag = Com.getLocalValue('jgkhFlag');
        // if(zytzzFlag&&zytzzFlag!=null&&jgkhFlag&&jgkhFlag!=null){
        if(jgkhFlag&&jgkhFlag!=null){
            console.log('jgkhFlag:'+jgkhFlag);
            resolve();
        }else{
            var p = {'fundcode': ofcode};
            Com.ajax({
                type: 'POST',
                url: Com.getOrigin()+'/gsfinancing/privatefund/getprivatefundbuycond/1.0',
                dataType: 'json',
                data: p,
                isTradeLogin:true,
                success: function(d){
                    if(d.result[0].code===0){
                        var ddd = d.data[0];
                        // zytzzFlag = ddd.isprofession;
                        jgkhFlag = ddd.isorg;
                        // Com.setLocalValue('zytzzFlag',zytzzFlag);
                        Com.setLocalValue('jgkhFlag',jgkhFlag);
                        resolve();
                    }else{
                        // zytzzFlag = '0';
                        jgkhFlag = '0';
                        Com.showNativeAlert('',d.result[0].msg,['确定']);
                        reject();
                    }
                },
                error:function(){
                    Com.showNativeAlert('','网络不给力',['确定'],'');
                    return;
                }
            });
        }
    }

    var getAdCertStatus = function (resolve, reject){
        Com.getCommonLoginData(getSysVer);
        function getSysVer(p){
            const compareVer='5.3.0';
            if(typeof p=='string'){
                p = JSON.parse(p);
            }
            if(typeof (p.sysVer)!='string'){
                p.sysVer = (p.sysVer).toString();
            }
            if((p.sysVer).indexOf('.') != -1){
                var versionCompare=Com.comparieVersion(compareVer,p.sysVer);
                if(versionCompare){
                    $js.setSzzsInfo = function (param) {
                        console.log('getSzzsInfo res:'+JSON.stringify(param));
                        adCertFlag = param.hasApply;
                        adCertStatus = param.isVerifying;
                        certStatus = param.certStatus;
                        Com.setLocalValue('adCertApplyDate',param.applyDate);
                        resolve();
                    };
                    onCallNative('DataService','getSzzsInfo',{},'setSzzsInfo');
                }else{
                    Com.showNativeAlert('', '您目前的版本过低，无法购买私募产品，请下载最新版本！', ['确定']);
                    reject();
                }
            }else{
                Com.showNativeAlert('', '您目前的版本过低，无法购买私募产品，请下载最新版本！', ['确定']);
                reject();
            }
        }
    }
    const p1 = new Promise(getCustSf);
    const p2 = new Promise(getAdCertStatus);
    Promise.all([p1, p2]).then(function() {
        if(jgkhFlag=='1'){
            Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/goldsun_mlc/smjj/pages/smjj_investor_confirm.html?ofcode='+ofcode,"weburl":"smjj_investor_confirm.html?ofcode="+ofcode});
            return;
        }
        if(certStatus=='1'){  //证书状态正常
            Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/goldsun_mlc/smjj/pages/smjj_investor_confirm.html?ofcode='+ofcode,"weburl":"smjj_investor_confirm.html?ofcode="+ofcode});
            return;
        }
        if(certStatus=='0' && adCertStatus=='0'){ //证书状态不正常且未申请高级证书
            //跳转至申请个人高级证书流程
            Com.openNativePage('sqgjzs','fun');
            return;
        }
        if(certStatus=='0'&&adCertStatus=='1'){  //证书申请处于待审核状态
            Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/goldsun_mlc/smjj/pages/smjj_adcert_waiting.html',"weburl":"smjj_adcert_waiting.html"});
            return;
        }
    });
}


function statusTrans(n) {
    if(!n){
        return '';
    }
    else if(n === '4'){
        return '认购期';
    }
    else if(n === '6'){
        return '申购期';
    }
    else if(n === '7'){
        return '封闭期';
    }
    else{
        return '';
    }
}

function fundTypeTrans(n) {
    if(!n){
        return '';
    }
    else if(n === '1'){
        return '股票型';
    }
    else if(n === '2'){
        return '债券型';
    }
    else if(n === '3'){
        return '混合型';
    }
    else if(n === '4'){
        return '货币型';
    }else{
        return '其他';
    }
}

function riskInfo(n) {
    if(!n){
        return '';
    }
    else if(n === '1'){
        return 'R1(低风险)';
    }
    else if(n === '2'){
        return 'R2(中低风险)';
    }
    else if(n === '3'){
        return 'R3(中风险)';
    }
    else if(n === '4'){
        return 'R4(中高风险)';
    }
    else if(n === '5'){
        return 'R5(高风险)';
    }else{
        return '未知风险';
    }
}

function showTips(){
    Com.showScreenMask('说明','以私募产品的单位净值为基准计算业绩走势，若其中有分红派息事件，无法反映在业绩走势图中，请知悉。');
}
