const path = require('path'); // 导入路径包
// 定义一些html页面以及相应的引用
const HtmlWebpackPlugin = require('html-webpack-plugin');
const config = require('./common.config.js');
const codeResource = config.codeResource;
const rf = require('fs');
const uglifyjs = require('uglify-js');
const cleancss = require('clean-css');

const htmlPages = config.htmlPages;
const cssContent = rf.readFileSync(config.ROOTPATH + '/H5_common/asset/common_tool/reset_css.css', 'utf-8');
const jsContent = rf.readFileSync(config.ROOTPATH + '/H5_common/asset/common_tool/rem_pages.js', 'utf-8');
//let recordTpl = [];//保存html模板文件

/**
 * @desc tpl 模板支持嵌套处理
 * @param dir
 * @param root
 */
//let fs = rf;
//function getTpl (dir, root) {
//    root = root || './';
//    dir = dir || '';
//    const directory = path.join(__dirname, root, dir);
//    fs.readdirSync(directory)
//        .forEach(function (file) {
//            const fullpath = path.join(directory, file);
//            const stat = fs.statSync(fullpath);
//            const extname = path.extname(fullpath);
//            if (stat.isDirectory() && file !== 'core' && file !== 'lib' && file !== 'static') {
//                const subdir = path.join(dir, file);
//                getTpl(subdir, root);
//            } else if (stat.isFile() && (extname === '.html')) {
//                let name = path.join(dir, path.basename(file, extname));
//                name = name.replace(/\\/g, '/');
//
//                //recordTpl[name] = fullpath;
//                //console.log("js文件:" + name);
//                //console.log("js文件:" +fullpath);
//                htmlPages.unshift({
//                    template:'tpl/'+name + '.html',
//                    chunks:[],
//                    noCommonChucks:true
//                })
//            }
//        });
//}
//
//getTpl('./', codeResource + "/tpl");




function generatePlugins (htmlPages) {
    if (!htmlPages) {
        return [];
    }
    const plugins = [];
    for (let i = 0, len = htmlPages.length; i < len; i++) {
        if (config.commonChunkConfig.isCommonChunk && !htmlPages[i].noCommonChucks) {
            //如果抽取了chunk,添加到前面
            htmlPages[i].chunks.unshift('js/' + config.commonChunkConfig.chunkName);
            htmlPages[i].chunks.unshift('css/' + config.commonChunkConfig.chunkName);
            htmlPages[i].chunks.unshift('js/' + config.commonChunkConfig.manifestName);

        }
        plugins.push(new HtmlWebpackPlugin({
            //favicon: path.resolve(__dirname, config.favicon||'./favicon.ico'),
            template: codeResource + '/' + htmlPages[i].template,
            filename: htmlPages[i].template,
            chunks: htmlPages[i].chunks,
            remJs: uglifyjs.minify(jsContent, {
                mangle: false
            }).code,
            resetCss: (new cleancss({}).minify(cssContent)).styles

        }));
    }




    return plugins;
}

module.exports = {
    // 定义html
    plugin: generatePlugins(htmlPages)
};