import et from  '__ROOTPATH__/H5_common/asset/common_tool/event.js';
import $ from  '__ROOTPATH__/H5_common/asset/common_tool/zepto.js';
import Com from '__ROOTPATH__/H5_common/asset/common_tool/app_common_bridge.js';
import tool_fun from '__ROOTPATH__/H5_common/asset/common_tool/common_fun.js';
import device from '__ROOTPATH__/H5_common/asset/common_tool/device.js';
import md5Fun from  '__ROOTPATH__/H5_common/asset/common_tool/md5.js';
import ES6Promise from 'es6-promise';

import Vue from 'vue';
require('__ROOTPATH__/H5_common/asset/common_tool/common.css');

const holdStockListTpl = require('../tpl/hold_stock_list.html');
require('../css/hold_stock_list.scss');

const dataObj = {
    listData: [''],
    showChart: {},
    choosed: {},
    chooseBottom: {}
};
const configData = {
    queryListUrl: '/zebra/gstrade/gqjl/queryPlanStock/1.0',
    queryNetUrl: '/zebra/gstrade/gqjl/queryPlanStockData/1.0',//'/zebra/gstrade/gqjl/queryPlanStockData/1.0'
    chooseIndex: 0,
    lineData: {}
};


et.eventBind();
const winScale = device.winScale();

const exports = {
    init: function () {
        new Vue({
            el: '#domDiv',
            data: dataObj,
            components:{
            },
            methods: {
                formatDate: function (date) {
                    if(!date) return '';
                    date = date.toString();
                    return date.substr(0, 4) + '-' + date.substr(4, 2) + '-'  + date.substr(6, 2)
                }
            },
            template: '<div>'+ holdStockListTpl  + '</div>'
        });

        exports.bindEvent();
        exports.getData(configData.queryListUrl, {}, 'post', exports.getStockList, true);


        Com.setWebviewTitle('', {'title': '员工持股计划产品查询'}, true);

    },
    getStockList: function (data) {
        if(data.result && data.result[0].code == 0) {
            dataObj.listData = data.queryPlanStock_0;

        } else {
            Com.showNativeAlert("",data.result[0].msg,["确定"],'');
        }
    },
    getCeilNum: function (num) {
        return (Math.ceil((num * 100).toFixed(2)) / 100);
    },
    formatData: function (data, type) {
        const ret = {
            xAxis: [],
            yAxisLeft: {
                min: '',
                max: '',
                interVal: ''
            },
            yAxisRight: {
                min: '',
                max: '',
                interVal: ''
            },
            seriesData_0: [],
            seriesData_1: [],
            seriesData_2: [],
            seriesData_3: [],
            seriesData_4: []
        };
        let leftMax = '';
        let recordLeftMax = '';
        let leftMin = '';
        let recordleftMin = '';
        let rightMax = '';
        let recordRightMax = '';
        let rightMin = '';
        let recordRightMin = '';

        for (let i = 0, len = data.length; i < len; i++) {
            ret.xAxis.push(data[i].upddate);
            ret.seriesData_0.push(data[i].nav)
            recordLeftMax = exports.getCeilNum(data[i].nav);
            recordleftMin = exports.getCeilNum(data[i].nav);


            if (i == 0) {
                leftMax = recordLeftMax;
                leftMin = recordleftMin;


            } else {
                if (recordLeftMax * 1000 > leftMax * 1000) {
                    leftMax = recordLeftMax;
                }
                if (recordleftMin * 1000 < leftMin * 1000) {
                    leftMin = recordleftMin;
                }
            }

        }
        leftMin = leftMin - 0.01;
        leftMax = leftMax + 0.01;

        //进行左轴数据处理
        ret.yAxisLeft = {
            min: exports.getCeilNum(leftMin),
            max: exports.getCeilNum(leftMax),
            interVal: exports.getCeilNum((exports.getCeilNum(leftMax) - exports.getCeilNum(leftMin)) / 4)
        };
        return ret;

    },
    drawChart: function (chartData, domId, index) {
        if (!chartData || chartData.length == 0) return;
        const formatData = exports.formatData(chartData);
        dataObj.choosed[index] = configData.lineData[index][formatData.xAxis.length - 1];
        dataObj.chooseBottom[index] = {
            left: configData.lineData[index][0].upddate,
            center: formatData.xAxis.length > 2 ? configData.lineData[index][parseInt(formatData.xAxis.length/2)].upddate : '',
            right: configData.lineData[index][formatData.xAxis.length - 1].upddate
        }
        dataObj.chooseBottom = $.extend({}, dataObj.chooseBottom)
        dataObj.choosed = $.extend({}, dataObj.choosed)
        //dataObj.choosed = $.extend({}, {
        //    left: formatData.xAxis[0],
        //    right: formatData.xAxis[formatData.xAxis.length - 1]
        //});
        //console.log(formatData);
        const option = {
            grid: {
                left: 15 / winScale + 'px',
                right: 15 / winScale + 'px',
                bottom: 15 / winScale + 'px',
                top: 10 / winScale + 'px',
                containLabel: true

            },
            tooltip: {
                trigger: 'axis',
                textStyle: {
                    fontSize: 12 / winScale
                },
                backgroundColor: 'transparent',
                //triggerOn: 'mousemove',
                //  	showContent: false,
                formatter: function (params) {
                    const _html = [];
                    dataObj.choosed[index] = configData.lineData[index][params[0].dataIndex];
                    dataObj.choosed = $.extend({}, dataObj.choosed)
                },
                axisPointer: {
                    type: 'cross',
                    label: {
                        show: false
                    },

                    crossStyle: {
                        color: '#2F569E'
                    }
                }
            },

            xAxis: [
                {
                    type: 'category',
                    data: formatData.xAxis,
                    axisLabel: {
                        color: '#677288',
                        show: false,
                        fontSize: 12 / winScale
                    },
                    axisPointer: {
                        type: 'line',
                        lineStyle: {
                            color: '#DFE1E6'
                        }
                    },
                    axisLine: {
                        show: false
                    },
                    axisTick: {
                        show: false
                    }
                }
            ],
            yAxis: [
                {
                    type: 'value',
                    name: '',
                    min: formatData.yAxisLeft.min,
                    max: formatData.yAxisLeft.max,
                    interval: formatData.yAxisLeft.interVal,
                    splitNumber: 5,
                    axisLabel: {
                        formatter: function (params) {
                            return params;
                        },
                        color: '#677288',
                        fontSize: 12 / winScale
                    },
                    axisPointer: {
                        show: false
                        //type: 'shadow'
                    },
                    axisLine: {
                        show: false
                    },
                    axisTick: {
                        show: false
                    },
                    splitLine: {
                        lineStyle: {
                            color: '#DFE1E6'
                        }
                    }
                },
            ],
            series: [

            ]
        };

        option.series = [
            {
                name: '单位净值',
                //symbolSize: 5 / winScale,
                hoverAnimation: false,
                showSymbol: false,
                smooth: false,
                type: 'line',
                lineStyle: {
                    normal: {
                        width: 1 / winScale
                    }

                },
                itemStyle: {
                    normal: {
                        color: '#2F569E',
                        borderColor: '##2F569E'
                    }

                },
                yAxisIndex: 0,
                data: formatData.seriesData_0
            },


        ];
        require.ensure([], function () {
            const echarts = require('__ROOTPATH__/H5_common/asset/common_tool/echarts.min.js');
            configData.myecharts = '';
            configData.myecharts = echarts.init(document.getElementById(domId), null, {renderer: 'svg'});
            configData.myecharts.setOption(option);
        });

    },
    bindEvent: function () {
        et.on('open.chart', function (e, t) {
            let index = t.attr('data-index');
            configData.chooseIndex = index;
            dataObj.showChart = {};
            dataObj.showChart[index] = dataObj.showChart[index] ? false : true;
            dataObj.showChart = $.extend({}, dataObj.showChart);
            let time = new Date();
            let endDate = time.format('%Y%M%d', true);
            let beginT = new Date().getTime() - 40 * 24 * 60 * 60 * 1000;
            let beginDate = new Date(beginT).format('%Y%M%d', true);
            let req = {
                begindate: beginDate,
                enddate: endDate,
                procode: dataObj.listData[index].procode
            }
            exports.getData(configData.queryNetUrl, req, 'post', function (data) {
                if(data.result && data.result[0].code == 0) {
                    configData.lineData[configData.chooseIndex] = data.queryPlanStockData_0;
                    exports.drawChart(data.queryPlanStockData_0, 'chart_' + index, index)
                }

            }, true)

        })
    },
    getData: function (url, data, type, callback, tradeLogin,isFingerprintFlag) {
        Com.ajax({
            'url': Com.getOrigin() + url,
            'data': data?data:{},
            'type': type ? type : 'post',
            'dataType': 'json',
            'success': function(d){
                callback && callback(d);
            },
            "supportBioLogin": isFingerprintFlag ? isFingerprintFlag : '1',
            'isTradeLogin': tradeLogin ? true: false,
            isNeedSign: true,
            'error': function(){
                Com.showNativeAlert('','网络不给力', ['确定'], '');
            }
        });
    },
}
exports.init();