/**
 * Created by guosen on 2018/12/17.
 */

import et from  '__ROOTPATH__/H5_common/asset/common_tool/event.js';
import $ from  '__ROOTPATH__/H5_common/asset/common_tool/zepto.js';
import Com from '__ROOTPATH__/H5_common/asset/common_tool/app_common_bridge.js';
import md5Fun from  '__ROOTPATH__/H5_common/asset/common_tool/md5.js';
import tool_fun from '__ROOTPATH__/H5_common/asset/common_tool/common_fun.js';
import UI from '__ROOTPATH__/H5_common/asset/common_tool/UI.js';

import Vue from 'vue';
require('__ROOTPATH__/H5_common/asset/common_tool/common.css');
require('../css/common.scss');
require('../css/apply_content.scss');
require('../css/block_transaction.scss');
require('__ROOTPATH__/H5_common/asset/common_tool/UI.css');

const blockTransactionTpl = require('html-loader!../tpl/block_transaction.html');

et.eventBind();
const dataObj = {
	showChooseMask: false,
	showBuyType: false, //是否显示买卖类型
	holderList: [],
	showHolder: '',
	inputCode: '',
	stockInfor: {}, //记录个股相关信息内容
	type: tool_fun.getParam('type'),   //solid固收 block 大宗交易
	direction: tool_fun.getParam('direction'), //buy 买入 sell 卖出
	mskType: 'market', // market ：股票市场选择, reduce:减持类型
	reduceType: [{key: '非特定减持', id: 0}, {key: '特定减持', id: 1}],
	chooseType: 0,//选择减持的类型
	sequenceNumber: '', //约定序列号
	opponentSeat: '', //对方席位
	mySeat: '', //我方席位
	contactsPerson: '', //联系人
	contactsType: '', //联系方式
	entrustPrice: '',//委托价格
	entrustNum: '',//委托数量
};
const configData = {
	holderList: [],
	fundInfoUrl: '/gstrade/trade/buyNum/1.0',
	shTipsUrl: '/zebra/gstrade/trade/checkUtilTradeTime/1.0', //如果是上海进行提示
	buyUrl: '/zebra/gstrade/sharetransfer/tradeConfirm/1.0',
	mySeatUrl: '/zebra/gstrade/sharetransfer/querySecuidGZ/1.0'
};
const mapMarket = {
	'0': '深A',
	'1': '沪A',
	'2': '深B',
	'3': '沪B'
}
const exports = {
	init: function () {

		new Vue({
			el: '#domDiv',
			data: dataObj,
			methods: {
				inputCodeEvent: function () {
					if(dataObj.inputCode.length > 6){
						dataObj.inputCode = dataObj.inputCode.slice(0, 6);
					}
					if(dataObj.inputCode.length == 6){
						exports.getFundData();
					}
				},
				inputElementCountEvent: function () {
					if(Number(dataObj.elementCount) > Number(dataObj.choosedElement.stkdiff)) {
						dataObj.elementCount = dataObj.choosedElement.stkdiff;
					}

				},
				inputCountEvent: function () {

				}
			},
			template: '<div >' + blockTransactionTpl + '</div>'
		});
		if(dataObj.type == 'block') {
			Com.setWebviewTitle('', {"title": '大宗交易', "bgColor":"212634"});
		} else {
			Com.setWebviewTitle('', {"title": '固收交易', "bgColor":"212634"});

		}
		exports.getStockHolder();
		exports.bindEvent();
	},
	getMyseat: function (market, secuid) {//获取我方席位
		let reqParm = {
			market: market,
			qryflag: 1,
			secuid: secuid,
			count: 100

		};
		exports.getData(configData.mySeatUrl, reqParm, function (data) {
			if(data.result[0].code == 0){
				for(let i = 0, len = data.querySecuid_0.length; i < len; i++){
					if(data.querySecuid_0[i].secuid == secuid && data.querySecuid_0[i].market == market) {
						if(dataObj.type == 'block') {
							dataObj.mySeat =  data.querySecuid_0[i].seat;
						} else {
							dataObj.mySeat =  data.querySecuid_0[i].trader;
						}

					}
				}
			}
		})
	},
	bindEvent: function () {
		et.on('choose.reduce.type', function() {
			dataObj.showChooseMask = true;
			dataObj.mskType = 'reduce';
		});
		et.on('show.choose.mask', function () {
			dataObj.showChooseMask = true;
			dataObj.mskType = 'market';
		});
		et.on('choose.holder', function (e, t) {
			if(dataObj.mskType == 'reduce') {
				let id = t.attr('data-id');
				dataObj.chooseType = id;
			} else {
				let holderId =  t.attr('data-id');
				dataObj.showHolder = holderId;
			}
			dataObj.showChooseMask = false;
		});
		//买入页面
		et.on('buy.btn', function () {
			if(!dataObj.inputCode){
				Com.showNativeAlert('', '请输入股票代码', ['确定']);
				return;
			}
			if(!dataObj.sequenceNumber) {
				Com.showNativeAlert('', '请输入约定序列号', ['确定']);
				return;
			}
			if(dataObj.type == 'block' && dataObj.sequenceNumber.length != 6){
				Com.showNativeAlert('', '约定序列号为6位', ['确定']);
				return;
			}
			if(dataObj.type == 'solid' && dataObj.sequenceNumber.length != 3){
				Com.showNativeAlert('', '约定序列号为3位', ['确定']);
				return;
			}
			if(dataObj.type == 'block' && !dataObj.opponentSeat) {
				Com.showNativeAlert('', '请输入对方席位', ['确定']);
				return;
			}
			if(!dataObj.contactsPerson) {
				if(dataObj.type == 'block') {
					Com.showNativeAlert('', '请输入联系人', ['确定']);
				} else {
					Com.showNativeAlert('', '请输入对方交易员代码', ['确定']);
				}
				return;
			}

			if(dataObj.type == 'block' && !dataObj.contactsType){
				Com.showNativeAlert('', '请输入联系方式', ['确定']);
				return;
			}
			if(dataObj.type == 'block' && !dataObj.mySeat){
				Com.showNativeAlert('', '未查询到对应股东账号我方席位', ['确定']);
				return;
			}
			if(!dataObj.entrustPrice) {
				Com.showNativeAlert('', '请输入委托价格', ['确定']);
				return;
			}
			if(!dataObj.entrustNum) {
				Com.showNativeAlert('', '请输入委托数量', ['确定']);
				return;
			}

			if(dataObj.stockInfor.classid != '111' && dataObj.type == 'block' && (dataObj.stockInfor.market == '1' || dataObj.stockInfor.market == '3')){
				exports.getData(configData.shTipsUrl, {scope: 'dzjy_sh'}, function (data) {
					if(data.result[0].code == 0){
						exports.buyShowConfirm();
					} else {
						Com.showNativeAlert('', data.result[0].msg, ['确定'], function () {
							exports.buyShowConfirm();
						});

					}

				});
			} else {
				exports.buyShowConfirm();
			}
		});
	},
	retBuyType: function () {
		if(dataObj.stockInfor.market == '0'){
			return (dataObj.direction == 'buy' ? '配对买入': '配对卖出');
		} else {
			return (dataObj.direction == 'buy' ? '成交申报买入': '成交申报卖出');
		}
	},
	buyShowConfirm: function () {
		let showTxt = [];
		showTxt.push('买卖类别：' + exports.retBuyType());
		showTxt.push('证券代码：' + dataObj.stockInfor.stkname);
		showTxt.push('减持类型：' + (dataObj.chooseType == 1 ? '特定减持' : '非特定减持'));
		showTxt.push('约定序列号：' + dataObj.sequenceNumber);
		if(dataObj.type == 'block') {
			showTxt.push('对方席位：' + dataObj.opponentSeat);

		} else {
			showTxt.push('对方交易员代码：' + dataObj.contactsPerson);

		}
		showTxt.push('委托价格：' + dataObj.entrustPrice);
		showTxt.push('委托数量：' + dataObj.entrustNum);
		UI.showConfirm({
			title: '交易确认',
			content: '<div style="text-align: left;padding-left: .5rem;">' + showTxt.join('<br/>') + '</div>',
			sureText: '确定',
			cancelText: '取消',
			sureFn: function () {
				let txt = '本机构（人）熟练掌握大宗交易的相关业务规则，并知悉如作为上市公司股东、董监高减持股份时，应当按照法律法规以及证券交易所规则，真实、准确、完整、及时履行信息披露义务。';

				if(dataObj.type == 'block') {
					Com.showNativeAlert('', txt, ['取消', '确定'], function (chooseIndex) {
						if(chooseIndex.clickedIndex == '1'){ //如果点击确定
							Com.ajaxLoading();
							exports.dealAction();
						};
					});
				} else {
					Com.ajaxLoading();
					exports.dealAction();
				}


				return true
			},
			cancelFn: function () {
				return true
			},
			onload: function () {
				return true
			}

		})

	},
	getcredotId: function () {
		if(dataObj.type == 'block'){

			if(dataObj.showHolder.indexOf('深') != -1){
				if(dataObj.direction == 'buy'){
					return 20;
				} else if(dataObj.direction == 'sell'){
					return 21;
				}
			}
			if(dataObj.showHolder.indexOf('沪') != -1){
				if(dataObj.direction == 'buy'){
					return 14;
				} else if(dataObj.direction == 'sell'){
					return 15;
				}
			}
		} else {
			if(dataObj.direction == 'buy'){
				return '2X';
			} else if(dataObj.direction == 'sell'){
				return '2Y';
			}
		}

	},
	dealAction: function () {
		const reqParam = {
			market: dataObj.stockInfor.market,
			secuid: dataObj.showHolder.replace('深A', '').replace('沪A', '').replace('深B', '').replace('沪B', ''),
			stkcode: dataObj.stockInfor.stkcode,
			bsflag: exports.getcredotId(),
			price: dataObj.entrustPrice,
			qty: dataObj.entrustNum,
			contactperson: dataObj.contactsPerson,
			contactinfo: dataObj.contactsType,
			dzsaletype: dataObj.chooseType,
			dfsno: dataObj.sequenceNumber,
			dfxwdm: dataObj.opponentSeat,
			ordergroup: 0,
			securityflag: (dataObj.type == 'block' ? '2' : 'G'),
			chkriskflag: 1,
			seat: dataObj.mySeat

		}
		exports.getData(configData.buyUrl, reqParam, function (data) {
			if(data.result[0].code == 0){
				let txt = (dataObj.direction == 'buy' ? '申报买入' : '申报卖出') + '成功'
				Com.showNativeAlert('', txt, ['确定'], function () {
					const url = '/asset/gzjy/apply_new/dist/pages/search_order.html?pageType=search_order&type=' + dataObj.type;
					//Com.newWebViewOpenPage('', {'pageUrl': url, 'weburl': url});
					window.location.replace(url);
				});
			} else {
				Com.showNativeAlert('', data.result[0].msg, ['确定'], '');
			}
		})

	},
    rendSeat: function () {
	    let marketName = mapMarket[dataObj.stockInfor.market];
	    let holderCode = '';
	    for(let i = 0; i < dataObj.holderList.length; i++){
		    if(dataObj.holderList[i].market == marketName){
			    dataObj.showHolder = dataObj.holderList[i].market + dataObj.holderList[i].id;
			    holderCode = dataObj.holderList[i].id
		    }
	    }
	    exports.getMyseat(dataObj.stockInfor.market, holderCode); //根据市场获取我方席位
    },
	getFundData: function () {
		let reqParm = {
			stkcode: dataObj.inputCode,
		}
		exports.getData(configData.fundInfoUrl, reqParm, function (data) {
				if(data.result[0].code == 0){
					if(data.buyNum_0 && data.buyNum_0.length > 0){
						dataObj.stockInfor =  data.buyNum_0[0];
						if(dataObj.type == 'block') {
							//if(dataObj.stockInfor.market == '0'){
							//	dataObj.showBuyType = true;
							//
							//} else {
							//	dataObj.showBuyType = false;
							//}
							exports.getStockHolder(dataObj.stockInfor.market, exports.rendSeat);
						} else {
							if(dataObj.stockInfor.market == '0' || dataObj.stockInfor.market == '2'){
								Com.showNativeAlert('', '固收交易只支持上海市场股票', ['确定'], '');
								//return
							}
							exports.rendSeat();
						}

					} else {
						Com.showNativeAlert('', data.result[0].msg, ['确定'], '');
				}

				//dataObj.stockInfor = $.extend({}, dataObj.stockInfor)
			} else {
					Com.showNativeAlert('', data.result[0].msg, ['确定'], '');
			}
		})
	},
	getData: function (url, reqParm, callback) {
		Com.ajax({
			'url': url,
			'data': reqParm,
			'type': 'post',
			'dataType': 'json',
			'success': function(data){
				Com.ajaxLoaded();
				callback && callback(data);
			},
			'isTradeLogin': true,//是否需要交易登录
			isNeedSign:true,
			'error': function(){
				Com.ajaxLoaded();
				Com.showNativeAlert('', '网络不给力', ['确定'], '');
			}
		});
	},

	/**
	 * 获取股东账户
	 */
	getStockHolder: function (stkMarket, callback) {
		const random = '_' + (Math.random() + '').split('.')[1];
		const funName = 'setTradeLoginData' + random;
		configData.holderList = [];
		window.$js[funName] = function (tradeLoginData) {
			const shareHold = tradeLoginData.shareholderList;
			if(!shareHold) return;
			for(let i = 0; i < shareHold.length; i++) {
				let market = '';
				if(shareHold[i].shareholderMarketId == '0'){
					market = '深A';
				} else if (shareHold[i].shareholderMarketId == '1') {
					market = '沪A';
				} else if (shareHold[i].shareholderMarketId == '2'){
					market = '深B';
				} else if (shareHold[i].shareholderMarketId == '3'){
					market = '沪B';
				}
				if(dataObj.type == 'block') {
					if(shareHold[i].shareholderMarketId == '0' || shareHold[i].shareholderMarketId == '1'
						|| shareHold[i].shareholderMarketId == '2' || shareHold[i].shareholderMarketId == '3'
					){
						if(stkMarket) {
							if(stkMarket == shareHold[i].shareholderMarketId) {
								configData.holderList.push({
									market: market,
									id: shareHold[i].shareholderId,
									isMaster: shareHold[i].shareholderSecuseq //0是主股东，1 不是
								});
							}
						} else {
							configData.holderList.push({
								market: market,
								id: shareHold[i].shareholderId,
								isMaster: shareHold[i].shareholderSecuseq //0是主股东，1 不是
							});
						}

					}
				} else {
					if(shareHold[i].shareholderMarketId == '1' || shareHold[i].shareholderMarketId == '3'){
						configData.holderList.push({
							market: market,
							id: shareHold[i].shareholderId,
							isMaster: shareHold[i].shareholderSecuseq //0是主股东，1 不是
						});
					}
				}


			}
			if(configData.holderList.length > 0){
				dataObj.showHolder =  configData.holderList[0].market + configData.holderList[0].id;
				dataObj.holderList = configData.holderList;
			}
           callback && callback();
		};
		//从native获取登录参数，判断是否存在尚未开通上海股东账户不能签约金天利
		onCallNative('DataService', 'getTradeLoginData', {}, funName, '{"shareholderList":[{"shareholderSecuseq":0,"shareholderId":"0199007679","shareholderMarketId":"0"},{"shareholderSecuseq":0,"shareholderId":"A459417402","shareholderMarketId":"1"}],"fundId":"110002345509","randomKey":"Fundid:1494529838:110002345509","orgId":"xxxx"}');

	}
}

exports.init();
