/**
 * Created by guosen on 2018/9/20.
 */
require('../css/common.scss');
require('../css/search_order.scss');
require('__ROOTPATH__/H5_common/asset/common_tool/common.css');
import md5Fun from  '__ROOTPATH__/H5_common/asset/common_tool/md5.js';
import $ from  '__ROOTPATH__/H5_common/asset/common_tool/zepto.js';
import Com from  '__ROOTPATH__/H5_common/asset/common_tool/app_common_bridge.js';
import device from '__ROOTPATH__/H5_common/asset/common_tool/device.js';
import et from  '__ROOTPATH__/H5_common/asset/common_tool/event.js';
import tool_fun from '__ROOTPATH__/H5_common/asset/common_tool/common_fun.js';
import Vue from 'vue';
require('__ROOTPATH__/H5_common/asset/common_tool/UI.css');
import UI from '__ROOTPATH__/H5_common/asset/common_tool/UI.js';

const search_orderTpl = require('html-loader!../tpl/search_order.html');
const order_detailTpl = require('html-loader!../tpl/order_detail.html');
//const cancel_sureTpl = require('html-loader!../tpl/cancel_sure.html');
const dataObj = {
	pageType: tool_fun.getParam('pageType'),
	type: tool_fun.getParam('type'),//证券类型
	orderList: [''],
	loading_state: '', //more表示加载更多 err 加载错误 ，no_more已经加载完成
	orderDetail: {},
	mapStatus: {
		0: '待确认',
		1: '已认购',
		2: '已撤销',
		3: '已作废',
		4: '已处理'
	},
	mapFlag: {
		10: '意向买',
		11: '意向卖',
		12: '定价买',
		13: '定价卖',
		14: '成交申报买入',
		15: '成交申报卖出',
		20: '配对买入',
		21: '配对卖出',
		'2e': '协议定价买入',
		'2f': '协议定价卖出',
		'2g': '协议成交确认买入',
		'2h': '协议成交确认卖出',
		'2j': '协议互报成交确认买入',
		'2k': '协议互报成交确认卖出',
		'2p': '盘后大宗买入',
		'2q': '盘后大宗卖出',
		'2X': '上海固收申报买入',
		'2Y': '上海固收申报卖出'


	}

};
const configData = {
	searchUrl: '/zebra/gstrade/sharetransfer/queryOrder/1.0', //'/gstrade/trade/queryOrder/1.0', //
	cancelUrl: '/gstrade/trade/tradeCancel/1.0',
	id: tool_fun.getParam('id'),
	poststr: '',
	isLoading: false,

};

et.eventBind();
const exports = {
	init: function () {
		let tpl = '';
		tpl = search_orderTpl;
		switch(dataObj.pageType){
			case 'search_order':
				tpl = search_orderTpl;
				Com.setWebviewTitle('', {"title": '查询撤单', "bgColor":"212634"});

				break
			case 'order_detail':
				tpl = order_detailTpl;
				Com.setWebviewTitle('', {"title": '查询详情', "bgColor":"212634"});

				break;
		}
		configData.poststr = '';
		configData.vueObj = new Vue({
			el: '#domDiv',
			data: dataObj,
			methods: {
			},
			template: '<div id="domDiv"><div>' + tpl + '</div></div>'
		});
		exports.reqList();
		exports.bindEvent();




	},
	reqList: function () {
		const reqParam = {
			qryflag: 1,
			count: 20,
			poststr: configData.poststr,
			bsflags: (dataObj.type == 'block' ? '14,15,20,21' : '2X,2Y')
		}
		configData.isLoading = true;
		exports.getData(configData.searchUrl, reqParam, function (data) {
			dataObj.loading_state = '';
			configData.isLoading = false;
			if(data.result[0].code == 0){
				if(dataObj.pageType == 'order_detail') {
					for(let i = 0; i < data.queryOrder_0.length; i ++ ){
						if(data.queryOrder_0[i].ordersno == configData.id){
							dataObj.orderDetail = $.extend({}, data.queryOrder_0[i]);

						}
					}
				} else  {
					if(data.queryOrder_0.length == 0){
						$('#etDiv').css({'background': 'none'});
						if(configData.poststr != ''){
							dataObj.loading_state = 'no_more';
							return;
						}
					}
					let len = data.queryOrder_0.length;
					if(configData.poststr){
						dataObj.orderList = dataObj.orderList.concat(data.queryOrder_0)
					} else {
						dataObj.orderList = data.queryOrder_0;

					}
					len > 0 && (configData.poststr = data.queryOrder_0[len - 1].poststr);

				}
			} else {
				Com.showNativeAlert('', data.result[0].msg, ['确定'], '');

			}

		});
	},
	getData: function (url, reqParm, callback) {
		Com.ajax({
			'url': url,
			'data': reqParm,
			'type': 'post',
			'dataType': 'json',
			'success': function(data){
				callback && callback(data);
			},
			'isTradeLogin': true,//是否需要交易登录
			isNeedSign:true,
			'error': function(){
				configData.isLoading = false;
				Com.showNativeAlert('', '网络不给力', ['确定'], '');
			}
		});
	},
	bindEvent: function () {
		$(window).on('scroll', function () {
			if(dataObj.pageType == 'order_detail' || configData.isLoading) return;
			if (dataObj.loading_state == 'no_more' || dataObj.loading_state == 'more') return;
			const oheight = $(document).height();
			const wheight = $(window).height();
			const wintop = $(window).scrollTop();

			if ((wintop + wheight) + 30 >= oheight && oheight >= wheight) {

				dataObj.loading_state = 'more';
				exports.reqList();
			}
		});
		et.on('open.detail', function (e, t) {
			const status = t.attr('data-cancel');
			if(status == '1'){
				t.toggleClass('show');
			} else {
				const id = t.attr('data-id')
				const url = '/asset/gzjy/apply_new/dist/pages/search_order.html?type=' + dataObj.type + '&pageType=order_detail&id=' + id;
				Com.newWebViewOpenPage('', {'pageUrl': url, 'weburl': url});
			}
		});
		et.on('cancel.order', function (e, t) {
			const  id = t.attr('data-id');
			let findList = {};
			for(let i = 0, len = dataObj.orderList.length; i < len; i++){
				if(dataObj.orderList[i].ordersno == id){
					findList = dataObj.orderList[i]
				}
			}
			let showTxt = [];
			showTxt.push('操作类型：撤单');
			showTxt.push('证券名称：' + findList.stkname);
			showTxt.push('证券代码：' + findList.stkcode);
			showTxt.push('买卖类别：' + dataObj.mapFlag[findList['bsflag']]);
			showTxt.push('委托价格：' + findList['orderprice']);
			showTxt.push('委托数量：' + findList['orderqty']);
			showTxt.push('委托序号：' + findList['ordersno']);
			//showTxt = ['撤单确认\n'].concat(showTxt);
			//Com.showNativeAlert('', showTxt.join('\n'), ['取消', '确定'], function (chooseIndex) {
			//	if(chooseIndex.clickedIndex == '1'){ //如果点击确定

				//};
			//});
			UI.showConfirm({
				title: '撤单确认',
				content: '<div style="text-align: left;padding-left: .5rem;">' + showTxt.join('<br/>') + '</div>',
				sureText: '确定',
				cancelText: '取消',
				sureFn: function () {
					Com.ajaxLoading();
					exports.cancelOrder(findList);
					return true
				},
				cancelFn: function () {
					return true
				},
				onload: function () {
					return true
				}

			})
		});
		et.on('goto.more.detail', function (e, t) {
			const id = t.attr('data-id')
			const url = '/asset/gzjy/apply_new/dist/pages/search_order.html?type=' + dataObj.type + '&pageType=order_detail&id=' + id;
			Com.newWebViewOpenPage('', {'pageUrl': url, 'weburl': url});
		})
	},
	cancelOrder: function (findInfo) {
		const reqParam = {
			orderdate: findInfo.orderdate,
			fundid: findInfo.secuid,
			ordersno: findInfo.ordersno,
			market: findInfo.market,
			stkcode: findInfo.stkcode,
			bsflag: findInfo['bsflag']
		}
		exports.getData(configData.cancelUrl, reqParam, function (data) {
			Com.ajaxLoaded();
			if(data.result[0].code == 0){
				Com.showNativeAlert('', '撤单成功', ['确定'], function () {
					exports.init();
				});

			} else {
				Com.showNativeAlert('', data.result[0].msg, ['确定'], '');
			}
		})
	}

}
exports.init();