/**
 * Created by guosen on 2018/12/17.
 */

import et from  '__ROOTPATH__/H5_common/asset/common_tool/event.js';
import $ from  '__ROOTPATH__/H5_common/asset/common_tool/zepto.js';
import Com from '__ROOTPATH__/H5_common/asset/common_tool/app_common_bridge.js';
import Vue from 'vue';
import md5Fun from  '__ROOTPATH__/H5_common/asset/common_tool/md5.js';
import Picker from  '__ROOTPATH__/H5_common/asset/common_tool/picker.min.js';
import tool_fun from '__ROOTPATH__/H5_common/asset/common_tool/common_fun.js';

require('__ROOTPATH__/H5_common/asset/common_tool/common.css');
require('../css/common.scss');
require('__ROOTPATH__/H5_common/asset/common_tool/picker.css');

require('../css/tender_offer.scss');
const tender_offerTpl = require('html-loader!../tpl/tender_offer.html');

et.eventBind();
let dataObj = {};
const configData = {
	holderList: [],
	holderStock: [],
	tenderBlurTimeout: '',
	recordLocalFlag: 'yysg_needclear',
	pageType: tool_fun.getParam('pageType'),
	secuid: tool_fun.getParam('secuid'), //如果是从别的页面带参数过来时候
	stkcode: tool_fun.getParam('stkcode'),
	market: tool_fun.getParam('market'),
	yycode: tool_fun.getParam('yycode'),
	stkprop: tool_fun.getParam('stkprop'),
	num: tool_fun.getParam('num'),
	reqUrl:{
		stockHolderUrl: '/zebra/gstrade/sharetransfer/queryYYSGFundStock/1.0',
		cancelStockHolderUrl: '/zebra/gstrade/sharetransfer/queryYYSGStockBalance/1.0',
		searchApplyInfoUrl: '/zebra/gstrade/yysg/queryYYSGInfo/1.0',
		cancelSearchApplyInfoUrl: '/zebra/gstrade/yysg/queryYYSGInfo/1.0',
		descRule: '/goldsun/user/getPrompt/1.0'
	},
	stockType: [
		{
			id: '00',
			name: '无限售流通股'
		},
		{
			id: '01',
			name: 'IPO后限售股'
		},
		{
			id: '02',
			name: '股权激励限售股'
		},
		{
			id: '03',
			name: '挂牌后机构类限售股-股转'
		},
		{
			id: '04',
			name: '高管锁定股-股转'
		},
		{
			id: '05',
			name: 'IPO前限售股'
		},
		{
			id: '06',
			name: '挂牌前机构类限售股-股转'
		},
		// 00  	无限售流通股
		// 01  	IPO后限售股
		// 02  	股权激励限售股
		// 03  	挂牌后机构类限售股-股转
		// 04  	高管锁定股-股转
		// 05  	IPO前限售股
		// 06  	挂牌前机构类限售股-股转

	]

};
const exports = {
	init: function (toggleMenu, id) {
		dataObj = exports.retDataObj(id);
		new Vue({
			el: '#domDiv',
			data: dataObj,
			methods: {
				formatTime: function (t) {
					if(t) {
						return t.substring(0, 4) + '-' + t.substring(4, 6) + '-' +  t.substring(6, 8);
					} else  {
						return '--';
					}

				},
				retSgName: function (data) {
					if(data && data.substring(0, 3) == '840') {
						return '收购';
					} else if(data && data.substring(0, 3) == '841') {
						return '回购';
					}
				},
				inputNumEvent: function () {
					dataObj.entrustNum = dataObj.entrustNum.replace(/[^\d]/g, '');
				},
				inputTenderCodeEvent: function () {
					if(dataObj.tenderInputCode.trim() != '') {
						configData.secuid = '';
						dataObj.tenderRightMenuType = 'close';
						setTimeout(function () {
							document.getElementById('tender_code').focus()
						}, 100);
						if(dataObj.tenderInputCode.length == 6) { //当搜索位数是6位时候执行查询
							Com.ajaxLoading();
							exports.searchInfo('', dataObj.tenderInputCode);
						}
					} else {
						//dataObj.tenderRightMenuType = '';
						//dataObj.tenderInputCode = '';
						//dataObj.tenderRightMenuType = '';
						//dataObj.stockCodeMenuType = '';
						//dataObj.stockInputCode = '';
						//dataObj.tenderDesc = '';
						//dataObj.stockNameDesc = '';
						exports.clearContent();
						setTimeout(function () {
							document.getElementById('tender_code').focus()
						}, 100);
						return;
					}

				},
				inputStockCodeEvent: function () {
					if(dataObj.stockInputCode.trim() != '') {
						configData.secuid = '';
						dataObj.stockCodeMenuType = 'close';
						setTimeout(function () {
							document.getElementById('stock_code').focus()
						}, 100);
						if(dataObj.stockInputCode.length == 6) { //当搜索位数是6位时候执行查询
							Com.ajaxLoading();
							exports.searchInfo(dataObj.stockInputCode, '');
						}
					} else {
						//dataObj.stockCodeMenuType = '';
						//dataObj.tenderInputCode = '';
						//dataObj.tenderRightMenuType = '';
						//dataObj.stockCodeMenuType = '';
						//dataObj.stockInputCode = '';
						//dataObj.tenderDesc = '';
						//dataObj.stockNameDesc = '';
						exports.clearContent();
						setTimeout(function () {
							document.getElementById('stock_code').focus()
						}, 100);
						return;
					}

				}
			},
			mounted: function () {
				let winHeight = $(window).height();
				$(window).resize(function() {
					var thisHeight= $(this).height();
					if(winHeight - thisHeight >50){
						//当软键盘弹出，在这里面操作
						dataObj.showKeyborad = true;
					}else{
						//当软键盘收起，在此处操作
						dataObj.showKeyborad = false;

					}
				})
			},
			template: '<div id="domDiv">' + tender_offerTpl + '</div>'
		});
		!toggleMenu && exports.bindEvent();
		exports.getStockHolder('', function () {
			//console.log(configData.holderList);
			//exports.getHolder();
		});
		exports.getHolder();
		Com.setWebviewTitle('', {'title': '要约收购/回购'});
		!toggleMenu && Com.nativeGobackListener('1', function () {
			//let url = Com.getOrigin() + '/asset/gzjy/pages/gzjy_menu.html';
			//Com.newWebViewOpenPage('', {'pageUrl': url, 'weburl': url});
			Com.nativeGoback();
		});
		Com.gobackRefreshPage(true, function () {

			if(Com.getLocalValue(configData.recordLocalFlag) == 'need') {
				Com.setLocalValue(configData.recordLocalFlag, '');
				window.location.href = Com.getOrigin() + '/asset/gzjy/apply_new/dist/pages/tender_offer.html';
			}
		});
		setTimeout(function () {
			Com.setLocalValue(configData.recordLocalFlag, '');
		}, 100)

		exports.retDesc()

	},
	retDesc: function () {
		let param = {
			alias: 'gzyysgTips'
		}
		exports.getData(configData.reqUrl.descRule, param, function (data) {
			if(data.result && data.result[0].code == 0) {
				Com.rightTopBtn(5, '' , function () {
					let content = data.data[0] && data.data[0].content;
					$('#hide_content').html(content);
					content = $('#hide_content').text();

					if(Com.clientType() != 'ios'){
						content = content.replace(/\n/g, '<br>')
					}
					exports.showScreenMask('业务规则说明', content);
				});
				return
			} else {
				//Com.showNativeAlert('', data.result[0].msg, ['确定'], '');

			}
		})
	},
	/**
	 * 弹出native半透明遮罩显示标题和内容
	 * @param masktitle
	 * @param maskcontent
	 */
	showScreenMask: function(masktitle, maskcontent) {
		var datajson = {};
		datajson['tipTitle'] = masktitle;
		datajson['tipContent'] = maskcontent;
		onCallNative('WebContainer', 'setFullTipView', datajson);
	},
	retDataObj: function (id) {
		return dataObj = {
			activeMenu: id ? id : (configData.pageType == 'cancel' ? '1': '0'), //0:第一个按钮预受要约1：解除预售
			holderList: [], //符号要求的股东账号列表
			holderId: '', //股东账号
			holderMarket: '',
			tenderInputCode: '',
			stockInputCode: '', //输入证券代码
			tenderFocus: false, //要约收购input输入是否获取到焦点
			stockCodeFocus: false, //证券代码输入是否获取焦点
			//numFocus: false,
			tenderDesc: '',
			stockNameDesc: '',
			tenderRightMenuType: '', //close 显示关闭，toggle切换收购人
			stockCodeMenuType: '', //close 显示关闭
			entrustNum: '', // 委托数量
			showBottonMenu: false,
			searchStockInfo: [],
			choosedStockInfo: {},
			showChoosePerson: false,
			stockType: configData.stockType[0],
			sgName: '',
			showKeyborad: false


		};
	},
	JSONToUrl: function (json) {
		return Object.keys(json).map(function (key) {
			return encodeURIComponent(key) + '=' + encodeURIComponent(json[key]);
		}).join('&')
	},
	bindEvent: function () {
		//查看预约列表
		et.on('see.list', function () {
			let pageType = dataObj.activeMenu == '0' ? 'apply' : 'cancel';
			let url = Com.getOrigin() + '/asset/gzjy/apply_new/dist/pages/tender_offer_list.html?pageType=' + pageType;
			//Com.newWebViewOpenPage('', {'pageUrl': url, 'weburl': url}
			window.location.href = url;
		})
		et.on('sure.apply', function (e, t) {
			let type = t.attr('data-type');
			if(!dataObj.tenderInputCode) {
				Com.showNativeAlert('', '请输入要约代码', ['确定'], '');
				return;
			}
			if(!dataObj.stockInputCode) {
				Com.showNativeAlert('', '请输入证券代码', ['确定'], '');
				return;
			}
			if(!dataObj.entrustNum){
				Com.showNativeAlert('', '请输入委托数量', ['确定'], '');
				return;
			}
			let reqParam = {
				tradeType: type,
				stockName: dataObj.choosedStockInfo.stkname ? dataObj.choosedStockInfo.stkname : dataObj.stockNameDesc,
				stockCode: dataObj.choosedStockInfo.stkcode ? dataObj.choosedStockInfo.stkcode : dataObj.stockInputCode,
				yy_stkcode: dataObj.choosedStockInfo.yy_stkcode ? dataObj.choosedStockInfo.yy_stkcode : dataObj.tenderInputCode,
				yy_trdname: dataObj.choosedStockInfo.yy_trdname ? dataObj.choosedStockInfo.yy_trdname : dataObj.tenderDesc,
				sType: dataObj.stockType.name,
				sId: dataObj.stockType.id,
				price: dataObj.choosedStockInfo.stkprice ? dataObj.choosedStockInfo.stkprice : '--',
				num: dataObj.entrustNum,
				secuid: dataObj.holderId,
				market: dataObj.holderMarket
			}
			let url = Com.getOrigin() + '/asset/gzjy/apply_new/dist/pages/tender_offer_sure.html?' + exports.JSONToUrl(reqParam);
			Com.newWebViewOpenPage('', {'pageUrl': url, 'weburl': url});
		});
		et.on('select.stockType', function () {
			let _data = exports.formatPickerStockTypeData();
			var picker = new Picker({
				data: [_data.data],
				selectedIndex: [_data.selectIndex],
				title: '切换股份性质'
			});
			picker.show();
			$('.cancel-hook').html("<div class='l-angle'></div>")
			picker.on('picker.select', function (selectVal, selectIndex) {
				dataObj.stockType = configData.stockType[selectIndex[0]];
				for(let i = 0, len = configData.holderStock.length; i < len; i++) {
					if(configData.holderStock[i].secuid == dataObj.holderId && configData.holderStock[i].stkprop == dataObj.stockType.id  && configData.holderStock[i].stkcode == dataObj.stockInputCode) {
						dataObj.choosedStockInfo.num = configData.holderStock[i].stkavl;
						return;
					}
				}
				dataObj.choosedStockInfo.num = ''
			});
		})
		et.on('edit.entrustNum', function (e, t) {
			let type = t.attr('data-type');
			if(type == 'min') {
				dataObj.entrustNum = Number(dataObj.entrustNum) - 100;
				if(dataObj.entrustNum < 0) {
					dataObj.entrustNum = 0;
				}
			} else {
				dataObj.entrustNum = Number(dataObj.entrustNum) + 100;
			}
		})
		et.on('clear.code', function (e, t) {
			//let type = t.attr('data-type');

			//dataObj.tenderInputCode = '';
			//dataObj.tenderRightMenuType = '';
			//dataObj.stockCodeMenuType = '';
			//dataObj.stockInputCode = '';
			//dataObj.tenderDesc = '';
			//dataObj.stockNameDesc = '';
			//configData.secuid = '';
			//dataObj.choosedStockInfo = {};
			//dataObj.entrustNum = '';
			//exports.init('toggleMenu', dataObj.activeMenu)
			exports.clearContent();

		})
		et.on('choose.person', function (e, t) {
			let code = t.attr('data-code');
			let name = t.attr('data-name');
			dataObj.showChoosePerson = false;
			for(let i = 0; i < dataObj.searchStockInfo.length; i++) {
				if(dataObj.searchStockInfo[i].yy_trdname == name && dataObj.searchStockInfo[i].yy_stkcode == code){
					exports.choosedApplyInfo(dataObj.searchStockInfo[i]);
					return;
				}
			}

		});
		//切换收购人
		et.on('toggle.persopm.btn', function () {
			dataObj.showChoosePerson =  !dataObj.showChoosePerson;
		});
		$(document).on('focus', '#tender_code', function () {
			dataObj.tenderFocus = true;
			configData.tenderBlurTimeout && clearTimeout(configData.tenderBlurTimeout)
		});
		$(document).on('blur', '#tender_code', function () {
			if(dataObj.tenderInputCode.trim() != '') return false;
			configData.tenderBlurTimeout = setTimeout(function () {
				dataObj.tenderFocus = false;
			}, 500)

		});

		//$(document).on('focus', '#numer_input', function () {
		//	dataObj.numFocus = true;
		//});
		//$(document).on('blur', '#numer_input', function () {
		//	dataObj.numFocus = false;
		//
		//});

		$(document).on('focus', '#stock_code', function () {
			dataObj.stockCodeFocus = true;
			configData.stockTimeout && clearTimeout(configData.stockTimeout)
		});
		$(document).on('blur', '#stock_code', function () {
			if(dataObj.stockInputCode.trim() != '') return false;
			configData.stockTimeout = setTimeout(function () {
				dataObj.stockCodeFocus = false;
			}, 500)

		});
		et.on('toggle.menu', function (e, t) {
			let id = t.attr('data-id');
			if(id != dataObj.activeMenu){
				configData.secuid = '';
				//exports.init('toggleMenu', id);
				let pageType = ''
				if(id == '1') {
					pageType = 'cancel';
				}
				let url =  Com.getOrigin() + '/asset/gzjy/apply_new/dist/pages/tender_offer.html?pageType=' + pageType;
				window.location.replace(url)
			}
			//dataObj.activeMenu = id;

		});
		et.on('choose.stock.holder', function () {
			if(configData.holderList.length == 0) {
				Com.showNativeAlert('', '未找到股转股东账号', ['确定'], '');
				return;
			}
			let _data = exports.formatPickerData();
			var picker = new Picker({
				data: [_data.data],
				selectedIndex: [_data.selectIndex],
				title: '切换股东账号'
			});
			picker.show();
			$('.cancel-hook').html("<div class='l-angle'></div>")
			picker.on('picker.select', function (selectVal, selectIndex) {
				//console.log(dataObj.holderList[selectIndex[0]].market)
				dataObj.holderId = selectVal[0];
				dataObj.holderMarket = dataObj.holderList[selectIndex[0]].market;
				if(configData.secuid) {
					configData.secuid = dataObj.holderId;
				}
				for(let i = 0, len = configData.holderStock.length; i < len; i++) {
					if(configData.holderStock[i].secuid == dataObj.holderId && configData.holderStock[i].stkprop == dataObj.stockType.id  && configData.holderStock[i].stkcode == dataObj.stockInputCode) {
						dataObj.choosedStockInfo.num = configData.holderStock[i].stkavl;
						for(let j = 0 ; j < configData.stockType.length; j++ ) {
							if(configData.holderStock[i].stkprop == configData.stockType[j].id) {
								dataObj.stockType = configData.stockType[j];
							}
						}
						return;
					}
				}
				dataObj.choosedStockInfo.num = ''
				//exports.getHolder();
			});
		})
	},
	clearContent: function () {
		dataObj.tenderInputCode = '';
		dataObj.tenderRightMenuType = '';
		dataObj.stockCodeMenuType = '';
		dataObj.stockInputCode = '';
		dataObj.tenderDesc = '';
		dataObj.stockNameDesc = '';
		configData.secuid = '';
		dataObj.choosedStockInfo = {};
		dataObj.entrustNum = '';
	},
	choosedApplyInfo: function (data) {
		dataObj.stockInputCode = data.stkcode;
		dataObj.tenderInputCode = data.yy_stkcode;
		dataObj.stockCodeMenuType = 'close';
		dataObj.stockNameDesc = data.stkname;
		dataObj.tenderDesc = data.yy_trdname;
		dataObj.stockCodeFocus = false;
		dataObj.tenderFocus = false;
		//stockType
		if(data.stkprop) {
			for(let i = 0 ; i < configData.stockType.length; i++ ) {
				if(configData.stockType[i].id == data.stkprop) {
					dataObj.stockType = configData.stockType[i];
				}
			}
		}
        if(!configData.secuid) {
	        for(let i = 0, len = configData.holderStock.length; i < len; i++) {
		        if(dataObj.activeMenu == '0') {

			        if(configData.holderStock[i].yy_stkcode == data.yy_stkcode && configData.holderStock[i].stkcode == data.stkcode) {
				        data.num = configData.holderStock[i].stkavl;
				        if(!configData.secuid) {
					        dataObj.holderId = configData.holderStock[i].secuid;
					        dataObj.holderMarket = configData.holderStock[i].market;
				        }

				        for(let j = 0 ; j < configData.stockType.length; j++ ) {
					        if(configData.holderStock[i].stkprop == configData.stockType[j].id) {
						        dataObj.stockType = configData.stockType[j];
					        }
				        }
			        }
		        } else {
			        if(configData.holderStock[i].stkcode == data.stkcode) {
				        data.num = configData.holderStock[i].stkavl;
				        if(!configData.secuid) {
					        dataObj.holderMarket = configData.holderStock[i].market;
					        dataObj.holderId = configData.holderStock[i].secuid;
				        }

				        for(let j = 0 ; j < configData.stockType.length; j++ ) {
					        if(configData.holderStock[i].stkprop == configData.stockType[j].id) {
						        dataObj.stockType = configData.stockType[j];
					        }
				        }
			        }
		        }

	        }
        } else {
	        //if(dataObj.activeMenu == '1') {
		     //   for(let i = 0, len = configData.holderStock.length; i < len; i++) {
			 //       if(configData.holderStock[i].stkcode == data.stkcode) {
				//        data.num = configData.holderStock[i].stkavl;
				//        if(!configData.secuid) {
				//	        dataObj.holderMarket = configData.holderStock[i].market;
				//	        dataObj.holderId = configData.holderStock[i].secuid;
				//        }
	        //
				//        for(let j = 0 ; j < configData.stockType.length; j++ ) {
				//	        if(configData.holderStock[i].stkprop == configData.stockType[j].id) {
				//		        dataObj.stockType = configData.stockType[j];
				//	        }
				//        }
			 //       }
		     //   }
	        //} else {
		        data.num = data.stkavl ? data.stkavl: configData.num;
		        for(let j = 0 ; j < configData.stockType.length; j++ ) {
			        if(data.stkprop == configData.stockType[j].id) {
				        dataObj.stockType = configData.stockType[j];
			        }
		        }
	        //}

        }

		dataObj.choosedStockInfo = data;
		if(dataObj.choosedStockInfo.yy_stkcode && dataObj.choosedStockInfo.yy_stkcode.substring(0, 3) == '840') {
			dataObj.sgName = '收购'
		} else if(dataObj.choosedStockInfo.yy_stkcode && dataObj.choosedStockInfo.yy_stkcode.substring(0, 3) == '841') {
			dataObj.sgName = '回购'
		}
	},
	searchInfo: function (stkcode, yy_stkcode) {
		let param = {
			stkcode: stkcode,
			yy_stkcode: yy_stkcode
		};
		let url = configData.reqUrl.searchApplyInfoUrl;
		if(dataObj.activeMenu == '1') {
			url = configData.reqUrl.cancelSearchApplyInfoUrl;
		}
		exports.getData(url, param, function (data) {
			Com.ajaxLoaded();
			dataObj.choosedStockInfo = {};
			//data = {"result":[{"msg":"请求成功","code":0}],"QueryYYSGInfo":[{"market":"6","endate":"20190925","stkname":"要约回1","begindate":"20190729","stkcode":"840001","yy_stkcode":"841008","yy_trdname":"nihao","stkprice":"11.000"},{"market":"6","endate":"20190825","stkname":"要约收3","begindate":"20190729","stkcode":"430090","yy_stkcode":"840002","yy_trdname":"张三","stkprice":"1"},{"market":"6","endate":"20190825","stkname":"要约收4","begindate":"20190729","stkcode":"430091","yy_stkcode":"840003","yy_trdname":"张四","stkprice":"2"}]}
			if(data.result && data.result[0].code == 0) {
				if(data.QueryYYSGInfo.length > 0) {
					if(data.QueryYYSGInfo.length > 1) {
						data.QueryYYSGInfo = data.QueryYYSGInfo.sort(function (a, b) {
							if(Number(b.stkprice) - Number(a.stkprice) == 0) {
								return  Number(b.yy_stkcode) - Number(a.yy_stkcode);
							} else {
								return  Number(b.stkprice) - Number(a.stkprice);
							}
						});

						dataObj.tenderRightMenuType = 'toggle';
					}
					dataObj.searchStockInfo = data.QueryYYSGInfo;
					if(yy_stkcode) {
						for(let i = 0; i < data.QueryYYSGInfo.length; i++) {
							if (data.QueryYYSGInfo[i].yy_stkcode == yy_stkcode) {
								exports.choosedApplyInfo(data.QueryYYSGInfo[i]);
							}
						}

					} else {
						//if(configData.secuid) {
						//	for(let i = 0; i < data.QueryYYSGInfo.length; i++) {
						//		if (data.QueryYYSGInfo[i].stkcode == stkcode && configData.stkprop == configData.stkprop) {
						//			exports.choosedApplyInfo(data.QueryYYSGInfo[i]);
						//		}
						//	}
						//} else {
							exports.choosedApplyInfo(data.QueryYYSGInfo[0]);
						//}

					}


				} else {
					Com.showNativeAlert('', '无相关要约收购', ['确定'], '');

				}

			} else {
				Com.showNativeAlert('', data.result[0].msg, ['确定'], '');
				if(stkcode) {
					dataObj.stockInputCode = '';
				} else {
					dataObj.tenderInputCode = '';
				}
			}
		})
	},
	getHolder: function () {
		let param = {
			//market: dataObj.holderMarket,
			//secuid: dataObj.holderId
		}
		let url = configData.reqUrl.stockHolderUrl;
		if(dataObj.activeMenu == '1') {
			url = configData.reqUrl.cancelStockHolderUrl;
		}
		exports.getData(url, param, function (data) {
			//data = {"result":[{"msg":"请求成功","code":0}],"queryYYSGFundStock_0":[{"market":"6","endate":"20190925","stkname":"要约回1","begindate":"20190729","secuid":"A646182121","stkcode":"840001","yy_stkcode":"841008","stkprop":"","yy_trdname":"","stkprice":"11.000","stkavl":"9990900"}]}
			if(data.result && data.result[0].code == 0) {
				if(dataObj.activeMenu == '0') {
					if(data.queryYYSGFundStock_0.length > 0) {
						configData.holderStock = data.queryYYSGFundStock_0;
						dataObj.showBottonMenu = true;
					}
				} else {
					if(data.queryYYSGStockBalance_0.length > 0) {
						configData.holderStock = data.queryYYSGStockBalance_0;
						dataObj.showBottonMenu = true;
					}
				}


				if(configData.secuid) {
					dataObj.holderMarket = configData.market;
					dataObj.holderId = configData.secuid;

					for(let i = 0; i < configData.holderStock.length; i++) {
						if(configData.yycode) {
							if(configData.stkprop == configData.holderStock[i].stkprop && configData.yycode == configData.holderStock[i].yy_stkcode && configData.holderStock[i].stkcode == configData.stkcode && configData.holderStock[i].secuid == configData.secuid) {
								exports.choosedApplyInfo(configData.holderStock[i]);
							}
						} else {
							if(configData.stkprop == configData.holderStock[i].stkprop &&configData.holderStock[i].stkcode == configData.stkcode && configData.holderStock[i].secuid == configData.secuid) {
								exports.choosedApplyInfo(configData.holderStock[i]);
							}
						}

					}
					if(dataObj.activeMenu == '1') {
						exports.searchInfo(configData.stkcode)
					}

				}

			}
		})
	},
	getData: function (url, reqParm, callback) {
		Com.ajax({
			'url': url,
			'data': reqParm,
			'type': 'post',
			'dataType': 'json',
			'success': function(data){
				Com.ajaxLoaded();
				callback && callback(data);
			},
			'isTradeLogin': true,//是否需要交易登录
			isNeedSign:true,
			'error': function(){
				Com.ajaxLoaded();
				Com.showNativeAlert('', '网络不给力', ['确定'], '');
			}
		});
	},
	formatPickerStockTypeData: function () {
		let ret = {
			data: [],
			selectIndex: 0
		};
		for(let i = 0; i < configData.stockType.length; i++) {
			if(dataObj.stockType.id == configData.stockType[i].id) {
				ret.selectIndex = i;
			}
			ret.data.push(
				{
					text: configData.stockType[i].name,
					value: configData.stockType[i].id
				}
			)
		}
		return ret;

	},
	formatPickerData: function () {
		let ret = {
			data: [],
			selectIndex: 0
		};
		for(let i = 0; i < configData.holderList.length; i++) {
			if(dataObj.holderId == configData.holderList[i].id) {
				ret.selectIndex = i;
			}
			ret.data.push(
				{
					text: (configData.holderList[i].market== '6' ? '特别转让A ': '特别转让B ') + configData.holderList[i].id,
					value: configData.holderList[i].id
				}
			)
		}
		return ret;

	},
	getStockHolder: function (stkMarket, callback) {
		const random = '_' + (Math.random() + '').split('.')[1];
		const funName = 'setTradeLoginData' + random;
		configData.holderList = [];
		window.$js[funName] = function (tradeLoginData) {
			const shareHold = tradeLoginData.shareholderList;
			if(!shareHold) return;
			for(let i = 0; i < shareHold.length; i++) {
				if(shareHold[i].shareholderMarketId == '6' || shareHold[i].shareholderMarketId == '7'){
					configData.holderList.push({
						market: shareHold[i].shareholderMarketId,
						id: shareHold[i].shareholderId,
						isMaster: shareHold[i].shareholderSecuseq //0是主股东，1 不是
					});

				}
			}
			if(configData.holderList.length > 0){
				//dataObj.showHolder = configData.holderList[0].market + configData.holderList[0].id;
				dataObj.holderMarket = configData.holderList[0].market;
				dataObj.holderId = configData.holderList[0].id;
				dataObj.holderList = configData.holderList;
			}
			callback && callback();
		};
		//从native获取登录参数，判断是否存在尚未开通上海股东账户不能签约金天利
		onCallNative('DataService', 'getTradeLoginData', {}, funName, '{"shareholderList":[{"shareholderSecuseq":0,"shareholderId":"0000000346","shareholderMarketId":"6"},{"shareholderSecuseq":0,"shareholderId":"A45944417402","shareholderMarketId":"7"},{"shareholderSecuseq":0,"shareholderId":"01X2220117","shareholderMarketId":"6"}],"fundId":"110002345509","randomKey":"Fundid:1494529838:110002345509","orgId":"xxxx"}');

	}
}

exports.init();
