/**
 * Created by guosen on 2018/12/17.
 */

import et from  '__ROOTPATH__/H5_common/asset/common_tool/event.js';
import $ from  '__ROOTPATH__/H5_common/asset/common_tool/zepto.js';
import Com from '__ROOTPATH__/H5_common/asset/common_tool/app_common_bridge.js';
import Vue from 'vue';
import md5Fun from  '__ROOTPATH__/H5_common/asset/common_tool/md5.js';
import tool_fun from '__ROOTPATH__/H5_common/asset/common_tool/common_fun.js';

require('__ROOTPATH__/H5_common/asset/common_tool/common.css');
require('../css/common.scss');
require('../css/tender_offer_list.scss');
const tender_offer_list_offerTpl = require('html-loader!../tpl/tender_offer_list.html');
et.eventBind();
const dataObj = {
	pageType: tool_fun.getParam('pageType'),
	holderArr: [],
	stockArr:[],
	formatData: [],
	isEmpty: false,
	mapType: {
		'00': '无限售流通股',
		'01': 'IPO后限售股',
		'02': '股权激励限售股',
		'03': '挂牌后机构类限售股-股转',
		'04': '高管锁定股-股转',
		'05': 'IPO前限售股',
		'06': '挂牌前机构类限售股-股转'
	}
};
const configData = {
	reqUrl:{
		stockHolderUrl: '/zebra/gstrade/sharetransfer/queryYYSGFundStock/1.0',
		cancelStockHolderUrl: '/zebra/gstrade/sharetransfer/queryYYSGStockBalance/1.0'
	},
};
const exports = {
	init: function () {
		new Vue({
			el: '#domDiv',
			data: dataObj,
			methods: {
				formatTime: function (t) {
					if(t) {
						return t.substring(0, 4) + '-' + t.substring(4, 6) + '-' + t.substring(6, 8);
					} else  {
						return '--';
					}

				},
				retSgName: function (data) {
					if(data && data.substring(0, 3) == '840') {
						return '收购';
					} else if(data && data.substring(0, 3) == '841') {
						return '回购';
					}
				}

			},
			template: '<div>' + tender_offer_list_offerTpl + '</div>'
		});
		exports.getHolder();
		exports.bindEvent();
		if(dataObj.pageType == 'apply') {
			Com.setWebviewTitle('', {'title': '可预受要约股票'});
		} else {
			Com.setWebviewTitle('', {'title': '可解除预受要约股票'});
		}
		Com.nativeGobackListener('1', function () {
			Com.browserGoback();
		});
		Com.rightTopBtn(3, ' ' , function () {

		});
	},
	bindEvent: function () {
		et.on('apply.btn', function (e, t) {
			let type = t.attr('data-type');
			let market = t.attr('data-market');
			let secuid = t.attr('data-secuid');
			let stkcode = t.attr('data-stkcode');
			let yycode = t.attr('data-yycode');
			let num = t.attr('data-num');
			let stkprop = t.attr('data-stkprop');
			let url = Com.getOrigin() + '/asset/gzjy/apply_new/dist/pages/tender_offer.html?pageType=' + type + '&secuid=' + secuid + '&stkcode=' + stkcode + '&market=' + market + '&yycode=' + yycode + '&num=' + num + '&stkprop=' + stkprop;
			//Com.newWebViewOpenPage('', {'pageUrl': url, 'weburl': url});
			window.location.href = url;
		})
	},
	getHolder: function () {
		let param = {}
		let url = configData.reqUrl.stockHolderUrl;
		if(dataObj.pageType == 'cancel') {
			url = configData.reqUrl.cancelStockHolderUrl;
		}
		exports.getData(url, param, function (data) {
			//data = {"result":[{"msg":"请求成功","code":0}],"queryYYSGFundStock_0":[{"market":"6","endate":"20190825","stkname":"要约收9","begindate":"20190729","secuid":"0000000346","stkcode":"430033","yy_stkcode":"840008","stkprop":"03","yy_trdname":"股转收购A","stkprice":"11.000","stkavl":"90900"},{"market":"6","endate":"20190825","stkname":"要约回9","begindate":"20190729","secuid":"0000000346","stkcode":"430033","yy_stkcode":"841006","stkprop":"03","yy_trdname":"股转收购B","stkprice":"11.123","stkavl":"90900"},{"market":"6","endate":"20190825","stkname":"要约收3","begindate":"20190729","secuid":"0000000346","stkcode":"430090","yy_stkcode":"840002","stkprop":"02","yy_trdname":"张三","stkprice":"9.234","stkavl":"9990900"},{"market":"6","endate":"20190825","stkname":"要约收2","begindate":"20190729","secuid":"0000000347","stkcode":"430318","yy_stkcode":"840001","stkprop":"01","yy_trdname":"股转收购C","stkprice":"6.000","stkavl":"9990900"}]}
			//data = {"result":[{"msg":"请求成功","code":0}],"queryYYSGStockBalance_0":[{secuid: '1',"endate":"","stkissue":"100","stkrightkind":"DF","stkname":"彩讯科技","begindate":"","stkcode":"430033","stkcode_yysg":"","stkkind":"GF","orgid":"1100","stkprice":"","market":"6","upddate":"20190819","stkbal":"1000","fundid":"110002345509","custid":"110002345509","stkprop":"03","stkcirkind":"H","stkavl":"1000"},{secuid: '1',"endate":"","stkissue":"","stkrightkind":"","stkname":"同辉信息","begindate":"","stkcode":"430033","stkcode_yysg":"","stkkind":"","orgid":"1100","stkprice":"","market":"6","upddate":"20190819","stkbal":"9300","fundid":"110002345509","custid":"110002345509","stkprop":"02","stkcirkind":"","stkavl":"9300"},{secuid: '2',"endate":"","stkissue":"","stkrightkind":"","stkname":"四维传媒","begindate":"","stkcode":"430318","stkcode_yysg":"","stkkind":"","orgid":"1100","stkprice":"","market":"6","upddate":"20190819","stkbal":"9100","fundid":"110002345509","custid":"110002345509","stkprop":"01","stkcirkind":"","stkavl":"9100"}]}
			if(data.result && data.result[0].code == 0) {

				if(dataObj.pageType == 'apply') {
					if(data.queryYYSGFundStock_0.length > 0) {
						exports.formatData(data.queryYYSGFundStock_0);
					} else {
						dataObj.isEmpty = true;
					}
				} else {
					if(data.queryYYSGStockBalance_0.length > 0) {
						exports.formatData(data.queryYYSGStockBalance_0);
					} else {
						dataObj.isEmpty = true;
					}
				}

			}
		})
	},
	getData: function (url, reqParm, callback) {
		Com.ajax({
			'url': url,
			'data': reqParm,
			'type': 'post',
			'dataType': 'json',
			'success': function(data){
				Com.ajaxLoaded();
				callback && callback(data);
			},
			'isTradeLogin': true,//是否需要交易登录
			isNeedSign:true,
			'error': function(){
				Com.ajaxLoaded();
				Com.showNativeAlert('', '网络不给力', ['确定'], '');
			}
		});
	},
	isInHolder: function (data, secuid) {
		for(let i = 0; i < data.length; i++) {
			if(data[i].secuid ==  secuid) {
				return true;
			}
		}
		return false;
	},
	isInStock: function (data, stkcode, secuid, stkprop) {
		for(let i = 0; i < data.length; i++) {
			if(data[i].stkcode ==  stkcode && data[i].secuid == secuid && data[i].stkprop == stkprop) {
				return true;
			}
		}
		return false;
	},
	formatData: function (data) {
		//第一步进行股东账号区分
		let holderArr= [];
		let formatData = {};
		let stockArr = [];
		for(let i = 0, len = data.length; i < len; i++) {
			if(!exports.isInHolder(holderArr, data[i].secuid)) {
				holderArr.push({
					secuid: data[i].secuid,
					market: data[i].market
				});
			}
			if(!exports.isInStock(stockArr, data[i].stkcode, data[i].secuid, data[i].stkprop)) {
				stockArr.push({
					stkcode: data[i].stkcode,
					stkname: data[i].stkname,
					secuid: data[i].secuid,
					stkprop: data[i].stkprop,

			});
			}
			if(!formatData[data[i].stkcode]) {
				formatData[data[i].stkcode] = [];
			}
			formatData[data[i].stkcode].push(data[i]);
		}
		dataObj.holderArr = holderArr;
		dataObj.formatData = formatData;
		dataObj.stockArr = stockArr;

		//console.log(dataObj.holderArr)
		//console.log(dataObj.formatData = formatData)
		//console.log(dataObj.stockArr = stockArr)
	}

}

exports.init();
