/**
 * Created by guosen on 2018/12/17.
 */

import et from  '__ROOTPATH__/H5_common/asset/common_tool/event.js';
import $ from  '__ROOTPATH__/H5_common/asset/common_tool/zepto.js';
import Com from '__ROOTPATH__/H5_common/asset/common_tool/app_common_bridge.js';
import Vue from 'vue';
import md5Fun from  '__ROOTPATH__/H5_common/asset/common_tool/md5.js';
import tool_fun from '__ROOTPATH__/H5_common/asset/common_tool/common_fun.js';

require('__ROOTPATH__/H5_common/asset/common_tool/common.css');
require('../css/common.scss');
require('../css/tender_offer_sure.scss');
const tender_offer_sure_Tpl = require('html-loader!../tpl/tender_offer_sure.html');

const dataObj = {
	tradeType: tool_fun.getParam('tradeType'),
	stockName: tool_fun.getParam('stockName'),
	stockCode: tool_fun.getParam('stockCode'),
	yy_stkcode: tool_fun.getParam('yy_stkcode'),
	yy_trdname: tool_fun.getParam('yy_trdname'),
	sType: tool_fun.getParam('sType'),
	sId: tool_fun.getParam('sId'),
	price: tool_fun.getParam('price'),
	num: tool_fun.getParam('num'),
	secuid: tool_fun.getParam('secuid'),
	market: tool_fun.getParam('market')

};

et.eventBind();
const configData = {
	isLoading: false,
	applyUrl: '/zebra/gstrade/yysg/tradeYYSG/1.0',
	recordLocalFlag: 'yysg_needclear',
};
const exports = {
	init: function () {
		new Vue({
			el: '#domDiv',
			data: dataObj,
			methods: {
				retSgName: function (data) {
					if(data && data.substring(0, 3) == '840') {
						return '收购';
					} else if(data && data.substring(0, 3) == '841') {
						return '回购';
					}
				}
			},
			template: '<div>' + tender_offer_sure_Tpl + '</div>'
		});

		exports.bindEvent();
		Com.setWebviewTitle('', {'title': '委托确认'});
	},
	bindEvent: function () {
		et.on('sure.apply', function () {
			if(configData.isLoading)return;
			configData.isLoading = true;
			Com.ajaxLoading();
			let param = {
				market: dataObj.market,
				secuid: dataObj.secuid,
				stkcode: dataObj.stockCode,
				yy_stkcode: dataObj.yy_stkcode,
				bsflag: dataObj.tradeType == 'apply' ? '0Y' : '0E',
				orderqty: dataObj.num,
				orderprice: dataObj.price,
				stkprop: dataObj.sId
			}
			exports.getData(configData.applyUrl, param, function (data) {
				if(data.result && data.result[0].code == 0) {
					let txt = '委托已提交，请在委托查询中核查'
					Com.showNativeAlert('', txt, ['返回', '委托查询'], function (d) {
						if(Number(d.clickedIndex) == 1) {
							Com.setLocalValue(configData.recordLocalFlag, 'need');
							window.location.replace(Com.getOrigin() + '/asset/gzjy/pages/gzwtcx.html');
						} else {
							Com.setLocalValue(configData.recordLocalFlag, 'need');
							Com.nativeGoback();
						}
					});
				} else {
					Com.showNativeAlert('', data.result[0].msg, ['确定'], function () {
						Com.nativeGoback();
					});
				}
			})
		})
	},
	getData: function (url, reqParm, callback) {
		Com.ajax({
			'url': url,
			'data': reqParm,
			'type': 'post',
			'dataType': 'json',
			'success': function(data){
				configData.isLoading = false;
				Com.ajaxLoaded();
				callback && callback(data);
			},
			'isTradeLogin': true,//是否需要交易登录
			isNeedSign:true,
			'error': function(){
				configData.isLoading = false;
				Com.ajaxLoaded();
				Com.showNativeAlert('', '网络不给力', ['确定'], '');
			}
		});
	},
}

exports.init();
