/**
 * Created by guosen on 2018/12/17.
 */

import et from  '__ROOTPATH__/H5_common/asset/common_tool/event.js';
import $ from  '__ROOTPATH__/H5_common/asset/common_tool/zepto.js';
import Com from '__ROOTPATH__/H5_common/asset/common_tool/app_common_bridge.js';
import tool_fun from '__ROOTPATH__/H5_common/asset/common_tool/common_fun.js';
import md5Fun from  '__ROOTPATH__/H5_common/asset/common_tool/md5.js';

import Vue from 'vue';
require('__ROOTPATH__/H5_common/asset/common_tool/common.css');
require('../css/common.scss');
require('../css/third_board_search.scss');
const thirdBoardTpl = require('html-loader!../tpl/third_board_search.html');


const dataObj = {
	listData: [''],
	customid: '',
	mapMarketName: {
		6: '特别转让A',
		7: '特别转让B',
	},
	type: tool_fun.getParam('type') // type stock 股票查询默认 股东账户

};
const configData = {
	reqUrl: '/zebra/gstrade/sharetransfer/queryLimitAccountInfo/1.0',

};
const exports = {
	init: function () {
		new Vue({
			el: '#domDiv',
			data: dataObj,
			methods: {
				retInvestType: function (type) {
					//- c: 挂牌公司一类合格投资者
					//- d: 两网退市股票交易协议
					//- e: 股转受限投资者
					//- l: 挂牌公司二类合格投资者
					//- m: 挂牌公司三类合格投资者
					//- p:挂牌公司四类合格投资者
					if(!type) return '--';
					let txt = '';
					if(type.indexOf('c') != -1) {
						txt += '挂牌公司一类合格投资者<br>';
					}
					//if(type.indexOf('d') != -1) {
					//	txt += '两网退市股票交易协议<br>';
					//}
					//if(type.indexOf('e') != -1) {
					//	txt += '股转受限投资者';
					//}
					if(type.indexOf('l') != -1) {
						txt += '挂牌公司二类合格投资者<br>';
					}
					if(type.indexOf('m') != -1) {
						txt += '挂牌公司三类合格投资者<br>';
					}
					if(type.indexOf('p') != -1) {
						txt += '挂牌公司四类合格投资者<br>';
					}
					return txt ? txt : '--';
				}
			},
			template: '<div >' + thirdBoardTpl + '</div>'
		});
		if(!dataObj.type) {
			Com.getLoginData(function (d) {
				let arr = [];
				if(d && d.shareholderList) {
					for(let i = 0; i < d.shareholderList.length; i++) {
						if (d.shareholderList[i].shareholderMarketId == '6' || d.shareholderList[i].shareholderSecuseq == '7') {
							arr.push(d.shareholderList[i])
						}
					}
				}
				if(d && d.customId) {
					dataObj.customid = d.customId;
				}
				dataObj.listData = arr;
			})
			Com.setWebviewTitle('', {'title': '股东权限查询'});

		} else {
			exports.getData(configData.reqUrl, {}, exports.rendSearch)
			Com.setWebviewTitle('', {'title': '可交易股票查询'});
		}

	},

    rendSearch: function (data) {
	    if(data.result && data.result[0].code == 0) {
		    dataObj.listData = data.queryLimitAccountInfo_0
	    } else {
		    Com.showNativeAlert('', data.result[0].msg, ['确定'], '');
	    }
    },
	getData: function (url, param , callback, type) {
		Com.ajax({
			'url': url,
			'data': param,
			'type': type ? type : 'post',
			'dataType': 'json',
			'success': function(data){
				callback && callback(data);
			},
			'isTradeLogin': true,//是否需要交易登录
			isNeedSign: true,
			'error': function(){
				Com.showNativeAlert('', '网络不给力', ['确定'], '');
			}
		});
	}
}

exports.init();
