'use strict';
(function () {
    const cacheVersion = '20190801';
    const staticImageCacheName = 'image' + cacheVersion;
    // const staticAssetsCacheName = 'assets' + cacheVersion;
    const contentCacheName = 'content' + cacheVersion;
    // const vendorCacheName = 'vendor' + cacheVersion;
    const maxEntries = 100;
    self.importScripts('sw-toolbox.js');
    self.toolbox.options.debug = false;
    self.toolbox.options.networkTimeoutSeconds = 3;
    self.toolbox.router.get('/img/(.*)', self.toolbox.cacheFirst, {
        //origin: /bbs-static\.nfz\.yecdn\.com/,
        cache: {
            name: staticImageCacheName,
            maxEntries: maxEntries
        }
    });
    //self.toolbox.router.get("/(.*).png", self.toolbox.cacheFirst, {
    //    //origin: /bbs-static\.nfz\.yecdn\.com/,
    //    cache: {
    //        name: staticImageCacheName,
    //        maxEntries: maxEntries
    //    }
    //});


    self.toolbox.router.get('/(.*).js', self.toolbox.cacheFirst, {
        //origin: /bbs-static\.nfz\.yecdn\.com/,
        cache: {
            name: staticImageCacheName,
            maxEntries: maxEntries
        }
    });

    self.toolbox.router.get('/(.*).html(.*)', self.toolbox.cacheFirst, {
        cache: {
            name: contentCacheName,
            maxEntries: maxEntries
        }
    });

    //self.toolbox.router.post("/300", self.toolbox.networkFirst, {
    //    cache: {
    //        name: contentCacheName,
    //        maxEntries: maxEntries,
    //        queryOptions: {
    //            ignoreSearch: true
    //        }
    //    }
    //});
    self.toolbox.router.get('/sw.js', self.toolbox.networkFirst);

    self.toolbox.router.get('/(.*)', self.toolbox.networkOnly, {
        origin: /(www\.google-analytics\.com|ssl\.google-analytics\.com)/
    });
    self.addEventListener('install', function (event) {
        return event.waitUntil(self.skipWaiting());
    });
    self.addEventListener('activate', function (event) {
        return event.waitUntil(self.clients.claim());
    });
}
)();
