;(function($){
    /**
     * 将字符串类型的日期格式化
     * @date 需要格式化的日期，字符串类型
     * @format 格式化后的格式，eg:format="yyyy-MM-dd hh:mm:ss"; 
     * 返回结果
     */
    template.helper('dateFormat', function (date, format) {  
        if (typeof date == "string") { 
            if (date.indexOf('-') > -1) {
                date= new Date(date.split('-')[0],date.split('-')[1]*1-1,date.split('-')[2]); 
            }else{
                date= new Date(date.substring(0,4),date.substring(4,6)*1-1,date.substring(6,8));   
            }   
        } 
        date = new Date(date);  
      
        var map = {  
            "M": date.getMonth() + 1, //月份   
            "d": date.getDate(), //日   
            "h": date.getHours(), //小时   
            "m": date.getMinutes(), //分   
            "s": date.getSeconds(), //秒   
            "q": Math.floor((date.getMonth() + 3) / 3), //季度   
            "S": date.getMilliseconds() //毫秒   
        };  
        format = format.replace(/([yMdhmsqS])+/g, function(all, t){  
            var v = map[t];  
            if(v !== undefined){  
                if(all.length > 1){  
                    v = '0' + v;  
                    v = v.substr(v.length-2);  
                }  
                return v;  
            }  
            else if(t === 'y'){  
                return (date.getFullYear() + '').substr(4 - all.length);  
            }  
            return all;  
        });  
        return format;  
    });
    /**
     * 将字符串时间进行格式化
     * @time 需要格式化的时间，字符串类型
     * @format 格式化后的格式，eg:format="hh:mm:ss"; 
     * 返回结果
     */
    template.helper('timeFormat', function (time) {  
        if (typeof time == "string") { 
            if(time.length == 7){
                time = '0'+time;
            }
        } 
        var format = time.substring(0,2)+':'+time.substring(2,4);
        return format;  
    });
    /**
     * 简单的数值转中文
     */
    /*template.helper('pbuylowfmt', function (pbuylow) {
        var num = Math.floor(pbuylow);
        var amtstr = '';
        if(num >= 1000 && num <10000){
            if(num%1000 == 0){
                amtstr = (num/1000)+'千';
            }else{
                amtstr = num;
            }
        }
        else if(num >=10000){
            if(num%10000 == 0){
                amtstr = (num/10000)+'万';
            }
        }else{
            amtstr = num;
        }
        return amtstr;
    });*/
})(Zepto);