/**
 * Created by guosen on 2019/6/6.
 */
import TalkingData from '__ROOTPATH__/H5_common/asset/common_tool/TalkingData.js';
import et from  '__ROOTPATH__/H5_common/asset/common_tool/event.js';
import Com from '__ROOTPATH__/H5_common/asset/common_tool/app_common_bridge.js';
import tool_fun from '__ROOTPATH__/H5_common/asset/common_tool/common_fun.js';
import device from '__ROOTPATH__/H5_common/asset/common_tool/device.js';
import too_fun from '../javascript/tool_fun.js';

import ES6Promise from 'es6-promise';
import Vue from 'vue';
window.Promise = (window.Promise ? window.Promise : ES6Promise.Promise);

const listTpl =  require('html-loader!../tpl/lhb-list.html');
require('../css/lhb-list.scss');

const configData = {
    colorType: tool_fun.getParam('color_type'),
    pageUrl: '/asset/mdata/',
    reqUrl: {
        abnormalLatest: '/gsnews/abnormal/queryAbnormalLatest/1.0',//最新上榜
        abnormalActivation:'/gsnews/abnormal/queryAbnormalActivation/1.0',//近3月活跃
        getZdfUrl: '/gsnews/market/queryStkQuote/1.0',//获取行情涨跌幅
    },
    page1: 1,
    pageSize: 20,
    page2: 1,
    isLastPage1: false,
    isLastPage2: false,
    f_val: '1',
    recordStock1: [],
    recordStock2: []
}
const dataObj = {
    tabVal: tool_fun.getParam('tab_val'),
    isTab: 1,
    isFilter: false,
    latestList: [],//最新上榜
    activationList: [],//近3月活跃
    loadLoading1:　false,
    loadError1: false,
    loadNoMore1: false,
    loadLoading2:　false,
    loadError2: false,
    loadNoMore2: false,
};

if(configData.colorType == 'white') {
    //$('body').addClass('white-color');
}

et.eventBind();

const exports = {
    init: function () {
        new Vue({
            el: '#domDiv',
            data: dataObj,
            methods: {
                formatNum (numberStr) {
                    var result = numberStr;
                    if(numberStr.length == 0){
                        result = '--';
                    }else{
                        if (numberStr * 1.0 >= 100000000 || numberStr * 1.0 <= -100000000) {
                            result = ((numberStr * 1.0) / 100000000).toFixed(2) + '亿';
                        } else if (numberStr * 1.0 >= 10000 || numberStr * 1.0 <= -10000) {
                            result = ((numberStr * 1.0) / 10000).toFixed(2) + "万";
                        } else {
                            result = numberStr;
                        }
                    }
                    return result;
                },
                formatNum2 (numberStr) {
                    var result = numberStr;
                    if (numberStr * 1.0 >= 10000 || numberStr * 1.0 <= -10000) {
                        result = ((numberStr * 1.0) / 10000).toFixed(2);
                    } else {
                        result = numberStr;
                    }
                    return result;
                },
                formatChangePct (pct) {
                    var result = pct;
                    if(pct.indexOf('-') >= 0) {
                        result = Number(pct).toFixed(2) + '%';
                    }else{
                        result = '+' + Number(pct).toFixed(2) + '%';
                    }
                    return result;
                }
            },
            template: '<div>' + listTpl + '</div>'
        });

        Com.setWebviewTitle('',{"title":'龙虎榜-个股排行'});
        dataObj.isTab = Number(dataObj.tabVal) ? Number(dataObj.tabVal) : 1;
        exports.getLatestData();
        exports.getActivationData();
        exports.bindEvent();
        //0:隐藏；1:分享
        Com.rightTopBtn('0','',function () {
        })

        if(dataObj.isTab == 1){
            TalkingData && TalkingData.onEventWithLabel('资讯', '龙虎榜个股排行页-最新上榜页');
        }else if(dataObj.isTab == 2){
            TalkingData && TalkingData.onEventWithLabel('资讯', '龙虎榜个股排行页-近3月活跃页');
        }
    },
    bindEvent: function () {
        $(window).on('scroll',function(){
            var oheight = $(document).height();
            var wheight = $(window).height();
            var wintop = $(window).scrollTop();
            if(dataObj.isTab == 1){
                if((wintop+wheight) + 30 >= oheight && oheight + 30 >= wheight && !configData.isLastPage1){
                    if(dataObj.loadLoading1) return;
                    dataObj.loadLoading1 = true;
                    configData.page1 += 1;
                    exports.getLatestData();
                }
            }else if(dataObj.isTab == 2){
                if((wintop+wheight) + 30 >= oheight && oheight + 30 >= wheight && !configData.isLastPage2){
                    if(dataObj.loadLoading2) return;
                    dataObj.loadLoading2 = true;
                    configData.page2 += 1;
                    exports.getActivationData();
                }
            }
        });
        et.on('click.list.tab', function (e, t) {
            const val = t.attr('data-tab');
            if(val == '1'){
                dataObj.isTab = 1
                TalkingData && TalkingData.onEventWithLabel('资讯', '龙虎榜个股排行页-最新上榜页');
            }else if(val == '2'){
                dataObj.isTab = 2
                TalkingData && TalkingData.onEventWithLabel('资讯', '龙虎榜个股排行页-近3月活跃页');
            }
        });
        et.on('goto.lhb.detail', function (e, t) {
            var tabVal = t.attr('data-tabval');
            if(tabVal == '1'){
                TalkingData && TalkingData.onEventWithLabel('资讯', '龙虎榜-最新上榜个股详情页');
            }else if(tabVal == '2'){
                TalkingData && TalkingData.onEventWithLabel('资讯', '龙虎榜-近3月活跃个股详情页');
            }
            var abbr = t.attr('data-abbr');
            var exchange = t.attr('data-exchange');
            var tradingCode = t.attr('data-code');
            var market = '';
            if(exchange && exchange.length > 0){
                if(exchange == 'SZ'){
                    market = '1';
                }else if(exchange == 'SH'){
                    market = '2';
                }
            }
            var stkCode = tradingCode + '.' + market;
            const url = configData.pageUrl + 'lhb-record.html?stkCode=' + stkCode + '&stkName=' + abbr + '&tab_val=' + tabVal;
            Com.newWebViewOpenPage('', {'pageUrl': url, 'weburl': url});
        });
        et.on('open.popup.filter', function (e, t) {
            if(dataObj.isFilter){
                dataObj.isFilter = false;
            }else{
                dataObj.isFilter = true;
            }
        });
        et.on('open.popup.item', function (e, t) {
            dataObj.isFilter = false;
            configData.f_val = t.attr('data-val');
            if(dataObj.isTab == 1){
                configData.page1 = 1;
                configData.isLastPage1 = false;
                dataObj.loadNoMore1 = false;
                dataObj.latestList = [];
                exports.getLatestData();
            }else if(dataObj.isTab == 2){
                configData.page2 = 1;
                configData.isLastPage2 = false;
                dataObj.loadNoMore2 = false;
                dataObj.activationList = [];
                exports.getActivationData();
            }
        });
        et.on('open.popup.info1', function (e, t) {
            const txt = '净买入强度为个股上榜净买入额和买入金额的比值（均统计买卖排名前5席位）。比值越大，一般表示上榜席位买入集中坚决，卖出分散，显示出上榜席位买入的强势程度。公式为：净买入强度=净买入额/当日该股公布前五买入席位买入金额合计。\n\n'+
                '净买入额为个股公布前五买入席位买入金额合计和前五卖出席位卖出金额合计的差值。公式为：净买入额=当日该股买入前五席位买入金额合计-当日该股卖出前五席位卖出金额合计。\n\n' +
                '名称后数字N：因符合N天异动规则而上榜。'
            exports.showScreenMask('指标说明', exports.retFundesc(txt));
        });
        et.on('open.popup.info2', function (e, t) {
            const txt = '上榜次数为个股最近三个月内的上榜次数。同一交易日多条件上榜，交易金额相同计1次上榜。\n\n' +
                '累计净买入额为个股在三个月内上榜的总净买入额。\n\n' +
                '名称后数字N：因符合N天异动规则而上榜。'
            exports.showScreenMask('指标说明', exports.retFundesc(txt));
        });
    },
    retFundesc: function (val) {
        var txt =  val;
        if(Com.clientType() == 'ios'){
        }else{
            txt = txt.replace(/\n\n/g, '<br><br>')
        }
        return txt;
    },
    showScreenMask: function(masktitle, maskcontent) {
        var datajson = {};
        datajson['tipTitle'] = masktitle;
        datajson['tipContent'] = maskcontent;
        onCallNative('WebContainer', 'setFullTipView', datajson);
    },
    getLatestData: function () {
        const reqParam = {
            page: configData.page1,
            pageSize: configData.pageSize,
            screen: configData.f_val,
        }
        Com.ajaxLoading();
        too_fun.getData(configData.reqUrl.abnormalLatest, reqParam, function (data) {
            Com.ajaxLoaded();
            dataObj.loadLoading1 = false;
            if (data.result && data.result[0].code == 0) {
                //最新上榜
                if(data.latest && data.latest.length > 0){
                    if(configData.page1 == 1){
                        dataObj.latestList = data.latest;
                    }else{
                        dataObj.latestList = dataObj.latestList.concat(data.latest);
                    }

                    configData.recordStock1 = []
                    for(var i = 0; i < dataObj.latestList.length; i++){
                        if(dataObj.latestList[i].exchange == 'SZ'){
                            dataObj.latestList[i]['exchangeNum']= '1'
                        }else{
                            dataObj.latestList[i]['exchangeNum']= '2'
                        }
                        configData.recordStock1.push(dataObj.latestList[i].tradingCode)
                    }
                    exports.rendZdf('1');

                }else{
                    configData.isLastPage1 = true;
                    dataObj.loadNoMore1 = true;
                }
            }else{
                configData.isLastPage1 = true;
                dataObj.loadNoMore1 = true;
            }
        });
    },
    getActivationData: function () {
        const reqParam = {
            page: configData.page2,
            pageSize: configData.pageSize,
            screen: configData.f_val,
        }
        Com.ajaxLoading();
        too_fun.getData(configData.reqUrl.abnormalActivation, reqParam, function (data) {
            Com.ajaxLoaded();
            dataObj.loadLoading2 = false;
            if (data.result && data.result[0].code == 0) {
                //近3月活跃
                if(data.activation && data.activation.length > 0){
                    if(configData.page2 == 1){
                        dataObj.activationList = data.activation;
                    }else{
                        dataObj.activationList = dataObj.activationList.concat(data.activation);
                    }

                    configData.recordStock2 = []
                    for(var i = 0; i < dataObj.activationList.length; i++){
                        if(dataObj.activationList[i].exchange == 'SZ'){
                            dataObj.activationList[i]['exchangeNum']= '1'
                        }else{
                            dataObj.activationList[i]['exchangeNum']= '2'
                        }
                        configData.recordStock2.push(dataObj.activationList[i].tradingCode)
                    }
                    exports.rendZdf('2');

                }else{
                    configData.isLastPage2 = true;
                    dataObj.loadNoMore2 = true;
                }
            }else{
                configData.isLastPage2 = true;
                dataObj.loadNoMore2 = true;
            }
        });
    },
    rendZdf: function (type) {
        var url = configData.reqUrl.getZdfUrl;
        var codelist = '';
        if(type == '1'){
            codelist = configData.recordStock1.join(',');
        }else{
            codelist = configData.recordStock2.join(',');
        }
        const reqParam = {
            code: codelist
        }
        too_fun.getData(url, reqParam, function (data) {
            var len = data['hqzx'].length;
            for(var i = 0; i < len; i++){
                var dom = $('.stock' + data['hqzx'][i].codeex.replace('.',''));
                if(Number(data['hqzx'][i].zdf) > 0){
                    dom.addClass('red');
                    dom.html('+'+ Number(data['hqzx'][i].zdf).toFixed(2) + '%');
                } else if(Number(data['hqzx'][i].zdf) < 0) {
                    dom.addClass('green');
                    dom.html(Number(data['hqzx'][i].zdf).toFixed(2) + '%');
                } else {
                    dom.html(Number(data['hqzx'][i].zdf).toFixed(2) + '%');
                }

            }
        });
    },

};

exports.init();
