/**
 * Created by guosen on 2019/6/6.
 */
import TalkingData from '__ROOTPATH__/H5_common/asset/common_tool/TalkingData.js';
import et from  '__ROOTPATH__/H5_common/asset/common_tool/event.js';
import Com from '__ROOTPATH__/H5_common/asset/common_tool/app_common_bridge.js';
import tool_fun from '__ROOTPATH__/H5_common/asset/common_tool/common_fun.js';
import device from '__ROOTPATH__/H5_common/asset/common_tool/device.js';
import too_fun from '../javascript/tool_fun.js';

import ES6Promise from 'es6-promise';
import Vue from 'vue';
window.Promise = (window.Promise ? window.Promise : ES6Promise.Promise);

const placeDetailTpl =  require('html-loader!../tpl/lhb-place-detail.html');
require('../css/lhb-place-detail.scss');

const configData = {
    colorType: tool_fun.getParam('color_type'),
    seatName: tool_fun.getParam('seat_name'),
    pageUrl: '/asset/mdata/',
    reqUrl: {
        abnormalSeatDetail: '/gsnews/abnormal/queryAbnormalSeatDetail/1.0',
    }
}
const dataObj = {
    seatActivationDetail: [],
    seatActivationInfo: [],
    topAbbr: '',
    topNum: '',
    tradeSum: '',
    buyCount: '',
    sellCount: '',
    pageDate: '',
    pageSize: '5',
    page: 1,
    loadLoading:　false,
    loadError: false,
    loadNoMore: false,
    isLastPage: false,
};

if(configData.colorType == 'white') {
    //$('body').addClass('white-color');
}

et.eventBind();

const exports = {
    init: function () {
        new Vue({
            el: '#domDiv',
            data: dataObj,
            methods: {
                formatNum (numberStr) {
                    var result = numberStr;
                    if(numberStr.length == 0){
                        result = '--';
                    }else{
                        if (numberStr * 1.0 >= 100000000 || numberStr * 1.0 <= -100000000) {
                            result = ((numberStr * 1.0) / 100000000).toFixed(2) + '亿';
                        } else if (numberStr * 1.0 >= 10000 || numberStr * 1.0 <= -10000) {
                            result = ((numberStr * 1.0) / 10000).toFixed(2) + "万";
                        } else {
                            result = numberStr;
                        }
                    }
                    return result;
                },
                formatNum2 (numberStr) {
                    var result = numberStr;
                    if (numberStr * 1.0 >= 10000 || numberStr * 1.0 <= -10000) {
                        result = ((numberStr * 1.0) / 10000).toFixed(2);
                    } else {
                        result = numberStr;
                    }
                    return result;
                },
            },
            template: '<div>' + placeDetailTpl + '</div>'
        });
        exports.rendData();

        exports.bindEvent();
        Com.setWebviewTitle('',{"title":'龙虎榜-席位详情'});
    },
    bindEvent: function () {
        $(window).on('scroll',function(){
            var oheight = $(document).height();
            var wheight = $(window).height();
            var wintop = $(window).scrollTop();
            if((wintop+wheight) + 30 >= oheight && oheight + 30 >= wheight && !dataObj.isLastPage){
                if(dataObj.loadLoading){
                    return;
                }
                dataObj.loadLoading = true;
                dataObj.page += 1;
                exports.rendData();
            }
        });
        et.on('open.popup.info', function (e, t) {
            const txt = '上榜个股数：席位上榜个股的数量。\n\n'+
                '净买总额：席位买入前五上榜买入金额合计和席位卖出前五上榜卖出金额合计的差值。净买总额= 买入前五上榜总额-卖出上榜总额。\n\n'+
                '上榜个股数：席位在最近三个月内登上龙虎榜所涉及到的个股数量合计。\n\n' +
                '交易总额：席位在最近三个月内登上龙虎榜交易额的合计。\n\n' +
                '买入上榜次数：席位在最近三个月内买入前五席位上榜次数合计。同一交易日多条件上榜，交易金额相同计1次上榜。\n\n' +
                '卖出上榜次数：席位在最近三个月内卖出前五席位上榜次数合计。同一交易日多条件上榜，交易金额相同计1次上榜。\n\n'+
                '净买额：席位买入前五上榜金额—卖出前五上榜金额\n\n';
            exports.showScreenMask('指标说明', exports.retFundesc(txt));
        });
    },
    retFundesc: function (val) {
        var txt =  val;
        if(Com.clientType() == 'ios'){
        }else{
            txt = txt.replace(/\n\n/g, '<br><br>')
        }
        return txt;
    },
    showScreenMask: function(masktitle, maskcontent) {
        var datajson = {};
        datajson['tipTitle'] = masktitle;
        datajson['tipContent'] = maskcontent;
        onCallNative('WebContainer', 'setFullTipView', datajson);
    },
    rendData: function () {
        const reqParam = {
            seat: configData.seatName,
            date: dataObj.pageDate,
            count: dataObj.pageSize,
        }
        Com.ajaxLoading();
        too_fun.getData(configData.reqUrl.abnormalSeatDetail, reqParam, function (data) {
            Com.ajaxLoaded();
            dataObj.loadLoading = false;
            if (data.result && data.result[0].code == 0) {
                if(data.activation && data.activation.length > 0){
                    dataObj.seatActivationInfo = data.activation;
                    dataObj.topAbbr = data.activation[0].seat ? data.activation[0].seat : '';
                    dataObj.topNum = data.activation[0].num3M ? data.activation[0].num3M : '';
                    dataObj.tradeSum = data.activation[0].tradeSum ? data.activation[0].tradeSum : '';
                    dataObj.buyCount = data.activation[0].buyCount ? data.activation[0].buyCount : '';
                    dataObj.sellCount = data.activation[0].sellCount ? data.activation[0].sellCount : '';
                }
                if(data.detail && data.detail.length > 0){
                    var len = data.detail.length;
                    for (var i = 0; i < len; i++) {
                        var _time = data.detail[i].tradingDay;
                        if(i == len-1){
                            dataObj.pageDate = data.detail[i].tradingDay;
                        }

                        var prev_time = data.detail[i - 1] ? data.detail[i - 1].tradingDay : '';
                        if (_time == prev_time) {
                            data.detail[i]['isShowDate'] = false;
                        } else {
                            data.detail[i]['isShowDate'] = true;
                        }
                    }

                    if(dataObj.page == 1){
                        dataObj.seatActivationDetail = data.detail;
                    }else{
                        dataObj.seatActivationDetail = dataObj.seatActivationDetail.concat(data.detail);
                    }
                    if(data.detail.length < Number(dataObj.pageSize)){
                        dataObj.isLastPage = true;
                        dataObj.loadNoMore = true;
                    }
                }else{
                    dataObj.isLastPage = true;
                    dataObj.loadNoMore = true;
                }
            }else{
                dataObj.isLastPage = true;
                dataObj.loadNoMore = true;
            }
        });
    },

};

exports.init();
