/**
 * Created by guosen on 2019/6/6.
 */
import TalkingData from '__ROOTPATH__/H5_common/asset/common_tool/TalkingData.js';
import et from  '__ROOTPATH__/H5_common/asset/common_tool/event.js';
import Com from '__ROOTPATH__/H5_common/asset/common_tool/app_common_bridge.js';
import tool_fun from '__ROOTPATH__/H5_common/asset/common_tool/common_fun.js';
import device from '__ROOTPATH__/H5_common/asset/common_tool/device.js';
import too_fun from '../javascript/tool_fun.js';

import ES6Promise from 'es6-promise';
import Vue from 'vue';
window.Promise = (window.Promise ? window.Promise : ES6Promise.Promise);

const placeTpl =  require('html-loader!../tpl/lhb-place.html');
require('../css/lhb-place.scss');

const configData = {
    colorType: tool_fun.getParam('color_type'),
    pageUrl: '/asset/mdata/',
    reqUrl: {
        seatLatest: '/gsnews/abnormal/queryAbnormalSeatLatest/1.0',
        seatActivation: '/gsnews/abnormal/queryAbnormalSeatActivation/1.0',
        seatSearch: '/gsnews/abnormal/queryAbnormalSeatSearch/1.0',
    },
    page1: 1,
    pageSize: 20,
    page2: 1,
    isLastPage1: false,
    isLastPage2: false,
}
const dataObj = {
    tabVal: tool_fun.getParam('tab_val'),
    isTab: 1,
    inputSearchVal: tool_fun.getParam('seat') || '',
    showCancelBtn: false,
    seatLatestData: [],
    seatActivationData: [],
    seatSearchList: [],
    currSeatSearchList: [],
    loadLoading1:　false,
    loadError1: false,
    loadNoMore1: false,
    loadLoading2:　false,
    loadError2: false,
    loadNoMore2: false,
    showSearchResult: false,
    mySearchHistory: [],
};

if(configData.colorType == 'white') {
    //$('body').addClass('white-color');
}

et.eventBind();

const exports = {
    init: function () {
        new Vue({
            el: '#domDiv',
            data: dataObj,
            methods: {
                inputSearchEvent: function () {
                    exports.initSearch();
                },
                formatNum (numberStr) {
                    var result = numberStr;
                    if(numberStr.length == 0){
                        result = '--';
                    }else{
                        if (numberStr * 1.0 >= 100000000 || numberStr * 1.0 <= -100000000) {
                            result = ((numberStr * 1.0) / 100000000).toFixed(2) + '亿';
                        } else if (numberStr * 1.0 >= 10000 || numberStr * 1.0 <= -10000) {
                            result = ((numberStr * 1.0) / 10000).toFixed(2) + "万";
                        } else {
                            result = numberStr;
                        }
                    }
                    return result;
                },
                formatNum2 (numberStr) {
                    var result = numberStr;
                    if (numberStr * 1.0 >= 10000 || numberStr * 1.0 <= -10000) {
                        result = ((numberStr * 1.0) / 10000).toFixed(2);
                    } else {
                        result = numberStr;
                    }
                    return result;
                },
            },
            template: '<div>' + placeTpl + '</div>'
        });
        Com.setWebviewTitle('',{"title":'龙虎榜-席位'});
        dataObj.isTab = Number(dataObj.tabVal) ? Number(dataObj.tabVal) : 1;
        if(localStorage.searchSeatHistoryList){
            dataObj.mySearchHistory = localStorage.searchSeatHistoryList.split(',');
        }

        exports.getSeatLatestData();
        exports.getSeatActivationData();
        exports.getSeatSearchData();

        setTimeout(function () {
            exports.initSearch();
        }, 500)

        exports.bindEvent();

        if(dataObj.isTab == 1){
            TalkingData && TalkingData.onEventWithLabel('资讯', '龙虎榜席位页-席位查询页');
        }else if(dataObj.isTab == 2){
            TalkingData && TalkingData.onEventWithLabel('资讯', '龙虎榜席位页-最新上榜页');
        }else if(dataObj.isTab == 3){
            TalkingData && TalkingData.onEventWithLabel('资讯', '龙虎榜席位页-近3月活跃页');
        }
    },
    bindEvent: function () {
        $(window).on('scroll',function(){
            var oheight = $(document).height();
            var wheight = $(window).height();
            var wintop = $(window).scrollTop();
            if(dataObj.isTab == 2){
                if((wintop+wheight) + 30 >= oheight && oheight + 30 >= wheight && !configData.isLastPage1){
                    if(dataObj.loadLoading1) return;
                    dataObj.loadLoading1 = true;
                    configData.page1 += 1;
                    exports.getSeatLatestData();
                }
            }else if(dataObj.isTab == 3){
                if((wintop+wheight) + 30 >= oheight && oheight + 30 >= wheight && !configData.isLastPage2){
                    if(dataObj.loadLoading2) return;
                    dataObj.loadLoading2 = true;
                    configData.page2 += 1;
                    exports.getSeatActivationData();
                }
            }
        });
        et.on('click.place.tab', function (e, t) {
            const val = t.attr('data-tab');
            if(val == '1'){
                dataObj.isTab = 1
                TalkingData && TalkingData.onEventWithLabel('资讯', '龙虎榜席位页-席位查询页');
            }else if(val == '2'){
                dataObj.isTab = 2
                TalkingData && TalkingData.onEventWithLabel('资讯', '龙虎榜席位页-最新上榜页');
            }else if(val == '3'){
                dataObj.isTab = 3
                TalkingData && TalkingData.onEventWithLabel('资讯', '龙虎榜席位页-近3月活跃页');
            }

        });
        et.on('click.cancel.value', function (e, t) {
            dataObj.inputSearchVal='';
            dataObj.showCancelBtn = false;
            dataObj.showSearchResult = false;
        });
        et.on('search.seat.history', function (e, t) {
            var searchKeyword = t.attr('data-historykey');
            dataObj.inputSearchVal = searchKeyword;
            exports.initSearch();
        });
        et.on('search.seat.detail', function (e, t) {
            var seatName = t.attr('data-searchseat');
            //将搜索历史保存到本地
            dataObj.mySearchHistory = dataObj.mySearchHistory.slice(0,9);
            dataObj.mySearchHistory.unshift(seatName)
            localStorage.searchSeatHistoryList = dataObj.mySearchHistory.join();

            const url = configData.pageUrl + 'lhb-place-detail.html?seat_name='+seatName;
            Com.newWebViewOpenPage('', {'pageUrl': url, 'weburl': url});
        });
        et.on('goto.place.detail', function (e, t) {
            if(dataObj.isTab == 2){
                TalkingData && TalkingData.onEventWithLabel('资讯', '龙虎榜-最新上榜席位详情页');
            }else if(dataObj.isTab == 3){
                TalkingData && TalkingData.onEventWithLabel('资讯', '龙虎榜-近3月活跃席位详情页');
            }
            var seatName = t.attr('data-seatname');
            const url = configData.pageUrl + 'lhb-place-detail.html?seat_name='+seatName;
            Com.newWebViewOpenPage('', {'pageUrl': url, 'weburl': url});
        });
    },
    initSearch: function () {
        dataObj.currSeatSearchList = [];
        if(dataObj.inputSearchVal.length==0 || dataObj.inputSearchVal.trim(' ') == ''){
            dataObj.showCancelBtn = false;
            dataObj.showSearchResult = false;
            return;
        }
        dataObj.showCancelBtn = true;
        //根据搜索关键字遍历所有席位列表
        for(var i = 0; i < dataObj.seatSearchList.length; i++) {
            if(dataObj.seatSearchList[i].indexOf(dataObj.inputSearchVal) >= 0){
                dataObj.currSeatSearchList.push(dataObj.seatSearchList[i])
            }
        }
        //只取前面五条查询结果显示
        dataObj.currSeatSearchList = dataObj.currSeatSearchList.slice(0,10);
        //如果有搜索结果显示搜索结果层
        if(dataObj.currSeatSearchList.length > 0){
            dataObj.showSearchResult = true;
        }else{
            dataObj.showSearchResult = false;
        }
    },
    getSeatLatestData: function () {
        const reqParam = {
            page: configData.page1,
            pageSize: configData.pageSize,
        }
        Com.ajaxLoading();
        too_fun.getData(configData.reqUrl.seatLatest, reqParam, function (data) {
            Com.ajaxLoaded();
            dataObj.loadLoading1 = false;
            if (data.result && data.result[0].code == 0) {
                if(data.latest && data.latest.length>0){
                    if(configData.page1 == 1){
                        dataObj.seatLatestData = data.latest;
                    }else{
                        dataObj.seatLatestData = dataObj.seatLatestData.concat(data.latest);
                    }
                }else{
                    configData.isLastPage1 = true;
                    dataObj.loadNoMore1 = true;
                }
            }else{
                configData.isLastPage1 = true;
                dataObj.loadNoMore1 = true;
            }
        });
    },
    getSeatActivationData: function () {
        const reqParam = {
            page: configData.page2,
            pageSize: configData.pageSize,
        }
        Com.ajaxLoading();
        too_fun.getData(configData.reqUrl.seatActivation, reqParam, function (data) {
            Com.ajaxLoaded();
            dataObj.loadLoading2 = false;
            if (data.result && data.result[0].code == 0) {
                if(data.ativation && data.ativation.length>0){
                    if(configData.page2 == 1){
                        dataObj.seatActivationData = data.ativation;
                    }else{
                        dataObj.seatActivationData = dataObj.seatActivationData.concat(data.ativation);
                    }
                }else{
                    configData.isLastPage2 = true;
                    dataObj.loadNoMore2 = true;
                }
            }else{
                configData.isLastPage2 = true;
                dataObj.loadNoMore2 = true;
            }
        });
    },
    getSeatSearchData: function () {
    const reqParam = {}
    Com.ajaxLoading();
    too_fun.getData(configData.reqUrl.seatSearch, reqParam, function (data) {
        Com.ajaxLoaded();
        if (data.result && data.result[0].code == 0) {
            var str = data.data[0].seat
            dataObj.seatSearchList = str.split(',');
        }
    });
},

};

exports.init();
