/**
 * Created by guosen on 2019/6/6.
 */
import TalkingData from '__ROOTPATH__/H5_common/asset/common_tool/TalkingData.js';
import et from  '__ROOTPATH__/H5_common/asset/common_tool/event.js';
import Com from '__ROOTPATH__/H5_common/asset/common_tool/app_common_bridge.js';
import tool_fun from '__ROOTPATH__/H5_common/asset/common_tool/common_fun.js';
import device from '__ROOTPATH__/H5_common/asset/common_tool/device.js';
import too_fun from '../javascript/tool_fun.js';

import ES6Promise from 'es6-promise';
import Vue from 'vue';
window.Promise = (window.Promise ? window.Promise : ES6Promise.Promise);

const detailTpl =  require('html-loader!../tpl/lhb-record.html');
require('../css/lhb-record.scss');

const configData = {
    colorType: tool_fun.getParam('color_type'),
    stkName: tool_fun.getParam('stkName'),
    stkCode: tool_fun.getParam('stkCode'),
    tradingCode: '',
    market: '',
    pageUrl: '/asset/mdata/',
    reqUrl: {
        abnormalStkRecord: '/gsnews/abnormal/queryAbnormalStkRecord/1.0',
        abnormalStkRecordDetail: '/gsnews/abnormal/queryAbnormalStkRecordDetail/1.0',
        tradeHistory: '/gsnews/quote/tradehistory/1.0',
        abnormalStkSeat: '/gsnews/abnormal/queryAbnormalStkSeat/1.0',
        abnormalStkSeatDetail: '/gsnews/abnormal/queryAbnormalStkSeatDetail/1.0',
    }
}
const dataObj = {
    isTab: tool_fun.getParam('tab_val') || '1',
    showMoreVal: '0',
    isShowMore: false,
    showMoreVal2: '',
    isShowMore2: false,
    baseInfo: [{
        "netBuy3M":"",
        "count":"",
        "tradingCode":"",
        "exchange":"",
        "abbr":""
    }],
    recordInfo: [],
    recordDetailInfo: [],
    tradeHistoryInfo: [],
    seatList: [],
    seatDetailList: [],
    seatDetailInfo: [],
    chartDatetime: [],
    chartVal: [],
    buyMaxVal: '',
    sellMaxVal: '',
    loadTips: false,
    loadTipsTxt: '加载中...',
    loadTips2: false,
    loadTipsTxt2: '加载中...',
    seatDetailNetBuy: '',
    seatDetailBuyCount: '',
    seatDetailSellCount: '',
};

if(configData.colorType == 'white') {
    //$('body').addClass('white-color');
}
const winScale = device.winScale();
et.eventBind();

const exports = {
    init: function () {
        new Vue({
            el: '#domDiv',
            data: dataObj,
            methods: {
                formatNum2 (numberStr) {
                    var result = numberStr;
                    if (numberStr * 1.0 >= 10000 || numberStr * 1.0 <= -10000) {
                        result = ((numberStr * 1.0) / 10000).toFixed(2);
                    } else {
                        result = numberStr;
                    }
                    return result;
                },
            },
            template: '<div>' + detailTpl + '</div>'
        });

        if(configData.stkCode && configData.stkCode.length > 0){
            var code = [];
            code = configData.stkCode.split('.');
            configData.tradingCode = code[0];
            if(code[1] == '1'){
                configData.market = 'SZ';
            }else if(code[1] == '2'){
                configData.market = 'SH';
            }
        }

        exports.getAbnormalStkRecord();
        exports.getAbnormalStkSeat();
        exports.tradeHistoryData();

        Com.setWebviewTitle('',{"title":'龙虎榜-' + configData.stkName});
        exports.bindEvent();
    },
    bindEvent: function () {
        et.on('click.detail.tab', function (e, t) {
            const val = t.attr('data-tab');
            if(val == '1'){
                dataObj.isTab = '1'
            }else if(val == '2'){
                dataObj.isTab = '2'
            }
        });
        et.on('open.detail.more', function (e, t) {
            dataObj.recordDetailInfo = [];
            const index = t.attr('data-index');
            const dateTime = t.attr('data-date');
            const reason = t.attr('data-reason');
            if(dataObj.showMoreVal == index && dataObj.isShowMore){
                dataObj.isShowMore = false;
            }else{
                dataObj.showMoreVal = index;
                dataObj.isShowMore = true;
                exports.getDetailData(dateTime, reason);
            }
        });
        et.on('open.place.more', function (e, t) {
            dataObj.seatDetailList = [];
            dataObj.seatDetailNetBuy = '';
            dataObj.seatDetailBuyCount = '';
            dataObj.seatDetailSellCount = '';
            const index = t.attr('data-index');
            const seatname = t.attr('data-seat')
            if(dataObj.showMoreVal2 == index && dataObj.isShowMore2){
                dataObj.isShowMore2 = false;
            }else{
                dataObj.showMoreVal2 = index;
                dataObj.isShowMore2 = true;
                exports.getAbnormalStkSeatDetail(seatname);
            }

        });
        et.on('open.popup.info', function (e, t) {
            const txt = '累计净买额：近三个月内席位上榜的净买入额总计。\n\n' +
                '买入/卖出上榜次数：席位近三个月内买入排名前五/卖出排名前五的上榜次数。同一天不同类型上榜记作1次上榜。'
            exports.showScreenMask('指标说明', exports.retFundesc(txt));
        });
    },
    retFundesc: function (val) {
        var txt =  val;
        if(Com.clientType() == 'ios'){
        }else{
            txt = txt.replace(/\n\n/g, '<br><br>')
        }
        return txt;
    },
    showScreenMask: function(masktitle, maskcontent) {
        var datajson = {};
        datajson['tipTitle'] = masktitle;
        datajson['tipContent'] = maskcontent;
        onCallNative('WebContainer', 'setFullTipView', datajson);
    },
    getAbnormalStkRecord: function () {
        const reqParam = {
            tradingCode: configData.tradingCode
        }
        Com.ajaxLoading();
        too_fun.getData(configData.reqUrl.abnormalStkRecord, reqParam, function (data) {
            Com.ajaxLoaded();
            if (data.result && data.result[0].code == 0) {
                if(data.info && data.info.length > 0){
                    dataObj.baseInfo = data.info;
                }
                if(data.record && data.record.length > 0){
                    dataObj.recordInfo = data.record;
                }
            }
        });
    },
    getDetailData: function (datetime, reason) {
        const reqParam = {
            tradingDay: datetime,
            tradingCode: configData.tradingCode,
            reason: reason,
        }
        Com.ajaxLoading();
        too_fun.getData(configData.reqUrl.abnormalStkRecordDetail, reqParam, function (data) {
            Com.ajaxLoaded();
            if (data.result && data.result[0].code == 0) {
                if(data.record && data.record.length > 0){
                    dataObj.loadTips = false;
                    dataObj.loadTipsTxt = '';

                    dataObj.recordDetailInfo = data.record;
                    for(var i = 0; i < data.record.length; i++) {
                        if(data.record[i].rank == '1' && data.record[i].tradeType == '1'){
                            dataObj.buyMaxVal = data.record[i].value;
                        }
                        if(data.record[i].rank == '1' && data.record[i].tradeType == '2'){
                            dataObj.sellMaxVal = data.record[i].value;
                        }
                    }
                }else{
                    dataObj.loadTips = true;
                    dataObj.loadTipsTxt = '没有更多数据';
                }
            }else{
                dataObj.loadTips = true;
                dataObj.loadTipsTxt = '没有更多数据';
            }
        });
    },
    getAbnormalStkSeat: function () {
        const reqParam = {
            tradingCode: configData.tradingCode
        }
        Com.ajaxLoading();
        too_fun.getData(configData.reqUrl.abnormalStkSeat, reqParam, function (data) {
            Com.ajaxLoaded();
            if (data.result && data.result[0].code == 0) {
                if(data.seat && data.seat.length > 0){
                    dataObj.seatList = data.seat;
                }
            }
        });
    },
    getAbnormalStkSeatDetail: function (seatName) {
        const reqParam = {
            tradingCode: configData.tradingCode,
            seat: seatName,
        }
        Com.ajaxLoading();
        too_fun.getData(configData.reqUrl.abnormalStkSeatDetail, reqParam, function (data) {
            Com.ajaxLoaded();
            if (data.result && data.result[0].code == 0) {
                if(data.seat && data.seat.length > 0){
                    dataObj.loadTips2 = false;
                    dataObj.loadTipsTxt2 = '';
                    dataObj.seatDetailList = data.seat;

                    for (var i = 0; i < data.seat.length; i++) {
                        var _time = data.seat[i].tradingDay;
                        var prev_time = data.seat[i - 1] ? data.seat[i - 1].tradingDay : '';
                        if (_time == prev_time) {
                            data.seat[i]['isShowDate'] = false;
                        } else {
                            data.seat[i]['isShowDate'] = true;
                        }
                    }

                }else{
                    dataObj.loadTips2 = true;
                    dataObj.loadTipsTxt2 = '没有更多数据';
                }
                if(data.info && data.info.length > 0){
                    dataObj.seatDetailInfo = data.info;
                    dataObj.seatDetailNetBuy = data.info[0].netBuy;
                    dataObj.seatDetailBuyCount = data.info[0].buyCount;
                    dataObj.seatDetailSellCount = data.info[0].sellCount;
                }
            }else{
                dataObj.loadTips2 = true;
                dataObj.loadTipsTxt2 = '没有更多数据';
            }
        });
    },
    tradeHistoryData: function () {
        const reqParam = {
            stkCode: configData.tradingCode,
            market: configData.market,
        }
        too_fun.getData(configData.reqUrl.tradeHistory, reqParam, function (data) {
            if (data.result && data.result[0].code == 0) {
                if(data.hqzs && data.hqzs.length > 0){
                    dataObj.tradeHistoryInfo = data.hqzs;
                    for(var i = 0; i < data.hqzs.length; i++) {
                        dataObj.chartDatetime.push(data.hqzs[i].hqda);
                        dataObj.chartVal.push(data.hqzs[i].zjcj);
                    }
                    exports.drawChart(dataObj.tradeHistoryInfo, 'lhb_line_chart');
                }
            }
        });
    },
    formatBarLineData: function (data, type) {
        const ret = {
            yAxisLeft: {
                min: '',
                max: '',
                interVal: ''
            },
        }
        let dataList = [];

        for (let i = 0; i < data.length; i++) {
            dataList.push(Math.abs(data[i].zjcj))
        }
        dataList.sort(function (a, b) {
            return a-b;
        });

        /*var max_val = Math.abs(dataList[dataList.length - 1]).toFixed(2);
        var min_val = Math.abs(dataList[0]).toFixed(2);

        let recordLeftMax = Number(max_val)*2 - Math.ceil(max_val / 2);
        let recordleftMin = Number(min_val) - Math.floor(min_val / 2);*/

        let recordLeftMax = dataList[dataList.length - 1].toFixed(2) * 1.2;
        let recordleftMin = dataList[0].toFixed(2) * 0.8;

        ret.yAxisLeft = {
            min: recordleftMin,
            max: recordLeftMax,
            interVal: (recordLeftMax - recordleftMin) / 5
        };
        return ret;
    },
    drawChart: function (chartData, domId) {
        exports.formatBarLineData(chartData);
        const formatData = exports.formatBarLineData(chartData);
        var option = {
            title: {
                text: '',
            },
            grid: {
                top: 100,
                left:110,
                right:60,
            },
            tooltip: {
                trigger: 'axis',
                textStyle: {
                    fontSize: 12 / winScale
                },
                formatter: function (params,ticket,callback) {
                    var res = params[0].name;
                    for (var i = 0; i < params.length; i++) {
                        res += '<br/><span style="color:'+ params[i].color +';font-size: .4rem;font-weight: bold;margin-right: .05rem;">-</span>' + params[i].seriesName + ' : ' + Number(params[i].value).toFixed(2);
                    }
                    return res;
                }
            },
            legend: {
                data:[{name:'龙虎榜'}],
                left: 30,
                top: 20,
                textStyle: {
                    fontSize: 12 / winScale,
                    color: '#677289',
                },
                itemWidth: 20,
                itemHeight: 12,
            },
            color:['#589DFC'],
            xAxis: {
                data: dataObj.chartDatetime,
                boundaryGap: false,
                axisLine: {
                    lineStyle: {
                        color: '#DFE1E6',//底部轴颜色
                    }
                },
                axisTick: {
                    show: false
                },
                axisLabel: {
                    formatter:function(val){
                        var date = val.substr(4,2) + '-' + val.substr(6,2)
                        return date
                    },
                    fontSize: 12 / winScale,
                    color: '#939AAA',
                    padding: [10,2,4,2]
                },
            },
            yAxis: {
                type: 'value',
                boundaryGap : false,
                min: formatData.yAxisLeft.min,
                max: formatData.yAxisLeft.max,
                interval: formatData.yAxisLeft.interVal,
                splitNumber: 5,
                axisLabel: {
                    formatter: function (val) {
                        var value = val.toFixed(2);
                        return value;
                    },
                    fontSize: 12 / winScale,
                    color: '#939AAA',
                },
                axisPointer: {
                    show: false
                },
                axisTick: {
                    show: false
                },
                axisLine: {
                    show: false,
                    lineStyle: {
                        color: '#DFE1E6',//左纵轴颜色
                    }
                },
                splitLine: {
                    show: true,
                    lineStyle: {
                        // 使用深浅的间隔色
                        color: ['#DFE1E6'],
                        type: 'dashed',
                    }
                }
            },
            series: [
                {
                    name:'龙虎榜',
                    type:'line',
                    hoverAnimation: false,
                    showSymbol: true,
                    symbol: 'circle',     //设定为实心点
                    symbolSize: 10,   //设定实心点的大小
                    smooth:false,  //曲线变平滑
                    yAxisIndex: 0,
                    lineStyle: {
                        normal: {
                            width: 1 / winScale
                        }
                    },
                    itemStyle : {
                        normal : {
                            color:'#589DFC',
                            borderColor: '#589DFC'
                        }
                    },
                    data: dataObj.chartVal,
                }
            ]
        };

        require.ensure([], function () {
            const echarts = require('__ROOTPATH__/H5_common/asset/common_tool/echarts.min.js');
            configData.myecharts = '';
            configData.myecharts = echarts.init(document.getElementById(domId), null, {renderer: 'svg'});
            configData.myecharts.setOption(option);
        });

    },

};

exports.init();
