/**
 * Created by guosen on 2019/6/6.
 */
import TalkingData from '__ROOTPATH__/H5_common/asset/common_tool/TalkingData.js';
import et from  '__ROOTPATH__/H5_common/asset/common_tool/event.js';
import Com from '__ROOTPATH__/H5_common/asset/common_tool/app_common_bridge.js';
import tool_fun from '__ROOTPATH__/H5_common/asset/common_tool/common_fun.js';
import device from '__ROOTPATH__/H5_common/asset/common_tool/device.js';
import too_fun from '../javascript/tool_fun.js';

import ES6Promise from 'es6-promise';
import Vue from 'vue';
window.Promise = (window.Promise ? window.Promise : ES6Promise.Promise);

const indexTpl =  require('html-loader!../tpl/lhb.html');
require('../css/lhb.scss');

const configData = {
    colorType: tool_fun.getParam('color_type'),
    pageUrl: '/asset/mdata/',
    reqUrl: {
        lhbMain: '/gsnews/abnormal/queryAbnormalMain/1.0',
        getZdfUrl: '/gsnews/market/queryStkQuote/1.0',//获取行情涨跌幅
    },
    recordStock1: [],
    recordStock2: []
}
const dataObj = {
    topNum: '',
    topBuy: '',
    topSell: '',
    tradingDay: '',
    latestList: [],//最新上榜
    activationList: [],//近3月活跃
};

if(configData.colorType == 'white') {
    //$('body').addClass('white-color');
}
const winScale = device.winScale();
et.eventBind();

const exports = {
    init: function () {
        new Vue({
            el: '#domDiv',
            data: dataObj,
            methods: {
                formatNum (numberStr) {
                    var result = numberStr;
                    if(numberStr.length == 0){
                        result = '--';
                    }else{
                        if (numberStr * 1.0 >= 100000000 || numberStr * 1.0 <= -100000000) {
                            result = ((numberStr * 1.0) / 100000000).toFixed(2) + '亿';
                        } else if (numberStr * 1.0 >= 10000 || numberStr * 1.0 <= -10000) {
                            result = ((numberStr * 1.0) / 10000).toFixed(2) + "万";
                        } else {
                            result = numberStr;
                        }
                    }
                    return result;
                },
                formatNum2 (numberStr) {
                    var result = numberStr;
                    if (numberStr * 1.0 >= 10000 || numberStr * 1.0 <= -10000) {
                        result = ((numberStr * 1.0) / 10000).toFixed(2);
                    } else {
                        result = numberStr;
                    }
                    return result;
                },
                formatChangePct (pct) {
                    var result = pct;
                    if(pct.indexOf('-') >= 0) {
                        result = Number(pct).toFixed(2) + '%';
                    }else{
                        result = '+' + Number(pct).toFixed(2) + '%';
                    }
                    return result;
                }
            },
            template: '<div>' + indexTpl + '</div>'
        });
        exports.rendData();
        exports.bindEvent();

    },
    bindEvent: function () {
        et.on('check.lhb.list', function (e, t) {
            const val = t.attr('data-more');
            if(val == '1'){
                TalkingData && TalkingData.onEventWithLabel('资讯', '龙虎榜首页-最新上榜更多');
            }else if(val == '2'){
                TalkingData && TalkingData.onEventWithLabel('资讯', '龙虎榜首页-近3月活跃更多');
            }
            const url = configData.pageUrl + 'lhb-list.html?tab_val='+val;
            Com.newWebViewOpenPage('', {'pageUrl': url, 'weburl': url});
        });
        et.on('check.place.rank', function (e, t) {
            TalkingData && TalkingData.onEventWithLabel('资讯', '龙虎榜首页-查看席位排行');
            const url = configData.pageUrl + 'lhb-place.html?tab_val=2';
            Com.newWebViewOpenPage('', {'pageUrl': url, 'weburl': url});
        });
        et.on('goto.lhb.detail', function (e, t) {
            var tabVal = t.attr('data-tabval');
            if(tabVal == '1'){
                TalkingData && TalkingData.onEventWithLabel('资讯', '龙虎榜-最新上榜个股详情页');
            }else if(tabVal == '2'){
                TalkingData && TalkingData.onEventWithLabel('资讯', '龙虎榜-近3月活跃个股详情页');
            }
            var abbr = t.attr('data-abbr');
            var exchange = t.attr('data-exchange');
            var tradingCode = t.attr('data-code');
            var market = '';
            if(exchange && exchange.length > 0){
                if(exchange == 'SZ'){
                    market = '1';
                }else if(exchange == 'SH'){
                    market = '2';
                }
            }
            var stkCode = tradingCode + '.' + market;
            const url = configData.pageUrl + 'lhb-record.html?stkCode=' + stkCode + '&stkName=' + abbr + '&tab_val=' + tabVal;
            Com.newWebViewOpenPage('', {'pageUrl': url, 'weburl': url});
        });
        //跳转到席位搜索页面
        et.on('goto.place.search', function (e, t) {
            TalkingData && TalkingData.onEventWithLabel('资讯', '龙虎榜首页-席位搜索');
            var seatName = t.attr('data-seatname');
            const url = configData.pageUrl + 'lhb-place.html?tab_val=1&seat=' + seatName;
            Com.newWebViewOpenPage('', {'pageUrl': url, 'weburl': url});
        });
        et.on('open.popup.info1', function (e, t) {
            const txt = '净买入强度为个股上榜净买入额和买入金额的比值（均统计买卖排名前5席位）。比值越大，一般表示上榜席位买入集中坚决，卖出分散，显示出上榜席位买入的强势程度。公式为：净买入强度=净买入额/当日该股公布前五买入席位买入金额合计。\n\n'+
                '净买入额为个股公布前五买入席位买入金额合计和前五卖出席位卖出金额合计的差值。公式为：净买入额=当日该股买入前五席位买入金额合计-当日该股卖出前五席位卖出金额合计。\n\n' +
                '名称后数字N：因符合N天异动规则而上榜。'
            exports.showScreenMask('指标说明', exports.retFundesc(txt));
        });
        et.on('open.popup.info2', function (e, t) {
            const txt = '上榜次数为个股最近三个月内的上榜次数。同一交易日多条件上榜，交易金额相同计1次上榜。\n\n' +
                '累计净买入额为个股在三个月内上榜的总净买入额。\n\n' +
                '名称后数字N：因符合N天异动规则而上榜。'
            exports.showScreenMask('指标说明', exports.retFundesc(txt));
        });
    },
    retFundesc: function (val) {
        var txt =  val;
        if(Com.clientType() == 'ios'){
        }else{
            txt = txt.replace(/\n\n/g, '<br><br>')
        }
        return txt;
    },
    showScreenMask: function(masktitle, maskcontent) {
        var datajson = {};
        datajson['tipTitle'] = masktitle;
        datajson['tipContent'] = maskcontent;
        onCallNative('WebContainer', 'setFullTipView', datajson);
    },
    rendData: function () {
        const reqParam = {
            version: '',
        }
        Com.ajaxLoading();
        too_fun.getData(configData.reqUrl.lhbMain, reqParam, function (data) {
            Com.ajaxLoaded();
            if (data.result && data.result[0].code == 0) {
                if(data.brief && data.brief.length > 0){
                    dataObj.topNum = data.brief[0].num ? data.brief[0].num : '';
                    dataObj.topBuy = data.brief[0].buy ? data.brief[0].buy : '';
                    dataObj.topSell = data.brief[0].sell ? data.brief[0].sell : '';
                    dataObj.tradingDay = data.brief[0].tradingDay ? data.brief[0].tradingDay : '';
                }
                //最新上榜
                if(data.latest && data.latest.length > 0){
                    dataObj.latestList = data.latest;

                    for(var i = 0; i < dataObj.latestList.length; i++){
                        if(dataObj.latestList[i].exchange == 'SZ'){
                            dataObj.latestList[i]['exchangeNum']= '1'
                        }else{
                            dataObj.latestList[i]['exchangeNum']= '2'
                        }

                        configData.recordStock1.push(dataObj.latestList[i].tradingCode)
                    }
                    exports.rendZdf('1');
                }
                //近3月活跃
                if(data.activation && data.activation.length > 0){
                    dataObj.activationList = data.activation;

                    for(var i = 0; i < dataObj.activationList.length; i++){
                        if(dataObj.activationList[i].exchange == 'SZ'){
                            dataObj.activationList[i]['exchangeNum']= '1'
                        }else{
                            dataObj.activationList[i]['exchangeNum']= '2'
                        }

                        configData.recordStock2.push(dataObj.activationList[i].tradingCode)
                    }
                    exports.rendZdf('2');
                }

            }
        });

    },
    rendZdf: function (type) {
        var url = configData.reqUrl.getZdfUrl;
        var codelist = '';
        if(type == '1'){
            codelist = configData.recordStock1.join(',');
        }else{
            codelist = configData.recordStock2.join(',');
        }
        const reqParam = {
            code: codelist
        }
        too_fun.getData(url, reqParam, function (data) {
            var len = data['hqzx'].length;
            for(var i = 0; i < len; i++){
                var dom = $('.stock' + data['hqzx'][i].codeex.replace('.',''));
                if(Number(data['hqzx'][i].zdf) > 0){
                    dom.addClass('red');
                    dom.html('+'+ Number(data['hqzx'][i].zdf).toFixed(2) + '%');
                } else if(Number(data['hqzx'][i].zdf) < 0) {
                    dom.addClass('green');
                    dom.html(Number(data['hqzx'][i].zdf).toFixed(2) + '%');
                } else {
                    dom.html(Number(data['hqzx'][i].zdf).toFixed(2) + '%');
                }

            }
        });
    },


};

exports.init();
