var F = F||{}; //定义一个全局对象作为命名空间
F.jdtz=F.jdtz||{};
F.jdtz.echartsOption = {
	title: {
		show:false,
		padding:0,
		text: '历史收益率'
	},
	legend: {
		data:['历史收益率']
	},
	animation:false,
	toolbox: {
		feature: {
			saveAsImage: {}
		}
	},
	grid: {
		left: '10px',
		right: '5px',
		bottom: '10px',
		top:'8px',
		containLabel: true
	},
	xAxis : [
		{
			type : 'category',
			boundaryGap : false,
			data : [{
				value:'2017-07-24',
				textStyle:{
					color:'#8e8e93',
					fontSize:11,
					align:'left'
				}
			},'','','','','','2017-07-25'],
			axisLabel:{
				textStyle:{
					color:'#8e8e93',
					fontSize:11,
					align:'right'
				},
				interval:0,
				margin:15,
				formatter: function (value, index) {
					return value;
				}
			},
			axisLine: {            // 坐标轴线
				lineStyle: {       // 属性lineStyle控制线条样式
					color: '#f6f6f7'
				},
				show:true
			},
			axisTick: {            // 坐标刻度
				show:false
			},
			splitLine: {           // 分隔线
				interval:30,
				show:true,
				lineStyle: {       // 属性lineStyle（详见lineStyle）控制线条样式
					color: ['#f6f6f7']
				}
			}
		}
	],
	yAxis : [
		{
			type : 'value',
			splitLine: {           // 分隔线
				lineStyle: {       // 属性lineStyle（详见lineStyle）控制线条样式
					color: ['#f6f6f7'],
					type:'dashed'  //'solid'  'dashed'  'dotted'
				}
			},
			axisLine: {            // 坐标轴线
				show:false,
				lineStyle: {       // 属性lineStyle控制线条样式
					color: '#f6f6f7'
				}
			},
			axisLabel:{
				// inside:true,
				textStyle:{
					color:'#8e8e93',
					baseline:'middle',
					fontSize:11
				},
				formatter: function (value, index) {
					return value+'%';
				}
			},
			axisTick:{
				show:false
			},
			splitNumber:4
		}
	],
	series : [
		{
			name:'沪深300收益率',
			type:'line',
			// stack: '总量',
			data:[],
			areaStyle: {
				normal: {
					color:'transparent'
				},
				smooth:true
			},
			lineStyle:{
				normal:{
					width:1,
					color:'#FF8800'
				}
			},
			animation:false,
			itemStyle:{
				normal : {
					color:'#FF8800',
					lineStyle:{
						color:'#FF8800'
					}
				}
			},
			showSymbol :false
		},
		{
			name:'全账户收益率',
			type:'line',
			// stack: '总量',
			data:[],
			animation:false,
			areaStyle: {
				normal: {
					color:'transparent'
				},
				smooth:true
			},
			lineStyle:{
				normal:{
					width:1,
					color:'#589DFC'
				}
			},
			itemStyle:{
				normal : {
					color:'#589DFC',
					lineStyle:{
						color:'#589DFC'
					}
				}
			},
			showSymbol :false
		}
	]
};


var accountDate = [];
var accountRate = [];
F.jdtz.drawChart = function(dateType){

	//沪深300收益曲线
	var nologinCharts = function(dateType,loginType){

		var param = {};
		param['indexid'] = 'JY3145';
		param['period'] = dateType;
		Com.ajax({
			"url":Com.getOrigin()+'/gsfinancing/recommendation/getIndexYieldList/1.0',
			"data":param,
			"type":"post",
			"dataType":"json",
			"success":function(d){
				if (d != null && d.result[0].code == 0) {
					var html = '';
					var accountNewRate=0;
					//清空echarts的值
					F.jdtz.echartsOption.xAxis[0].data = [];
					F.jdtz.echartsOption.series[0].data = [];
					F.jdtz.echartsOption.series[1].data = [];
					//F.jdtz.echartsOption.series[1].data = [];
					for (var i=0,len=d.data.length;i<len;i++) {
						if(loginType && accountDate.length!=0 && accountRate.length!=0){
							//已登录的情况下要画全账户收益曲线
							F.jdtz.echartsOption.series[1].data[i] = '';
							for(var k=0;k<accountDate.length;k++){
								if(accountDate[k] == d.data[i].tradingdate){
									F.jdtz.echartsOption.series[1].data[i] = accountRate[k];
								}
							}
							accountNewRate =  accountRate[accountRate.length-1];
						}
						//x轴日期的第一个值需要居左，需要特殊处理
						if (i==0) {
							F.jdtz.echartsOption.xAxis[0].data[i] = {
								//value:template.helpers.dateFormat(d.data[i].tradingdate,'yyyy-MM-dd'),
								value:dateFmt(d.data[i].tradingdate),
								textStyle:{
									color:'#8e8e93',
									fontSize:11,
									align:'left'
								}
							};
							F.jdtz.echartsOption.series[0].data[i] = d.data[i].yield*1;

							//x轴日期的最后一个值需要居右
						}else if(i==len-1) {
							//F.jdtz.echartsOption.xAxis[0].data[i] = template.helpers.dateFormat(d.data[i].tradingdate,'yyyy-MM-dd');
							F.jdtz.echartsOption.xAxis[0].data[i] = dateFmt(d.data[i].tradingdate);

							if(d.data[i].yield!=''){
								F.jdtz.echartsOption.series[0].data[i] = d.data[i].yield*1;
							}

							//x轴日期只显示首末两个值，其他都置空
						}else{
							F.jdtz.echartsOption.xAxis[0].data[i] =  '';
							F.jdtz.echartsOption.series[0].data[i] = d.data[i].yield*1;
						}


						var jzmfpft = 'd';
						var indexPft = 'd';
						for(var m=d.data.length-1;m>0;m--){
							if(d.data[m].yield!='' && jzmfpft=='d'){
								jzmfpft = (d.data[m].yield*1).toFixed2(2);
							}
						}
						var showAccount = false;
						if(loginType == true && accountRate.length!=0){
							showAccount = true;
						}
						html = template('profitTemplate', {jzmfProfit:jzmfpft,"accountNewRate":accountNewRate,"showAccount":showAccount});

					}
					//坐标轴在 grid 区域中的分隔线
					F.jdtz.echartsOption.xAxis[0].splitLine.interval = Math.floor(d.data.length-1);

					var jdtzChart = echarts.init(document.getElementById('chart'));
					jdtzChart.clear();
					jdtzChart.setOption(F.jdtz.echartsOption,true);

					$('.history-profit .profit').html(html);
				}else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
					return false;
				}else{
					Com.nativeToast(d.result[0].code+':'+d.result[0].msg);
				}
			},
			"isTradeLogin":false,
			"error":function(){
				Com.ajaxLoaded();
				Com.showNativeAlert('','网络不给力',['确定'],'')
			}
		});
	};


	//全账户收益
	var loginCharts = function(dateType,loginType){
		var n = 12;
		switch (dateType){
			case "3m":
				n=3;
				break;
			case "6m":
				n=6;
				break;
			default:
				n=12;
		}


		var firstDate = getDateDur(n).firstDate;
		var lastDate = getDateDur(n).lastDate;
		var param = {};
		param['strdate'] = firstDate;
		param['enddate'] = lastDate;
		var ajaxData = function(datajson){
			Com.ajax({
				"url":Com.getOrigin()+"/gsfinancing/fundprofit/getAccountProfitByDateRange/1.0",
				"data":datajson,
				"type":"post",
				"dataType":"json",
				"success":function(d){
					if (d != null && d.result[0].code == 0) {
						accountDate = [];
						accountRate = [];
						for (var i=0,len=d.data.length;i<len;i++) {
							accountDate.push(d.data[i].dcdate);
							accountRate.push(d.data[i].profitRate);
						}
						nologinCharts(dateType,loginType);
						//坐标轴在 grid 区域中的分隔线
					}else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
						nologinCharts(dateType,loginType);
						return false;
					}else{
						nologinCharts(dateType,loginType);
						Com.nativeToast(d.result[0].code+':'+d.result[0].msg);
					}
				},
				"isTradeLogin":true,
				"supportBioLogin":'2',
				"error":function(){
					nologinCharts(dateType,loginType);
					Com.nativeToast('获取账户收益率失败');
				}
			});
		};
		ajaxData(param);
	};

	Com.isTradelogin2(function(){
		//已登录
		loginCharts(dateType,true);
	},function(){
		//未登录，不展示全账户收益曲线，只展示魔方收益曲线
		nologinCharts(dateType,false);
	});

};


function fmtdate(str){
	if(typeof str !=='string'){
		str+='';
	}
	if(str.length==8){
		return dateYear = (str.substring(0,4))+'-'+(str.substring(4,6))+'-'+(str.substring(6,8));
	}
	else if(str.length==4){
		return dateYear = (str.substring(0,2))+'-'+(str.substring(2,4));
	}else{
		return str;
	}
}

function getDateDur (n){
	var nowDate = new Date();
	var dateYear = nowDate.getFullYear();
	var dateMonth = nowDate.getMonth()+1;
	var dateDay = nowDate.getDate();

	//前n个月的日期
	var firstDate = '';
	var firstYear = '';
	var firstMonth = '';
	var firstDay = '';

	//今天的日期，dateDay
	var lastDate = dateYear+''+numberFormat(dateMonth)+''+numberFormat(dateDay);

	if (dateMonth - n <= 0){
		firstYear = dateYear-1;
		firstMonth = 12-(Math.abs(dateMonth - n));
	}else{
		firstYear = dateYear;
		firstMonth = dateMonth - n;
	}

	if(getDaysInOneMonth(firstYear,firstMonth) < dateDay){
		firstDay = getDaysInOneMonth(firstYear,firstMonth);
	}else{
		firstDay = dateDay;
	}

	firstDate = firstYear+''+numberFormat(firstMonth)+''+numberFormat(firstDay);

	/*个位数前面加0*/
	function numberFormat(num){
		return (num < 10 ? ('0'+num) : num);
	}

	/*获取某个月份的最大天数*/
	function getDaysInOneMonth(year, month){
		month = parseInt(month, 10);
		var d= new Date(year, month, 0);
		return d.getDate();
	}

	return {'firstDate':firstDate,'lastDate':lastDate};
}

function gxhtjInit(){

	//跳转到个性化推荐专属周报页面面
	$(document).on('click','#compareRate',function(){
		try
		{
			TalkingData.onEventWithLabel("理财","理财产品-我的理财-全账户对比更多");
		} catch(err) {}
		Com.newWebViewOpenPage('', {'pageUrl': Com.getOrigin()+'/asset/goldsun_mlc/gxhtj/dist/pages/exclusive-report.html','weburl': Com.getOrigin()+'/asset/goldsun_mlc/gxhtj/dist/pages/exclusive-report.html'
		});
	});

	//账户收益说明
	$(document).on('click','#acctratedes',function(){
		var clientType = navigator.userAgent;
		var splitstr = '\n';
		if(clientType.indexOf('GoldSunNew/Android')!=-1){
			splitstr = '<br/>';
		}
		else if(clientType.indexOf('GoldSunNew/iOS')!=-1){
			splitstr = '\n';
		}else{
			splitstr = '\n';
		}
		Com.showScreenMask('全账户收益率说明','1.客户账户收益率包含股票账户与理财账户的全部收益。'+splitstr+splitstr+'2.客户账户收益率最长保存1年，超过1年的历史数据未被统计。'+splitstr+splitstr+'3.账户收益率=持仓收益/持仓期间最大投入本金*100%；最大投入本金为持仓期间资金账户净投入金额。如用户多次转入转出金额，再次转入的金额超过了转出金额，则视为需要追加本金投入；如再次转入的金额未超过转出的金额，则不需要追加本金投资。'+splitstr+splitstr+splitstr+'【免责声明】该数据仅供参考，不构成投资建议，投资者应自主做出投资决策并自行承担投资风险，国信证券不承担任何法律责任。国信证券力求但不保证数据内容的完全准确。如有疑问，请详询95536。');
	});


	//图表时间切换
	$(document).on('click','.mothrate',function(){
		if($(this).hasClass('on')){
			return;
		}
		var mothrate = $('.mothrate');
		var oindex = mothrate.index($(this));
		var datetime = $(this).attr('data_time');
		mothrate.removeClass('on').eq(oindex).addClass('on');
		F.jdtz.drawChart(datetime);
	});


	/*账号位数奇数,暂时放开测试*/
	Com.getLoginData(function(pm){
		/*从5749版本开始，账户收益曲线对所有用户开放，我的全账户对比入口只对尾数是偶数的资金账号开放*/
		F.jdtz.drawChart('1y');
		/*5749版本上线后需要隐藏掉*/
		/*if(pm.fundId % 2 ==0){
			$('#compareRate').css('display','block');
			/!*个性化推荐新增*!/
		}else{
			$('#compareRate').css('display','none');
		}*/
	},'2');
}

function dateFmt(str){
	if(str.length==8){
		return dateYear = (str.substring(0,4))+'-'+(str.substring(4,6))+'-'+(str.substring(6,8));
	}
	else if(str.length==4){
		return dateYear = (str.substring(0,2))+'-'+(str.substring(2,4));
	}else{
		return str;
	}
}
