/*个性化推荐新增*/
var F = F||{}; //定义一个全局对象作为命名空间
F.jdtz=F.jdtz||{};
F.chartsobj={};

const dataObj = {
	mapFundType: {
		1: '股票型',
		2: '混合型',
		3: '债券型',
		4: '货币型',
		6: 'QDII',
		7: '其他'
	},
	mapRiskType: {
		1: 'R1(低风险)',
		2: 'R2(中低风险)',
		3: 'R3(中风险)',
		4: 'R4(中高风险)',
		5: 'R5(高风险)'

	}

};
F.jdtz.echartsOption = {
	title: {
		show:false,
		padding:0,
		text: '历史收益率'
	},
	legend: {
		data:['历史收益率']
	},
	animation:false,
	toolbox: {
		feature: {
			saveAsImage: {}
		}
	},
	grid: {
		left: '15px',
		right: '20px',
		bottom: '10px',
		top:'15px',
		containLabel: true
	},
	xAxis : [
		{
			type : 'category',
			boundaryGap : false,
			data : [{
				value:'2017-07-24',
				textStyle:{
					color:'#8e8e93',
					fontSize:11,
					align:'left'
				}
			},'','','','','','2017-07-25'],
			axisLabel:{
				textStyle:{
					color:'#8e8e93',
					fontSize:11,
					align:'right'
				},
				interval:0,
				margin:15,
				formatter: function (value, index) {
					return value;
				}
			},
			axisLine: {            // 坐标轴线
				lineStyle: {       // 属性lineStyle控制线条样式
					color: '#f6f6f7'
				},
				show:true
			},
			axisTick: {            // 坐标刻度
				show:false
			},
			splitLine: {           // 分隔线
				interval:30,
				show:true,
				lineStyle: {       // 属性lineStyle（详见lineStyle）控制线条样式
					color: ['#f6f6f7']
				}
			}
		}
	],
	yAxis : [
		{
			type : 'value',
			splitLine: {           // 分隔线
				lineStyle: {       // 属性lineStyle（详见lineStyle）控制线条样式
					color: ['#f6f6f7'],
					type:'dashed'  //'solid'  'dashed'  'dotted'
				}
			},
			axisLine: {            // 坐标轴线
				show:false,
				lineStyle: {       // 属性lineStyle控制线条样式
					color: '#f6f6f7'
				}
			},
			axisLabel:{
				// inside:true,
				textStyle:{
					color:'#8e8e93',
					baseline:'middle',
					fontSize:11
				},
				formatter: function (value, index) {
					return (value*1).toFixed2(2)+'%';
				}
			},
			axisTick:{
				show:false
			},
			splitNumber:4
		}
	],
	series : [
		{
			name:'沪深300收益率',
			type:'line',
			// stack: '总量',
			data:[],
			areaStyle: {
				normal: {
					color:'transparent'
				},
				smooth:true
			},
			lineStyle:{
				normal:{
					width:1,
					color:'#589dfc'
				}
			},
			animation:false,
			itemStyle:{
				normal : {
					color:'#589dfc',
					lineStyle:{
						color:'#589dfc'
					}
				}
			},
			markPoint : {
				symbol:'image://../images/poinst@2x.png',
				symbolSize:[55,27],
				/*formatter:function (value, index) {
				 return (value*1).toFixed2(2);
				 },*/
				symbolOffset:['-35%','-50%'],
				itemStyle: {
					normal: {
						color:'#47A5F4',
						borderColor:'rgba(59,159,243,0.2)',
						borderWidth :'5'
					}
				},
				label:{
					normal:{
						position:['8','3'],
						textStyle:{
							color:'#FFF'
						}
					}
				},
				data: [
					{
						name: '某个坐标',
						coord: [],
						// value:'3.02%',
						label:{
							normal:{
								position:['8','4'],
								textStyle:{
									color:'#FFF'
								},
								formatter: function (data) {
									//如果标注的数据显示有问题把该formatter去掉
									return data.data.coord[1]+'%';
								}
							}
						}
					}
				]
			},
			showSymbol :false
		}
	]
};

function dateFmt(str){
	if(str.length==8){
		return dateYear = (str.substring(0,4))+'-'+(str.substring(4,6))+'-'+(str.substring(6,8));
	}
	else if(str.length==4){
		return dateYear = (str.substring(0,2))+'-'+(str.substring(2,4));
	}else{
		return str;
	}
}

F.jdtz.drawChart = function(domobj,secuid,querytime){
	//没登录的情况下只展示沪深300收益曲线
	var drawCharts = function(domobj,secuid,querytime){
		var param = {};
		param['period'] = querytime;
		param['secuid'] = secuid;
		Com.ajax({
			"url":Com.getOrigin()+'/gsfinancing/recommendation/getFundProfitPlot/1.0',
			"data":param,
			"type":"post",
			"dataType":"json",
			"success":function(d){
				if (d != null && d.result[0].code == 0) {
					if(d.data.length>0){

						$('#'+domobj).css('display','block');
						/*if(d.data){
							d.data.reverse();
						}*/
						var html = '';
						var accountNewRate=0;
						var olen = d.data.length;
						//清空echarts的值
						F.jdtz.echartsOption.xAxis[0].data = [];
						F.jdtz.echartsOption.series[0].data = [];
						//F.jdtz.echartsOption.series[1].data = [];
						for (var i=0,len=d.data.length;i<len;i++) {
							//x轴日期的第一个值需要居左，需要特殊处理
							if (i==0) {
								F.jdtz.echartsOption.xAxis[0].data[i] = {
									//value:template.helpers.dateFormat(d.data[i].tradingdate,'yyyy-MM-dd'),
									value:dateFmt(d.data[i].tradingdate),
									textStyle:{
										color:'#8e8e93',
										fontSize:11,
										align:'left'
									}
								};
								F.jdtz.echartsOption.series[0].data[i] = d.data[i].yield*1;

								//x轴日期的最后一个值需要居右
							}else if(i==len-1) {
								//F.jdtz.echartsOption.xAxis[0].data[i] = template.helpers.dateFormat(d.data[i].tradingdate,'yyyy-MM-dd');
								F.jdtz.echartsOption.xAxis[0].data[i] = dateFmt(d.data[i].tradingdate);

								if(d.data[i].yield!=''){
									F.jdtz.echartsOption.series[0].data[i] = d.data[i].yield*1;
								}

								//x轴日期只显示首末两个值，其他都置空
							}else{
								F.jdtz.echartsOption.xAxis[0].data[i] =  '';
								F.jdtz.echartsOption.series[0].data[i] = d.data[i].yield*1;
							}

						}
						//坐标轴在 grid 区域中的分隔线
						F.jdtz.echartsOption.xAxis[0].splitLine.interval = Math.floor(d.data.length-1);

						var maxValue,minValue;
						if(F.jdtz.echartsOption.series[0].data.length==1){
							if(F.jdtz.echartsOption.series[0].data[0]*1<0){
								maxValue =0;
								minValue = Math.min.apply(null, F.jdtz.echartsOption.series[0].data);
							}else{
								maxValue = Math.max.apply(null, F.jdtz.echartsOption.series[0].data);
								minValue = 0;
							}
						}else{
							maxValue = Math.max.apply(null, F.jdtz.echartsOption.series[0].data);
							minValue = Math.min.apply(null, F.jdtz.echartsOption.series[0].data);
						}
						//F.jdtz.echartsOption.yAxis[0].min = minValue;

						if(maxValue*1-(d.data[olen-1].yield*1) < parseFloat((maxValue-minValue)/2)){
							F.jdtz.echartsOption.series[0].markPoint.symbolOffset=['-35%','60%'];
							F.jdtz.echartsOption.series[0].markPoint.data[0].label.normal.offset=[-1,7];

							if(d.data[olen-1].yield*1>0){
								F.jdtz.echartsOption.series[0].markPoint.symbol='image://../images/blue_up.png';
							}else{
								F.jdtz.echartsOption.series[0].markPoint.symbol='image://../images/green_up.png';
							}

						}else{

							//箭头向下
							F.jdtz.echartsOption.series[0].markPoint.symbolOffset=['-35%','-60%'];
							F.jdtz.echartsOption.series[0].markPoint.data[0].label.normal.offset=[-1,0];
							if(d.data[olen-1].yield*1>0){
								F.jdtz.echartsOption.series[0].markPoint.symbol='image://../images/blue_down.png';
							}else{
								F.jdtz.echartsOption.series[0].markPoint.symbol='image://../images/green_down.png';
							}
						}

						F.jdtz.echartsOption.series[0].markPoint.data[0].coord = [dateFmt(d.data[d.data.length-1].tradingdate),d.data[d.data.length-1].yield*1];

						F.chartsobj[domobj]= echarts.init(document.getElementById(domobj));

						F.chartsobj[domobj].clear();
						F.chartsobj[domobj].setOption(F.jdtz.echartsOption,true);
					}else{
						$('#'+domobj).css('display','none');
					}


				}else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
					return false;
				}else{
					Com.nativeToast(d.result[0].code+':'+d.result[0].msg);
				}
			},
			"isTradeLogin":false,
			"error":function(){
				Com.ajaxLoaded();
				Com.showNativeAlert('','网络不给力',['确定'],'')
			}
		});
	};
	drawCharts(domobj,secuid,querytime);

};


//根据客户持仓基金推荐同类基金
function getUerTradeHis(){
	var param = {};
	Com.ajax({
		"url":Com.getOrigin()+'/gsfinancing/recommendation/getRecFundIfNoAsset/1.0',
		"data":param,
		"type":"post",
		"dataType":"json",
		"success":function(d){
			/*d={"result":[{"msg":"SYSERR_OK","code":0,"pkg":""}],"data":[
				{"hisbuyflag":"1","secuid":"123456","tacode":"8","ofcode":"666666",ofname:'的萨达萨达',oftype:'3',ofriskvalue:'3','6myield':"1.25"},
				{"hisbuyflag":"1","secuid":"654321","tacode":"8","ofcode":"777777",ofname:'jgjhg',oftype:'2',ofriskvalue:'5','6myield':"2.25"}
			]}*/
			if (d != null && d.result[0].code == 0) {
				var oHtml1 = $(template('noholddata', d));
				$('#noholdshow').html(oHtml1);
				if(d.data.length!=0){
					for(var i =0;i<d.data.length;i++){

						F.jdtz.drawChart('charts_'+i,d.data[i].secuid,'6m');
					}
				}

			}else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
				return false;
			}else{
				Com.nativeToast(d.result[0].code+':'+d.result[0].msg);
			}
		},
		"supportBioLogin":'2',
		"isTradeLogin":true,
		"error":function(){
			Com.ajaxLoaded();
			Com.showNativeAlert('','网络不给力',['确定'],'')
		}
	});
}

//基金类型名称
template.helper('typeCHN', function (typenum) {
	return oftypechn(typenum);
});

//风险测评级别
template.helper('riskCHN', function (risknum) {
	return ofRiskValues[risknum];
});

//售出份额换算
template.helper('numfmt', function (pbuylow) {
	var num = Math.floor(pbuylow);
	var amtstr = '';
	if(num >=10000){
		amtstr = Math.round(num/10000)+'万';
	}else{
		amtstr = Math.round(pbuylow);
	}
	return amtstr;
});


var ofRiskValues= {
	"0":"未测评",
	"1":"R1(低风险)",
	"2":"R2(中低风险)",
	"3":"R3(中风险)",
	"4":"R4(中高风险)",
	"5":"R5(高风险)"
}
function oftypechn(num){
	var typeStr = '';
	if(num == '1'){
		typeStr = '股票型';
	}
	else if(num == '2'){
		typeStr = '混合型';
	}
	else if(num == '3'){
		typeStr = '债券型';
	}
	else if(num == '4'){
		typeStr = '货币型';
	}

	else if(num == '5'){
		typeStr = '指数型';
	}
	else if(num == '6'){
		typeStr = 'QDII型';
	}else if(num=="7"){
		typeStr = '其他';
	}else if(num=="8"){
		typeStr = '指数型';
	}
	else{
		typeStr = "未知";
	}
	return typeStr;
}


//没有持仓的情况下执行
function gxhtjCwjjInit(flag){
	if(flag==true){
		$('#noholdshow').css('display','block');
		//getUerTradeHis();
		getGXHfundList();
	}else{
		$('#noholdshow').css('display','none');
	}
}


//售出份额换算
template.helper('adverCHN', function (obj) {
	if(obj.rectype!=1){
		//有交易历史
		/*mapFundType: {
		 1: '股票型',
		 2: '混合型',
		 3: '债券型',
		 4: '货币型',
		 6: 'QDII',
		 7: '其他'
		 },*/
		if(obj.oftype=='2'){
			return '有债有股，攻守兼备';
		}
		else if(obj.oftype=='1'){
			return '布局市场，把握时机';
		}
		else if(obj.oftype=='3'){
			return '绩优基金，波动较低';
		}else{
			return '';
		}
	}else{
		//无交易历史(新用户)
		if(obj.oftype=='2'){
			return '有债有股，攻守兼备';
		}else{
			return '10元体验试试';
		}
	}
});
/*查询个性化推荐基金*/
function getGXHfundList(){
	var param = {};
	Com.ajax({
		"url":Com.getOrigin()+'/gsfinancing/recommendation/getRecFundByHisbuyflag/1.0',
		"data":param,
		"type":"post",
		"dataType":"json",
		"success":function(d){

			if (d != null && d.result[0].code == 0) {
				var isActiveDate = getavtiveDate();
				d.isActiveDate = isActiveDate;
				if(d.result[0].code == 0){
					if(d.data.length > 0 ){
						for(var i = 0; i<d.data.length;i++){
							d.data[i].oftypeCHN = dataObj.mapFundType[d.data[i].oftype];
							d.data[i].ofriskvalueCHN = dataObj.mapRiskType[d.data[i].ofriskvalue];
							if(d.data[i]['1wsaleshare']*1>0){
								var num = Math.floor(d.data[i]['1wsaleshare']);
								var amtstr = '';
								if(num >=10000){
									amtstr = Math.round(Com.numDiv(num,10000))+'万';
								}else{
									amtstr = Math.round(d.data[i]['1wsaleshare']);
								}
								d.data[i].salefmt = amtstr;
							}else{
								d.data[i].salefmt = 0;
							}
						}

						dataObj.gxhFundList = d.data;
					}

					var oHtml1 = $(template('noholddatanew', d));
					$('#noholdshow').html(oHtml1);
				} else {
					//TODO
				}

			}else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
				return false;
			}else{
				Com.nativeToast(d.result[0].code+':'+d.result[0].msg);
			}
		},
		"supportBioLogin":'2',
		"isTradeLogin":true,
		"error":function(){
			Com.ajaxLoaded();
			Com.showNativeAlert('','网络不给力',['确定'],'')
		}
	});
}