//全局对象
__DATA = {};
template.helper('datefmt', function (str) {
    var dateMonth = (str.substring(4,6))+'月';
    var dateDay = (str.substring(6,8))+'日';
    return dateMonth+dateDay;
});

//资金帐号mock
template.helper('accountReplace', function (str) {
    return Com.repalceStr(str);
});

//姓名mock显示
template.helper('nameReplace', function (str) {
    return Com.replaceName(str);
});

//购买类型：基金状态是1为认购，其他状态都为申购
template.helper('buytype', function (status) {

    if(status == 1){
        return '认购';
    }else{
        return '申购';
    }
});

//开放状态
template.helper('fundStatus', function (num) {
    var statusStr = '';
    if(num == '0'){
        statusStr = '正常开放';
    }
    else if(num == '1'){
        statusStr = '认购时期';
    }
    else if(num == '2'){
        statusStr = '发行成功';
    }
    else if(num == '3'){
        statusStr = '发行失败';
    }
    else if(num == '4'){
        statusStr = '停止交易';
    }
    else if(num == '5'){
        statusStr = '停止申购';
    }
    else if(num == '6'){
        statusStr = '停止赎回';
    }
    else if(num == '7'){
        statusStr = '权益登记';
    }
    else if(num == '8'){
        statusStr = '红利发放';
    }
    else if(num == '9'){
        statusStr = '基金封闭';
    }
    else if(num == 'a'){
        statusStr = '基金终止';
    }
    else{
        statusStr = '其他';
    }
    return statusStr;
});

//用户风险等级转换
template.helper('risklevelstr', function (num) {

    var statusStr = '';
    if(num=='0'){
      statusStr = '未测评';
    }else if(num == '1'){
        statusStr = 'C1(保守型)';
    }
    else if(num == '2'){
        statusStr = 'C2(谨慎型)';
    }
    else if(num == '3'){
        statusStr = 'C3(稳健型)';
    }
    else if(num == '4'){
        statusStr = 'C4(积极型)';
    }
    else if(num == '5'){
        statusStr = 'C5(激进型)';
    }
    else if(num == '6'){
        statusStr = '未测评';
    }
    else if(num == '9'){
        statusStr = 'C1(最低风险承受类别)';
    }
    else{
        statusStr = '未知风险级别';
    }
    return statusStr;
});

//段落格式化
template.helper('suredil', function (content) {
    var arry = content.toString().split('\n');
    var str='';
    for(var i = 0;i<arry.length;i++){
        if(arry[i] != ''){
            str += '<p class="fbuy_tips_p">'+arry[i]+'</p>';
        }else{
            str += '<br/>';
        }
    }

    return str;
});

//填好的金额
template.helper('ishowsmon', function (str) {
    if(Com.isNumber(str)){
        return str;
    }
    return '';
});

//购买基金页面信息查询
function getBuyBaseInfo(obj,forbidflag){
    var param = {};
    var tan = Com.getQueryStringByName('tan');
    var ofn = Com.getQueryStringByName('ofcode');
    var dt = Com.getQueryStringByName('dt');
    if(!tan || !ofn){
        Com.showNativeAlert("",'基金代码或基金公司代码不能为空!',["确定"],'');
    }
    if(dt == 0){
        param['type'] = 0;
    }else{
        param['type'] = 1;
    }
    param['tacode'] = tan;
    param['ofcode'] = ofn;

    var ajaxData = function(datajson){
        Com.ajaxLoading();
        Com.ajax({
            "url":Com.getOrigin()+'/gsfinancing/fundbuy/getbeforefundbuyinfo/1.0',
            "data":datajson,
            "type":"post",
            "dataType":"json",
            "success":function(d){
                Com.ajaxLoaded();
                if(d.result[0].code == '0'){

                    if(typeof d.data !== 'undefined' || d.data.length != 0){

                        queryTradeStatus('J',d.data[0].ofcode,'0','1',function(pm){
                            Com.setLocalValue('zh_TDPRESTATUS',pm.prestatus);
                            if(pm.prestatus=='1'){
                                try
                                {
                                    TalkingData.onEventWithLabel('非交易时间-理财交易断点分析-开放式基金','4-预购买输入金额-'+d.data[0].ofcode+'-'+d.data[0].ofname);
                                } catch(err) {}
                            }else{
                                try
                                {
                                    TalkingData.onEventWithLabel('理财购买断点分析-开放式基金','4输入购买金额-'+d.data[0].ofcode+'-'+d.data[0].ofname);
                                } catch(err) {}
                            }

                            d.data[0].sptype ='0';
                            d.data[0].prestatus =pm.prestatus;
                            d.data[0].avlPretotalamt =pm.avlPretotalamt;
                            d.data[0].agreestatus =pm.agreestatus;
                            if(typeof obj.sptype!='undefined' && obj.sptype=='1'){
                                //养老型基金
                                d.data[0].sptype ='1';
                            }
                            //设置标题
                            Com.setWebviewStockTitle('',{"stockName":d.data[0].ofname,"stockCode":d.data[0].ofcode,"bgColor":""});

                            //接入客服模块
                            robotAction(d.data[0].ofcode,'fund','J',d.data[0].ofname,'','9905','ztl016','8','openRobot');

                            //是否有填好的金额
                            var isfill = Com.getQueryStringByName('filldata');
                            if(isfill == '1'){
                                d.data[0].alreadysmon = Com.getLocalValue('alreadysmon');
                            }
                            Com.setLocalValue('fund_name',d.data[0].ofname);
                            var oHtml1 = template('buyTop', d.data[0]);
                            var oHtml2 = template('otherInfo', d.data[0]);
                            __DATA.ofstatus = d.data[0]["ofstatus"];
                            /*if(d.data[0].risklevel<1 || d.data[0].risklevel>5){
                             Com.showNativeAlert("",'您还没有进行风险测评，请去风险测评!',["确定"],'');
                             }*/
                            $('#fbuy_top').html(oHtml1);
                            $('#infoBox').html(oHtml2);

                            if(pm.prestatus=='1' && pm.agreestatus=='0'){
                                getContractList('1',function(o){
                                    $('#precontract').html('《'+ o.title+'》').attr('ofcode',o.ofcode).attr('prdtype',o.prdtype).attr('contract_no',o.contract_no);
                                });
                            }

                            if(typeof forbidflag!='undefined' && forbidflag=='1'){
                                //小于4.5.1版本购买按钮禁止使用
                                $('#fbuy_buy_btn').addClass('forbid');
                            }

                            //推荐人信息
                            brokerInit();

                        });
                    }else{
                        Com.showNativeAlert("",'暂无数据',["确定"],'');
                    }
                }
                else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                    return false;
                }
                else{
                    Com.showNativeAlert("",d.result[0].msg,["确定"],'');
                }
            },
            "isTradeLogin":true,
            "error":function(){
                Com.ajaxLoaded();
                Com.showNativeAlert("",'网络不给力',["确定"],'');
            }
        });
    };
    ajaxData(param);
}

//跳转到native银证转账(银证转账有没有成功native那边也查询不到，所以只能让用户在购买确认页面继续提交到柜台去判断，不需要传回调)
function gotoRecharge(){
    //Com.goToNativePage("banktransfer","银行转证券",true,"{t:'1'}","rechargeDone","");
    Com.transferBankCard(true,rechargeDone);
}
//重置购买金额
function resetSmon(){
    //存一下填好的金额
    Com.setLocalValue('alreadysmon','');
    $('.smon').val("");
}

//银证转账回调
function goTurnBack(p){
    if(p === 'string'){
        p = JSON.parse(p);
    }
    if(p.clickedIndex == 0){
        //点击了"重新输入"
        resetSmon();
    }else{
        //点击了"去转账"
        gotoRecharge();
    }
}

//银证转账之后重新打开购买页面
function rechargeDone(){
    var ohref = window.location.href;
    window.location.href = ohref+'&filldata=1';
    //window.location.reload();
}

//点击购买按钮(购买页面上)
function buyHandle(){

    var smonValue = $.trim($('.smon').val());
    var kyzj = $.trim($('#kyzj').html());
    var zdmr = $.trim($('#zdgm').val());
    var isn = Com.isNumber(smonValue);
    var ofn = Com.getQueryStringByName('ofcode');
    var tan = Com.getQueryStringByName('tan');
    var dt = Com.getQueryStringByName('dt');
    var fbuyBtn = $('#fbuy_buy_btn');
    var tipsbox = $('.fbuy_tips');
    var kyyzj = $('#kyyzj');//可预约购买金额
    var dismon = 0;
    if(fbuyBtn.hasClass('gray') || fbuyBtn.hasClass('forbid')){
        return false;
    }
    fbuyBtn.addClass("forbid");

    if(smonValue == ''){
        tipsbox.html('请输入购买金额').show();
        //Com.showNativeAlert("","请输入购买金额!",["确定"],'');
        fbuyBtn.removeClass("forbid");
        return false;
    }
    if(Number(smonValue) < Number(zdmr)){
        tipsbox.html('你输入的金额未达到最低购买金额，请重新输入').show();
        //Com.showNativeAlert("","你输入的金额未达到最低购买金额，请重新输入!",["确定"],'');
        fbuyBtn.removeClass("forbid");
        return false;
    }
    var prejson = JSON.parse(Com.getLocalValue('zh_prejson'));
    if(typeof prejson.prestatus!='undefined' && prejson.prestatus=='1'){
        //可预约
        var kyyzjval=0;
        if(kyyzj.length>0){
            kyyzjval = $.trim(kyyzj.html());
        }

        if(kyyzjval=='0'||kyyzjval==''){
            tipsbox.html('您当前的可预约资金不足，暂不能进行交易').show();
            fbuyBtn.removeClass("forbid");
            return false;
        }
        if(Number(smonValue) > Number(kyyzjval)){
            tipsbox.html('您输入的购买金额超过了当前可预约资金，请修改金额').show();
            //Com.showNativeAlert("","你输入的金额未达到最低购买金额，请重新输入!",["确定"],'');
            fbuyBtn.removeClass("forbid");
            return false;
        }
    }
    /*if(Number(smonValue) > Number(kyzj)){
        dismon = Com.numSub(smonValue,kyzj);
        Com.setLocalValue('ofn',ofn);
        Com.setLocalValue('tan',tan);
        Com.setLocalValue('dt',dt);
        //存一下填好的金额
        Com.setLocalValue('alreadysmon',smonValue);

        //输入的金额超出最大可用金额，跳转到银证转账
        Com.showNativeAlert("",'您的可用资金不足，还缺'+dismon+'元，请重新输入购买金额或转账',["重新输入","去转账"],goTurnBack);
        //alert('您输入的金额超出您的可用资金，请重新输入或银证转账')
        //$('.smon').val();
        fbuyBtn.removeClass("forbid");
        return false;
    }*/
    if(!isn){
        tipsbox.html('请输入正确的金额').show();
        //Com.showNativeAlert("","请输入正确的金额!",["确定"],'');
        fbuyBtn.removeClass("forbid");
        return false;
    }
    Com.setLocalValue('buymoney',smonValue);
    Com.setLocalValue('isbuy','0');
    tipsbox.hide();
    var zh_TDPRESTATUS = Com.getLocalValue('zh_TDPRESTATUS');
    //确认购买前做适当性匹配
    if(dt==1){
      window.location.href = 'fund_buy_sure.html?ofcode='+(Com.filterXSS(ofn))+'&tan='+(Com.filterXSS(tan))+'&dt='+(Com.filterXSS(dt));
    }else{
        if(zh_TDPRESTATUS=='1'){
            try{
                TalkingData.onEventWithLabel('非交易时间-理财交易断点分析-开放式基金','5-预购买适当性匹配确认-'+ofn+'-'+Com.getLocalValue('fund_name'));
            }catch(err){}
        }else{
            try{
                TalkingData.onEventWithLabel('理财购买断点分析-开放式基金','5适当性匹配确认-'+ofn+'-'+Com.getLocalValue('fund_name'));
            }catch(err){}
        }

      beforeBuy(tan,ofn,__DATA.ofstatus);
    }

    /*存一下推荐人信息*/
    var zh_brkjson={'proid':$('#brkipt').attr('brokerid'),'proflag':Com.getLocalValue('zhbitype'),'ofcode':ofn,'prdtype':'fund','bigtype':'J'};
    Com.setLocalValue('zh_brkjson',JSON.stringify(zh_brkjson));
    //转至确认购买
    //window.location.href = 'fund_buy_sure.html?ofcode='+(Com.filterXSS(ofn))+'&tan='+(Com.filterXSS(tan))+'&dt='+(Com.filterXSS(dt));

}

//购买之前做适当性匹配
function beforeBuy(tan,ofn,ofstatus){
  console.log("beforeBuy~~~")
  var bsflag = ofstatus==1? "240020":"240022";
	var riskMatchData  = {
		tacode:tan,
    stkcode:ofn,
    market:"J",
    bsflag:bsflag
	};
  var options = {
    data:riskMatchData,
    prdtype:"GMJJ",
    raction:"BUY",
    pageid:"#page",
    viewid:"#view",
    btn:"fbuy_buy_btn"
  }
	RiskMatch.init(options);
	RiskMatch.getMatch();
}

function toEnsureBuy(ofn,tan,dt){
  window.location.href = 'fund_buy_sure.html?ofcode='+(Com.filterXSS(ofn))+'&tan='+(Com.filterXSS(tan))+'&dt='+(Com.filterXSS(dt))
                    + "&suitchkdate=" + RiskMatch.apiData.match_result[0]["suitchkdate"]
                    + "&suitsno=" + RiskMatch.apiData.match_result[0]["suitsno"];
}

//购买基金确认页面
function getBuySureInfo(){
    var param = {};
    var tan = Com.getQueryStringByName('tan');
    var ofn = Com.getQueryStringByName('ofcode');
    var dt = Com.getQueryStringByName('dt');
    /*if(typeof sid === 'undefined' || sid == 'null'){
        Com.setLocalValue('sfc','getBuySureInfo');
        sid = Com.testGetNativeParam();
        return false;
    }*/
    if(!tan || !ofn){
        Com.showNativeAlert("","基金代码或基金公司代码不能为空!",["确定"],'');
        return false;
    }
    if(dt == 0){
        param['type'] = 0;
    }else{
        param['type'] = 1;
    }
    param['tacode'] = tan;
    param['ofcode'] = ofn;

    var ajaxData = function(datajson){
        Com.ajaxLoaded();
        Com.ajax({
            "url":Com.getOrigin()+'/gsfinancing/fundbuy/getbeforefundbuyinfo/1.0',
            "data":datajson,
            "type":"post",
            "dataType":"json",
            "success":function(d){
                Com.ajaxLoaded();
                console.log(d)
                if(d.result[0].code == '0'){
                    if(typeof d.data !== 'undefined' || d.data.length != 0){
                        var zh_TDPRESTATUS = Com.getLocalValue('zh_TDPRESTATUS');
                        if(zh_TDPRESTATUS=='1'){
                            try{
                                TalkingData.onEventWithLabel('非交易时间-理财交易断点分析-开放式基金','6-预购买确认-'+ofn+'-'+d.data[0].ofname);
                            }catch(err){}
                        }else{
                            try{
                                TalkingData.onEventWithLabel('理财购买断点分析-开放式基金','6购买确认-'+ofn+'-'+d.data[0].ofname);
                            }catch(err){}
                        }

                        d.data[0].buymoney = Com.getLocalValue('buymoney');
                        //设置标题
                        Com.setWebviewStockTitle('',{"stockName":d.data[0].ofname,"stockCode":d.data[0].ofcode,"bgColor":""});
                        var oHtml1 = template('buyTop', d.data[0]);
                        var oHtml2 = template('otherInfo', d.data[0]);
                        var oHtml3 = template('tipsTemp', d.data[0]);
                        var oHtml4 = template('sureamtDemo', d.data[0]);
                        var oHtml5 = template('btnDemo', d.data[0]);

                        /*if(d.data[0].risklevel<1 || d.data[0].risklevel>5){
                            Com.showNativeAlert("","您还没有进行风险测评，请去风险测评!",["确定"],'goHistoryPage');
                            return;
                        }*/
                        $('#fbuy_top').html(oHtml1);
                        $('#infoBox').html(oHtml2);
                        $('#suretips').html(oHtml3);
                        $('#sureamt').html(oHtml4);
                        $('#btnbox').html(oHtml5);
                        $('#fundname').val(d.data[0].ofname);
                        $('#fundcode').val(d.data[0].ofcode);
                    }else{
                        Com.showNativeAlert("","暂无数据",["确定"],'');
                    }
                }
                else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                    return false;
                }
                else{
                    Com.showNativeAlert("",d.result[0].msg,["确定"],'');
                }
            },
            "isTradeLogin":true,
            "error":function(){
                Com.ajaxLoaded();
                blackTipBlock('网络不给力',2000)
            }
        });
    };
    ajaxData(param);
}



//确认页面上购买提交
function sureBuySubmit(){
    var canbuy = Com.getLocalValue('isbuy');
    if(canbuy == '1'){
        Com.showNativeAlert("","不可重复购买!",["确定"],'');
        return false;
    }
    var ofn = Com.getQueryStringByName('ofcode');
    var tan = Com.getQueryStringByName('tan');
    var zh_buy_sptype = Com.getLocalValue('zh_buy_sptype');//1：养老型基金
    var buymoney = $.trim($('#fbuy_inputbox').html());
    var submitBtn = $('#fbuy_sure_btn');


    var param = {};
    if(submitBtn.hasClass('forbid') || submitBtn.hasClass('gray')){
        return false;//禁止重复提交
    }

    if(!tan || !ofn){
        submitBtn.removeClass('forbid');
        Com.showNativeAlert("","基金代码或基金公司代码不能为空!",["确定"],'');
        return false;
    }
    if(buymoney == ''){
        submitBtn.removeClass('forbid');
        Com.showNativeAlert("","购买金额不能为空!",["确定"],'');
        return false;
    }

    submitBtn.addClass('forbid');//禁止重复提交

    /*预约*/
    var ofstatus = Com.getLocalValue('zh_fundstatus');
    var submitUrl='/gsfinancing/fundbuy/fundsubscribe/1.0';//默认交易时间的提交
    var trdid='240022';//默认申购提交
    var prejson = JSON.parse(Com.getLocalValue('zh_prejson'));
    if(typeof prejson!='undefined'){
        if(typeof prejson.prestatus!='undefined' && prejson.prestatus=='1'){
            //预约
            submitUrl = '/gsfinancing/trade/preTradeOrder/1.0';
            if(ofstatus=='1'){
                trdid='240020';
            }
            param['trdid'] = trdid;
            param['fptype'] = '0';
            if(typeof prejson.agreestatus!='undefined' && prejson.agreestatus!='1'){
                //需要签署非交易时间协议
                param['signflag'] = '1';
            }

        }
    }


    param['ofcode'] = ofn;
    param['tacode'] = tan;
    param['orderamt'] = buymoney;
    param["suitchkdate"] = Com.getQueryStringByName("suitchkdate");
    param["suitsno"] = Com.getQueryStringByName("suitsno");
    param["fofflag"] = '0';
    if(zh_buy_sptype==1){
        //如果是养老型基金，需要签署特别协议
        param["fofflag"] = '1';
    }
    var fundname = $('#fundname').val();
    var fundcode = $('#fundcode').val();
    Com.setLocalValue('fdn',fundname);
    Com.setLocalValue('ofn',fundcode);
    Com.setLocalValue('zh_amt',buymoney);
    var ajaxData = function(datajson){
        Com.ajaxLoading();
        Com.ajax({
            "url":Com.getOrigin()+submitUrl,
            "data":datajson,
            "type":"post",
            "dataType":"json",
            "success":function(d){
                //清空填好的金额
                Com.setLocalValue('alreadysmon','');
                Com.ajaxLoaded();
                setTimeout(function(){
                    submitBtn.removeClass('forbid');
                },500);
                if(d.result[0].code == '0'){

                    /*存一下推荐人信息*/
                    var zh_brkjson = JSON.parse(Com.getLocalValue('zh_brkjson'));
                    var ordersno = '';
                    var orderdate = '';
                    if(typeof d.data[0].orderdate!='undefined'){
                        orderdate = d.data[0].orderdate;
                    }
                    if(typeof d.data[0].sno!='undefined'){
                        ordersno = d.data[0].sno;
                    }else if(typeof d.data[0].ordersno!='undefined'){
                        ordersno = d.data[0].ordersno;
                    }else{
                        ordersno = '';
                    }
                    zh_brkjson.orderdate = orderdate;
                    zh_brkjson.ordersno = ordersno;
                    Com.setLocalValue('zh_brkjson',JSON.stringify(zh_brkjson));

                    setTdBuyRes(1);
                    //提交成功将状态值设置为不可购买
                    Com.setLocalValue('isbuy','1');
                    window.location.href= 'fund_buy_res.html?ofcode='+(Com.filterXSS(ofn))+'&tan='+(Com.filterXSS(tan));
                }
                else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                    setTdBuyRes(3);
                    return false;
                }
                else{
                    setTdBuyRes(3);
                    submitBtn.removeClass('forbid');
                    Com.showNativeAlert("",d.result[0].msg,["确定"],'');
                }
            },
            "isTradeLogin":true,
            "isNeedSign":true,
            "error":function(){
                setTdBuyRes(3);
                //清空填好的金额
                Com.setLocalValue('alreadysmon','');
                Com.ajaxLoaded();
                setTimeout(function(){
                    submitBtn.removeClass('forbid');
                },500);
                blackTipBlock('网络不给力',2000)
            }
        });
    };
    ajaxData(param);
}
/**
 * TD统计数据
 * @param status 1:购买成功 2：购买超时 3:购买失败
 */
function setTdBuyRes(status){
    var ofname = Com.getLocalValue('fdn');
    var ofcode = Com.getLocalValue('ofn');
    var tdLabel='';
    var EventNnme='';
    var zh_TDPRESTATUS = Com.getLocalValue('zh_TDPRESTATUS');
    if(zh_TDPRESTATUS=='1'){
        EventNnme='非交易时间-理财交易断点分析-开放式基金';
        if(status==1){
            tdLabel='7-预购买成功-';
        }
        else if(status == 2){
            tdLabel='7-预购买超时-';
        }
        else if(status == 3){
            tdLabel='7-预购买失败-';
        }
    }else{
        EventNnme='理财购买断点分析-开放式基金';
        if(status==1){
            tdLabel='7购买成功-';
        }
        else if(status == 2){
            tdLabel='7购买超时-';
        }
        else if(status == 3){
            tdLabel='7购买失败-';
        }
    }
    try{
        TalkingData.onEventWithLabel(EventNnme,tdLabel+ofcode+'-'+ofname);
    }catch(err){}
}


//按钮是否可点击
function checkBtnStatus(){
    var obtn = $('#fbuy_buy_btn');
    var oipt = $('.smon');
    var oiptVal = oipt.val();
    var checkIcon = $('.fbuy_check_icon');
    if(checkIcon.length>0){
        if(checkIcon.hasClass('on')){
            //勾选协议
            if(oiptVal==''){
                obtn.removeClass('orange').addClass('gray');
            }else{
                obtn.removeClass('gray').addClass('orange');
            }
        }else{
            obtn.removeClass('orange').addClass('gray');
        }
    }else{
        if(oiptVal==''){
            obtn.removeClass('orange').addClass('gray');
        }else{
            obtn.removeClass('gray').addClass('orange');
        }
    }
}

function fundBuyInit(){

    checkBtnStatus();
    //隐藏顶部taps
    Com.hideNativeTitleTaps();

    //查询一下基金详情
    queryFundDetails();

    //获取购买基本信息
    //getBuyBaseInfo();

    //如果是基金交易详情点过来的，要把右上角的"详情"按钮去掉
    Com.rightTopBtn('0');

    //预约购买时，可预约资金点击说明
    $(document).on('click','.pretipsicon',function(){
        Com.showScreenMask('资金说明','1.客户的可用资金实时计算，客户进行预购买下单，系统不会冻结您账户的可用资金，但系统会累计计算您在下一个交易日时间段之前的有效预购买金额。\n2.可预约资金 = 客户可用资金 - 累计预约资金\n3.因涉及日终清算问题，可预约金额可能会与实际存在差异，建议预留足够资金，避免实际可用资金不足引起的扣款失败情况。\n4. 若已参与金天利、现金增利等自动扫单业务，T日收市后，系统自动将账户可用资金用于自动扫单的产品，因此在T日收市后的非交易时间段购买理财产品时，可能出现可预约资金为负数的情况。在下一个交易日，已参与自动扫单的资金将自动转为可用。\n5.预购买下单后，因新股扣款、融资融券利息等情况，可能会造成账户可用金额产生变化，同时理财产品的状态可能也会发生变化，系统实际执行委托下单时以即时判断的可用资金和产品状态为准。');
    });

    //焦点离开判断输入金额是否超过最大购买数
    $(document).on('blur','.smon',function(){
        var smonValue = $.trim($(this).val());
        var zdmr = $.trim($('#zdgm').val());
        if(Number(smonValue) < Number(zdmr)){
            $('.fbuy_tips').show();
        }else{
            $('.fbuy_tips').hide();
        }
    });

    //按钮是否可点击
    $(document).on('input','.smon',function(){
        checkBtnStatus();
    });

    //购买
    $(document).on('click','#fbuy_buy_btn',function(){
        buyHandle();
    });

    //打开协议(养老风险协议)
    $(document).on('click','#opencontract',function(){
        Com.downloadPdf(pdfurl,function(){
            //pdf地址为空时触发此回调
            Com.nativeToast('加载内容异常，请稍后重试','0');
        });
    });

    //打开非交易时间协议
    $(document).on("click", "#precontract",function(){
        var ofcode = $(this).attr('ofcode');
        var prdtype = $(this).attr('prdtype');
        var contract_no = $(this).attr('contract_no');
        Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/contract/pages/contract.html?ofcode='+ofcode+'&prdtype='+prdtype+'&contract_no='+contract_no,"weburl":Com.getOrigin()+'/asset/contract/pages/contract.html?ofcode='+ofcode+'&prdtype='+prdtype+'&contract_no='+contract_no});
    });

    agree_check();

    //设置标题
    //Com.setWebviewTitle('',{"title":document.title,"bgColor":"272736"});

}

//查询一下基金详情
var pdfurl='';
function queryFundDetails(){
    var param = {};
    param['ofcode'] = Com.getQueryStringByName('ofcode');
    var ajaxData = function(){
        Com.ajax({
            "url":Com.getOrigin()+'/gsfinancing/fundinfo/getfunddetail/1.0',
            "data":param,
            "type":"post",
            "dataType":"json",
            "success":function(d){
                if(d.result[0].code == '0'){
                    //存一下基金状态，对于认购和申购两种情况，结果页展示的文案不同
                    Com.setLocalValue('zh_fundstatus',d.data[0].ofstatus);
                    if(typeof d.data[0].sptype !='undefined' && d.data[0].sptype==1){

                        //养老型基金
                        versionJudgment('4.5.1',function(){
                            //大于等于4.5.1隐藏遮罩
                            getBuyBaseInfo(d.data[0],'0');
                            $('#maskfloat').css('display','none');
                        },function(){
                            //小于4.5.1显示遮罩并提示
                            getBuyBaseInfo(d.data[0],'1');
                            $('#maskfloat').css('display','block');
                            Com.showNativeAlert('', '请升级至最新版本查阅风险协议',['确定'],function(){
                                Com.nativeGoback();
                            });
                        });
                        pdfurl = d.data[0].riskurl;
                        //暂存一下是否是养老型基金
                        Com.setLocalValue('zh_buy_sptype',d.data[0].sptype);
                    }else{
                        Com.setLocalValue('zh_buy_sptype','0');
                        getBuyBaseInfo(d.data[0],'0');
                        //非养老型基金隐藏遮罩
                        $('#maskfloat').css('display','none');
                    }
                }
                else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                    return false;
                }
                else{
                    Com.showNativeAlert("",d.result[0].msg,["确定"],'');
                }
            },
            "isTradeLogin":false,
            "error":function(){
                blackTipBlock('网络不给力|getfunddetail',2000)
            }
        });
    };
    ajaxData();
}

function agree_check(){
    $(document).on('click','#fbuy_dt',function(){
        var checkIcon = $(this).find('.fbuy_check_icon');
        if(checkIcon.hasClass('on')){
            checkIcon.removeClass('on');
        }else{
            checkIcon.addClass('on');
        }
        checkBtnStatus();
    });
}



/****************推荐人相关********************/
//选择select填入input
function renderIptFromSct(inputobj,selectobj,namearea){
    var brokerops = $('#'+selectobj);
    var brkipt = $('#'+inputobj);
    var namestr = $('#'+namearea);
    var brokerid = brokerops.find("option:selected").val();
    var proid = brokerops.find("option:selected").attr('proid');
    var brokername = brokerops.find("option:selected").attr('brokername');
    brkipt.val(brokerid).attr('brokerid',proid);
    namestr.html(brokername);
}

//根据input输入不同，确定送给后台的值
function saveBrokerId(){
    var that = $('#brkipt');
    var namearea = $('#namearea');
    var iptval = $.trim(that.val());
    var iptvallength = iptval.length;
    var dreg = /^\d{12}$/;
    if(iptval!=''){
        $('.delicon').css('display','block');
        if(dreg.test(iptval) && iptvallength==12){
            //输入完整的12位数字后查询经纪人信息，如有名称则显示出来
            gueryBrokerInfo(iptval,function(obj){
                if(typeof obj.data[0].brokerid!='undefined' && typeof obj.data[0].brokername!='undefined'){
                    that.val(obj.data[0].brokerid).attr('brokerid',obj.data[0].brokerid);
                    namearea.html(obj.data[0].brokername);
                }
            });
        }else{
            that.val(iptval).attr('brokerid',iptval);
        }
    }else{
        //如果输入框是空，则将经纪人列表的第一个传到后台(如果列表沒有值就不传)
        var brokerops = $('#brokerops');
        var brokeroption = brokerops.find('option');
        var brokerid='';
        if(brokeroption.length>0){
            brokerid =brokeroption.eq(0).attr('proid');
        }

        that.attr('brokerid',brokerid);

        //0列表选择  1手动输入 0是输入框为空送推荐列表第一条
        Com.setLocalValue('zhbitype','0');
    }
}


//如果需要建立推荐关系则调用
function brokerInit(){

    //获取推荐人列表
    var ofcode = Com.getQueryStringByName('ofcode');
    var protype = Com.getQueryStringByName('protype');

    //获取经纪人列表
    getBrokerList(ofcode,'J',protype,function(obj){
        var oHtml1 = template('brokerlistDemo', obj);
        $('#brokerbox').html(oHtml1);

        //初始默认是1:选择下拉列表
        Com.setLocalValue('zhbitype','1');

        //自定义事件触发下拉框
        var brokerops =  $('#brokerops');
        var triggerslt =  $('#triggerslt');
        if(brokerops.length>0 && triggerslt.length>0){
            openSelect('triggerslt','brokerops',function(){
                renderIptFromSct('brkipt','brokerops','namearea');
            });
        }
    });

    //选择经纪人
    $(document).on('change','#brokerops',function(){
        //0列表选择  1手动输入 0是输入框为空送推荐列表第一条
        Com.setLocalValue('zhbitype','1');
        renderIptFromSct('brkipt','brokerops','namearea');
    });


    //推荐人输入框输入
    $(document).on('input','#brkipt',function(){
        //0列表选择  1手动输入 0是输入框为空送推荐列表第一条
        Com.setLocalValue('zhbitype','2');
        saveBrokerId();
    });

    //推荐人输入框输入
    $(document).on('click','#namearea',function(){
        $('#brkipt').focus();
    });

    //点击叉按钮，推荐人输入框清空
    $(document).on('click','.delicon',function(){
        $('#brkipt').val('');
        $('#namearea').html('');
        $('.delicon').css('display','none');
        saveBrokerId();
    });
}