//产品风险等级字典
var ofRiskValues= {
    "0":"未测评",
    "1":"R1(低风险)",
    "2":"R2(中低风险)",
    "3":"R3(中风险)",
    "4":"R4(中高风险)",
    "5":"R5(高风险)"
}
//万分收益数据格式化
template.helper('millionFormat', function (num) {
    return num = ((num*1).toFixed(4)).toString();
});
//收益率数据格式化
template.helper('rateFormat', function (num) {
    return num = ((num*100).toFixed(2)).toString()+'%';
});

//toFixed
template.helper('toFixed', function (num,l) {
    return num = (Number(num).toFixed(l)).toString()+'%';
});

//基金持仓各项占比数据格式化
template.helper('percentFormat', function (num) {
    return num = ((num*1).toFixed(2)).toString()+'%';
});

//净资产格式化
template.helper('asessFormat', function (num) {
    return num = ((num/100000000).toFixed(2));
});

//股票占比、持股数格式转换
template.helper('stocksFormat', function (num) {
    return num = ((num/10000).toFixed(2));
});

//带百分号数据正负判断
template.helper('pnpercent', function (num) {
    var numformat = Number(num.split('%')[0]);
    return (numformat>=0);
});


//基金详情页面头部货币型基金的7日年化*100
template.helper('newDerate', function (num,l) {
    return num = ((Number(num)*100).toFixed(l)).toString()+'%';
});



//基金详情页面头部货币型基金的7日年化*100(除去百分号)
template.helper('newDerate_new', function (num,l) {
    return num = ((Number(num)*100).toFixed(l)).toString();
});

//toFixed(去百分号)
template.helper('toFixed_new', function (num,l) {
    return num = (Number(num).toFixed(l)).toString();
});

//基金类型
template.helper('investlimitStr', function (num) {
    var str = '';
    if(num == '1'){
        str = '0-1年';
    }
    else if(num == '2'){
        str = '1-3年';
    }
    else if(num == '3'){
        str = '3-5年';
    }
    else if(num == '4'){
        str = '5年以上';
    }else{
        str = '未知';
    }
    return str;
});

template.helper('ofriskvaluename',function(v){
    return ofRiskValues[v];
})

//基金类型
template.helper('fundType', function (num) {
    var typeStr = '';
    if(num == '1'){
        typeStr = '股票型';
    }
    else if(num == '2'){
        typeStr = '混合型';
    }
    else if(num == '3'){
        typeStr = '债券型';
    }
    else if(num == '4'){
        typeStr = '货币型';
    }
    else if(num == '6'){
        typeStr = 'QDII型';
    }else if(num=="7"){
        typeStr = '其他';
    }else{
        typeStr = "未知";
    }
    return typeStr;
});

//开放状态
template.helper('fundStatus', function (num) {
    var statusStr = '';
    if(num == '0'){
        statusStr = '正常开放';
    }
    else if(num == '1'){
        statusStr = '认购时期';
    }
    else if(num == '2'){
        statusStr = '发行成功';
    }
    else if(num == '3'){
        statusStr = '发行失败';
    }
    else if(num == '4'){
        statusStr = '停止交易';
    }
    else if(num == '5'){
        statusStr = '停止申购';
    }
    else if(num == '6'){
        statusStr = '停止赎回';
    }
    else if(num == '7'){
        statusStr = '权益登记';
    }
    else if(num == '8'){
        statusStr = '红利发放';
    }
    else if(num == '9'){
        statusStr = '基金封闭';
    }
    else if(num == 'a'){
        statusStr = '基金终止';
    }
    else{
        statusStr = '其他';
    }
    return statusStr;
});


//基金详情合并之后先去拿基金公司代码、基金类型
function getFundInfo(){

}

//查询基金详情出错，关闭当前基金详情的webview
function goHistoryPage(){
    Com.nativeGoback();
}


/*获取基金详情*/
function getFundDetails(){
    var ofn = Com.getQueryStringByName('ofcode');
    var fundDataAjax = function(fundCode){
        var param = {};
        if(!fundCode){
            Com.showNativeAlert("","缺少基金代码!",["确定"],'');
            return false;
        }
        param['ofcode'] = fundCode;
        Com.ajaxLoading();
        Com.ajax({
            "url":Com.getOrigin()+"/gsfinancing/fundinfo/getfunddetail/1.0",
            "data":param,
            "type":"post",
            "dataType":"json",
            "success":function(d){
                Com.ajaxLoaded();
                if(d.result[0].code == '0'){
                    if(typeof d.data !== 'undefined' && d.data.length != 0){
                        try
                        {
                            TalkingData.onEventWithLabel('理财购买断点分析-开放式基金','1产品详情-'+ofn+'-'+d.data[0].secuabbr);
                        } catch(err) {}
                        win_tan = d.data[0].tacode;
                        win_oftype = d.data[0].oftype;
                        win_ofn = d.data[0].ofcode;
                        Com.setLocalValue('secuid',d.data[0].secuid);
                        Com.setLocalValue('ofstatus',d.data[0].ofstatus);
                        Com.setLocalValue('investfield', d.data[0].investfield);//投资范围存到本地
                        Com.setLocalValue('investtactic', d.data[0].investtactic);//投资策略存到本地
                        var oHtml4 = $(template('chartsMainTab', d.data[0]));//图表tab标题
                        $('#titleTabmMain').html(oHtml4);
                        //持仓公告列表页数，从0开始
                        Com.setLocalValue('noticePage','0');
                        //持仓
                        getFundInte();

                        //公告
                        getNoticeList();

                        //费率
                        getFl();

                        //获取收益率图表数据
                        getChartsData();

                        var from = Com.getQueryStringByName('from');
                        //调用客户端的方法，判断当前基金是不是自选基金，将该数据填充到result中，页面上好判断
                        d.data[0].iszx = mfundCom.isOptionalFund(d.data[0].ofcode,'J');
                        d.data[0].from = from;
                        var oHtml = $(template('topData', d.data[0]));//头部数据
                        var oHtml2 = $(template('fundIntro', d.data[0]));//基金概况
                        var oHtml3 = $(template('fundbuy', d.data[0]));//底部按钮，购买、定投

                        $('#details_top').html(oHtml);
                        $('#fundDes').html(oHtml2);
                        $('#bottombtn').html(oHtml3);


                        //是否为自选基金
                        Com.isZxFund(ofn,isZxJsCallback);

                        console.log(d);
                    }else{
                        Com.showNativeAlert("","暂无数据!",["确定"],'');
                    }

                }
                else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                    return false;
                }
                else{
                    Com.showNativeAlert("",d.result[0].msg,["确定"],goHistoryPage);
                }
            },
            "isTradeLogin":false,
            "error":function(){
                mfundCom.ajaxLoaded();
                blackTipBlock('网络不给力',2000);
            }
        });
    };
    fundDataAjax(ofn);
}



/*基金持仓*/
function getFundInte(){
    var secuid = Com.getLocalValue('secuid');
    if(!secuid){
        Com.showNativeAlert("","缺少基金id",["确定"],'');
        return false;
    }
    var fundDataAjax = function(fundid){
        var param = {};
        param['secuid'] = fundid;
        //Com.ajaxLoading();
        Com.ajax({
            "url":Com.getOrigin()+"/gsfinancing/fundinfo/getfundcapinfo/1.0",
            "data":param,
            "type":"post",
            "dataType":"json",
            "success":function(d){
                Com.ajaxLoaded();
                if(d.result[0].code == '0'){
                    if(typeof d.data !== 'undefined' && d.data.length != 0){

                        if(d.data[0].captital != null){
                            var mm = new Date(d.data[0].captital.enddate).getMonth(),
                                yyyy = new Date(d.data[0].captital.enddate).getFullYear();

                            d.data[0].captital.quarter = mm <=3 ? "1" : mm <= 6? "2" : mm <= 9? "3" : "4";
                            d.data[0].captital.quarter = yyyy + "年第" + d.data[0].captital.quarter + "季度";
                        }

                        var oHtml = $(template('fundIntes', d.data[0]));//头部数据
                        $('#fundIndes').html(oHtml);

                    }else{
                        var nodata = $('<div class="nodata">暂无数据</div>');
                        $('#fundIndes').append(nodata);
                    }
                    /*加载完之后定位到该位置*/
                    //gotoThisPos();

                }
                else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                    return false;
                }
                else{
                    Com.showNativeAlert("",d.result[0].msg,["确定"],'');
                }
            },
            "isTradeLogin":false,
            "error":function(){
                Com.ajaxLoaded();
                blackTipBlock('网络不给力',2000)
            }
        });
    };
    fundDataAjax(secuid);
}

/*基金公告列表*/
function getNoticeList(){
    var secuid = Com.getLocalValue('secuid');
    var noticePage = Com.getLocalValue('noticePage');
    if(!secuid){
        Com.showNativeAlert("",'缺少基金id',["确定"],'');
        return false;
    }
    if(!noticePage){
        Com.showNativeAlert("",'当前页面不能为空!',["确定"],'');
        return false;
    }
    var fundDataAjax = function(fundid,pageNum,pageSize){
        var param = {};
        param['secuid'] = fundid;
        param['pagenum'] = pageNum;
        param['pagesize'] = pageSize;
        //Com.ajaxLoading();

        Com.ajax({
            "url":Com.getOrigin()+"/gsfinancing/fundinfo/getfundbulletinlist/1.0",
            "data":param,
            "type":"post",
            "dataType":"json",
            "success":function(d){
                mfundCom.ajaxLoaded();
                if(d.result[0].code == '0'){
                    var nodata = $('<div class="nodata">暂无数据</div>');
                    var dopub = $('.d_o_pub');
                    var nodata1 = $('<div class="nodata">已无更多数据</div>');
                    if(typeof d.data !== 'undefined' && d.data.length != 0){
                        var oHtml = $(template('fundNotice', d));
                        var htmlbox = dopub.find('#publist');
                        var loadmore = dopub.find('.loadmore');
                        var nodataDom = dopub.find('.nodata');

                        if(nodataDom.length){
                            nodataDom.remove();
                        }

                        if(noticePage == 0){
                            htmlbox.html(oHtml);
                        }else{
                            htmlbox.append(oHtml);
                        }

                        if(d.data.length<10){
                            loadmore.hide();//数据小于10条隐藏加载更多
                            dopub.find('.nodata').remove();
                            if(noticePage > 0){
                                loadmore.hide();
                                dopub.append(nodata1);
                            }
                        }else{
                            loadmore.show();
                        }
                        noticePage++;
                        Com.setLocalValue('noticePage',noticePage);

                        //加载更多
                    }else{
                        dopub.find('.nodata').remove();
                        if(noticePage == 0){
                            dopub.append(nodata);
                        }else{
                            $('.loadmore').hide();
                            dopub.append(nodata1);
                        }
                    }
                    /*加载完之后定位到该位置*/
                    //gotoThisPos();
                }
                else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                    return false;
                }
                else{
                    Com.showNativeAlert("",d.result[0].msg,["确定"],'');
                }
            },
            "isTradeLogin":false,
            "error":function(){
                Com.ajaxLoaded();
                blackTipBlock('网络不给力',2000)
            }
        });
    };
    fundDataAjax(secuid,noticePage,10);
}


/*基金费率*/
function getFl(){
    var secuid = Com.getLocalValue('secuid');
    var ofn = Com.getQueryStringByName('ofcode');
    var tan = win_tan;
    if(!secuid){
        Com.showNativeAlert("","缺少基金id!",["确定"],'');
        return false;
    }
    if(!ofn){
        Com.showNativeAlert("","缺少基金代码!",["确定"],'');
        return false;
    }
    if(!tan){
        Com.showNativeAlert("","缺少基金公司代码!",["确定"],'');
        return false;
    }
    var fundDataAjax = function(fundid,ofn,tan){
        var param = {};
        param['secuid'] = fundid;
        param['ofcode'] = ofn;
        param['tacode'] = tan;
        //Com.ajaxLoading();
        Com.ajax({
            "url":Com.getOrigin()+"/gsfinancing/fundinfo/getfundrate/1.0",
            "data":param,
            "type":"post",
            "dataType":"json",
            "success":function(d){
                Com.ajaxLoaded();
                if(d.result[0].code == '0'){
                    if(typeof d.data !== 'undefined' && d.data.length != 0){
                        var oHtml = template('fundFl',d);
                        $('#fdFl').html(oHtml);
                        console.log(d)
                    }else{

                    }
                    /*加载完之后定位到该位置*/
                    //gotoThisPos();
                }
                else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                    return false;
                }
                else{
                    Com.showNativeAlert("",d.result[0].msg,["确定"],'');
                }
            },
            "isTradeLogin":false,
            "error":function(){
                Com.ajaxLoaded();
                blackTipBlock('网络不给力',2000)
            }
        });
    };
    fundDataAjax(secuid,ofn,tan);
}


/*收益率图表数据*/
function getChartsData(){
    var fundid = Com.getLocalValue('secuid');
    var tradeLoginStatus = false;
    if(!fundid || fundid == ''){
        Com.showNativeAlert("","基金id不能为空!",["确定"],'');
        return false;
    }

    var fundDataAjax = function(fundid){
        var param = {};
        var whichCanvasTime = dataGlobal.chartsTime;
        var lastDate = mfundCom.dateQueryRate(whichCanvasTime).lastDate;
        var firstDate = mfundCom.dateQueryRate(whichCanvasTime).firstDate;
        param['secuid'] = fundid;
        param['startdate'] = firstDate;
        param['enddate'] = lastDate;
        param['ofcode'] = Com.getQueryStringByName('ofcode');
        /*if(!$('.loadingbox').length){
         Com.ajaxLoading();
         }*/
        Com.ajax({
            "url":Com.getOrigin()+"/gsfinancing/fundinfo/getfundnetvaluelist/1.0",
            "data":param,
            "type":"post",
            "dataType":"json",
            "success":function(d){
                if($('.loadingbox').length){
                    Com.ajaxLoaded();
                }
                if(d.result[0].code == '0'){
                    if(typeof d.data !== 'undefined' && d.data.length != 0){
                        $('#chartsSection').show();
                        $('.det_d_date').show();
                        var chartsType=0;//1:7日年化2:万分收益3:单位净值4:累计净值增长率
                        var oHtml1,oHtml2;
                        if(win_oftype == '4'){
                            if(dataGlobal.whichCharts == '1'){
                                chartsType ='1';
                                //7日年化图表
                                oHtml1 = $(template('fundSevTop', d.data[d.data.length-1]));//头部数据
                                $('#dwjztop').html(oHtml1);
                            }else{
                                //万份收益图表
                                oHtml2 = $(template('fundWfTop', d.data[d.data.length-1]));//头部数据
                                $('#ljjzzzl').html(oHtml2);
                                chartsType ='2';
                            }
                        }else{
                            if(dataGlobal.whichCharts == '1'){
                                chartsType ='3';
                                //单位净值图表
                                oHtml1 = $(template('fundAssTop', d.data[d.data.length-1]));//头部数据
                                $('#dwjztop').html(oHtml1);

                            }else{
                                //累计净值增长率
                                chartsType ='4';
                                oHtml2 = $(template('fundAccTop', d.data[d.data.length-1]));//头部数据
                                $('#ljjzzzl').html(oHtml2);
                            }
                        }
                        /*画图表*/
                        historyRatesCanvas('canvas0',d,chartsType);

                    }else{
                        //图表暂无数据
                        var ofstatus = Com.getLocalValue('ofstatus');
                        if(!$('.nochartsData').length){
                            var nodata = $('<div class="nochartsData"><img src="../../common/images/no_data.png" width="120"><div>暂无数据</div></div>');
                            $('.det_tabs').append(nodata).find('.det_c_des').hide();
                            $('#chartsSection').hide();
                            /*if(ofstatus == 1){
                             mfundCom.showAlert("","","该基金处于募集期!","","确定","","");
                             }*/
                        }
                        return false;
                    }
                }
                else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                    return false;
                }
                else{
                    //Com.showNativeAlert("","未查询到相关图表数据!",["确定"],'');
                    Com.showNativeAlert("", d.result[0].msg,["确定"],'');
                }
                console.log(d)
            },
            "isTradeLogin":tradeLoginStatus,
            "error":function(){
                Com.ajaxLoaded();
                blackTipBlock('网络不给力',2000)
            }
        });
    };


    Com.isTradelogin2(function(){
        tradeLoginStatus = true;
        fundDataAjax(fundid);
    },function(){
        tradeLoginStatus = false;
        fundDataAjax(fundid);
    })

}

//画图表
var chartsobj;

function historyRatesCanvas(obj,d,queryType){

    var unitnetvalue = 'unitnetvalue';
    if(typeof queryType!='undefined' && queryType=='1'){
        //七日年化
        unitnetvalue = 'distributedprofit';
    }
    else if(typeof queryType!='undefined' && queryType=='2'){
        //万分收益
        unitnetvalue = 'nvchangeduetounittrade';
    }
    else if(typeof queryType!='undefined' && queryType=='3'){
        //单位净值
        unitnetvalue = 'unitnetvalue';
    }else{
        //累计净值增长率
        unitnetvalue = 'accrate';
    }

    F.jzzs.echartsOption.xAxis[0].data = [];
    F.jzzs.echartsOption.series[0].data = [];
    if(d.data.length==1){
        F.jzzs.echartsOption.series[0].showSymbol = true;
    }else{
        F.jzzs.echartsOption.series[0].showSymbol = false;
    }
    var firstBuy=[];//第一个买入点
    var firstSale=[];//第一个卖出点
    var firstBuySale=[];//第一个买入卖出点
    var allPoint=[];//买、卖、买/卖点合集
    for (var i=0,len=d.data.length;i<len;i++) {

        if(queryType=='1' || queryType == '4'){
            d.data[i][unitnetvalue]=(d.data[i][unitnetvalue]*100).toFixed(2);
            F.jzzs.echartsOption.yAxis[0].axisLabel.formatter=function(value, index){
                return (value*1).toFixed2(2)+'%';
            }
        }else{
            F.jzzs.echartsOption.yAxis[0].axisLabel.formatter=function(value, index){
                return (value*1).toFixed2(2);
            }
        }

        //x轴日期的第一个值需要居左，需要特殊处理
        if (i==0) {
            if(d.data.length==1){
                F.jzzs.echartsOption.xAxis[0].data[i] = {
                    value:d.data[i].enddate,
                    textStyle:{
                        color:'#8e8e93',
                        fontSize:11,
                        align:'center'
                    }
                };
            }else{
                F.jzzs.echartsOption.xAxis[0].data[i] = {
                    value:d.data[i].enddate,
                    textStyle:{
                        color:'#8e8e93',
                        fontSize:11,
                        align:'left'
                    }
                };
            }
            //x轴日期的最后一个值需要居右
        }else{
            F.jzzs.echartsOption.xAxis[0].data[i] = d.data[i].enddate;
        }
        F.jzzs.echartsOption.series[0].data[i] = d.data[i][unitnetvalue]*1;

        if(d.data[i].bsflag=='0'||d.data[i].bsflag=='1'||d.data[i].bsflag=='2'){
            allPoint.push({"enddate":d.data[i].enddate,"unitnetvalue":d.data[i][unitnetvalue],"bsflag":d.data[i].bsflag});
        }

    }
    console.log(firstBuySale)
    F.jzzs.echartsOption.xAxis[0].axisLabel.interval = d.data.length-2;
    //坐标轴在 grid 区域中的分隔线

    F.jzzs.echartsOption.xAxis[0].splitLine.interval = Math.floor(d.data.length-1);

    var olen = d.data.length;

    $('#jz_charts_box').css('display','block').siblings('.chartsNodata').css('display','none');
    var maxValue = Math.max.apply(null, F.jzzs.echartsOption.series[0].data);
    var minValue = Math.min.apply(null, F.jzzs.echartsOption.series[0].data);
    F.jzzs.echartsOption.yAxis[0].min = minValue;
    var symbol,symbolSize,position,symbolOffset;
    var buyPoint=0;
    var salePoint=0;
    var buySalePoint=0;
    //alert(allPoint.length)
    F.jzzs.echartsOption.series[0].markPoint.data=[];
    for(var j=0;j<allPoint.length;j++){
        symbol = 'image://../images/charts_buy.png';
        symbolSize=[24,34];
        position=['5','4'];
        symbolOffset=['0','0'];
        if(allPoint[j].bsflag=='0'){
            //买
            if(buyPoint==0){
                buyPoint=1;
                //第一个买入点用文字图片打点
                if(maxValue*1-(allPoint[j].unitnetvalue*1) <= parseFloat((maxValue-minValue)/2)){
                    //箭头向上
                    symbol = 'image://../images/charts_buy_f.png';
                    symbolOffset=['0','40%'];
                    position=['3','9'];
                }
                else{
                    //箭头向下
                    symbol = 'image://../images/charts_buy.png';
                    symbolOffset=['0','-40%'];
                    position=['8','4'];
                }
            }else{
                //除第一个点之外，其余点用小圆点图片打点
                symbol = 'image://../images/buyc.png';
                symbolSize = [6,6];
            }
        }
        if(allPoint[j].bsflag=='1'){
            //卖
            if(salePoint==0){
                salePoint=1;
                //第一个买入点用文字图片打点
                if(maxValue*1-(allPoint[j].unitnetvalue*1) <= parseFloat((maxValue-minValue)/2)){
                    //箭头向上
                    symbol = 'image://../images/charts_sale_f.png';
                    symbolOffset=['0','40%'];
                    position=['3','9'];
                }
                else{
                    //箭头向下
                    symbol = 'image://../images/charts_sale.png';
                    symbolOffset=['0','-40%'];
                    position=['8','4'];
                }
            }else{
                //除第一个点之外，其余点用小圆点图片打点
                symbol = 'image://../images/salec.png';
                symbolSize = [6,6];
            }
        }
        if(allPoint[j].bsflag=='2'){
            //买/卖
            if(buySalePoint==0){
                buySalePoint=1;
                symbolSize=[37,32];
                //第一个买入点用文字图片打点
                if(maxValue*1-(allPoint[j].unitnetvalue*1) <= parseFloat((maxValue-minValue)/2)){
                    //箭头向上
                    symbol = 'image://../images/charts_buy_sale_f.png';
                    symbolOffset=['0','40%'];
                    position=['3','9'];
                }
                else{
                    //箭头向下
                    symbol = 'image://../images/charts_buy_sale.png';
                    symbolOffset=['0','-40%'];
                    position=['8','4'];
                }
            }else{
                //除第一个点之外，其余点用小圆点图片打点
                symbol = 'image://../images/buysalec.png';
                symbolSize = [6,6];
            }
        }

        F.jzzs.echartsOption.series[0].markPoint.data.push({
            name: '',
            symbol:symbol,
            symbolSize:symbolSize,
            symbolOffset:symbolOffset,
            coord: [allPoint[j].enddate,allPoint[j].unitnetvalue],
            label:{
                normal:{
                    position:position,
                    textStyle:{
                        color:'#FFF'
                    },
                    formatter: function (data) {
                        //如果标注的数据显示有问题把该formatter去掉
                        return '';
                    }
                }
            }
        });
    }
    chartsobj = echarts.init(document.getElementById(obj));
    chartsobj.setOption(F.jzzs.echartsOption);
}

//基金概况、费率说明、基金持仓、基金公告
$('.d_o_link').on('tap',function(){
    if($(this).hasClass('on')){
        return;
    }

    var $obj = $('.d_o_link');
    var $tabs = $('.d_o_tabs');
    var oindex = $obj.index($(this));

    $obj.removeClass('on').eq(oindex).addClass('on');
    $tabs.hide().eq(oindex).show();

    //定位到该位置
    gotoThisPos();

    /*if(oindex == 2){
     //拿基金持仓的数据
     getFundInte();
     }
     else if(oindex == 3){
     //公告列表
     mfundCom.setLocalValue('noticePage',0);
     getNoticeList();
     }
     else if(oindex == 1){
     //费率
     getFl()
     }else if(oindex == 0){
     //基金概况
     /!*加载完之后定位到该位置*!/
     gotoThisPos();
     }*/

});

//单位净值，累计净值增长率
$(document).on('tap','.tabslink',function(){
    if($(this).hasClass('on')){
        return false;
    }
    var $obj = $('.tabslink');
    var oindex = $obj.index($(this));
    $obj.removeClass('on').eq(oindex).addClass('on');
    $('.det_tabs').hide().eq(oindex).show();
    if(oindex == 0){
        dataGlobal.whichCharts = '1';
    }else{
        dataGlobal.whichCharts = '2';
    }
    getChartsData();
});

//近N个月时间维度
$(document).on('tap','.det_d_a',function(){
    if($(this).hasClass('on')){
        return false;
    }
    var obj = $('.det_d_a');
    var oindex = obj.index($(this));
    obj.removeClass('on').eq(oindex).addClass('on');
    switch (oindex){
        case 0:
            dataGlobal.chartsTime = '1';
            break;
        case 1:
            dataGlobal.chartsTime = '3';
            break;
        case 2:
            dataGlobal.chartsTime = '6';
            break;
        default :
            dataGlobal.chartsTime = '12';
    }
    getChartsData();
});

//添加或删除自选
function addOrDelZx($this){
    var ison = $this.hasClass('on');
    var ofn = mfundCom.getQueryStringByName('ofcode');
    //mfundCom.ajaxLoading();
    if(ison){

        //添加自选
        Com.addZxFund(ofn,zxAddCallback);
    }else{
        //删除自选
        Com.delZxFund(ofn,zxDelCallback);
    }
}



//是否是自选，native回调
function isZxJsCallback(nativeJson){
    if(nativeJson === 'string'){
        nativeJson = JSON.parse(nativeJson);
    }
    if(nativeJson.isAdded == 'true' || nativeJson.isAdded == true){
        //是自选，显示"-"
        $('.zxlink').show().removeClass('on');
    }else{
        //不是自选，显示"+"
        $('.zxlink').show().addClass('on');
    }
}

//添加自选回调函数
function zxAddCallback(nativeJson){

    if(nativeJson === 'string'){
        nativeJson = JSON.parse(nativeJson);
    }
    if(nativeJson.addResult == 'true' || nativeJson.addResult == true){
        $('.zxlink').show().removeClass('on');
    }else{
        Com.showNativeAlert("",nativeJson.errorMessage,["确定"],'');
        return false;
    }
}

//删除自选回调函数
function zxDelCallback(nativeJson){
    if(nativeJson === 'string'){
        nativeJson = JSON.parse(nativeJson);
    }
    if(nativeJson.deletedResult == 'true' || nativeJson.deletedResult == true){
        $('.zxlink').show().addClass('on');
    }else{
        Com.showNativeAlert("",nativeJson.errorMessage,["确定"],'');
    }
}

//点击基金概况、费率、持仓、公告定位到相关位置
function gotoThisPos(){
    var scrollDisPos = $('.det_other').offset().top;
    $.scrollTo({
        endY: scrollDisPos,
        duration: 500,
        callback: function() {}
    });
}

/****基金盈亏接入后新增***/
template.helper('dateFormat', function (date, format) {
    if (typeof date == "string") {
        if (date.indexOf('-') > -1) {
            date= new Date(date.split('-')[0],date.split('-')[1]*1-1,date.split('-')[2]);
        }else{
            date= new Date(date.substring(0,4),date.substring(4,6)*1-1,date.substring(6,8));
        }
    }
    date = new Date(date);

    var map = {
        "M": date.getMonth() + 1, //月份
        "d": date.getDate(), //日
        "h": date.getHours(), //小时
        "m": date.getMinutes(), //分
        "s": date.getSeconds(), //秒
        "q": Math.floor((date.getMonth() + 3) / 3), //季度
        "S": date.getMilliseconds() //毫秒
    };
    format = format.replace(/([yMdhmsqS])+/g, function(all, t){
        var v = map[t];
        if(v !== undefined){
            if(all.length > 1){
                v = '0' + v;
                v = v.substr(v.length-2);
            }
            return v;
        }
        else if(t === 'y'){
            return (date.getFullYear() + '').substr(4 - all.length);
        }
        return all;
    });
    return format;
});



var F = F||{}; //定义一个全局对象作为命名空间
F.jzzs=F.jzzs||{};
//曲线
F.jzzs.echartsOption = {
    title: {
        show:false,
        padding:0,
        text: '历史收益率'
    },
    legend: {
        data:['历史收益率']
    },
    toolbox: {
        feature: {
            saveAsImage: {}
        }
    },
    grid: {
        left: '10px',
        right: '22px',
        bottom: '10px',
        top:'8px',
        containLabel: true
    },
    xAxis : [
        {
            type : 'category',
            boundaryGap : false,
            data : [],
            axisLabel:{
                textStyle:{
                    color:'#8e8e93',
                    fontSize:11,
                    align:'right'
                },
                interval:0,
                margin:15,
                formatter: function (value, index) {
                    return value;
                }
            },
            axisLine: {            // 坐标轴线
                lineStyle: {       // 属性lineStyle控制线条样式
                    color: '#f6f6f7'
                },
                show:true
            },
            axisTick: {            // 坐标刻度
                show:false
            },
            animation:false,
            splitLine: {           // 分隔线
                interval:30,
                show:true,
                lineStyle: {       // 属性lineStyle（详见lineStyle）控制线条样式
                    color: ['#f6f6f7']
                }
            }
        }
    ],
    yAxis : [
        {
            type : 'value',
            splitLine: {           // 分隔线
                lineStyle: {       // 属性lineStyle（详见lineStyle）控制线条样式
                    color: ['#f6f6f7'],
                    type:'dashed'  //'solid'  'dashed'  'dotted'
                }
            },
            axisLine: {            // 坐标轴线
                show:false,
                lineStyle: {       // 属性lineStyle控制线条样式
                    color: '#f6f6f7'
                }
            },
            axisLabel:{
                // inside:true,
                textStyle:{
                    color:'#8e8e93',
                    baseline:'middle',
                    fontSize:11
                },
                formatter: function (value, index) {
                    return (value*1).toFixed2(2);
                }
            },
            axisTick:{
                show:false
            },
            animation:false,
            splitNumber:4
        }
    ],
    series : [
        {
            name:'净值走势',
            type:'line',
            // stack: '总量',
            data:[],
            areaStyle: {
                normal: {
                    color:'rgba(255,242,229,.3)'
                },
                smooth:true
            },
            lineStyle:{
                normal:{
                    width:1,
                    color:'#FD5656'
                }
            },
            animation:false,
            itemStyle:{
                normal : {
                    color:'#FD5656',
                    lineStyle:{
                        color:'#FD5656'
                    }
                }
            },
            showSymbol :false,
            markPoint : {
                symbolOffset:['-40%','-70%'],
                itemStyle: {
                    normal: {
                        color:'#47A5F4',
                        borderColor:'rgba(59,159,243,0.2)',
                        borderWidth :'5'
                    }
                },
                label:{
                    normal:{
                        position:['8','3'],
                        textStyle:{
                            color:'#FFF'
                        }
                    }
                },
                data: [
                    {
                        name: '买',
                        symbol:'image://../images/charts_buy.png',
                        symbolSize:[24,34],
                        coord: [],
                        // value:'3.02%',
                        label:{
                            normal:{
                                position:['5','4'],
                                textStyle:{
                                    color:'#FFF'
                                },
                                formatter: function (data) {
                                    //如果标注的数据显示有问题把该formatter去掉
                                    return '';
                                }
                            }
                        }
                    },
                    {
                        name: '卖',
                        symbol:'image://../images/charts_sale.png',
                        symbolSize:[24,34],
                        coord: [],
                        label:{
                            normal:{
                                position:['5','4'],
                                textStyle:{
                                    color:'#FFF'
                                },
                                formatter: function (data) {
                                    //如果标注的数据显示有问题把该formatter去掉
                                    return '';
                                }
                            }
                        }
                    },
                    {
                        name: '买/卖',
                        symbol:'image://../images/charts_buy_sale.png',
                        symbolSize:[37,32],
                        coord: [],
                        // value:'3.02%',
                        label:{
                            normal:{
                                position:['5','4'],
                                textStyle:{
                                    color:'#FFF'
                                },
                                formatter: function (data) {
                                    //如果标注的数据显示有问题把该formatter去掉
                                    return '';
                                }
                            }
                        }
                    }
                ]
            }
        }
    ]
};
function fundDetailsInit(){
    //隐藏顶部taps
    Com.hideNativeTitleTaps();
    //historyRatesCanvas('canvas0',[''],['']);

    getFundDetails();//基金详情数据(基础数据、基金概况)

    //购买或定投（普通定投）
    $(document).on('click','.gobuy',function(e){
        var fundCode = $(this).parents('tr').attr('ofn');
        var fundCompanyCode = $(this).parents('tr').attr('tan');
        var $this = $(this);
        if($this.hasClass('fbuy')){

        }
        //购买处理
        Com.actionLogin(clickHandle);

        function clickHandle(){
            if($this.hasClass('fbuy')){

                fund_checkUserCanBuy(fundCode,fundCompanyCode,$this,'0');//购买
            }else{
                fund_checkUserCanBuy(fundCode,fundCompanyCode,$this,'1');//定投
            }
        }


    });

    //月薪理财产品池过来的只有定投按钮，定投跳转到月薪理财定投
    $(document).on('click','.goyxlc',function(e){
        var fundCode = $(this).parents('tr').attr('ofn');
        var fundCompanyCode = $(this).parents('tr').attr('tan');
        var $this = $(this);
        //去月薪理财的定投
        Com.actionLogin(dtFiScenePage);

        function dtFiScenePage(){
            fund_scene_checkUserCanBuy(fundCode,fundCompanyCode,$this,'1');
        }
    });


    //打开养老型基金风险揭示
    $(document).on('click','#risktips',function(){
        var that = $(this);
        versionJudgment('4.5.1',function(){
            //大于等于4.5.1正常加载pdf
            var url = that.attr('_href');
            Com.downloadPdf(url,function(){
                //pdf地址为空时触发此回调
                Com.nativeToast('加载内容异常，请稍后重试','0');
            });
        },function(){
            //小于4.5.1
            Com.showNativeAlert('', '请升级至最新版本查阅风险协议',['确定'],'');
        });
    });

    //添加删除自选
    $(document).on('tap','.zxlink',function(){
        addOrDelZx($(this));
    });


    //native累计净值增长率弹框
    $(document).on('tap','#nativeshow_zzl',function(){
        Com.showScreenMask('累计净值增长率','累计净值增长率=(当前累计净值-期初累计净值)/期初累计净值');
    });

    //native近三个月收益率弹框
    $(document).on('tap','#nativeshow_tsy',function(){
        Com.showScreenMask('近3月收益率','近3月收益率=(当前单位净值-期初单位净值)/期初单位净值*100%');
    });

    //加载公告的更多
    $(document).on('click','.loadmore',function(){
        getNoticeList();
    });

    //基金详情页面跳转
    $(document).on('click','.mfund_opennewpage',function(){
        var ourl = $(this).attr('_href');
        if(ourl && ourl != ''){
            Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/'+ourl,"weburl":Com.getOrigin()+'/asset/'+ourl});
        }
    });

    //基金扫描跳转
    $(document).on('click','#jjsmgo',function(){
        try
        {
            TalkingData.onEventWithLabel("理财-基金扫描",'基金扫描-基金详情页入口');
        }
        catch(err) {}
        var ourl = $(this).attr('_href');
        if(ourl && ourl != ''){
            Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/'+ourl,"weburl":Com.getOrigin()+'/asset/'+ourl});
        }
    });

    //设置标题
    //Com.setWebviewStockTitle('',{"stockName":d.data1[0].ofname,"stockCode":d.data1[0].ofcode,"bgColor":"589DFC"});
    Com.setWebviewTitle('',{"title":document.title,"bgColor":"589DFC"},true);
}

