//收益率数据格式化
template.helper('rateFormat', function (num) {
	return num = ((num*100).toFixed(2)).toString()+'%';
});

//收益率数据格式化
template.helper('toFixed', function (num,l) {
	return num = (Number(num).toFixed(l)).toString()+'%';
});

//万分收益数据格式化
template.helper('newtoFixed', function (num,l) {
	return num = (Number(num).toFixed(l)).toString();
});

//日期转化YYYYMMDD---->YYYY/MM/DD
template.helper('fdte', function (num) {
	return mfundCom.fdate(num);
});

//底部固定按钮链接(购买)
template.helper('btnlinkbuy', function (num) {
	var ofn = Com.getQueryStringByName('ofcode');
	var tan = Com.getQueryStringByName('tan');
	return 'fund_buy.html?ofcode='+ofn+'&tan='+tan;
});

//底部固定按钮链接(赎回)
template.helper('rtnlinkredeem', function (num) {
	var ofn = Com.getQueryStringByName('ofcode');
	var tan = Com.getQueryStringByName('tan');
	return 'fund_redeem.html?ofcode='+ofn+'&tan='+tan;
});


//日期转换(YYYYMMDD-------YYYY-MM--DD)
template.helper('dateFt', function (str) {
	return str.slice(0,4)+'-'+str.slice(4,6)+'-'+str.slice(6);
});

//日期转换(YYYYMMDD-------MM--DD)
template.helper('dateFt2', function (str) {
	return str.slice(4,6)+'-'+str.slice(6);
});

//金额格式化，中间加逗号
template.helper('fmtmoney', function (str) {
	var tmp = parseFloat(str).toFixed(2);
	return Com.formatNumber(tmp);
});

/*新版基金盈亏接入*/

var F = F||{}; //定义一个全局对象作为命名空间
var ofcode = Com.getQueryStringByName('ofcode');
var tacode = Com.getQueryStringByName('tacode')
F.secuid='';
F.chicang=F.chicang||{};
//持仓收益
F.chicang.echartsOption = {
	title: {
		show:false,
		padding:0,
		text: '历史收益率'
	},
	animation:false,
	legend: {
		data:['历史收益率']
	},
	tooltip: {
		show:true,
		trigger: 'axis',
		triggerOn:'mousemove',
		hideDelay:0,
        alwaysShowContent:true,
		transitionDuration:0,
		position: function (point, params, dom, rect, size) {
			var _data = params[0].data;
			var _date = params[0].axisValue;
			sHtml = '<div class="echartsTooltipsWarp-head"><span class="pull-left">'+ _date +'</span><span class="pull-right">单位净值：<span>'+_data+'</span></span></div>';
			$(dom).addClass('myEchartsTooltips').html(sHtml);// 通过对dom的控制，实现数据结构与样式的自定义
			return [0,0];
		}
	},
	grid: {
		left: '14px',
		right: '17px',
		bottom: '20',
		top:'45',
		containLabel: true
	},
	xAxis : [
		{
			type : 'category',
			boundaryGap : false,
			data : [],
			axisLabel:{
				textStyle:{
					color:'#8e8e93',
					fontSize:11,
					align:'right'
				},
				interval:0,
				margin:15,
				formatter: function (value, index) {
					return value.slice(0,4)+'-'+value.slice(4,6)+'-'+value.slice(6);
				}
			},
			axisLine: {            // 坐标轴线
				lineStyle: {       // 属性lineStyle控制线条样式
					color: '#f6f6f7'
				},
				show:true
			},
			axisTick: {            // 坐标刻度
				show:false
			},
			splitLine: {           // 分隔线
				interval:30,
				show:true,
				lineStyle: {       // 属性lineStyle（详见lineStyle）控制线条样式
					color: ['#f6f6f7']
				}
			}
		}
	],
	yAxis : [
		{
			type : 'value',
			splitLine: {           // 分隔线
				lineStyle: {       // 属性lineStyle（详见lineStyle）控制线条样式
					color: ['#f6f6f7'],
					type:'dashed'  //'solid'  'dashed'  'dotted'
				}
			},
			axisLine: {            // 坐标轴线
				show:false,
				lineStyle: {       // 属性lineStyle控制线条样式
					color: '#f6f6f7'
				}
			},
			axisLabel:{
				// inside:true,
				textStyle:{
					color:'#8e8e93',
					baseline:'middle',
					fontSize:11
				},
				formatter: function (value, index) {
					return (value*1).toFixed2(2);
				}
			},
			axisTick:{
				show:false
			},
			splitNumber:4
		}
	],
	series : [
		{
			name:'七日年化收益',
			type:'line',
			// stack: '总量',
			data:[],
			areaStyle: {
				normal: {
					color:'transparent'
				},
				smooth:true
			},
			lineStyle:{
				normal:{
					width:1,
					color:'#FD5656'
				}
			},
			animation:false,
			itemStyle:{
				normal : {
					color:'#FD5656',
					lineStyle:{
						color:'#FD5656'
					}
				}
			},
			symbol:'circle',
			showSymbol :false,
			markPoint : {
				symbol:'image://../images/mf_tips_b.png',
				symbolSize:[60,27],
				/*formatter:function (value, index) {
				 return (value*1).toFixed2(2);
				 },*/
				symbolOffset:['-40%','-70%'],
				itemStyle: {
					normal: {
						color:'#47A5F4',
						borderColor:'rgba(59,159,243,0.2)',
						borderWidth :'5'
					}
				},
				label:{
					normal:{
						position:'inside',
						textStyle:{
							color:'#FFF'
						}
					}
				},
				data: [
					{
						name: '某个坐标',
						coord: [],
						// value:'3.02%',
						label:{
							normal:{
								position:'inside',
								textStyle:{
									color:'#FFF'
								},
								formatter: function (data) {
									return data.data.coord[1];
								}
							}
						}
					}
				]
			}
		}
	]
};
//持仓收益曲线
var chicangChart;
var opf={};
F.chicang.drawChart = function(queryTime){
	var param={};
	var dataTime = '1year';
	if(typeof queryTime !== 'undefined'){
		dataTime = queryTime;
	}
	param['ofcode']=ofcode;
	param['datetype']=dataTime;
	Com.ajax({
		"url":'/gsfinancing/smfund/getnetvalueplot/1.0',
		"data":param,
		"type":"post",
		"dataType":"json",
		"success":function(d){
			var xLabel = 'right';
			var xpadding = [0,-30,0,0];
			function fmtDate(str){
				return str.slice(0,4)+'-'+str.slice(4,6)+'-'+str.slice(6);
			}
			if (d != null && d.result[0].code == 0) {
				if(d.data.length%2!==0){
					xLabel = 'center';
					xpadding = [0,0,0,0];
				}
				if(typeof d.data!=='undefined' && d.data.length!=0){
					$('#cc_charts_box').css('display','block').siblings('.notradeRecords').css('display','none');
					//清空echarts的值
					//d.data.reverse();
					F.chicang.echartsOption.xAxis[0].data = [];
					F.chicang.echartsOption.series[0].data = [];
					if(d.data.length==1){
						F.chicang.echartsOption.series[0].showSymbol = true;
					}else{
						F.chicang.echartsOption.series[0].showSymbol = false;
					}
					for (var i=0,len=d.data.length;i<len;i++) {
						//x轴日期的第一个值需要居左，需要特殊处理
						if (i==0) {
							if(d.data.length==1){
								F.chicang.echartsOption.xAxis[0].data[i] = {
									value:fmtDate(d.data[i].dcdate),
									textStyle:{
										color:'#8e8e93',
										fontSize:11,
										align:'center'
									}
								};
							}else{
								F.chicang.echartsOption.xAxis[0].data[i] = {
									value:fmtDate(d.data[i].dcdate),
									textStyle:{
										color:'#8e8e93',
										fontSize:11,
										align:'left'
									}
								};
							}
							//x轴日期的最后一个值需要居右
						}
						else if(d.data.length>2&&i==parseInt(d.data.length/2)){
							F.chicang.echartsOption.xAxis[0].data[i] = {
								value:fmtDate(d.data[i].dcdate),
								textStyle:{
									color:'#8e8e93',
									fontSize:11,
									padding:xpadding,
									align:xLabel
								}
							};
						}
						else{
							F.chicang.echartsOption.xAxis[0].data[i] = fmtDate(d.data[i].dcdate);
						}
						F.chicang.echartsOption.series[0].data[i] = d.data[i].unitnetvalue*1;

					}
					//F.chicang.echartsOption.xAxis[0].axisLabel.interval = d.data.length-2;

					F.chicang.echartsOption.xAxis[0].axisLabel.formatter = function(value, index){
						if(index == 0 || index ==d.data.length-1 || index == parseInt(d.data.length/2)){
							return value;
						}else{
							return '';
						}
					};

					//坐标轴在 grid 区域中的分隔线
					var olen = d.data.length;
					var lastProfit = (d.data[olen-1].unitnetvalue*1);
					F.chicang.echartsOption.xAxis[0].splitLine.interval = Math.floor(d.data.length-1);
					/*if(Number(lastProfit)>0){
						lastProfit = '+'+lastProfit;
					}*/
					F.chicang.echartsOption.series[0].markPoint.data[0].coord = [fmtDate(d.data[olen-1].dcdate),lastProfit];
					$('#cc_charts_box').css('display','block').siblings('.chartsNodata').css('display','none');

					var maxValue = Math.max.apply(null, F.chicang.echartsOption.series[0].data);
					var minValue = Math.min.apply(null, F.chicang.echartsOption.series[0].data);
					F.chicang.echartsOption.yAxis[0].min = minValue;
					if(maxValue*1-(d.data[olen-1].unitnetvalue*1) <= parseFloat((maxValue-minValue)/2)){
						F.chicang.echartsOption.series[0].markPoint.symbolOffset=['-45%','70%'];
						F.chicang.echartsOption.series[0].markPoint.symbol='image://../images/mf_tips_t.png';
						F.chicang.echartsOption.series[0].markPoint.data[0].label.normal.offset=[-1,4];
					}else{
						//箭头向下
						F.chicang.echartsOption.series[0].markPoint.symbolOffset=['-45%','-70%'];
						F.chicang.echartsOption.series[0].markPoint.symbol='image://../images/mf_tips_b.png';
						F.chicang.echartsOption.series[0].markPoint.data[0].label.normal.offset=[-1,-3];
					}
					chicangChart = echarts.init(document.getElementById('cc_charts_box'));
					chicangChart.setOption(F.chicang.echartsOption);
					opf = F.chicang.echartsOption;

					//策划要求手指离开图表时tooltip消失
					$(document).on('touchend',function(){
						chicangChart.clear();
				 		chicangChart.setOption(opf,true);
					})
				}else{
					$('#cc_charts_box').css('display','none').siblings('.notradeRecords').css('display','block');
				}


			}else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
				return false;
			}else{
				Com.nativeToast(d.result[0].code+':'+d.result[0].msg);
			}
		},
		"supportBioLogin":'2',
		"isTradeLogin":true,
		"error":function(){
			Com.ajaxLoaded();
			Com.showNativeAlert('','网络不给力',['确定'],'')
		}
	});
};

//交易详情初始化
function pvtDetailsInit(){
	//获取交易详情
	getTradeDetails();

	//净值走势(七日年化)切换时间
	$(document).on('click','.det_d_a',function(){
		$(this).addClass('on').siblings('.det_d_a').removeClass('on');
		var queryType = $('.mf_c_menu .mf_t_a').eq(1).attr('queryType');
		var queryTime = $(this).attr('queryTime');
		F.chicang.drawChart(queryTime);
	});


}

/*获取私募基金交易详情*/
function getTradeDetails(){
	var param={};
	param['ofcode'] = ofcode;
	param['tacode'] = tacode;
	var ajaxData = function(datajson){
		Com.ajax({
			"url":Com.getOrigin()+"/gsfinancing/smfund/getsmfundholddetail/2.0",
			"data":datajson,
			"type":"post",
			"dataType":"json",
			"success":function(d){
				if(d.result[0].code == '0'){
					//设置title
					Com.setWebviewStockTitle('',{"stockName":d.data[0].ofname,"stockCode":d.data[0].ofcode,"bgColor":"589dfc"},true);
                    if(d.data.length!=0 && typeof d.data[0].secuid!='undefined'){
						F.secuid = d.data[0].secuid;
					}
					var oHtml1 = template('mfTopDemo', d.data[0]);//头部数据
					$('#mf_top').html(oHtml1);
					var ohtml3 = template('chartsDemo', d.data[0]);//图表
					$('#trade_charts').html(ohtml3);

					F.chicang.drawChart();
                    var status = d.data[0].fundstatus;//d.data[0].ofstatus;
					var status2 = d.data[0].ofstatus;//d.data[0].ofstatus;
					var fundidflag = d.data[0].fundidflag;
					var containFundidFlag = d.data[0].containFundidFlag;

                    //判断版本
                    // <4.6.0，不显示详情，不显示赎回追加购买按钮，去网厅查看那句话还保留。
                    var compareVer='4.6.0';
                    function getSysVer(p){
                        if(typeof p === 'string'){
                            p = JSON.parse(p);
                        }
                        if(typeof (p.sysVer) !=='string'){
                            p.sysVer = (p.sysVer).toString();
                        }
                        if((p.sysVer).indexOf('.') != -1){
							var versionCompare=Com.comparieVersion(compareVer,p.sysVer);
							if(versionCompare){
								var goSmjjFund = function(){
									Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/goldsun_mlc/smjj/pages/smjj_index.html?ofcode='+ofcode});
								}
								Com.rightTopBtn('3','详情',goSmjjFund);
								if (fundidflag == '1' && containFundidFlag != '1') {
									$('.buy_btn').prop('disabled',true);
								} else {
									if(status=='4'||status=='6'){//if(status=='0'||status=='1'||status=='6'||status=='b'){
										$('.buy_btn').removeClass('graycolor').addClass(' bluecolor').prop('disabled',false);
									}else{
										$('.buy_btn').prop('disabled',true);
									}
								}


								// if(status2=='6'){
								// 	$('.redeem_btn').prop('disabled',true);
								// }else{
								// 	$('.redeem_btn').removeClass('graycolor').addClass(' bluecolor').prop('disabled',false);
								// }
								$('.bottom_fix').css('display','block');
							}else{
								$('.privatebuytips').css('display','block');
							}
                        }else{
                            $('.privatebuytips').css('display','block');
                        }
                    };
                    Com.getCommonLoginData(getSysVer);
				}
				else{
					Com.showNativeAlert("",d.result[0].msg,["确定"],function(){
						Com.nativeGoback();
					});
				}
			},
			"supportBioLogin":'2',
			"isTradeLogin":true,
			"error":function(){
				blackTipBlock('网络不给力',2000);
			}
		});
	};
	ajaxData(param);
}

$(document).on('click','.buy_btn',function(){
	Com.actionLogin(function(){
		Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/goldsun_mlc/smjj/pages/smjj_investor_confirm.html?ofcode='+ofcode,"weburl":Com.getOrigin()+'/asset/goldsun_mlc/smjj/pages/smjj_investor_confirm.html?ofcode='+ofcode});
	},'','','1');

});

$(document).on('click','.redeem_btn',function(){
	Com.actionLogin(function(){
		Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/mfund/pages/fund_redeem.html?ofcode='+ofcode+'&tan='+tacode+'&type=SM',"weburl":Com.getOrigin()+'/asset/mfund/pages/fund_redeem.html?ofcode='+ofcode+'&tan='+tacode+'&type=SM'});
	},'','','1');

});

$(document).on('click','#tradeRecordBtn',function(){
	console.log('tradeRecordBtn click');
	Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/goldsun_mlc/smjj/pages/smjj_fund_trade_record.html?ofcode='+ofcode,"weburl":Com.getOrigin()+'/asset/goldsun_mlc/smjj/pages/smjj_fund_trade_record.html?ofcode='+ofcode});
});
