//索引数字
template.helper('gzname', function (num) {
    switch(num){
        case '1':
            return '低估值';
            break;
        case '2':
            return '较低估值';
            break;
        case '3':
            return '正常估值';
            break;
        case '4':
            return '偏高估值';
            break;
        default :
            return '高估值';
    }
});

//万转化成亿
template.helper('fmtb', function (num) {
    return (num/10000).toFixed(2);
});


var odata;
/*图表参数*/
var option = {
    title: {
        show:false,
        padding:0,
        text: '堆叠区域图'
    },
    tooltip: {
        trigger: 'axis',
        axisPointer: {
            type: 'line'
        },
        transitionDuration:0,
        backgroundColor:'rgba(38,40,63,.9)',
        textStyle:{fontSize:10},
        formatter: function(params) {
            return '市盈率:'+params[0].data+'<br/>'+'时间:'+params[0].axisValue;
        }

    },
    grid: {
        left: '0',
        right: '10px',
        bottom: '5px',
        top:'20px',
        containLabel:true
    },
    toolbox: {
        show: true,
        feature: {
            saveAsImage: {}
        }
    },
    xAxis:  {
        type: 'category',
        boundaryGap: true,
        data: ['02/12','02/13','02/14','02/15','02/16','02/17','02/18','02/19'],
        axisLabel:{
            textStyle:{
                color:'#677288',
                fontSize:10,
                align:'center'
            },
            formatter:function(value, index){
                /*console.log(option.xAxis.data.length)
                console.log(index)*/
                if(index == option.xAxis.data.length -1){
                    return value+'                ';
                }
                else if(index == 0){
                    return '                '+value;
                }
            },
            interval:6,
            margin:15
        },
        axisLine: {            // 坐标轴线
            lineStyle: {       // 属性lineStyle控制线条样式
                color: '#D4D7DD'
            },
            show:false
        },
        axisTick: {            // 坐标刻度
            show:false
        },
        splitLine: {           // 分隔线
            show:false,
            lineStyle: {       // 属性lineStyle（详见lineStyle）控制线条样式
                color: ['#f6f6f7']
            }
        }
    },
    yAxis: {
        type: 'value',
        /*axisLabel: {
         //formatter: '{value} W'
         formatter: '{value}'
         },*/
        axisLine: {            // 坐标轴线
            show:false,
            lineStyle: {       // 属性lineStyle控制线条样式
                color: '#D4D7DD'
            }
        },
        splitLine: {           // 分隔线
            show:false,
            lineStyle: {       // 属性lineStyle（详见lineStyle）控制线条样式
                color: ['#f6f6f7']
            }
        },
        axisTick:{
            show:false
        },
        axisLabel:{
            // inside:true,
            textStyle:{
                color:'#677288',
                baseline:'middle',
                fontSize:11
            },
            /*interval:function(index,value){
             console.log(value)
             },*/
            formatter: function (value, index) {
                return value.toFixed(2);
            }
        },
        axisPointer: {
            snap: true
        },
        min:'dataMin',
        max:'dataMax',
        //interval:25,
        scale:true,
        splitNumber:3
    },
    series: [
        {
            name:'市盈率',
            type:'line',
            smooth: true,
            lineStyle:{
                normal:{
                    width:1,
                    color:'#FC4747'
                }
            },
            animation:false,
            data: [11.23,31.23,41.23,51.23,22.23,45.23,18.23,35.23],
            markArea: {
                data: [ [{
                    //name: '高估值区(127.23-240.25)',
                    itemStyle:{"normal":{"color":"#E3F3FF"}},
                    label:{"normal":{"show":true,"textStyle":{"color":"#589dfc"},"position":'inside'}},
                    value:"高估值区",
                    yAxis: '70'
                }, {
                    yAxis: '121.11'
                }], [{
                    //name: '低估值区(27.23-40.25)',
                    itemStyle:{"normal":{"color":"#FFE3E3"}},
                    label:{"normal":{"show":true,"textStyle":{"color":"#fc4747"},"position":'inside'}},
                    value:"低估值区",
                    yAxis: '1.25'
                }, {
                    yAxis: '30'
                }],[{
                    //name: '中间区域(27.23-40.25)',
                    itemStyle:{"normal":{"color":"#fff"}},
                    label:{"normal":{"show":true,"textStyle":{"color":"#fff"},"position":'inside'}},
                    value:"中间区域",
                    yAxis: '1.25'
                }, {
                    yAxis: '30'
                }] ]
            },
            markPoint : {
                symbol:'image://../images/mfv_markpoint.png',
                symbolSize:[85,51],
                /*formatter:function (value, index) {
                 return (value*1).toFixed2(2);
                 },*/
                symbolOffset:['-40%','70%'],
                itemStyle: {
                    normal: {
                        color:'#47A5F4',
                        opacity:'1',
                        borderColor:'rgba(59,159,243,0.2)',
                        borderWidth :'5'
                    }
                },
                label:{
                    normal:{
                        position:['8','3'],
                        textStyle:{
                            color:'#FFF',
                            textAlign:"center"
                        }
                    }
                },
                data: [
                    {
                        name: '某个坐标',
                        coord: ['02/19','35.23'],
                        // value:'3.02%',
                        label:{
                            normal:{
                                position:['5','9'],
                                textStyle:{
                                    color:'#FFF',
                                    fontSize:10
                                },
                                formatter: function (data) {
                                    //如果标注的数据显示有问题把该formatter去掉
                                    return '市盈率20.23\n\n时间:2017-02';
                                    //return data.data.coord[1];
                                }
                            }
                        }
                    }
                ]
            }
        }
    ]
};


//新开webview打开页面
function goNewPage(){
    $(document).on('click','.openpage_link',function(){
        var allowstatus = $(this).attr('allowstatus');
        Com.openNewWebViewPage($(this));
    });
}

//指数详情画图表
/**
 *
 * @param type:0市盈率|1市净率
 * @param period:0 5年|1 10年
 */

var myChart;
function drawCharts(type,period){
    var param = {};
    var secuid = Com.getQueryStringByName('secuid');
    var loadingobj = $('#chartsloading');
    param['SecuID'] = secuid;
    param['period'] = period;
    var ajaxData = function(datajson){
        //Com.ajaxLoading();
        loadingobj.css('display','block');
        Com.ajax({
            "url":Com.getOrigin()+"/gsfinancing/uv/getUVHistory/1.0",
            "data":datajson,
            "type":"post",
            "dataType":"json",
            "success":function(d){
                //Com.ajaxLoaded();
                loadingobj.css('display','none');
                if(d.result[0].code == '0') {
                    var otips = $('.charts_tips');
                    console.log(d)
                    if(d.undervaluation !== 'undefined' && d.undervaluation.length){
                        if(type =='0'){
                            //市盈率
                            if(period == '0'){
                                //5年
                                if(d.undervaluation[0].years == '2'){
                                    otips.html('指数市盈率未满5年').css('display','block');
                                }else{
                                    otips.css('display','none');
                                }
                            }
                            else{
                                if(d.undervaluation[0].years != '0'){
                                    otips.html('指数市盈率未满10年').css('display','block');
                                }else{
                                    otips.css('display','none');
                                }
                            }
                        }else{
                            //市净率
                            if(period == '0'){
                                //5年
                                if(d.undervaluation[0].years == '2'){
                                    otips.html('指数市净率未满5年').css('display','block');
                                }else{
                                    otips.css('display','none');
                                }
                            }
                            else{
                                if(d.undervaluation[0].years != '0'){
                                    otips.html('指数市净率未满10年').css('display','block');
                                }else{
                                    otips.css('display','none');
                                }
                            }
                        }

                    }
                    //数据拿到之后将图表下方的按钮焦点激活
                    $('.det_d_a').removeClass('on').eq(type).addClass('on');
                    //数据拿到之后将5年、10年焦点激活
                    $('.time_chartsdata').removeClass('on').eq(period).addClass('on');

                    //画图
                    drawMethod(type,d);

                }
                else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                    return false;
                }
                else{
                    Com.showNativeAlert('',d.result[0].msg,['确定'],'');
                }

            },
            "isTradeLogin":false,
            "error":function(){
                //Com.ajaxLoaded();
                loadingobj.css('display','none');
                Com.showNativeAlert('','网络不给力',['确定'],'');
            }
        });
    };
    ajaxData(param);

    function drawMethod(drawtype,datajson){
        var valueArry = [];
        var dateArry = [];
        var maxValue = 0;
        var minValue = 0;
        var hightvalue = '';
        var lowvalue = '';
        var maxvalue_demo = '';
        var minvalue_demo = '';
        if(drawtype == '0'){
            hightvalue = datajson.undervaluation[0].highPETTM;
            lowvalue = datajson.undervaluation[0].lowPETTM;
            maxvalue_demo = datajson.undervaluation[0].maxPETTM;
            minvalue_demo = datajson.undervaluation[0].minPETTM;
        }else{
            hightvalue = datajson.undervaluation[0].highPB;
            lowvalue = datajson.undervaluation[0].lowPB;
            maxvalue_demo = datajson.undervaluation[0].maxPB;
            minvalue_demo = datajson.undervaluation[0].minPB;
        }
        for(var i = 0;i<datajson.data.length; i++){
            if(drawtype == '0'){
                valueArry.push(datajson.data[i].PETTM);
            }else{
                valueArry.push(datajson.data[i].PB);
            }
            dateArry.push(datajson.data[i].TradingDay);
        }
        maxValue = Math.max.apply(null, valueArry);
        minValue = Math.min.apply(null, valueArry);
        option.tooltip.formatter = function(params){
            if(drawtype == '0'){
                return '市盈率:'+params[0].data+'<br/>'+'时间:'+params[0].axisValue;
            }else{
                return '市净率:'+params[0].data+'<br/>'+'时间:'+params[0].axisValue;
            }

        };
        option.xAxis.data = dateArry;
        option.xAxis.axisLabel.interval = valueArry.length-2;
        if(maxValue == minValue){
            option.yAxis.interval = (maxValue)/2;
        }else{
            option.yAxis.interval = ((maxValue-minValue)/2)+(maxValue-minValue)/20;
        }

        option.series[0].data = valueArry;
        //option.series[0].markArea.data[0][0].name = '高估值区('+hightvalue+'-'+maxValue+')';
        option.series[0].markArea.data[0][0].yAxis = hightvalue;
        option.series[0].markArea.data[0][1].yAxis = maxValue;
        //option.series[0].markArea.data[1][0].name = '低估值区('+minValue+'-'+lowvalue+')';
        option.series[0].markArea.data[1][0].yAxis = minValue;
        option.series[0].markArea.data[1][1].yAxis = lowvalue;


        option.series[0].markArea.data[2][0].yAxis = lowvalue;
        option.series[0].markArea.data[2][1].yAxis = hightvalue;

        console.log(maxValue+'||||'+minValue)
        //console.log(hightvalue+"|"+maxValue+'|'+minValue+'|'+lowvalue)
        option.series[0].markPoint.data = [{
            name: '某个坐标',
            coord: ['02/19','35.23'],
            // value:'3.02%',
            label:{
                normal:{
                    position:['5','9'],
                    textStyle:{
                        color:'#FFF',
                        fontSize:10
                    },
                    formatter: function (data) {
                        //如果标注的数据显示有问题把该formatter去掉
                        return '市盈率20.23\n\n时间:2017-02';
                        //return data.data.coord[1];
                    }
                }
            }
        }];
        option.series[0].markPoint.data[0].coord = [(dateArry[dateArry.length-1]),(valueArry[valueArry.length-1])];
        option.series[0].markPoint.data[0].label.normal.formatter = function(data){
            //return '市盈率';
            if(drawtype == '0'){
                return '市盈率:'+valueArry[valueArry.length-1]+'\n\n时间:'+dateArry[dateArry.length-1];
            }else{
                return '市净率:'+valueArry[valueArry.length-1]+'\n\n时间:'+dateArry[dateArry.length-1];
            }

        };
        if(valueArry[valueArry.length-1] > parseFloat((maxValue-minValue)/2+minValue)){
            option.series[0].markPoint.symbol='image://../images/mfv_markpoint_b.png';
            option.series[0].markPoint.symbolOffset=['-40%','70%'];
            option.series[0].markPoint.data[0].label.normal.position=['3','13'];
        }else{
            option.series[0].markPoint.symbol='image://../images/mfv_markpoint_t.png';
            option.series[0].markPoint.symbolOffset=['-40%','-70%'];
            option.series[0].markPoint.data[0].label.normal.position=['3','9'];
        }
        var gqbox = $('#gzqj_tips');
        var ggqdata = $('#ggqdata');
        var dgqdata = $('#dgqdata');
        /*ggqdata.html('高估值区('+hightvalue+'-'+maxValue+')');
        dgqdata.html('低估值区('+minValue+'-'+lowvalue+')');*/
        ggqdata.html('高估值区('+hightvalue+'-'+maxvalue_demo+')');
        dgqdata.html('低估值区('+minvalue_demo+'-'+lowvalue+')');
        gqbox.css('display','block');


        //单位净值图表
        myChart = echarts.init(document.getElementById('mfv_charts'));
        myChart.setOption(option);


    }

    //drawMethod(type,textdata);
}

//指数详情页面
function indexDetailsInit(){
    goNewPage();

    //初始化图表市盈率、5年数据
    drawCharts('0','0');

    //顶部数据
    getIndexDtTop();

    //获取相关基金
    getRelationFund();

    //获取指数成份股
    getZsCfg();

    $(document).on('touchstart','#mfv_charts',function(){
        option.series[0].markPoint.data.length = 0 ;
        myChart.setOption(option);
    });

    //点击顶部当前百分位弹出全屏提示
    $(document).on('click','#mfv_tt_des',function(){
        Com.showScreenMask('当前百分位','当前百分位高，即指数的估值在当前时间区间相对高估；\n当前百分位低，即指数的估值在当前时间区间相对低估。');
    });

    //点击日均成交额弹出全屏提示
    $(document).on('click','#rjcje_link',function(){
        var startdate = $(this).attr('startdate');
        var enddate = $(this).attr('enddate');
        /*Com.showScreenMask('日均成交额','统计周期为'+(startdate.slice(0,4))+'年'+(startdate.slice(5,7))+'月'+(startdate.slice(8,10))+'日 - '+(enddate.slice(0,4))+'年'+(enddate.slice(5,7))+'月'+(enddate.slice(8,10))+'日，取5个交易日的平均值');*/
        Com.showScreenMask('日均成交额','统计最近5个交易日的日均成交额。');
    });


    //市盈率/市净率切换
    $(document).on('click','.det_d_a',function(){
        changePbPe($(this));

    });

    //5年/10年数据切换
    $(document).on('click','.time_chartsdata',function(){
        changeTime($(this));
    });

    //指数成份股跳转到个股行情
    $(document).on('click','.goggxq',function(){
        var stockCode = $(this).parents('tr').attr('ComponentSecucode');
        var stockMarket = $(this).parents('tr').attr('market');
        Com.gotoStockInfo(stockCode,'',stockMarket);
    });

    //相关基金和指数成份股tab切换
    $(document).on('click','.protaba',function(){
        var olink = $('.protaba');
        var otabs = $('.mfv_ids_tabs');
        var oindex = olink.index($(this));
        olink.removeClass('on').eq(oindex).addClass('on');
        otabs.css('display','none').eq(oindex).css('display','block');
    });


    //场外基金购买
    $(document).on('click','.fundbuy',function(){
        var fundCode = $(this).parents('tr').attr('ofn');
        var fundCompanyCode = $(this).parents('tr').attr('tan');
        var $this = $(this);
        try
        {
            TalkingData.onEventWithLabel("理财-价值洼地",'价值洼地-基金购买');
        }
        catch(err) {}
        //购买处理
        Com.actionLogin(clickHandle);
        function clickHandle(){
            fund_checkUserCanBuy(fundCode,fundCompanyCode,$this,'0');//购买
        }
    });

    //场内基金购买
    $(document).on('click','.stockbuy',function(){
        var market = $(this).parents('tr').attr('market');
        var ofcode = $(this).parents('tr').attr('ComponentSecucode');
        try
        {
            TalkingData.onEventWithLabel("理财-价值洼地",'价值洼地-基金购买');
        }
        catch(err) {}
        Com.actionLogin(stockBuyHandle);
        function stockBuyHandle(){
            Com.callNativebuyOnSiteFund(ofcode,'',market,'1');//购买
        }
    });

    $(window).on('scroll',function(){
        var isMobile = Com.clientType();
        if(isMobile == 'ios'){
            var option = myChart.getOption();
            myChart.setOption(option);
            $('#newcharts').html('');
            $('#newcharts').html('<div id="mfv_charts" style="width: 100%;height: 200px;"></div>');
            myChart = echarts.init(document.getElementById('mfv_charts'));
            myChart.setOption(option);
        }
    });

    //客服入口
    new Drag('fixedrobot');
    //接入客服模块
    robotAction('','','','','','9905','ztl024','8','fixedrobot');
}

//市盈率市净率切换处理
function changePbPe(that){
    var changebtn = $('.det_d_a');//市盈率、市净率切换按钮
    var changtime = $('.time_chartsdata');//5年、10年切换按钮
    var oindex_type = changebtn.index(that);//0市盈率|1市净率
    var oindex_time = changtime.index($('.time_chartsdata.on'));//0 5年|1 10年
    if(that.hasClass('on')){
        return;
    }
    if(typeof odata !== 'undefined'){
        if(odata.data.length){
            odata.data[0].loadtype = oindex_type;
            odata.data[0].timeindex = oindex_time;
            var oHtml = template('topNavDemo',odata);
            $('#topnav').html(oHtml);
        }
    }
    drawCharts(oindex_type,oindex_time);
}

//5年、10年切换处理
function changeTime(that){
    var changebtn = $('.det_d_a');//市盈率、市净率切换按钮
    var changtime = $('.time_chartsdata');//5年、10年切换按钮
    var oindex_time = changtime.index(that);//0 5年|1 10年
    var oindex_type = changebtn.index($('.det_d_a.on'));//0市盈率|1市净率
    if(that.hasClass('on')){
        return;
    }
    if(typeof odata !== 'undefined'){
        if(odata.data.length){
            odata.data[0].loadtype = oindex_type;
            odata.data[0].timeindex = oindex_time;
            var oHtml = template('topNavDemo',odata);
            $('#topnav').html(oHtml);
        }
    }
    drawCharts(oindex_type,oindex_time);
}

//点击行情调用native接口跳转到股票行情
function goMarketQts(){
    var stockCode = Com.getLocalValue('zh_stockcode');
    var stockMarket = Com.getLocalValue('zh_stockmarket');
    Com.gotoStockInfo(stockCode,'',stockMarket);
}


//获取指数详情页上部分数据
function getIndexDtTop(){
    var param = {};
    var secuid = Com.getQueryStringByName('secuid');
    param['SecuID'] = secuid;
    var ajaxData = function(datajson){
        Com.ajax({
            "url":Com.getOrigin()+"/gsfinancing/uv/getUVDetail/1.0",
            "data":datajson,
            "type":"post",
            "dataType":"json",
            "success":function(d){
                if(d.result[0].code == '0') {
                    if(d.data[0].marketflag && d.data[0].marketflag == '1'){
                        //当前指数有行情
                        Com.setLocalValue('zh_stockcode',d.data[0].TradingCode);
                        Com.setLocalValue('zh_stockmarket',d.data[0].market);
                        Com.rightTopBtn('3','行情',goMarketQts);
                    }else{
                        //当前指数没有行情
                        Com.rightTopBtn('0');
                    }
                    var nameBd = '';
                    if(d.data[0].Exchange || d.data[0].Exchange !=''){
                        nameBd = d.data[0].TradingCode+'.'+d.data[0].Exchange;
                    }else{
                        nameBd = d.data[0].TradingCode;
                    }
                    if(d.data[0].SecuAbbr && d.data[0].SecuAbbr !=''){
                        Com.setLocalValue('zh_stockname',d.data[0].SecuAbbr);
                    }
                    Com.setWebviewStockTitle('',{"stockName":d.data[0].SecuAbbr,"stockCode":nameBd,"bgColor":"589DFC"},true);
                    d.data[0].loadtype = '0';//0是市盈率相关|1市净率相关
                    d.data[0].timeindex = '0';//0是5年|1是10年
                    odata = d;
                    var oHtml = template('topNavDemo', d);
                    $('#topnav').html(oHtml);

                }
                else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                    return false;
                }
                else{
                    Com.showNativeAlert('',d.result[0].msg,['确定'],'');
                }

            },
            "isTradeLogin":false,
            "error":function(){
                Com.showNativeAlert('','网络不给力',['确定'],'');
            }
        });
    };
    ajaxData(param);
}

//获取关联基金
function getRelationFund(){
    var param = {};
    var secuid = Com.getQueryStringByName('secuid');
    param['SecuID'] = secuid;
    var ajaxData = function(datajson){
        Com.ajax({
            "url":Com.getOrigin()+"/gsfinancing/uv/getFundList/1.0",
            "data":datajson,
            "type":"post",
            "dataType":"json",
            "success":function(d){
                if(d.result[0].code == '0') {

                    var cnjj = [];
                    var cwjj = [];
                    var errortemp = [];

                    if(d.data && d.data.length != 0){
                        for(var i = 0; i< d.data.length;i++){
                            if(typeof d.data[i].marketflag!='undefined' && (d.data[i].marketflag == '0')){
                                cwjj.push(d.data[i]);
                            }else if(typeof d.data[i].marketflag!='undefined' && (d.data[i].marketflag == '1')){
                                cnjj.push(d.data[i]);
                            }
                            else if(typeof d.data[i].marketflag!='undefined' && (d.data[i].marketflag == '2')){
                                cwjj.push(d.data[i]);
                                cnjj.push(d.data[i]);
                            }else{
                                errortemp.push(d.data[i]);
                            }
                        }

                    }
                    d.cnjj = cnjj;
                    d.cwjj = cwjj;
                    var oHtml = template('xgjjDemo',d);
                    $('#xgjj').html(oHtml);

                    //名称超出显示省略号
                    var sd = $('.mfv_jj_tb tr').find('td').eq(0).attr('width');
                    var _width = $(window).width()*((sd.split('%')[0])/100);
                    $('.fundname').width(_width).css('white-space','nowrap');

                }
                else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                    return false;
                }
                else{
                    Com.showNativeAlert('',d.result[0].msg,['确定'],'');
                }

            },
            "isTradeLogin":false,
            "error":function(){
                Com.showNativeAlert('','网络不给力',['确定'],'');
            }
        });
    };
    ajaxData(param);
}


//获取指数成份股
function getZsCfg(){
    var param = {};
    var secuid = Com.getQueryStringByName('secuid');
    param['SecuID'] = secuid;
    param['pagenum'] = 0;
    param['pagesize'] = 10;
    var ajaxData = function(datajson){
        Com.ajax({
            "url":Com.getOrigin()+"/gsfinancing/uv/getStockList/1.0",
            "data":datajson,
            "type":"post",
            "dataType":"json",
            "success":function(d){
                if(d.result[0].code == '0') {
                    var oHtml = template('zscfgDemo',d);
                    $('#zscfg').html(oHtml);
                    //名称超出显示省略号
                    var sd = $('.mfv_jj_tb tr').find('td').eq(0).attr('width');
                    var _width = $(window).width()*((sd.split('%')[0])/100);
                    $('.fundname').width(_width).css('white-space','nowrap');
                }
                else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                    return false;
                }
                else{
                    Com.showNativeAlert('',d.result[0].msg,['确定'],'');
                }
            },
            "isTradeLogin":false,
            "error":function(){
                Com.showNativeAlert('','网络不给力',['确定'],'');
            }
        });
    };
    ajaxData(param);
}