//索引数字
template.helper('gzname', function (num) {
    switch(num){
        case '1':
            return '低估区';
            break;
        case '2':
            return '偏低估区';
            break;
        case '3':
            return '正常区';
            break;
        case '4':
            return '偏高估区';
            break;
        default :
            return '高估区';
    }
});

//不同估区的背景色
template.helper('bg_gq', function (num) {
    switch(num){
        case '1':
            return 'mfv_et_dgq';
            break;
        case '2':
            return 'mfv_et_pdgq';
            break;
        case '3':
            return 'mfv_et_zcq';
            break;
        case '4':
            return 'mfv_et_jgq';
            break;
        default :
            return 'mfv_et_ggq';
    }
});

//不同估区的字体颜色/标注
template.helper('font_gq', function (num) {
    switch(num){
        case '1':
            return 'dgq';
            break;
        case '2':
            return 'pdgq';
            break;
        case '3':
            return 'zcq';
            break;
        case '4':
            return 'jgq';
            break;
        default :
            return 'ggq';
    }
});

//发现机会列表中每个估值区间的位置
template.helper('bg_position', function (obj) {
    var leftPos = (obj.leftvaluation-obj.minPETTM)/(obj.maxPETTM-obj.minPETTM);
    var rightPos = (obj.rightvaluation-obj.minPETTM)/(obj.maxPETTM-obj.minPETTM);
    var _width =(rightPos-leftPos)*100+'%';
    var _marginLeft = leftPos*100+'%';
    var radius = '0';
    if(leftPos == 0){
        radius = '3px 0 0 3px';
    }
    return 'width:'+_width+';margin-left:'+_marginLeft+';-webkit-border-radius:'+radius;
});

//发现机会列表中当前市盈率的位置
template.helper('mask_leftposition', function (obj) {
    var marginLeft = '-6px;';
    if(obj.PETTM50Percentile > 10){
        marginLeft = '-9px;';
    }
    return 'left:'+obj.PETTM50Percentile+'%;margin-left:'+marginLeft;
});

//YYYY-MM-DD----->MM-DD
template.helper('sliceyear', function (str) {
    if(str.length >= 5){
        return str.substr(-5);
    }else{
        return str;
    }

});

//新开webview打开页面
function goNewPage(){
    $(document).on('click','.openpage_link',function(){
        Com.openNewWebViewPage($(this));
    });
}



//获取大盘估值列表
function getGzList(){
    var param = {};
    var ajaxData = function(datajson){
        Com.ajax({
            "url":Com.getOrigin()+"/gsfinancing/uv/getGrailValuationList/1.0",
            "data":datajson,
            "type":"post",
            "dataType":"json",
            "success":function(d){
                if(d.result[0].code == '0') {
                    var oHtml = template('dpgzDemo',d);
                    $('#mfv_jd_box').html(oHtml);
                }
                else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                    return false;
                }
                else{
                    Com.showNativeAlert('',d.result[0].msg,['确定'],'');
                }

            },
            "isTradeLogin":false,
            "error":function(){
                Com.showNativeAlert('','网络不给力',['确定'],'');
            }
        });
    };
    ajaxData(param);
}

//发现机会列表
function getFxjhList(){
    var param = {};
    var ajaxData = function(datajson){
        Com.ajax({
            "url":Com.getOrigin()+"/gsfinancing/uv/getRecommendedUVList/1.0",
            "data":datajson,
            "type":"post",
            "dataType":"json",
            "success":function(d){
                if(d.result[0].code == '0') {
                    var oHtml = template('fxjhDemo',d);
                    $('#mfv_fxjh').html(oHtml);
                }
                else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                    return false;
                }
                else{
                    Com.showNativeAlert('',d.result[0].msg,['确定'],'');
                }

            },
            "isTradeLogin":false,
            "error":function(){
                Com.showNativeAlert('','网络不给力',['确定'],'');
            }
        });
    };
    ajaxData(param);
}



//价值洼地init
function jzwdInit(){
    Com.setWebviewTitle('',{"title":'指数投资',"bgColor":"272736"});
    goNewPage();
    getFxjhList();

    getGzList();

    //点击发现机会tips
    $(document).on('click','#fxjh_screen',function(){
        Com.showScreenMask('发现机会','运用统计学方法，计算所有指数的五年市盈率和市净率的百分位数据，以中位数为基准，挖掘出最低的部分指数，这对投资者来说意味着一定的机会。');
    });

    //顶部banner
    $(document).on('click','#jzwdbanner',function(){
        
        Com.newWebViewOpenPage('',{'pageUrl':Com.getOrigin()+'/asset/lckt/pages/content.html?id=28','weburl':Com.getOrigin()+'/asset/lckt/pages/content.html?id=28'},'1');
    });

    new Drag('fixedrobot');
    //接入客服模块
    robotAction('','','','','','9905','ztl023','8','fixedrobot');
}