//单位净值走势图
var option = {
    title: {
        show:false,
        padding:0,
        text: '堆叠区域图'
    },
    legend: {
        data:['单位净值']
    },
    toolbox: {
        feature: {
            saveAsImage: {}
        }
    },
    grid: {
        left: '10px',
        right: '20px',
        bottom: '10px',
        top:'30px',
        containLabel: true
    },
    xAxis : [
        {
            type : 'category',
            boundaryGap : false,
            data : ['11-01','11-02','11-03','11-04','11-05','11-06','11-07','11-01','11-02','11-03','11-04','11-05','11-06','11-07','11-06','11-07'],
            axisLabel:{
                textStyle:{
                    color:'#8e8e93',
                    fontSize:11,
                    align:'center'
                },
                interval:14,
                margin:15
            },
            axisLine: {            // 坐标轴线
                lineStyle: {       // 属性lineStyle控制线条样式
                    color: '#D4D7DD'
                },
                show:true
            },
            axisTick: {            // 坐标刻度
                show:false
            },
            splitLine: {           // 分隔线
                show:true,
                lineStyle: {       // 属性lineStyle（详见lineStyle）控制线条样式
                    color: ['#f6f6f7']
                }
            }
        }
    ],
    yAxis : [
        {
            type : 'value',
            splitLine: {           // 分隔线
                lineStyle: {       // 属性lineStyle（详见lineStyle）控制线条样式
                    color: ['#f6f6f7'],
                    type:'dashed'  //'solid'  'dashed'  'dotted'
                }
            },
            scale:true,
            axisLine: {            // 坐标轴线
                show:false,
                lineStyle: {       // 属性lineStyle控制线条样式
                    color: '#f6f6f7'
                }
            },
            axisLabel:{
                // inside:true,
                textStyle:{
                    color:'#8e8e93',
                    baseline:'middle',
                    fontSize:11
                },
                formatter: function (value, index) {
                    return (value*1).toFixed2(4);
                }
            },
            axisTick:{
                show:false
            },
            splitNumber:4

        }
    ],
    series : [
        {
            name:'单位净值走势图',
            type:'line',
            stack: '单位净值',
            data:[0.4122, 4.8744, 4.5655, 3.4766, 3.5688,3.2599, 3.0223,6.2532,2.3145,3.5465,1.2376,2.1287,2.9898,8.2409,7.2167,2.3256],
            areaStyle: {
                normal: {
                    color:'transparent'
                },
                smooth:true
            },
            lineStyle:{
                normal:{
                    width:1,
                    color:'#FC4747'
                }
            }
        }
    ]
};

//单位净值画图
function fmtChartsData(dataArray){
    var canvasparent = $('#profitChart');
    var rateArry = [];
    var dateArry = [];
    if(dataArray.length == 0){
        canvasparent.hide().siblings('.nodata').show();
        return false;
    }
    canvasparent.show().siblings('.nodata').hide();
    for(var i  = 0;i<dataArray.length;i++){
        rateArry.unshift(dataArray[i].unitnetvalue);
        dateArry.unshift(dataArray[i].valuedate);
    }
    for(var j = 0; j<dateArry.length;j++){
        dateArry[j] = dateArry[j].slice(5,7)+'-'+dateArry[j].slice(8,10);
    }
    option.xAxis[0].data = dateArry;
    option.series[0].data = rateArry;
    option.xAxis[0].axisLabel.interval = dateArry.length-2;
    /*option.yAxis[0].min = Math.min.apply(null, rateArry);
    option.yAxis[0].max = Math.max.apply(null, rateArry);*/
     /*option.yAxis[0].max = 1.3000;*/
    //单位净值图表
    myChart = echarts.init(document.getElementById('profitChart'));
    myChart.setOption(option);
}


//资管产品详情
function getZgDetails(){
    var ofcode = Com.getQueryStringByName('ofcode');
    var prdtype = Com.getQueryStringByName('prdtype');
    var param={};
    param['ofcode'] = ofcode;
    param['prdtype'] = prdtype;
    var isLogin = false;
    var ajaxData = function(){
        Com.ajax({
            "url":Com.getOrigin()+"/gsfinancing/product/getProductInfo/1.0",
            "data":param,
            "type":"post",
            "dataType":"json",
            "success":function(d){
                if(d.result[0].code == '0'){
                    d.ofcode = ofcode;
                    var tacode = d.data1[0].tacode;
                    var wrapper = $('.wrapper');
                    var bubtnbox = $('#bubtnbox');
                    var scanDetails = function(){
                        wrapper.css('display','block');
                        bubtnbox.css('display','block');

                        Com.setLocalValue('zh_ofcode',ofcode);
                        Com.setLocalValue('zh_prdtype',prdtype);
                        Com.setLocalValue('zh_ofname',d.data1[0].ofname);
                        Com.setLocalValue('zh_date_b',d.data1[0].begdate);
                        Com.setLocalValue('zh_date_e',d.data1[0].enddate);

                        try
                        {
                            TalkingData.onEventWithLabel('理财购买断点分析-其他资管产品','1产品详情-'+ofcode+'-'+d.data1[0].ofname);
                        } catch(err) {}

                        //默认非小集合特殊产品
                        var smallsetflag = '0';
                        var zg_dt_charts = $('#zg_dt_charts');
                        if(typeof d.data1[0].smallsetflag!='undefined'){
                            smallsetflag = d.data1[0].smallsetflag;
                        }


                        //设置title
                        Com.setWebviewStockTitle('',{"stockName":d.data1[0].ofname,"stockCode":ofcode,"bgColor":"589DFC"},true);
                        var oHtml1 = $(template('zfdTopDemo', d));
                        var oHtml2 = $(template('jyDesDeomo', d));
                        var oHtml3 = $(template('buyBtnDemo', d));
                        var oHtml4 = $(template('kfqDemo', d));
                        $('#zfd_top').html(oHtml1);
                        $('#zfd_jy_t').html(oHtml2);
                        $('#bubtnbox').html(oHtml3);
                        $('#zfd_kfq').html(oHtml4);

                        /*原来资管有这样的需求：当前产品有业绩报酬基准收益率和投资期限的不展示图表，否则展示图表。这次的需求需要改成：当前产品不管有没有业绩报酬基准收益率和投资期限的都展示图表(20190905)*/
                        //初始取一个月的单位净值数据画图
                        getChartsRate(1,fmtChartsData);

                    };
                    if(d.data1[0].clztype == '1'){
                        //小集合
                        Com.actionLogin(function(){
                            checkRiskMatch(ofcode,tacode,function(p){
                                if(p!=1){
                                    //不匹配
                                    wrapper.css('display','none');
                                    bubtnbox.css('display','none');
                                    Com.showNativeAlert("",'您的适当性匹配不成功，暂时无法浏览产品，详询95536',["确定"],function(){
                                        Com.nativeGoback();
                                    });
                                    return false;
                                }else{
                                    scanDetails();
                                }
                            });
                        },'',function(){
                            Com.nativeGoback();
                        },'2');
                    }else{
                        scanDetails();
                    }

                }else{
                    Com.showNativeAlert('',d.result[0].msg,['确定'],'');
                }

            },
            "isTradeLogin":isLogin,
            "supportBioLogin":'2',
            "error":function(){
                Com.showNativeAlert('','网络不给力',['确定'],'')
            }
        });
    };
    Com.isTradelogin2(function(){
        //已登录
        isLogin = true;
        ajaxData();
    },function(){
        //未登录
        isLogin = false;
        ajaxData();
    });

}

//获取单位净值图表数据
function getChartsRate(month,callback){
    var ofcode = Com.getQueryStringByName('ofcode');
    var prdtype = Com.getQueryStringByName('prdtype');
    var param={};
    param['ofcode'] = ofcode;
    param['prdtype'] = prdtype;
    param['month'] = month;
    Com.ajax({
        "url":Com.getOrigin()+"/gsfinancing/product/getPrdNetValue/1.0",
        "data":param,
        "type":"post",
        "dataType":"json",
        "success":function(d){
            console.log(d)
            /*d = {"result":[{"msg":"SYSERR_OK","pkg":"xxxx","code":0}],"data":[{"ofcode":"931509","unitnetvalue":1.188,"reservedchar1":"国信新三板创新成长1号","totalunitnetvalue":1.188,"valuedate":"2017-02-24"},{"ofcode":"931509","unitnetvalue":1.183,"reservedchar1":"国信新三板创新成长1号","totalunitnetvalue":1.183,"valuedate":"2017-02-17"},{"ofcode":"931509","unitnetvalue":1.013,"reservedchar1":"国信新三板创新成长1号","totalunitnetvalue":1.013,"valuedate":"2017-02-10"},{"ofcode":"931509","unitnetvalue":1.178,"reservedchar1":"国信新三板创新成长1号","totalunitnetvalue":1.178,"valuedate":"2017-02-03"}]};*/
            if(d.result[0].code == '0'){
                callback(d.data);
            }else{
                Com.showNativeAlert('',d.result[0].msg,['确定'],'');
            }

        },
        "isTradeLogin":false,
        "error":function(){
            Com.showNativeAlert('','网络不给力',['确定'],'')
        }
    });
}

//历史净值
function historyRate(data){
    var o = {};
    o.data = data;
    var oHtml1 = $(template('history_rate', o));
    $('#lsjzrate').html(oHtml1);
}


//打开合同
function showHtPage(that){
    var ofcode = that.attr('ofcode');
    var prdtype = that.attr('prdtype');
    var cid = that.attr('cid');
    if(!ofcode || !prdtype || !cid){
        return;
    }
    Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/contract/pages/contract.html?ofcode='+ofcode+'&prdtype='+prdtype+'&contract_no='+cid,"weburl":Com.getOrigin()+'/asset/contract/pages/contract.html?ofcode='+ofcode+'&prdtype='+prdtype+'&contract_no='+cid});
}

//获取产品合同
function getProContracts(){
    var param = {};
    var prdtype = Com.getQueryStringByName('prdtype');
    var ofcode = Com.getQueryStringByName('ofcode');
    param['ofcode'] = ofcode+',ZG_DZQMYDS';
    param['prdtype'] = prdtype+',DZQMYDS';
    var ajaxData = function(datajson){
        Com.ajax({
            "url":Com.getOrigin()+'/gsfinancing/contract/getContracts/1.0',
            "data":datajson,
            "type":"post",
            "dataType":"json",
            "success":function(d){
                Com.ajaxLoaded();
                if(d.result[0].code == '0'){
                    console.log(d);
                    d.ofcode = param['ofcode'];
                    d.prdtype = param['prdtype'];
                    var oHtml = $(template('htDemo', d));
                    $('#htlist').html(oHtml);
                }else{
                    Com.showNativeAlert('',d.result[0].msg,['确定'],'');
                }
            },
            "isTradeLogin":false,
            "error":function(){
                Com.ajaxLoaded();
                Com.showNativeAlert('','网络不给力',['确定'],'')
            }
        });
    };
    ajaxData(param);
}

//初始化
function zgInit(){
    var ofcode = Com.getQueryStringByName('ofcode');
    var prdtype = Com.getQueryStringByName('prdtype');
    //资管产品详情数据
    //getZgDetails();
    fillDataCheck(getZgDetails)
    //弹出透明浮层内容
    $(document).on('tap','.openzgtips',function(){
        var b_date = Com.getLocalValue('zh_date_b');
        var e_date = Com.getLocalValue('zh_date_e');
        var fmt_b_date = b_date.slice(0,4)+'年'+b_date.slice(4,6)+'月'+b_date.slice(6,8)+'日';
        var fmt_e_date = e_date.slice(0,4)+'年'+e_date.slice(4,6)+'月'+e_date.slice(6,8)+'日';
        Com.showScreenMask('近3月收益率','近3月收益率=(当前单位净值-期初单位净值)/期初单位净值*100%，计算区间'+fmt_b_date+'-'+fmt_e_date+'。');
    });

    //点击购买
    $(document).on('click','.gobuy',function(){
        var buybtn = $('.zfd_buybtn');
        if(buybtn.hasClass('gray')){
            return false;
        }
        var tacode = buybtn.attr('tacode');
        Com.actionLogin(go_zg_buy,buybtn);
        function go_zg_buy(that){
            var ofcode = Com.getQueryStringByName('ofcode');
            var prdtype = Com.getQueryStringByName('prdtype');

            zg_checkUserCanBuy(ofcode,tacode,prdtype,that);
        }
    });
    //点击定投
    $(document).on('click','.zfd_dtbtn',function(){
        dtGoHandle($(this));
    });

    //点击产品介绍
    $(document).on('click','#gocpj',function(){
        Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/mfzg/pages/zg_pro_info.html?ofcode='+ofcode+'&prdtype='+prdtype,"weburl":'zg_pro_info.html?ofcode='+ofcode+'&prdtype='+prdtype});
    });

    //历史净值
    $(document).on('click','.zg_query_h',function(){
        Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/mfzg/pages/zg_lsjz.html?ofcode='+ofcode+'&prdtype='+prdtype,"weburl":'zg_lsjz.html?ofcode='+ofcode+'&prdtype='+prdtype});
        //window.location.href = 'zg_lsjz.html?ofcode='+ofcode+'&prdtype='+prdtype;
    });

    //单位净值图表时间段切换
    $(document).on('click','.det_d_a',function(){
        if($(this).hasClass('on')){
            return false;
        }
        var dateobj = $('.det_d_a');
        var oindex = dateobj.index($(this));
        var month = 1;
        if (oindex == 0){
            month = 1;
        }
        else if(oindex == 1){
            month = 3;
        }
        else if(oindex == 2){
            month = 6;
        }else{
            month = 12;
        }
        dateobj.removeClass('on').eq(oindex).addClass('on');
        getChartsRate(month,fmtChartsData);
    });

    //交互的总持仓列表还没完成，临时加一个查询当前产品持仓列表的入口
    $(document).on('click','#yysh',function(){
        var ofcode = Com.getQueryStringByName('ofcode');
        var prdtype = Com.getQueryStringByName('prdtype');
        Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/mfzg/pages/listtemp.html?ofcode='+ofcode+'&prdtype='+prdtype,"weburl":'listtemp.html?ofcode='+ofcode+'&prdtype='+prdtype});
        //window.location.href = 'listtemp.html?ofcode='+ofcode+'&prdtype='+prdtype;
    });

    //跳转到李守报酬基准收益率
    $(document).on('tap','#cklssy',function(){
        var ofcode = Com.getQueryStringByName('ofcode');
        var prdtype = Com.getQueryStringByName('prdtype');
        Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/mfzg/pages/zg_hisratelist.html?ofcode='+ofcode+'&prdtype='+prdtype,"weburl":Com.getOrigin()+'/asset/mfzg/pages/zg_hisratelist.html?ofcode='+ofcode+'&prdtype='+prdtype});
    });
}

function zgFhSz(){
    //设置title
    Com.setWebviewTitle('',{"title":"分红设置","bgColor":""});

    $(document).on('click','.fh_choose',function(){
        submitFenhong($(this));
    });
}

function zgLsjz(){
    //设置title
    Com.setWebviewTitle('',{"title":"历史净值","bgColor":""});
    getChartsRate(1,historyRate);
}

function zgProInfoInit(){
    var ofname = Com.getLocalValue('zh_ofname');
    Com.setWebviewTitle('',{"title":"产品简介","bgColor":""});
    $('#proname').html(ofname);

    //获取产品合同
    getProContracts();
    //跳转打开合同
    $(document).on('click','.showht',function(){
        showHtPage($(this));
    });
}


//点击详情页面上的定投按钮
function dtGoHandle(that){
    var zfd_dtbtn = that;
    var ofname =zfd_dtbtn.attr('ofname');
    var tacode =zfd_dtbtn.attr('tacode');
    var timeropen =zfd_dtbtn.attr('timeropen');
    if(zfd_dtbtn.hasClass('forbid') ||zfd_dtbtn.hasClass('gray')){
        return;
    }
    //zfd_dtbtn.addClass('forbid');
    if(timeropen!=1){
        Com.showNativeAlert('','该产品暂不支持定投，详询95536',['确定'],function(){
            zfd_dtbtn.removeClass('forbid');
        });
        return;
    }

    var param = {};
    var ofcode = Com.getQueryStringByName('ofcode');
    var prdtype = Com.getQueryStringByName('prdtype');
    param['ofcode'] = ofcode;
    var ajaxData = function(){
        zfd_dtbtn.addClass('forbid');
        Com.ajaxLoading();
        Com.ajax({
            "url":Com.getOrigin()+'/gsfinancing/product/qryShares/1.0',
            "data":param,
            "type":"post",
            "dataType":"json",
            "success":function(d){
                Com.ajaxLoaded();
                if(d.result[0].code == '0'){
                    if(d.data.length!=0){
                        //有持仓可以定投
                        var protocol = '0';
                        if((location.protocol) == 'https:'){
                            protocol = '1';
                        }
                        getCommonRiskInfo(function(riskflag){
                            if(riskflag == true){
                                //风测有效跳转去定投
                                zfd_dtbtn.removeClass('forbid');
                                Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/goldsun_mlc/zgdt/pages/zg_dt_fi.html?ofcode='+ofcode+'&prdtype='+prdtype+'&tacode='+tacode+'&dt=1',"weburl":Com.getOrigin()+'/asset/goldsun_mlc/zgdt/pages/zg_dt_fi.html?ofcode='+ofcode+'&prdtype='+prdtype+'&tacode='+tacode+'&dt=1'});
                            }else{
                                //风测无效,跳转去风测
                                zfd_dtbtn.removeClass('forbid');
                                var ourl = location.host+'/asset/goldsun_mlc/zgdt/pages/zg_dt_fi.html?ofcode='+ofcode+'^prdtype='+prdtype+'^tacode='+tacode+'^dt=1';
                                common_goRisk(ourl,protocol);

                            }
                        });
                    }else{
                        Com.showNativeAlert('','您参与的'+ofname+'定投计划，需持有本集合计划份额才能购买，请您完成首次购买并确认购买成功',['确定'],function(){
                            zfd_dtbtn.removeClass('forbid');
                        });
                    }
                }
                else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                    zfd_dtbtn.removeClass('forbid');
                    return false;
                }
                else{
                    zfd_dtbtn.removeClass('forbid');
                    Com.showNativeAlert('',d.result[0].msg,['确定'],'');
                }
            },
            "isTradeLogin":true,
            "error":function(){
                Com.ajaxLoaded();
                zfd_dtbtn.removeClass('forbid');
                Com.showNativeAlert('','网络不给力',['确定'],'')
            }
        });
    };
    Com.actionLogin(ajaxData);
}


var sdx_details = true;//适当性功能开关，如果需要做适当性的产品过滤，将值设为true
var openfillter = true;//是否需要做适当性匹配，true:需要过滤||false:不需要过滤
function fillDataCheck(cb){
    var random = '_'+(Math.random()+'').split('.')[1];
    var getPageData = function(){
        if(typeof cb==='function'){
            cb();
        }
    };

    var isRelationAccount = function(){
        var param = {};
        var renderIsRelationAccount = function(d){
            if(d.result[0].code == '0'){
                if(d.data[0].result == '1'){
                    //未交易登录用户如果已关联资金账号，可以查看详情内容
                    openfillter = false;
                    getPageData();
                }else{
                    //未交易登录用户如果未关联资金账号，引导交易登录
                    openfillter = true;
                    Com.actionLogin(function(){
                        getPageData();
                    },'',function(){
                        Com.nativeGoback();
                    },'2')
                }
            }
            else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                Com.nativeGoback();
                return false;
            }
            else{
                Com.showNativeAlert('',d.result[0].msg,['确定'],function(){
                    Com.nativeGoback();
                });
            }
        };
        Com.ajax({
            "url":Com.getOrigin()+'/gsfinancing/account/chkRelated/1.0',
            "data":param,
            "type":"post",
            "dataType":"json",
            "success":function(d){
                renderIsRelationAccount(d);
            },
            "isTradeLogin":false,
            "error":function(){
                Com.showNativeAlert("",'网络不给力|chkRelated',["确定"],'');
            }
        });
    };
    //判断是否登录，交易登录的客户可以展示详情内容(现金增利、债分、金8、资管；现金增利产品按业务需求不需要过滤)
    if(sdx_details){
        //打开了适当性匹配开关，走适当性逻辑
        Com.isTradelogin2(function(){
            //已经登录
            openfillter = false;
            getPageData();
        },function(){
            //未登录，检查是否关联了资金账号
            isRelationAccount();
        },{},'2');
    }else{
        //没有打开适当性开关，走正常逻辑
        getPageData();
    }

}


/*历史报酬基准收益率*/
function hisrateInit(){
    getHisRateList();
    //设置title
    Com.setWebviewTitle('',{"title":"业绩报酬计提基准详情","bgColor":""});
}

/*获取历史报酬基准收益率*/
function getHisRateList(){
    var param = {};
    param['ofcode'] = Com.getQueryStringByName('ofcode');
    Com.ajax({
        "url":Com.getOrigin()+'/gsfinancing/product/getBenchmarkRateHis/1.0',
        "data":param,
        "type":"post",
        "dataType":"json",
        "success":function(d){
            Com.ajaxLoaded();
            if(d.result[0].code == '0'){
                var oHtml = $(template('rateDemo', d));
                $('#wrapper').html(oHtml);
            }
            else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                return false;
            }
            else{
                Com.showNativeAlert('',d.result[0].msg,['确定'],'');
            }
        },
        "isTradeLogin":true,
        "error":function(){
            Com.showNativeAlert('','网络不给力',['确定'],'')
        }
    });
}