var F = F||{}; //定义一个全局对象作为命名空间
F.chicang=F.chicang||{};
F.chicang.echartsOption = {
    title: {
        show:false,
        padding:0,
        text: '历史收益率'
    },
    animation:false,
    legend: {
        data:['历史收益率']
    },
    toolbox: {
        feature: {
            saveAsImage: {}
        }
    },
    tooltip: {
        show:true,
        trigger: 'axis',
        triggerOn:'mousemove',
        hideDelay:0,
        transitionDuration:0,
        position: function (point, params, dom, rect, size) {
            var colorClass='redcolor';
            var _data = params[0].data;
            var _date = params[0].axisValue;
            /*if(_data*1>=0){
                _data = '+'+_data;
                colorClass = 'redcolor';
            }else{
                colorClass = 'greencolor';
            }*/
            sHtml = '<div class="echartsTooltipsWarp-head"><span class="pull-left">'+ _date +'</span><span class="pull-right">单位净值：<span class='+colorClass+'>'+_data+'</span></span></div>';
            $(dom).addClass('myEchartsTooltips').html(sHtml);// 通过对dom的控制，实现数据结构与样式的自定义
            //return [0,0];
        }
    },
    grid: {
        left: '12px',
        right: '17px',
        bottom: '20',
        top:'30',
        containLabel: true
    },
    xAxis : [
        {
            type : 'category',
            boundaryGap : false,
            data : [],
            axisLabel:{
                textStyle:{
                    color:'#8e8e93',
                    fontSize:11,
                    align:'right'
                },
                interval:0,
                margin:15,
                formatter: function (value, index) {
                    return value;
                }
            },
            axisLine: {            // 坐标轴线
                lineStyle: {       // 属性lineStyle控制线条样式
                    color: '#f6f6f7'
                },
                show:true
            },
            axisTick: {            // 坐标刻度
                show:false
            },
            splitLine: {           // 分隔线
                interval:30,
                show:true,
                lineStyle: {       // 属性lineStyle（详见lineStyle）控制线条样式
                    color: ['#f6f6f7']
                }
            }
        }
    ],
    yAxis : [
        {
            type : 'value',
            splitLine: {           // 分隔线
                lineStyle: {       // 属性lineStyle（详见lineStyle）控制线条样式
                    color: ['#f6f6f7'],
                    type:'dashed'  //'solid'  'dashed'  'dotted'
                }
            },
            axisLine: {            // 坐标轴线
                show:false,
                lineStyle: {       // 属性lineStyle控制线条样式
                    color: '#f6f6f7'
                }
            },
            axisLabel:{
                // inside:true,
                textStyle:{
                    color:'#8e8e93',
                    baseline:'middle',
                    fontSize:11
                },
                formatter: function (value, index) {
                    return (value*1).toFixed2(4);
                }
            },
            axisTick:{
                show:false
            },
            splitNumber:4
        }
    ],
    series : [
        {
            name:'七日年化收益',
            type:'line',
            // stack: '总量',
            data:[],
            areaStyle: {
                normal: {
                    color:'transparent'
                },
                smooth:true
            },
            lineStyle:{
                normal:{
                    width:1,
                    color:'#FD5656'
                }
            },
            animation:false,
            itemStyle:{
                normal : {
                    color:'#FD5656',
                    lineStyle:{
                        color:'#FD5656'
                    }
                }
            },
            symbol:'circle',
            showSymbol :false,
            /*markPoint : {
                symbol:'image://../images/mf_tips_b.png',
                symbolSize:[60,27],
                /!*formatter:function (value, index) {
                 return (value*1).toFixed2(2);
                 },*!/
                symbolOffset:['-40%','-70%'],
                itemStyle: {
                    normal: {
                        color:'#47A5F4',
                        borderColor:'rgba(59,159,243,0.2)',
                        borderWidth :'5'
                    }
                },
                label:{
                    normal:{
                        position:'inside',
                        textStyle:{
                            color:'#FFF'
                        }
                    }
                },
                data: [
                    {
                        name: '某个坐标',
                        coord: [],
                        // value:'3.02%',
                        label:{
                            normal:{
                                position:'inside',
                                align:'center',
                                textStyle:{
                                    color:'#FFF'
                                },
                                formatter: function (data) {
                                    /!*var dateAry = (data.data.coord[0]).split('-');
                                     var dateStr = dateAry[1]+'-'+dateAry[2];
                                     return data.data.coord[1]+'\n'+'('+dateStr+')';*!/
                                    return data.data.coord[1];
                                }
                            }
                        }
                    }
                ]
            }*/
        }
    ]
};

//获取今天的日期
function getNowDate(){
    var nowDate = new Date();
    var dateYear = nowDate.getFullYear();
    var dateMonth = nowDate.getMonth()+1;
    var dateDay = nowDate.getDate();
    if(dateMonth<10){
        dateMonth = '0'+dateMonth;
    }
    if(dateDay<10){
        dateDay = '0'+dateDay;
    }
    return dateYear.toString()+dateMonth.toString()+dateDay.toString();
}

function fmtNum(num){
    if(num*1<10){
        return '0'+num;
    }
    return num;
}
//获取数据
function getCcDetailsOfAll(isRefresh){
    var param = {};
    var poststr = Com.getQueryStringByName('poststr');
    var ofcode = Com.getQueryStringByName('ofcode');
    param['ofcode'] = ofcode;
    var ajaxData = function(datajson){
        Com.ajaxLoading();
        Com.ajax({
            "url":Com.getOrigin()+'/gsfinancing/product/qryShares/1.0',
            "data":datajson,
            "type":"post",
            "dataType":"json",
            "success":function(d){
                Com.ajaxLoaded();
                console.log(d)
                if(d.result[0].code == '0'){
                    var date = new Date();
                    var todayDate = date.getFullYear()+''+fmtNum(date.getMonth()+1)+''+fmtNum(date.getDate());
                    d.data[0].willbuy = '0';
                    d.data[0].willredeem = '0';
                    d.data[0].dtjhlist = dtjhlist;
                    if(typeof d.opendate!='undefined' && d.opendate.length!=0){
                        for(var i = 0;i< d.opendate.length;i++){
                            if((d.opendate[i].booktype == 3 || d.opendate[i].booktype==7) && todayDate<=d.opendate[i].enddate&& todayDate>=d.opendate[i].begindate){
                                //遍历结果集，如果类型是预约申购||预约申购和预约赎回的并且当天日期在预约开始日期和结束日期内(包括开始和结束日期的，则为预约申购)
                                d.data[0].willbuy = '1';//可以预约申购
                                break;
                            }
                        }

                        for(var j = 0;j< d.opendate.length;j++){
                            if((d.opendate[j].booktype == 6 || d.opendate[j].booktype==7) && todayDate<=d.opendate[j].enddate&& todayDate>=d.opendate[j].begindate){
                                //遍历结果集，如果类型是预约赎回||预约申购和预约赎回的并且当天日期在预约开始日期和结束日期内(包括开始和结束日期的，则为预约赎回)
                                d.data[0].willredeem = '1';//可以预约申购
                                break;
                            }
                        }
                    }

                    Com.setLocalValue('zh_ofcode',d.data[0].ofcode);
                    Com.setLocalValue('zh_ofname',d.data[0].ofname);
                    Com.setLocalValue('zh_ofavl',d.data[0].ofavl);
                    //设置title
                    Com.setWebviewStockTitle('',{"stockName":d.data[0].ofname,"stockCode":d.data[0].ofcode,"bgColor":"589DFC"},true);

                    //持有份额
                    //d.data[0].cyfe = parseFloat(d.data[0].ofavl)+parseFloat(d.data[0].oftrdfrz);
                    d.data[0].cyfe = Number(Com.numAdd(d.data[0].ofavl,d.data[0].oftrdfrz)).toFixed('2');

                    var oHtml1 = $(template('ccTop', d));
                    var oHtml2 = $(template('bottomBtn', d));
                    var oHtml3 = $(template('dtplanDemo', d));
                    $('#zgzc').html(oHtml1);
                    $('#fd_bot_fixed').html(oHtml2);
                    //如果有定投计划展示入口
                    $('#dtplanbox').html(oHtml3);
                    //查询有没有定投计划
                    openDtDetails();
                    //查一次产品详情获得产品期限
                    getProinfoForDur();

                    //获取近30天交易
                    getTrdeList();

                    if(typeof isRefresh === 'undefined'){
                        //持仓收益画图表(isRefresh==1:返回刷新的情况下不用在次渲染图表)
                        F.chicang.drawChart(1);
                    }
                }
                else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                    return false;
                }
                else{
                    Com.showNativeAlert('',d.result[0].msg,['确定'],'');
                }
            },
            "supportBioLogin":'2',
            "isTradeLogin":true,
            "error":function(){
                Com.ajaxLoaded();
                Com.showNativeAlert('','网络不给力',['确定'],'')
            }
        });
    };

    ajaxData(param);
}


//获取产品期限
function getProinfoForDur(){
    var param = {};
    var ofcode = Com.getQueryStringByName('ofcode');
    param['ofcode'] = ofcode;
    var ajaxData = function(datajson){
        //Com.ajaxLoading();
        Com.ajax({
            "url":Com.getOrigin()+'/gsfinancing/fixproduct/getProductInfo/1.0',
            "data":datajson,
            "type":"post",
            "dataType":"json",
            "success":function(d){
                Com.ajaxLoaded();
                console.log(d)
                if(d.result[0].code == '0'){
                    $('#produr').html(d.data[0].duration+'天');
                }
                else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                    return false;
                }
                else{
                    Com.showNativeAlert('',d.result[0].msg,['确定'],'');
                }
            },
            "isTradeLogin":false,
            "error":function(){
                Com.ajaxLoaded();
                Com.showNativeAlert('','网络不给力',['确定'],'')
            }
        });
    };

    ajaxData(param);
}

//提交分红设置
function submitFenhong(a){
    if(a.hasClass('on')){
        return false;
    }
    var chooseobj = $('.fh_choose');
    var choosetype = a.attr('choosetype');
    var oindex = chooseobj.index(a);
    var ofcode = Com.getQueryStringByName('ofcode');
    var prdtype = Com.getQueryStringByName('prdtype');
    var ofname = Com.getLocalValue('zh_ofname');
    var param = {};
    param['ofcode'] = ofcode;
    param['dividmethod'] = choosetype;
    param['trdid'] = '240029';
    var ajaxData = function(datajson){
        Com.ajaxLoading();
        Com.ajax({
            "url":Com.getOrigin()+'/gsfinancing/product/setDividendWay/1.0',
            "data":datajson,
            "type":"post",
            "dataType":"json",
            "success":function(d){
                Com.ajaxLoaded();
                if(d.result[0].code == '0'){
                    //分红设置成功
                    chooseobj.removeClass('on').eq(oindex).addClass('on');
                    Com.showNativeAlert("","设置成功",["确定"],'');
                    $('#zg_fhmask').hide();
                    Com.nativeGobackListener('0');
                    Com.setWebviewStockTitle('',{"stockName":ofname,"stockCode":ofcode,"bgColor":"589DFC"},true);

                }
                else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                    return false;
                }
                else{
                    Com.showNativeAlert('',d.result[0].msg,['确定'],'');
                }
            },
            "supportBioLogin":'2',
            "isTradeLogin":true,
            "error":function(){
                Com.ajaxLoaded();
                Com.showNativeAlert('','网络不给力',['确定'],'')
            }
        });
    };

    ajaxData(param);
}

//打开分红设置界面将返回重新监听
function openFhSz(){
    var ofname = Com.getLocalValue('zh_ofname');
    var ofcode = Com.getLocalValue('zh_ofcode');
    //隐藏可转换的产品列表
    $('#zg_fhmask').hide();
    //同时改为不需要监听返回
    Com.nativeGobackListener('0');
    Com.setWebviewStockTitle('',{"stockName":ofname,"stockCode":ofcode,"bgColor":"589DFC"},true);
}

function goZgDetails(){
    var ofcode = Com.getQueryStringByName('ofcode');
    var prdtype = Com.getQueryStringByName('prdtype');
    Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/mfzg/pages/zg_details.html?ofcode='+ofcode+'&prdtype='+prdtype});
}

//返回刷新执行
function zgpositionsRefresh(){
    getCcDetailsOfAll('norefreshCharts');
}

//初始化
function zgPositionsInit(){

    //返回刷新
    Com.gobackRefreshPage(true,zgpositionsRefresh);

    //导航详情按钮
    Com.rightTopBtn('3','详情',goZgDetails);

    //获取持仓
    getCcDetailsOfAll();

    //赎回
    $(document).on('click','#shbtn',function(){
        if($(this).hasClass('gray')||$(this).hasClass('forbid')){
            return false;
        }
        var ofcode = Com.getQueryStringByName('ofcode');
        var prdtype = Com.getQueryStringByName('prdtype');
        var poststr = Com.getQueryStringByName('poststr');

        Com.actionLogin(zg_redeemHandle);
        function zg_redeemHandle(){
            Com.actionLogin(function(){
                Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/mfzg/pages/zg_redeem.html?ofcode='+ofcode+'&prdtype='+prdtype,"weburl":'zg_redeem.html?ofcode='+ofcode+'&prdtype='+prdtype});
            },'','','1');

        }
    });

    //追加购买
    $(document).on('click','#gmbtn',function(){
        if($(this).hasClass('gray')||$(this).hasClass('forbid')){
            return false;
        }
        var ofcode = Com.getQueryStringByName('ofcode');
        var $this = $(this);
        var prdtype = Com.getQueryStringByName('prdtype');
        var tacode = $(this).attr('tacode');

        Com.actionLogin(zg_gobuyAgain);
        function zg_gobuyAgain(){
            Com.actionLogin(function(){
                zg_checkUserCanBuy(ofcode,tacode,prdtype,$this);
            },'','','1');

        }
    });

    //交易明细跳转到当日委托
    /*$(document).on('click','#gojymx',function(){
        var ofcode = Com.getQueryStringByName('ofcode');
        var prdtype = Com.getQueryStringByName('prdtype');
        Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/mftransaction/pages/mf_trans_prd_flow.html?ofcode='+ofcode+'&prdtype='+prdtype,"weburl":Com.getOrigin()+'/asset/mftransaction/pages/mf_trans_prd_flow.html?ofcode='+ofcode+'&prdtype='+prdtype});
        //window.location.href = 'gs_buy.html?ofcode='+ofcode+'&prdtype='+prdtype;
    });*/
    //跳转到委托详情
    $(document).on('click','.gowtxq',function(){
        var obj = $(this).parents('tr');
        var ofcode = obj.attr('ofcode');
        var type = obj.attr('type');
        var sno = obj.attr('sno');
        var poststr = obj.attr('poststr');
        var orderdate = obj.attr('orderdate');
        var bizid = obj.attr('bizid');
        Com.setLocalValue('mf_trans_ofcode',ofcode);
        Com.setLocalValue('mf_trans_type',type);
        Com.setLocalValue('mf_trans_sno',sno);
        Com.setLocalValue('mf_trans_poststr',poststr);
        Com.setLocalValue('mf_trans_date',orderdate);
        Com.setLocalValue('mf_trans_bizid',bizid);
        Com.actionLogin(function(){
            Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/mftransaction/pages/mf_trans_comm_detail.html?n=1',"weburl":Com.getOrigin()+'/asset/mftransaction/pages/mf_trans_comm_detail.html?n=1'});
        },'','','2');
    });


    //点击净值走势和近30天交易
    $(document).on('click','.mf_t_a',function(){
        var mf_t_a = $('.mf_t_a');
        var oindex = mf_t_a.index($(this));
        if($(this).hasClass('on')){
            return;
        }
        mf_t_a.removeClass('on').eq(oindex).addClass('on');
        $('.charts_tabs').css('display','none').eq(oindex).css('display','block');

    });
    //图表选择时间
    $(document).on('click','.ps_d_a',function(){
        var ps_d_a = $('.ps_d_a');
        var oindex = ps_d_a.index($(this));
        var querytime = $(this).attr('querytime');
        if($(this).hasClass('on')){
            return;
        }
        ps_d_a.removeClass('on').eq(oindex).addClass('on');
        F.chicang.drawChart(querytime);
    });

    //底部菜单点击更多
    $(document).on('click','.showmorebox',function(){
        var isOn = $(this).hasClass('on');
        if(isOn){
            $(this).removeClass('on');
        }else{
            $(this).addClass('on');
        }

    });

    //打开分红设置
    $(document).on('click','#gofenhong',function(){
        $('#zg_fhmask').show();
        Com.setWebviewTitle('',{"title":"分红设置","bgColor":""});
        //需要native监听返回事件,并用返回上一个web页面的方式
        Com.nativeGobackListener('1',openFhSz);
    });

    //提交分红设置
    $(document).on('click','.fh_choose',function(){
        var that = $(this);
        Com.actionLogin(function(){
            submitFenhong(that);
        },'','','2');

    });

    //点击定投计划
    $(document).on('click','#godtplan',function(){
        var ourl = '/asset/goldsun_mlc/zgdt/pages/plan_ongoing.html';
        Com.actionLogin(function(){
            Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+ourl,"weburl":Com.getOrigin()+ourl});
        },'','','1');

        //openDtDetails();
    });

    $(window).on('scroll',function(){
        var oheight = $(document).height();
        var wheight = $(window).height();
        var wintop = $(window).scrollTop();
        var pageNum = '';
        //console.log($(window).scrollTop()+'||||document'+oheight+'|window'+wheight);
        if(wintop+wheight == oheight){
            if(!pageconfig.isScrollLoading){
                return false;
            }
            pageconfig.pageNo = parseInt(pageconfig.pageNo)+1;
            getTrdeList();
            //getCurList();
        }
    });

}
var dtjhlist;
//查询有没有定投记录
function openDtDetails(){
    var godtplan = $('#godtplan');
    var param = {};
    var ofn = Com.getQueryStringByName('ofcode');
    var tan = Com.getQueryStringByName('tacode');
    param['tacode'] = tan;
    param['ofcode'] = ofn;
    var ajaxData = function(datajson){
        Com.ajax({
            "url":Com.getOrigin()+"/gsfinancing/zgplan/getMyZgPlans/1.0",
            "data":datajson,
            "type":"post",
            "dataType":"json",
            "success":function(d){
                if(d.result[0].code == '0'){
                    if(typeof d.data !== 'undefined'){
                        dtjhlist = d.data;
                        if(d.data.length == 0){
                            //Com.showNativeAlert("","未查询到相关定投记录",["确定"],"");
                            /*Com.showNativeAlert("","此产品还没有定投记录",["确定"],function(){
                                godtplan.removeClass('forbid');
                            });*/

                            $('#zg_dtjh').css('display','none');
                        }else{
                            $('#zg_dtjh').css('display','block');
                            /*var ourl = '/asset/goldsun_mlc/zgdt/pages/plan_stop.html';
                            for(var i = 0;i<d.data.length;i++){
                                if(d.data[i].isvalid=='1'){
                                    ourl = '/asset/goldsun_mlc/zgdt/pages/plan_ongoing.html';
                                    break;
                                }

                            }
                            Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+ourl,"weburl":Com.getOrigin()+ourl});*/
                        }

                    }else{
                        $('#zg_dtjh').css('display','none');
                    }
                }
                else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                    return false;
                }
                else{
                    Com.showNativeAlert("",d.result[0].msg,["确定"],"");
                }
            },
            "supportBioLogin":'2',
            "isTradeLogin":true,
            "error":function(){
                Com.showNativeAlert("",'网络不给力',["确定"],'');
            }
        });
    };
    ajaxData(param);
}

//持仓收益曲线
var chicangChart;
var opf={};
F.chicang.drawChart = function(queryTime){
    var ofcode = Com.getQueryStringByName('ofcode');
    var prdtype = Com.getQueryStringByName('prdtype');
    var param={};
    if(!queryTime){
        queryTime=1;
    }
    param['ofcode'] = ofcode;
    param['prdtype'] = prdtype;
    param['month'] = queryTime;
    Com.ajax({
        "url":'/gsfinancing/product/getPrdNetValue/1.0',
        "data":param,
        "type":"post",
        "dataType":"json",
        "success":function(d){
            /*d={result:[{code:0}],data:[
                {unitnetvalue:1.1234,valuedate:'2019-01-06'},
                {unitnetvalue:1.2234,valuedate:'2019-01-05'},
                {unitnetvalue:1.3234,valuedate:'2019-01-04'},
                {unitnetvalue:1.3434,valuedate:'2019-01-03'},
                {unitnetvalue:1.1434,valuedate:'2019-01-02'}
            ]}*/
            var xLabel = 'right';
            var xpadding = [0,-30,0,0];
            if (d != null && d.result[0].code == 0) {
                if(typeof d.data!=='undefined' && d.data.length!=0){
                    d.data.reverse();
                    if(d.data.length%2!==0){
                        xLabel = 'center';
                        xpadding = [0,0,0,0];
                    }
                    $('#jz_charts_box').css('display','block').siblings('.nodata').css('display','none');
                    //清空echarts的值
                    //d.data.reverse();
                    F.chicang.echartsOption.xAxis[0].data = [];
                    F.chicang.echartsOption.series[0].data = [];
                    if(d.data.length==1){
                        F.chicang.echartsOption.series[0].showSymbol = true;
                    }else{
                        F.chicang.echartsOption.series[0].showSymbol = false;
                    }
                    for (var i=0,len=d.data.length;i<len;i++) {
                        //x轴日期的第一个值需要居左，需要特殊处理
                        if (i==0) {
                            if(d.data.length==1){
                                F.chicang.echartsOption.xAxis[0].data[i] = {
                                    value:d.data[i].valuedate,
                                    textStyle:{
                                        color:'#8e8e93',
                                        fontSize:11,
                                        align:'center'
                                    }
                                };
                            }else{
                                F.chicang.echartsOption.xAxis[0].data[i] = {
                                    value:d.data[i].valuedate,
                                    textStyle:{
                                        color:'#8e8e93',
                                        fontSize:11,
                                        align:'left'
                                    }
                                };
                            }
                        }
                        else if(d.data.length>2&&i==parseInt(d.data.length/2)){
                            F.chicang.echartsOption.xAxis[0].data[i] = {
                                value:d.data[i].valuedate,
                                textStyle:{
                                    color:'#8e8e93',
                                    fontSize:11,
                                    padding:xpadding,
                                    align:xLabel
                                }
                            };
                        }
                        else{
                            F.chicang.echartsOption.xAxis[0].data[i] = d.data[i].valuedate;
                        }
                        F.chicang.echartsOption.series[0].data[i] = d.data[i].unitnetvalue*1;
                    }

                    F.chicang.echartsOption.xAxis[0].axisLabel.formatter = function(value, index){
                        if(index == 0 || index ==d.data.length-1 || index == parseInt(d.data.length/2)){
                            return value;
                        }else{
                            return '';
                        }
                    };

                    //坐标轴在 grid 区域中的分隔线
                    var olen = d.data.length;
                    var lastProfit = (d.data[olen-1].unitnetvalue*1).toFixed2(4);
                    F.chicang.echartsOption.xAxis[0].splitLine.interval = Math.floor(d.data.length-1);
                    /*if(Number(lastProfit)>0 && lastProfit.indexOf('+')==-1){
                        lastProfit = '+'+lastProfit;
                    }*/
                    //F.chicang.echartsOption.series[0].markPoint.data[0].coord = [d.data[olen-1].valuedate,lastProfit];

                    var maxValue,minValue;
                    if(F.chicang.echartsOption.series[0].data.length==1){
                        if(F.chicang.echartsOption.series[0].data[0]*1<0){
                            maxValue =0;
                            minValue = Math.min.apply(null, F.chicang.echartsOption.series[0].data);
                        }else{
                            maxValue = Math.max.apply(null, F.chicang.echartsOption.series[0].data);
                            minValue = 0;
                        }
                    }else{
                        maxValue = Math.max.apply(null, F.chicang.echartsOption.series[0].data);
                        minValue = Math.min.apply(null, F.chicang.echartsOption.series[0].data);
                    }
                    F.chicang.echartsOption.yAxis[0].min = minValue;

                    /*if(maxValue*1-(d.data[olen-1].unitnetvalue*1) < parseFloat((maxValue-minValue)/2)){
                        F.chicang.echartsOption.series[0].markPoint.symbolOffset=['-45%','70%'];
                        F.chicang.echartsOption.series[0].markPoint.symbol='image://../images/mf_tips_t.png';
                        F.chicang.echartsOption.series[0].markPoint.data[0].label.normal.offset=[-1,4];
                    }else{
                        //箭头向下
                        F.chicang.echartsOption.series[0].markPoint.symbolOffset=['-45%','-70%'];
                        F.chicang.echartsOption.series[0].markPoint.symbol='image://../images/mf_tips_b.png';
                        F.chicang.echartsOption.series[0].markPoint.data[0].label.normal.offset=[-1,-3];
                    }*/

                    chicangChart = echarts.init(document.getElementById('jz_charts_box'));
                    chicangChart.setOption(F.chicang.echartsOption);
                    opf = F.chicang.echartsOption;

                    //策划要求手指离开图表时tooltip消失
                    $(document).on('touchend',function(){
                        chicangChart.clear();
                        chicangChart.setOption(opf,true);
                    })
                }else{
                    $('#jz_charts_box').css('display','none').siblings('.nodata').css('display','block');
                }


            }else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                return false;
            }else{
                Com.nativeToast(d.result[0].code+':'+d.result[0].msg);
            }
        },
        "supportBioLogin":'2',
        "isTradeLogin":true,
        "error":function(){
            Com.ajaxLoaded();
            Com.showNativeAlert('','网络不给力',['确定'],'')
        }
    });
};

/*近30天交易相关*/
/**
 * 计算n天后(或N天前)的日期
 * initDate：开始日期，默认为当天日期， 格式：yyyymmdd/yyyy-mm-dd
 * days:天数
 * flag：返回值， 年与日之间的分隔符， 默认为xxxx年xx月xx日格式
 * type：0:N天前|1N天后
 */
function getDateAfter_n(initDate, days, flag,type){

    if(!days){
        return initDate;
    }
    initDate = initDate.replace(/-/g,'');
    flag = $.trim(flag);
    var date;
    // 是否设置了起始日期
    if(!$.trim(initDate)){ // 没有设置初始化日期，就默认为当前日期
        date = new Date();
    }else{
        var year = initDate.substring(0,4);
        var month = initDate.substring(4,6);
        var day = initDate.substring(6,8);
        date = new Date(year, month-1, day); // 月份是从0开始的
    }
    if(type =='0'){
        //N天前
        date.setDate(date.getDate() - days);
    }else{
        //N天后
        date.setDate(date.getDate() + days);
    }
    var yearStr = date.getFullYear();
    var monthStr = ("0"+(date.getMonth()+1)).slice(-2, 8); // 拼接2位数月份
    var dayStr = ("0"+date.getDate()).slice(-2, 8); // 拼接2位数日期
    var result = "";
    if(!flag){
        result = yearStr+"年"+monthStr+"月"+dayStr+"日";
    }else{
        result = yearStr+flag+monthStr+flag+dayStr;
    }
    return result;
}

/*获取30天内的交易(包括委托和成交)*/
var pageconfig={pageNo:'0',pageSize:10,isScrollLoading:true};
function getTrdeList(){
    var param={};
    param['ofcode'] = Com.getQueryStringByName('ofcode');
    param['prdtype'] =  Com.getQueryStringByName('prdtype');
    var date = new Date();
    var numfmt  = function(s){
        return (Number(s) < 10 ? '0'+s : s);
    };
    var todaydate =date.getFullYear()+''+numfmt(Number(date.getMonth())+1)+''+numfmt(date.getDate());
    var startdate = (getDateAfter_n(todaydate,30,'-','0')).replace(/-/g,'');
    param['strdate'] = startdate;
    param['enddate'] = todaydate;
    param['pageNo'] = pageconfig.pageNo;
    param['pageSize'] = pageconfig.pageSize;
    Com.ajax({
        "url":'/gsfinancing/trade/qryHisTrade/1.0',
        "data":param,
        "type":"post",
        "dataType":"json",
        "success":function(d){
            if (d != null && d.result[0].code == 0) {
                d.pageNo = pageconfig.pageNo;
                var oHtml1 = $(template('trtDemo', d));
                if(pageconfig.pageNo == '0'){
                    $('#tradeTr').html(oHtml1);
                }else{
                    $('#tradeTr').append(oHtml1);
                }
                if(d.data.length==0){
                    pageconfig.isScrollLoading = false;
                }else{
                    pageconfig.isScrollLoading = true;
                    pageconfig.pageNo = Number(pageconfig.pageNo)+1;
                }

            }else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                return false;
            }else{
                Com.nativeToast(d.result[0].code+':'+d.result[0].msg);
            }
        },
        "supportBioLogin":'2',
        "isTradeLogin":true,
        "error":function(){
            Com.ajaxLoaded();
            Com.showNativeAlert('','网络不给力',['确定'],'')
        }
    });
}