
//获取页面来源
function getClientType(){
    return getQueryStringByName('ct');
}

//如果来源是微信，取openid；如果来源是金太阳，取sid
function getOid(){
    var oid = '',type = 0,param={};
    var pageFrom = getClientType();
    if(pageFrom == 1){//金太阳
        oid =  getQueryStringByName('sessionId');
        if(oid.indexOf('@')!=-1){
            oid = oid.split('@')[0];
        }
        type = 1;
    }
    else if(pageFrom == 2){//微信
        oid =  getQueryStringByName('openid');
        type = 2;
    }
    else if(pageFrom == 3){
        oid = parseInt(Math.random()*100000);
        type = 3;
    }
    else{
        oid =  '';
        type = 0;
    }
    param['oid'] = oid;
    param['type'] = type;

    saveItem('oid',oid);
    saveItem('type',type);
    return param;

}
//戳这里领取特权码
function getLoginStatus(){
    var param = {};
    param['obj_id'] = getItemValue('obj_id');
    if(param['obj_id'] == ''){
        gs_alert('obj_id为空');
        return false;
    }
    gs_loading();
    $.ajax({
        url:'/fs/tq_send',
        data:param,
        type:'get',
        dataType:'json',
        success:function(data){
            var obj_id,_hash,scode;
            var pageFrom=getClientType();
            if(data.rtnCode == 1){
                gs_loaded();
                obj_id = data.obj_id;
                _hash = data.hash;
                saveItem('obj_id',obj_id);
                saveItem('_hash',_hash);
                scode = encodeURIComponent(data.code);
                if(data.rtnMsg == 'a'){
                    //第一次领取特权码
                    window.location.href = 'go_bu_step2_on.html?code='+scode+'&ct='+pageFrom+'&gcode=1';
                }else{
                    //已经领取过特权码了
                    window.location.href = 'go_bu_step2_on.html?code='+scode+'&ct='+pageFrom+'&gcode=2';
                }

            }else{
                gs_loaded();
                gs_alert(data.rtnMsg)
            }
        },
        error:function(xhr,errorType,error){
            gs_loaded();
            gs_alert('请检查您的网络状况')
        }

    });
}


//验证手机号输入是否合法
function checkSubmitMobile(mobile){
    var isEmpty = $.trim(mobile).length;
    if(isEmpty == 0){
        return false;
    }
    else{
        var reg = /(^\(\d{3,5}\)\d{6,8}(-\d{2,8})?$)|(^\d+-\d+$)|(^(13|15|18|14|17)[0-9]{9}$)/;
        return reg.test(mobile);
    }
}

//获取地址参数
function getQueryStringByName(name){
    var result = location.search.match(new RegExp("[\?\&]" + name + "=([^\&]+)", "i"));
    if (result == null || result.length < 1) {
        return "";
    }
    return result[1];
}

//本地存储(登录改成login)
function saveItem(key,value){
    /*localStorage.setItem(key,value);*/
    var d = new Date();
    d.setTime(d.getTime() + (30*24*60*60*1000));//默认30天
    var expires = "expires="+d.toUTCString();
    document.cookie = key + "=" + encodeURIComponent(value) + "; " + expires;
}

//获取本地key值
function getItemValue(key){
    /*return window.localStorage[key];*/
    /*
    var c_start,c_end;
    if (document.cookie.length>0){
        c_start=document.cookie.indexOf(key + "=");
        if (c_start!=-1){
            c_start=c_start + key.length+1;
            c_end=document.cookie.indexOf(";",c_start);
            if (c_end==-1){
                c_end=document.cookie.length;
            }
            return decodeURIComponent(document.cookie.substring(c_start,c_end));
        }
    }
    return ""
    */
    var name = key + "=";
    var ca = document.cookie.split(';');
    for(var i=0; i<ca.length; i++)
    {
        var c = ca[i].trim();
        if (c.indexOf(name)==0) return c.substring(name.length,c.length);
    }
    return "";
}

//删除本地的key值
function removeItem(key){
    window.localStorage.removeItem(key);
}

//获取根域名
function getOrigin(){
    var host;
    if(typeof (window.location.origin) === 'undefined'){
        host = window.location.protocol +'//'+window.location.hostname;
    }else{
        host = window.location.origin;
    }
    return host;
}

//数字验证
function isNumeric(str){
    var c=/^[0-9]*$/;
    return c.test(str);
}

function gs_alert(msg,callback){
    $('#tips').dialog({
        autoOpen: false,
        closeBtn: false,
        title: '系统提示：',
        content: msg,
        buttons: {
            '确 定': function(){
                this.destroy();
                if ( !callback ) {
                    return;
                }else{
                    callback();
                }
            }
        }
    });
    $('#tips').dialog('open');
}
//ajaxloading open
function gs_loading(){
    $('#ajaxloading').dialog({
        autoOpen: false,
        closeBtn: false,
        content: '<img src="'+getOrigin()+'/mcjg/images/temprisk/loading2.gif" width="40px" height="43px"/>',
        width: 50,
        height: 50
    }).dialog('this')._options['_wrap'].addClass('loading-dialog');
    $('#ajaxloading').dialog('open');
}
//ajaxloading close
function gs_loaded(){
    $('#ajaxloading').dialog('destroy');
}

