function loadContent(){
	var fid=$('#fund_id').val();
	var bdate=$('#term_startdate').val();
	
	var param={};
	param['simfund_id']=fid;
	param['page']=1;
	param['count']=1;
	param['begin_date']=bdate;
	$.post('/mcjg/traincamp/get_trade_list',param,function(res1){
		if(res1.rtnCode=='1'){
			var trade_list = res1.list;
			
			if(trade_list!=null&&trade_list.length>0){
				trade=trade_list[0];
				if(trade.businessFlag=='买入'){
					trade_type='buy';
					trade_name='买';
				}else{
					trade_type='sell';
					trade_name='卖';
				}
				var htmlstr='<div class="trade_flag '+trade_type+'">'+trade_name+'</div><span class="stock_info">'+trade.stockAbbr+' '+trade.stockCode+'</span>'+
							'<div class="clearfix" style="border-top:1px solid #f6f6f6;padding:0.5em 0;">'+
							'<div class="column1"><span class="column_title">成交日期</span><span class="column_value">'+trade.tradeDate+'</span></div>'+
							'<div class="column2"><span class="column_title">成交价格</span><span class="column_value">'+trade.occurPrice+'元</span></div>'+
							'<div class="column3"><span class="column_title">成交数量</span><span class="column_value">'+trade.occurQuty+'股</span></div></div>';
				$('.stock_item').html(htmlstr);
			}else{
				$('.stock_item').html('<p>训练营当前尚无成交记录！</p>');
			}
		}
	},'json');
	
	$.post('/mcjg/traincamp/get_strategy_list',param,function(res2){
		if(res2.rtnCode=='1'){
			var strategy_list = res2.list;
			if(strategy_list!=null&&strategy_list.length>0){
				strategy=strategy_list[0];
				$('.strategy_area p').html(strategy.createDate+'<br/>'+strategy.holdDesc);
			}else{
				$('.strategy_area p').html('训练营当前尚无组合动态策略');
			}
		}else{
			$('.strategy_area p').html(res2.rtnMsg);
		}
	},'json');
	
	loadFundYieldChart(fid);
}

function loadHoldingStocks(){
	var param={};
	param['simfund_id']=$('#simfund_id').val();
	param['page']=1;
	param['count']=1000;
	$.post('/mcjg/traincamp/get_holding_stocks',param,function(data){
		if(data.rtnCode=='1'){
			if(data.list==null||data.list.length==0){
				$('.hold_list').hide();
				$('#no_data_page').show();	
			}else{
				for(var i=0;i<data.list.length;i++){
					var stock=data.list[i];
					li_html_str='<li><div class="stock_item clearfix"><span class="stock_info">'+stock.stockAbbr+' '+stock.stockCode+'</span>'+
					            '<span class="stock_profit">盈亏比例： '+formatPct(1,stock.floatProfRate)+'</span><hr>'+
					            '<div class="column1"><span class="column_title">持仓盈亏</span><span class="column_value">'+colorValue(stock.floatProf)+'</span><span class="column_title">证券数量</span><span class="column_value">'+stock.quantity+'</span></div>'+
					            '<div class="column2"><span class="column_title">持仓成本</span><span class="column_value">'+stock.avgCost+'</span><span class="column_title">类型</span><span class="column_value">证券买入</span></div>'+
					            '<div class="column3"><span class="column_title">当前价</span><span class="column_value">'+stock.latestPrice+'</span></div>'+
								'</div></li>';
					$('ul.hold_list').append(li_html_str);
				}
			}
		}else{
			$('.hold_list').hide();
			$('#no_data_page').show();
		}
	},'json');
}

function loadBaseInfo(){
	$.post('/mcjg/traincamp/get_traincamp_base_info?simfund_id='+$('#fund_id').val(),function(res){
		if(res.rtnCode=='1'){
			var info = res.r;
			if(info!=null){
				if(info.totalProfRate>0){
					$('#totalProfRate').css('color','#f64950');
				}else if(info.totalProfRate<0){
					$('#totalProfRate').css('color','#3bc06e');
				}
				$('#totalProfRate').html(formatFloat(info.totalProfitRate*100,2)+'%');
				if(info.termProfitRate>0){
					$('#termProfRate').css('color','#f64950');
				}else if(info.termProfitRate<0){
					$('#termProfRate').css('color','#3bc06e');
				}
				$('#termProfRate').html(formatFloat(info.termProfitRate*100,2)+'%');
				$('#endAsset').html(fmoney(formatFloat(info.endAsset,2)));
				$('#startAsset').html(fmoney(formatFloat(info.startAsset,2)));
				$('#balance').html(fmoney(formatFloat(info.balance,2)));
				$('#stockval').html(fmoney(formatFloat(info.stockval,2)));
				$('#fundDivTimes').html(info.fundDivTimes);
				$('#fundDivAmt').html(fmoney(formatFloat(info.fundTotalDiv,2)));
				$('#measureIndex').html(info.measureIndex);
				$('#position').html(formatFloat(info.position*100,2)+'%');
				$('#startDate').html(info.startDate);
				$('#termPeriod').html(info.termPeriod);
			}else{
				$('.content').find('span').html('--');
			}
		}else{
			$('.content').find('span').html('--');
		}
	},'json');
}

function loadFundYieldChart(fund_id){
	var ctx = document.getElementById("profit_line").getContext("2d");
	$.post('/mcjg/traincamp/get_yield_chart_data',{'simfund_id':fund_id},function(res){
		if(res.rtnCode=='1'){
			var date_labels=res.date_labels;
			if(date_labels.length>0){
				
				var new_date_label=new Array();
				
				for(var i=0;i<date_labels.length;i++){
					if(i==0||i==date_labels.length-1){
						new_date_label.push(date_labels[i].substring(5));
					}else{
						if(i==parseInt(date_labels.length/2)){
							new_date_label.push(date_labels[i].substring(5));
						}else{
							new_date_label.push("");
						}
					}
				}
				
				var profit_data=res.profit_data;//[1.45,2.34,3.17,2.26,2.69,4.81,6.73,5.58,7.44];
				var index_data=res.index_data;//[1,2,1,1.5,0.8,0.3,-0.6,0.1,2.7];//
				var chart_data = {
						labels:new_date_label,
						datasets : [
			    		{
			    			label:'产品收益',
			    			strokeColor : "rgb(0,175,254)",
			    			data : profit_data
			    		},
			    		{
			    			label:'沪深300涨跌',
			    			strokeColor : "rgb(255,150,0)",data : index_data
			    		}
			    	]
				}
				window.myLineChart = new Chart(ctx).Line(chart_data, {
					scaleLabel : "<%=value%>%",
					scaleGridLineWidth : 1,
					responsive : true,
					showTooltips:false,
					animationEasing: "easeOutQuart",
					pointDot : false,
					bezierCurve : false,
					datasetFill : false,
					scaleShowVerticalLines : false,
					legendTemplate : "<ul class=\"<%=name.toLowerCase()%>-legend\"><% for (var i=0; i<datasets.length; i++){%><li><span style=\"background-color:<%=datasets[i].strokeColor%>\"></span><%if(datasets[i].label){%><%=datasets[i].label%><%}%></li><%}%></ul>"
				});
				var legend = myLineChart.generateLegend();
				$("#legend").html(legend);
			}else{
				$('#legend').hide();
				$('#profit_line').hide();
				$('#no_data_info').show();
			}
		}else{
			gs_alert(res.rtnMsg);
		}
	},'json');
}

function loadTradeList(){
	$.post('/mcjg/traincamp/get_trade_list?simfund_id='+$('#simfund_id').val()+'&begin_date='+$('#b_date').val(),function(data){
		if(data.rtnCode=='1'){
			if(data.list==null||data.list.length==0){
				$('.trade_list').hide();
				$('#no_data_page').show();	
			}else{
				for(var i=0;i<data.list.length;i++){
					var stock=data.list[i];
					var business_flag='';
					var business_str='';
					if(stock.businessFlag=='买入'){business_flag='buy';business_str='买';}else{business_flag='sell';business_str='卖';} 
					li_html_str='<li><div class="stock_item"><div class="trade_flag '+business_flag+'">'+stock.businessFlag+'</div>'+
								'<span class="stock_info">'+stock.stockAbbr+' '+stock.stockCode+'</span><hr><div class="clearfix">'+
					            '<div class="column1"><span class="column_title">成交日期</span><span class="column_value">'+stock.tradeDate+'</span></div>'+
					            '<div class="column2"><span class="column_title">成交价格</span><span class="column_value">'+stock.occurPrice+'</span></div>'+
					            '<div class="column3"><span class="column_title">成交数量</span><span class="column_value">'+stock.occurQuty+'</span></div></div>'+
					            '<hr><h3>操作点评</h3><p>'+stock.opReason+'</p></div></li>';
					$('ul.trade_list').append(li_html_str);
				}
			}
		}else{
			$('.trade_list').hide();
			$('#no_data_page').show();
		}
	},'json');
}

function loadStrategyList(){
	$.post('/mcjg/traincamp/get_strategy_list?simfund_id='+$('#simfund_id').val()+'&begin_date='+$('#b_date').val(),function(data){
		if(data.rtnCode=='1'){
			if(data.list==null||data.list.length==0){
				$('.strategy_list').hide();
				$('#no_data_page').show();
			}else{
				for(var i=0;i<data.list.length;i++){
					var strategy=data.list[i];
					li_html_str='<li><div class="point"></div>'+
								'<div class="strategy_item"><span class="time">'+strategy.createDate+'</span>'+
					            '<p>'+strategy.holdDesc+'</p></div></li>';
					$('ul.strategy_list').append(li_html_str);
				}
			}
		}else{
			$('.strategy_list').hide();
			$('#no_data_page').show();
		}
	},'json');
}

//flag: 0 不带颜色 1 带颜色
function formatPct(flag,val){
	if(val!=null){
		if(flag==0){
			return formatFloat((val*100),2)+'%';
		}else{
			if(val>0){
				return '<span class=\"red\">+'+formatFloat((val*100),2)+'%</span>';
			}else if(val<0){
				return '<span class=\"green\">'+formatFloat((val*100),2)+'%</span>';
			}else{
				return '0.00%';
			}
		}
		
	}else{
		return '0.00%';
	}
}

function colorValue(val){
	if(val!=null){
		if(val>0){
			return '<span class=\"red\">+'+formatFloat(val,2)+'</span>';
		}else if(val<0){
			return '<span class=\"green\">'+formatFloat(val,2)+'</span>';
		}else{
			return '0.00';
		}
		
	}else{
		return '0.00';
	}
}