/************
 *
 * 通用工具类函数，不依赖第三方js类库
 *
 *************/

//获取url参数串
function getUrlQueryString(){
	var result = location.search.match(new RegExp("[\?\&][^\?\&]+=[^\?\&]+","g"));
	if(result!=null && result.length>0){
		for(var i = 0; i < result.length; i++){
			result[i] = result[i].substring(1);
		}
	}else{
		result = ''
	}
	return result;
}
//获取url指定参数值
function getQueryString(name){
    var reg = new RegExp("(^|&)"+ name +"=([^&]*)(&|$)");
    var r = window.location.search.substr(1).match(reg);
    if(r!=null)return  decodeURI(r[2]); return null;
}

//获取根域名
function getOrigin(){
	var host = ''
	if(window.location.hostname.indexOf('localhost')>=0||window.location.hostname.indexOf('wxtest.guosen.com.cn')>=0||window.location.hostname.indexOf('58.61.28.218')>=0){
		host = 'http://'+window.location.hostname+':'+window.location.port;
	}else{
		host = 'https://'+window.location.hostname+':'+window.location.port;
	}

    return host;
}

function getHttpsOrigin(){
//	var host = 'https://'+window.location.hostname+':'+window.location.port;
	var host = ''
	if(window.location.hostname.indexOf('localhost')>=0||window.location.hostname.indexOf('58.61.28.218')>=0||window.location.hostname.indexOf('wxtest.guosen.com.cn')>=0){
		host = 'http://'+window.location.hostname+':'+window.location.port;
	}else{
		host = 'https://'+window.location.hostname+':'+window.location.port;
	}

    return host;
}

//是否是微信浏览器
function isWeiXin(){
    var ua = window.navigator.userAgent.toLowerCase();
    if(ua.match(/MicroMessenger/i) == 'micromessenger'){
        return true;
    }else{
        return false;
    }
}

function hideWxShare(){
	if(isWeiXin()){
		document.addEventListener('WeixinJSBridgeReady', function onBridgeReady()  {
		 	WeixinJSBridge.call('hideOptionMenu');
		});
	}
}

//本地存储
function saveItem(key,value){
    window.localStorage.setItem(key,encodeURIComponent(value));
}

//获取本地key值
function getItemValue(key){
    var valueres = decodeURIComponent(window.localStorage.getItem(key));
    if(valueres!=null&&valueres!='null'){
        return valueres;
    }else{
        return '';
    }
}

//删除本地的key值
function removeItem(key){
    window.localStorage.removeItem(key);
}

function compile(code){
    var c=String.fromCharCode(code.charCodeAt(0)+code.length);
    for(var i=1;i<code.length;i++){
        c+=String.fromCharCode(code.charCodeAt(i)+code.charCodeAt(i-1));
    }
    return escape(c);
}

function uncompile(code){
    code=unescape(code);
    var c=String.fromCharCode(code.charCodeAt(0)-code.length);
    for(var i=1;i<code.length;i++){
        c+=String.fromCharCode(code.charCodeAt(i)-c.charCodeAt(i-1));
    }
    return c;
}

//金额显示 xxx,xxx,xxx.00
function fmoney(s){
    s = parseFloat((s + "").replace(/[^\d\.-]/g, "")) + "";
    var l = s.split(".")[0].split("").reverse(),
    r = s.split(".")[1];
    if(r==undefined){
	    r='00';
    }
    if(r.length==1){
	    r=r+'0';
    }
    var t = "";
    for(i = 0; i < l.length; i ++ )
    {
        t += l[i] + ((i + 1) % 3 == 0 && (i + 1) != l.length ? "," : "");
    }
    return t.split("").reverse().join("") + "." + r;
}

//浮点数值转换
function formatFloat(src, pos){
	var tempNumber=0;
    if(src>=0){
    	tempNumber = parseInt((src*Math.pow(10,pos)+0.5))/Math.pow(10,pos);
    }else{
    	src=-src;
    	tempNumber = 0 - parseInt((src*Math.pow(10,pos)+0.5))/Math.pow(10,pos);
    }
    return tempNumber.toFixed(pos);
}

//全部替换
String.prototype.replaceAll = function(reallyDo, replaceWith, ignoreCase) {
	if (!RegExp.prototype.isPrototypeOf(reallyDo)) {
        return this.replace(new RegExp(reallyDo, (ignoreCase ? "gi": "g")), replaceWith);
    } else {
        return this.replace(reallyDo, replaceWith);
    }
}

//验证手机号输入是否合法
function checkSubmitMobile(mobile){
    var isEmpty = $.trim(mobile).length;
    if(isEmpty == 0){
        return false;
    }
    else{
        var reg = /(^\(\d{3,5}\)\d{6,8}(-\d{2,8})?$)|(^\d+-\d+$)|(^(13|15|18|14|17)[0-9]{9}$)/;
        return reg.test(mobile);
    }
}

//验证邮箱输入是否合法
function checkEmail(email){
    var reg = /^([a-zA-Z0-9_-])+@([a-zA-Z0-9_-])+((\.[a-zA-Z0-9_-]{2,3}){1,2})$/;
    if  (reg.test(email)){
    	return true;
    }else{
    	return false;
    }
}

/**
 * 验证身份证号信息
 * */
var Wi = [ 7, 9, 10, 5, 8, 4, 2, 1, 6, 3, 7, 9, 10, 5, 8, 4, 2, 1 ];    // 加权因子
var ValideCode = [ 1, 0, 10, 9, 8, 7, 6, 5, 4, 3, 2 ];            // 身份证验证位值.10代表X
function idCardValidate(idCard) {
    idCard = $.trim(idCard.replace(/ /g, ""));               //去掉字符串头尾空格
    if (idCard.length == 18) {
        var a_idCard = idCard.split("");                // 得到身份证数组
        if(isValidityBrithBy18IdCard(idCard)&&isTrueValidateCodeBy18IdCard(a_idCard)){   //进行18位身份证的基本验证和第18位的验证
            return true;
        }else {
            return false;
        }
    } else {
        return false;
    }
}

//判断身份证号码为18位时最后的验证位是否正确
function isTrueValidateCodeBy18IdCard(a_idCard) {
    var sum = 0;                             // 声明加权求和变量
    if (a_idCard[17].toLowerCase() == 'x') {
        a_idCard[17] = 10;                    // 将最后位为x的验证码替换为10方便后续操作
    }
    for ( var i = 0; i < 17; i++) {
        sum += Wi[i] * a_idCard[i];            // 加权求和
    }
    valCodePosition = sum % 11;                // 得到验证码所位置
    if (a_idCard[17] == ValideCode[valCodePosition]) {
        return true;
    } else {
        return false;
    }
}

//验证18位数身份证号码中的生日是否是有效生日
function isValidityBrithBy18IdCard(idCard18){
    var year =  idCard18.substring(6,10);
    var month = idCard18.substring(10,12);
    var day = idCard18.substring(12,14);
    var temp_date = new Date(year,parseFloat(month)-1,parseFloat(day));
    // 这里用getFullYear()获取年份，避免千年虫问题
    if(temp_date.getFullYear()!=parseFloat(year)
          ||temp_date.getMonth()!=parseFloat(month)-1
          ||temp_date.getDate()!=parseFloat(day)){
            return false;
    }else{
        return true;
    }
}

function setCookie(name,value) {
    var Days = 30;
    var exp = new Date();
    exp.setTime(exp.getTime() + Days*24*60*60*1000);
    document.cookie = name + "="+ escape (value) + ";expires=" + exp.toGMTString();
}

//读取cookies
function getCookie(name) {
    var arr,reg=new RegExp("(^| )"+name+"=([^;]*)(;|$)");

    if(arr=document.cookie.match(reg))
         return unescape(arr[2]);
    else
        return null;
}

//删除cookies
function delCookie(name) {
    var exp = new Date();
    exp.setTime(exp.getTime() - 1);
    var cval=getCookie(name);
    if(cval!=null) document.cookie= name + "="+cval+";expires="+exp.toGMTString();
}

function gs_alert(msg,callback){
    $('#tips').dialog({
        autoOpen: false,
        closeBtn: false,
        title: '系统提示：',
        content: msg,
        buttons: {
            '确 定': function(){
                this.destroy();
                if ( !callback ) {
                    return;
                }else{
                    callback();
                }
            }
        }
    });
    $('#tips').dialog('open');
}
//ajaxloading open
function gs_loading(){
    $('#ajaxloading').dialog({
        autoOpen: false,
        closeBtn: false,
        content: '<img src="'+getOrigin()+'/mcjg/images/wechatrisk/loading2.gif" width="25px" height="27px"/>',
        width: 50,
        height: 50
    }).dialog('this')._options['_wrap'].addClass('loading-dialog');
    $('#ajaxloading').dialog('open');
}
//ajaxloading close
function gs_loaded(){
    $('#ajaxloading').dialog('destroy');
}

function gs_confirm(msg,callback1,callback2){
	$('#confirm').dialog({
		autoOpen: false,
		closeBtn: false,
		title: '系统提示：',
		content: msg,
		buttons: {
			'取 消': function(){
	        	this.destroy();
	        	if ( !callback2 ) {
	                return;
	            }else{
	            	callback2();
	            }
	        },
			'确 定': function(){
				if ( !callback1 ) {
	                return;
	            }else{
	            	callback1();
	            }
	        }
	    }
	});
	$('#confirm').dialog('open');
}

function localStorageSupported() {
    try {
    	window.localStorage.setItem("testlocal", "testlocal");
    	window.localStorage.removeItem("testlocal");
        return true;
    } catch (e) {
        return false;
    }
}
function setLocalValue(keys, values){
	if (localStorageSupported()) {
	    if (!values) {
	        window.localStorage.setItem(keys, '');
	    } else {
	        window.localStorage.setItem(keys, encodeURIComponent(values)); //ios的Safari上,无痕模式会报错
	    }

	}
}
function getLocalValue(keys){
	var valueres, self = this;
	if (localStorageSupported()) {
        valueres = decodeURIComponent(window.localStorage.getItem(keys));
    } else {
        valueres = self.getCookie(keys);
    }
    return valueres;
}

$(function(){
	if(isWeiXin()){
		$('.headerbar').hide();
		$('.wrapper').css('marginTop','0');
	}
});
