;(function($){
    /**
     * 将字符串类型的日期格式化
     * @date 需要格式化的日期，字符串类型
     * @format 格式化后的格式，eg:format="yyyy-MM-dd hh:mm:ss";
     * 返回结果
     */
    template.helper('dateFormat', function (date, format) {
    	if (typeof date == "string") {
    		if (date.indexOf('-') > -1) {
    			if(date.indexOf(' '>0)){
    				date = date.split(' ')[0];
    				console.log('1 parse date is:'+date);
    				date= new Date(date.split('-')[0],date.split('-')[1]*1-1,date.split('-')[2]);
    			}else{
    				date= new Date(date.split('-')[0],date.split('-')[1]*1-1,date.split('-')[2]);
    			}
                
            }else{
                date= new Date(date.substring(0,4),date.substring(4,6)*1-1,date.substring(6,8));
            }
        }
    	console.log('2 parse date is:'+date);
        date = new Date(date);

        var map = {
            "M": date.getMonth() + 1, //月份
            "d": date.getDate(), //日
            "h": date.getHours(), //小时
            "m": date.getMinutes(), //分
            "s": date.getSeconds(), //秒
            "q": Math.floor((date.getMonth() + 3) / 3), //季度
            "S": date.getMilliseconds() //毫秒
        };
        format = format.replace(/([yMdhmsqS])+/g, function(all, t){
        	var v = map[t];
            if(v !== undefined){
                if(all.length > 1){
                    v = '0' + v;
                    v = v.substr(v.length-2);
                }
                return v;
            }else if(t === 'y'){
                return (date.getFullYear() + '').substr(4 - all.length);
            }
            return all;
        });
        return format;
    });
    /**
     * 将字符串时间进行格式化
     * @time 需要格式化的时间，字符串类型
     * @format 格式化后的格式，eg:format="hh:mm:ss";
     * 返回结果
     */
    template.helper('timeFormat', function (time) {
        if (typeof time == "string") {
            if(time.length == 7){
                time = '0'+time;
            }
        }
        var format = time.substring(0,2)+':'+time.substring(2,4);
        return format;
    });
    /**
     * 涨跌幅，上涨为红色(red)，下跌为绿色(green)，不跌不涨为黑色
     * @data 需要格式化的数据，字符串类型
     * 返回结果
     */
    template.helper('fluctuation', function (data) {
        if (Com.postiveFloorNumber(data)) {
            return 'red';
        }else if(data.indexOf('-')!=-1){
            return 'green';
        }else{
            return '';
        }
    });
    /**
     * 涨跌幅的正数需要加上‘+’号，负数和0不用加
     * @data 需要格式化的数据，字符串类型
     * 返回结果
     */
    template.helper('positive', function (data) {
        if (Com.postiveFloorNumber(data)) {
            return '+'+data;
        }else{
            return data;
        }
    });

    template.helper('progress', function (data) {
        var width=(data*100).toFixed(2)+"%";
        return "width:"+width+";";
    });

    template.helper('parseStr', function (data) {
        return JSON.stringify(data);
    });

    template.helper('getImgPrefix', function (data) {
        var host= window.location.hostname;
        if(host.indexOf('172.24.180.27')>=0||host.indexOf('58.61.28.218')>=0||host.indexOf('61.142.2.99')>=0){
            return 'http://61.142.2.99:2780/fs/showImage/showAvatarImage?'+data;
        }else if(host.indexOf('blog.guosen.com.cn')>=0){
            return 'https://blog.guosen.com.cn/fs/showImage/showAvatarImage?'+data;
        }else if(host.indexOf('localhost')>=0){
            /*
            10000~10999 生产
            12000~12999 测试
            11000~11999 开发
            */
            var port = parseInt(window.location.port);
            if(port>=10000&&port<=10999){
                return 'https://blog.guosen.com.cn/fs/showImage/showAvatarImage?'+data;
            }else if(port>=12000&&port<=12999){
                return 'http://61.142.2.99:2780/fs/showImage/showAvatarImage?'+data;
            }else if(port>=11000&&port<=11999){
                return 'http://61.142.2.99:2780/fs/showImage/showAvatarImage?'+data;
            }
        }else{
            return '/fs/showImage/showAvatarImage?'+data;
        }
    });
    /*datestring为yyyy-MM-dd hh:mm格式*/
    template.helper('getDay', function (datestring) {
        console.log('get day:'+datestring);
        var ymd = '';
        if(datestring.indexOf(' ')>0){
            ymd=datestring.split(' ')[0];
        }else{
            ymd=datestring;
        }
        console.log('ymd:'+ymd);
        return ymd.split('-')[1]+'-'+ymd.split('-')[2];
    });
    /*datestring为yyyy-MM-dd hh:mm格式*/
    template.helper('getTime', function (datestring) {
        console.log('get time:'+datestring);
        var hms = '';
        if(datestring.indexOf(' ')>0){
            hms=datestring.split(' ')[1];
        }else{
            hms=datestring;
        }
        console.log('hms:'+hms);
        return hms.split(':')[0]+':'+hms.split(':')[1];
    });
})(Zepto);
